(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    636005,      10043]
NotebookOptionsPosition[    633238,       9969]
NotebookOutlinePosition[    633626,       9986]
CellTagsIndexPosition[    633583,       9983]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Calculation of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "t"], TraditionalForm]],ExpressionUUID->
  "014fa339-f443-4ed9-8b04-968984b28504"],
 " of SIR model with Mathematica "
}], "Title",
 CellChangeTimes->{{3.7973928479379663`*^9, 3.7973929863799324`*^9}, {
  3.7974161544423256`*^9, 3.797416161543819*^9}, {3.797675923351492*^9, 
  3.797675925895034*^9}, {3.797719573376893*^9, 3.7977195743457603`*^9}, {
  3.7979385487032976`*^9, 3.797938557191677*^9}, {3.79815396135926*^9, 
  3.7981539644145207`*^9}, {3.7981540127588434`*^9, 3.7981540134784307`*^9}, {
  3.7981852574816184`*^9, 3.7981852796021976`*^9}, {3.798691211603327*^9, 
  3.798691262504546*^9}, {3.798708469752403*^9, 3.7987084942932267`*^9}, {
  3.799537545439513*^9, 3.79953756693421*^9}},
 TextAlignment->Center,
 FontColor->RGBColor[
  0.5, 0, 0.5],ExpressionUUID->"af0d4e62-0e95-4f41-b2e2-91be1d85ae91"],

Cell[CellGroupData[{

Cell["Preface", "Subchapter",
 CellChangeTimes->{
  3.798185007573067*^9, {3.7981850458716373`*^9, 3.7981851305000806`*^9}, {
   3.798185289774167*^9, 3.7981854075661488`*^9}, 3.798185924746383*^9, 
   3.798186030492631*^9, {3.7982601821904235`*^9, 3.798260201196514*^9}, {
   3.7986912804755273`*^9, 3.798691284866815*^9}, {3.798708413910937*^9, 
   3.7987084184895477`*^9}},
 FontColor->RGBColor[
  0.5, 0, 0.5],ExpressionUUID->"9391ece4-d432-4a0b-abf1-6fc7b23bf64d"],

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{
   StyleBox[
    RowBox[{
    "This", " ", "is", " ", "an", " ", "private", " ", "research", " ", "for",
      " ", "the", " ", "covid19", " ", "and", " ", "its", " ", "R", " ", 
     RowBox[{"number", ".", " ", "Not"}], " ", 
     RowBox[{"authorized", ".", "\[IndentingNewLine]", " ", 
      RowBox[{"I", "'"}]}], "m", " ", "not", " ", "a", " ", "specialist", " ",
      "of", " ", "Covid19", " ", "nor", " ", 
     RowBox[{"mathematica", ".", "\[IndentingNewLine]", "But"}], " ", "I", 
     " ", "was", " ", "inclineded", " ", "to", " ", "write", " ", "this", " ", 
     RowBox[{"program", ".", " ", "One"}], " ", "is", " ", "from", " ", "the",
      " ", "scientific", " ", "interests"}],
    FontSize->24], 
   StyleBox["\[IndentingNewLine]",
    FontSize->24], 
   StyleBox[
    RowBox[{
     RowBox[{
     "and", " ", "the", " ", "other", " ", "is", " ", "to", " ", "have", " ", 
      "some", " ", "stability", " ", "of", " ", "the", " ", "mind", " ", "by",
       " ", "understanding", " ", "the", " ", "spread", " ", "of", " ", "the",
       " ", 
      RowBox[{"virus", ".", "\[IndentingNewLine]", "Although"}], " ", "I", 
      " ", "tried", " ", "my", " ", "best"}], ",", " ", 
     RowBox[{
      RowBox[{
      "it", " ", "is", " ", "not", " ", "possible", " ", "it", " ", "has", 
       " ", "no", " ", 
       RowBox[{"miskakes", ".", "   ", 
        RowBox[{"^", 
         RowBox[{"_", "^"}]}]}]}], ";"}]}],
    FontSize->24], 
   StyleBox[" ",
    FontSize->24], 
   StyleBox["\n",
    FontSize->24], 
   StyleBox[
    RowBox[{"But", " ", 
     RowBox[{"it", "'"}], "s", " ", "a", " ", "nature", " ", "of", " ", 
     "this", " ", "kind", " ", "of", " ", 
     RowBox[{"research", ".", " ", "The"}], " ", "most", " ", "difficult", 
     " ", "part", " ", "was"}],
    FontSize->24], 
   StyleBox[" ",
    FontSize->24], 
   StyleBox["\[IndentingNewLine]",
    FontSize->24], 
   RowBox[{
    StyleBox["to",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["separate",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["the",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["reliable",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["data",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["from",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["others",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["and",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox[
     RowBox[{"it", "'"}],
     FontSize->24], 
    StyleBox["s",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["not",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["written",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["in",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["the",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["text",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox[
     RowBox[{"books", ".", " ", "\[IndentingNewLine]", " ", "Anyway"}],
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["I",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox[
     RowBox[{"couldn", "'"}],
     FontSize->24], 
    StyleBox["t",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["find",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["any",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["text",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["books",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["in",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["my",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["nativa",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox[
     RowBox[{"tongue", " ", ".", "  ", "So"}],
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["I",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["did",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["it",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["all",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox["by",
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox[
     RowBox[{
      RowBox[{
       RowBox[{
       "myself", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "13"}], 
       "/", "5"}], "/", "2020"}],
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    StyleBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"updated", " ", "on", " ", 
        RowBox[{"19", "/", "5"}]}], ")"}], ".", "   ", "Shigeki"}],
     FontSize->24], 
    StyleBox[" ",
     FontSize->24], 
    RowBox[{
     StyleBox["Ogose",
      FontSize->24], 
     StyleBox[" ",
      FontSize->24], 
     StyleBox[".",
      FontSize->24], 
     StyleBox["    ",
      FontSize->24], 
     StyleBox["\[IndentingNewLine]",
      FontSize->24], 
     StyleBox["\[IndentingNewLine]",
      FontSize->24], 
     StyleBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"It", "'"}], "s", " ", "a", " ", "cliche"}], ",", " ", 
        RowBox[{
        "but", " ", "I", " ", "have", " ", "no", " ", "responsibility", " ", 
         "for", " ", "anything", "  ", "you", " ", "might", " ", "encounter", 
         " ", "from", " ", "this", " ", 
         RowBox[{"program", ".", " ", "All"}], " ", "rights", " ", 
         RowBox[{"reserved", "."}]}]}], ")"}],
      FontSize->16]}]}]}]}]], "Text",
 CellFrame->{{0, 0}, {0.5, 0}},
 CellChangeTimes->{
  3.798185007573067*^9, {3.7981850458716373`*^9, 3.7981851305000806`*^9}, {
   3.798185289774167*^9, 3.798185297967109*^9}, {3.79818537321553*^9, 
   3.798185374074545*^9}, {3.7981860122097616`*^9, 3.7981860135419226`*^9}, {
   3.798186192829877*^9, 3.79818619428903*^9}, {3.7982606204446282`*^9, 
   3.7982606206789865`*^9}, {3.7983528285564404`*^9, 
   3.7983528288351245`*^9}, {3.798551896579898*^9, 3.798551982244486*^9}, 
   3.7986840194292984`*^9, {3.798694137683013*^9, 3.7986942190517454`*^9}, {
   3.7986945712764688`*^9, 3.798694948644596*^9}, {3.7987021840010295`*^9, 
   3.798702379365212*^9}, {3.7987024263568*^9, 3.7987028351398787`*^9}, {
   3.798702899797867*^9, 3.7987030153481145`*^9}, {3.7987030480581865`*^9, 
   3.7987032591009655`*^9}, {3.798704382949663*^9, 3.7987046107889595`*^9}, 
   3.798704956504077*^9, {3.798706543016811*^9, 3.7987065536141806`*^9}, {
   3.7987953684019647`*^9, 3.7987953764283514`*^9}, {3.798872539463688*^9, 
   3.7988725736254077`*^9}, 
   3.799715978078812*^9},ExpressionUUID->"4c9772bc-7d8d-4d26-9339-\
6625ad816e95"]
}, Open  ]],

Cell[CellGroupData[{

Cell["SIR model", "Subchapter",
 CellChangeTimes->{
  3.798185007573067*^9, {3.7981850458716373`*^9, 3.7981851305000806`*^9}, {
   3.798185289774167*^9, 3.7981854075661488`*^9}, 3.798185924746383*^9, 
   3.798186030492631*^9, {3.7982601821904235`*^9, 3.798260201196514*^9}, {
   3.7986912804755273`*^9, 3.798691284866815*^9}},
 FontColor->RGBColor[
  0.5, 0, 0.5],ExpressionUUID->"2bc2a310-0ae3-40b6-8b40-6a558cba48ad"],

Cell[BoxData[{
 StyleBox[
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"Assume", " ", "that", "   ", "s"}], "=", "Susceptible"}],
       FontColor->GrayLevel[0]], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox[" ",
       FontColor->GrayLevel[0]], 
      StyleBox[
       RowBox[{"i", "=", "Infected"}],
       FontColor->GrayLevel[0]], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox[" ",
       FontColor->GrayLevel[0]], 
      StyleBox[
       RowBox[{"r", "=", 
        RowBox[{"Recovered", 
         RowBox[{"(", 
          RowBox[{"including", " ", "the", " ", "deaths"}], ")"}]}]}],
       FontColor->GrayLevel[0]], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox[" ",
       FontColor->GrayLevel[0]], 
      StyleBox["\[IndentingNewLine]",
       FontColor->GrayLevel[0]], 
      RowBox[{
       StyleBox["c",
        FontColor->GrayLevel[0]], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       RowBox[{
        StyleBox[
         RowBox[{"Confirmed", " ", "Case"}],
         FontColor->GrayLevel[0]], 
        StyleBox["=",
         FontColor->GrayLevel[0]], 
        RowBox[{
         StyleBox["i",
          FontColor->GrayLevel[0]], 
         RowBox[{
          StyleBox["+",
           FontColor->GrayLevel[0]], 
          RowBox[{
           StyleBox["r",
            FontColor->GrayLevel[0]], 
           StyleBox[" ",
            FontColor->GrayLevel[0]], 
           RowBox[{
            StyleBox["(",
             FontColor->GrayLevel[0]], 
            StyleBox[" ",
             FontColor->GrayLevel[0]], 
            RowBox[{
             StyleBox[
              RowBox[{"r", "&"}],
              FontColor->GrayLevel[0]], 
             StyleBox[" ",
              FontColor->GrayLevel[0]], 
             FormBox[
              SubscriptBox["R", "t"],
              TraditionalForm], "are", " ", "totally", " ", "different"}], 
            StyleBox[")",
             FontColor->GrayLevel[0]]}]}]}]}]}]}], 
      StyleBox[" ",
       FontColor->GrayLevel[0]], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["then",
       FontColor->GrayLevel[0]], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox[" ",
       FontColor->GrayLevel[0]], 
      StyleBox[
       RowBox[{"by", " ", "SIR", " ", "model"}],
       FontColor->GrayLevel[0]], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["\n",
       FontColor->GrayLevel[0]], 
      StyleBox["                                          ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["ds", "dt"],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{
         RowBox[{"-", "\[Beta]s"}], "*", "i"}],
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["    ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["di", "dt"],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{
         RowBox[{"\[Beta]s", "*", "i"}], "-", "\[Gamma]i"}],
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["    ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["dr", "dt"],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"\[Gamma]i", "  ", 
         RowBox[{"(", 
          RowBox[{"\[Beta]", ",", 
           RowBox[{"\[Gamma]", " ", "are", " ", "constant"}]}], ")"}]}],
        FontColor->GrayLevel[0]]}]}], 
     StyleBox["\n",
      FontColor->GrayLevel[0]], 
     StyleBox["\[IndentingNewLine]",
      FontColor->GrayLevel[0]], 
     StyleBox[
      RowBox[{
       RowBox[{
       "If", "  ", "N", "  ", "is", " ", "the", " ", "population", " ", "of", 
        " ", "the", " ", "closed", " ", "group"}], ",", "  ", 
       RowBox[{
        RowBox[{
         RowBox[{"it", " ", "holds", " ", "that", " ", "i"}], "+", "r", "+", 
         "s"}], "=", 
        RowBox[{
         RowBox[{"c", "+", "s"}], "=", 
         RowBox[{"N", "   ", "and"}]}]}]}],
      FontColor->GrayLevel[0]], 
     StyleBox[" ",
      FontColor->GrayLevel[0]], 
     StyleBox["\n",
      FontColor->GrayLevel[0]], 
     StyleBox["                                   ",
      FontColor->GrayLevel[0]], 
     RowBox[{
      RowBox[{
       FormBox[
        FractionBox["ds", "dt"],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{
         RowBox[{"-", "\[Beta]s"}], "*", "i"}],
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["   ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["dc", "dt"],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"\[Beta]s", "*", "i"}],
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["    ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["di", "dt"],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{
         RowBox[{"\[Beta]s", "*", "i"}], "-", "\[Gamma]i"}],
        FontColor->GrayLevel[0]]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["    ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["dr", "dt"],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{
        "\[Gamma]i", "           ", "\[CenterDot]", "\[CenterDot]", 
         "\[CenterDot]", 
         RowBox[{"(", "#1", ")"}]}],
        FontColor->GrayLevel[0]]}]}], 
     StyleBox["\[IndentingNewLine]",
      FontColor->GrayLevel[0]], 
     StyleBox["\[IndentingNewLine]",
      FontColor->GrayLevel[0]], 
     RowBox[{
      RowBox[{
       RowBox[{
        StyleBox["Therefore",
         FontColor->GrayLevel[0]], 
        StyleBox[" ",
         FontColor->GrayLevel[0]], 
        StyleBox["if",
         FontColor->GrayLevel[0]], 
        StyleBox[" ",
         FontColor->GrayLevel[0]], 
        StyleBox["we",
         FontColor->GrayLevel[0]], 
        StyleBox[" ",
         FontColor->GrayLevel[0]], 
        StyleBox["define",
         FontColor->GrayLevel[0]], 
        StyleBox["  ",
         FontColor->GrayLevel[0]], 
        SubscriptBox["R", "t"], " ", "by", "  ", 
        FormBox[
         SubscriptBox["R", "t"],
         TraditionalForm]}], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       RowBox[{
        FormBox[
         FractionBox["s\[Beta]", "\[Gamma]"],
         TraditionalForm], 
        StyleBox[" ",
         FontColor->GrayLevel[0]], 
        RowBox[{
         StyleBox["(",
          FontSize->18,
          FontColor->GrayLevel[0]], 
         StyleBox[" ",
          FontColor->GrayLevel[0]], 
         RowBox[{
          RowBox[{
           RowBox[{
            StyleBox["it",
             FontColor->GrayLevel[0]], 
            StyleBox[" ",
             FontColor->GrayLevel[0]], 
            StyleBox["also",
             FontColor->GrayLevel[0]], 
            StyleBox[" ",
             FontColor->GrayLevel[0]], 
            StyleBox["follows",
             FontColor->GrayLevel[0]], 
            StyleBox[" ",
             FontColor->GrayLevel[0]], 
            FormBox[
             RowBox[{" ", 
              SubscriptBox["R", "0"]}],
             TraditionalForm]}], 
           StyleBox["=",
            FontColor->GrayLevel[0]], 
           FormBox[
            FractionBox["N\[Beta]", "\[Gamma]"],
            TraditionalForm]}], 
          StyleBox[",",
           FontColor->GrayLevel[0]], 
          StyleBox[" ",
           FontColor->GrayLevel[0]], 
          RowBox[{
           FormBox[
            SubscriptBox["R", "t"],
            TraditionalForm], 
           StyleBox["=",
            FontColor->GrayLevel[0]], 
           RowBox[{
            FormBox[
             SubscriptBox["R", "0"],
             TraditionalForm], 
            StyleBox["*",
             FontColor->GrayLevel[0]], 
            FormBox[
             FractionBox["s", "N"],
             TraditionalForm]}]}]}], 
         StyleBox[")",
          FontSize->18,
          FontColor->GrayLevel[0]]}]}]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["   ",
       FontColor->GrayLevel[0]], 
      StyleBox["\n",
       FontColor->GrayLevel[0]], 
      StyleBox["                           ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["ds", 
         RowBox[{"d", "(", "\[Gamma]t", ")"}]],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       RowBox[{
        RowBox[{
         StyleBox["-",
          FontColor->GrayLevel[0]], 
         FormBox[
          SubscriptBox["R", "t"],
          TraditionalForm]}], 
        StyleBox["*",
         FontColor->GrayLevel[0]], 
        StyleBox["i",
         FontColor->GrayLevel[0]]}]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["    ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["dc", 
         RowBox[{"d", "(", "\[Gamma]t", ")"}]],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       RowBox[{
        FormBox[
         SubscriptBox["R", "t"],
         TraditionalForm], 
        StyleBox["*",
         FontColor->GrayLevel[0]], 
        StyleBox["i",
         FontColor->GrayLevel[0]]}]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["    ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["di", 
         RowBox[{"d", "(", "\[Gamma]t", ")"}]],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       RowBox[{
        RowBox[{
         RowBox[{
          FormBox[
           SubscriptBox["R", "t"],
           TraditionalForm], 
          StyleBox["*",
           FontColor->GrayLevel[0]], 
          StyleBox["i",
           FontColor->GrayLevel[0]]}], 
         StyleBox["-",
          FontColor->GrayLevel[0]], 
         StyleBox["i",
          FontColor->GrayLevel[0]]}], 
        StyleBox["=",
         FontColor->GrayLevel[0]], 
        RowBox[{
         RowBox[{
          StyleBox["(",
           FontColor->GrayLevel[0]], 
          RowBox[{
           FormBox[
            SubscriptBox["R", "t"],
            TraditionalForm], 
           StyleBox["-",
            FontColor->GrayLevel[0]], 
           StyleBox["1",
            FontColor->GrayLevel[0]]}], 
          StyleBox[")",
           FontColor->GrayLevel[0]]}], 
         StyleBox["i",
          FontColor->GrayLevel[0]]}]}]}], 
      StyleBox[",",
       FontColor->GrayLevel[0]], 
      StyleBox["     ",
       FontColor->GrayLevel[0]], 
      RowBox[{
       FormBox[
        FractionBox["dr", 
         RowBox[{"d", "(", "\[Gamma]t", ")"}]],
        TraditionalForm], 
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"i", "     ", "\[CenterDot]", "\[CenterDot]", "\[CenterDot]", 
         RowBox[{"(", "#2", ")"}]}],
        FontColor->GrayLevel[0]]}]}], 
     StyleBox["\n",
      FontColor->GrayLevel[0]], 
     StyleBox["\[IndentingNewLine]",
      FontColor->GrayLevel[0]], 
     StyleBox[
      RowBox[{"Furthermore", " ", ",", " ", 
       RowBox[{
       "if", " ", "we", " ", "change", " ", "the", " ", "unit", " ", "of", 
        " ", "the", " ", "time", " ", "from", " ", "day", " ", "to", " ", 
        RowBox[{"1", "/", "\[Gamma]"}], " ", "day", "  ", "and", "  ", "set", 
        "  ", "t"}]}],
      FontColor->GrayLevel[0]]}], 
    StyleBox["\[CloseCurlyQuote]",
     FontColor->GrayLevel[0]]}], 
   StyleBox["=",
    FontColor->GrayLevel[0]], "\[Gamma]t"}],
  FontWeight->"Bold"], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"for", " ", "example"}], ",", " ", 
      RowBox[{
       RowBox[{"when", "  ", "\[Gamma]"}], "=", "0.1"}], ",", " ", 
      RowBox[{"by", " ", "every", "   ", "10", "days"}]}], ")"}],
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["\:ff0c",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["then",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[",",
    FontColor->GrayLevel[0]], "\n", 
   StyleBox["                                       ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     FormBox[
      FractionBox["ds", 
       RowBox[{"dt", "'"}]],
      TraditionalForm], 
     StyleBox["=",
      FontColor->GrayLevel[0]], 
     RowBox[{
      RowBox[{
       StyleBox["-",
        FontColor->GrayLevel[0]], 
       FormBox[
        SubscriptBox["R", "t"],
        TraditionalForm]}], 
      StyleBox["*",
       FontColor->GrayLevel[0]], 
      StyleBox["i",
       FontColor->GrayLevel[0]]}]}],
    FontWeight->"Bold"], 
   StyleBox[",",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["     ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     FormBox[
      FractionBox["dc", 
       RowBox[{"dt", "'"}]],
      TraditionalForm], 
     StyleBox["=",
      FontColor->GrayLevel[0]], 
     RowBox[{
      FormBox[
       SubscriptBox["R", "t"],
       TraditionalForm], 
      StyleBox["*",
       FontColor->GrayLevel[0]], 
      StyleBox["i",
       FontColor->GrayLevel[0]]}]}],
    FontWeight->"Bold"], 
   StyleBox[",",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["    ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     FormBox[
      FractionBox["di", 
       RowBox[{"dt", "'"}]],
      TraditionalForm], 
     StyleBox["=",
      FontColor->GrayLevel[0]], 
     RowBox[{
      RowBox[{
       StyleBox["(",
        FontColor->GrayLevel[0]], 
       RowBox[{
        FormBox[
         SubscriptBox["R", "t"],
         TraditionalForm], 
        StyleBox["-",
         FontColor->GrayLevel[0]], 
        StyleBox["1",
         FontColor->GrayLevel[0]]}], 
       StyleBox[")",
        FontColor->GrayLevel[0]]}], 
      StyleBox["i",
       FontColor->GrayLevel[0]]}]}],
    FontWeight->"Bold"], 
   StyleBox[",",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["     ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     FormBox[
      FractionBox["dr", 
       RowBox[{"dt", "'"}]],
      TraditionalForm], 
     StyleBox["=",
      FontColor->GrayLevel[0]], 
     StyleBox["i",
      FontColor->GrayLevel[0]]}],
    FontWeight->"Bold"]}], 
  StyleBox["    ",
   FontWeight->"Bold",
   FontColor->GrayLevel[0]], "\[IndentingNewLine]"}], "\n", 
 StyleBox[
  RowBox[{
   FormBox[
    RowBox[{
     RowBox[{
     "From", " ", "the", "  ", "two", " ", "left", " ", "equations", " ", 
      "above"}], ",", " ", 
     SubscriptBox["R", "t"]}],
    TraditionalForm], " ", "indicates", " ", "the", " ", "total", " ", 
   "number", " ", "of", " ", "people", " ", "secondary", " ", "infected", " ",
    "by", "  ", "one", "  ", "person"}],
  FontWeight->"Bold"], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[" ",
   FontWeight->"Bold"], 
  RowBox[{
   StyleBox[
    RowBox[{
    "in", " ", "his", " ", "or", " ", "her", " ", "recovery", " ", "period"}],
    FontWeight->"Bold"], 
   StyleBox[",",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["   ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     StyleBox["(",
      FontColor->GrayLevel[0]], 
     RowBox[{
      RowBox[{
       StyleBox["the",
        FontColor->GrayLevel[0]], 
       StyleBox[" ",
        FontColor->GrayLevel[0]], 
       StyleBox["same",
        FontColor->GrayLevel[0]], 
       StyleBox[" ",
        FontColor->GrayLevel[0]], 
       StyleBox["thing",
        FontColor->GrayLevel[0]], 
       StyleBox["  ",
        FontColor->GrayLevel[0]], 
       StyleBox["is",
        FontColor->GrayLevel[0]], 
       StyleBox[" ",
        FontColor->GrayLevel[0]], 
       StyleBox["implied",
        FontColor->GrayLevel[0]], 
       StyleBox[" ",
        FontColor->GrayLevel[0]], 
       StyleBox["by",
        FontColor->GrayLevel[0]], 
       StyleBox[" ",
        FontColor->GrayLevel[0]], 
       FormBox[
        SubscriptBox["R", "t"],
        TraditionalForm]}], 
      StyleBox["=",
       FontColor->GrayLevel[0]], 
      StyleBox[
       RowBox[{"dc", "/", "dr"}],
       FontColor->GrayLevel[0]]}], 
     StyleBox[")",
      FontColor->GrayLevel[0]]}],
    FontWeight->"Bold"], 
   StyleBox["\:ff0e",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["\n",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["\[IndentingNewLine]",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
    "Also", " ", "from", " ", "the", " ", "second", " ", "from", " ", "the", 
     " ", "right"}],
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[" ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[",",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[" ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     RowBox[{"i", "  ", "increases", " ", "when", "  ", 
      FormBox[
       SubscriptBox["R", "t"],
       TraditionalForm]}], ">", "1"}],
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[",",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[" ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{
     RowBox[{
      StyleBox["and",
       FontColor->GrayLevel[0]], 
      StyleBox[" ",
       FontColor->GrayLevel[0]], 
      StyleBox["decreases",
       FontColor->GrayLevel[0]], 
      StyleBox[" ",
       FontColor->GrayLevel[0]], 
      StyleBox["when",
       FontColor->GrayLevel[0]], 
      StyleBox[" ",
       FontColor->GrayLevel[0]], 
      FormBox[
       SubscriptBox["R", "t"],
       TraditionalForm]}], 
     StyleBox["<",
      FontColor->GrayLevel[0]], 
     StyleBox["1",
      FontColor->GrayLevel[0]]}],
    FontWeight->"Bold"], 
   StyleBox[" ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["\:ff0e",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["\n",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox["\n",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   RowBox[{
    RowBox[{
     StyleBox["Let",
      FontWeight->"Bold",
      FontColor->GrayLevel[0]], 
     StyleBox["  ",
      FontWeight->"Bold",
      FontColor->GrayLevel[0]], 
     StyleBox["us",
      FontWeight->"Bold",
      FontColor->GrayLevel[0]], 
     StyleBox["  ",
      FontWeight->"Bold",
      FontColor->GrayLevel[0]], 
     StyleBox["define",
      FontWeight->"Bold",
      FontColor->GrayLevel[0]], 
     StyleBox["  ",
      FontWeight->"Bold",
      FontColor->GrayLevel[0]], 
     SubscriptBox[
      StyleBox["m",
       FontWeight->"Bold",
       FontColor->GrayLevel[0]], "r"]}], 
    StyleBox["=",
     FontWeight->"Bold"], 
    StyleBox[
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"d", "(", 
         RowBox[{"log", " ", "r"}], ")"}], "dt"], "  ", "and", "  ", 
       SubscriptBox["m", "c"]}], "=", 
      RowBox[{
       FractionBox[
        RowBox[{"d", 
         RowBox[{"(", 
          RowBox[{"log", "[", "c", "]"}], ")"}]}], "dt"], ".", "  ", 
       "Then"}]}],
     FontWeight->"Bold"]}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"         ", 
    StyleBox["    ",
     FontWeight->"Bold",
     FontColor->GrayLevel[0]]}]], 
  RowBox[{
   StyleBox[
    RowBox[{
     StyleBox[
      FormBox[
       RowBox[{"                                            ", 
        StyleBox[
         SubscriptBox["m", "r"],
         FontSize->16]}],
       TraditionalForm],
      FontSize->12], 
     StyleBox["=",
      FontSize->12,
      FontColor->GrayLevel[0]], 
     RowBox[{
      RowBox[{
       StyleBox[
        RowBox[{
         FormBox[
          FractionBox[
           RowBox[{"d", "(", 
            RowBox[{"log", " ", "r"}], ")"}], "dt"],
          TraditionalForm], 
         StyleBox["=",
          FontSize->18,
          FontColor->GrayLevel[0]], 
         RowBox[{
          RowBox[{
           FormBox[
            FractionBox["1", "r"],
            TraditionalForm], 
           StyleBox["*",
            FontSize->18,
            FontColor->GrayLevel[0]], 
           FormBox[
            FractionBox["dr", "dt"],
            TraditionalForm]}], 
          StyleBox["=",
           FontSize->18,
           FontColor->GrayLevel[0]], 
          FormBox[
           FractionBox[
            RowBox[{"\[Gamma]", "*", "i"}], "r"],
           TraditionalForm]}]}],
        FontSize->12], 
       StyleBox["       ",
        FontSize->18,
        FontColor->GrayLevel[0]], 
       StyleBox["\[Therefore]",
        FontColor->GrayLevel[0]], 
       StyleBox[" ",
        FontSize->16,
        FontColor->GrayLevel[0]], 
       StyleBox["\[Gamma]",
        FontSize->16,
        FontColor->GrayLevel[0]]}], 
      StyleBox["=",
       FontSize->16,
       FontColor->GrayLevel[0]], 
      StyleBox[" ",
       FontSize->18,
       FontColor->GrayLevel[0]], 
      FormBox[
       FractionBox[
        RowBox[{"r", "*", 
         SubscriptBox["m", "r"]}], "i"],
       TraditionalForm]}]}],
    FontWeight->"Bold"], 
   StyleBox[",",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[
    StyleBox[
     RowBox[{
      StyleBox["         ",
       FontWeight->"Bold"], 
      StyleBox[" ",
       FontSize->16]}]],
    FontColor->GrayLevel[0]], 
   StyleBox[
    RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", 
     RowBox[{"(", "#3", ")"}]}],
    FontSize->16,
    FontColor->GrayLevel[0]]}], 
  StyleBox[" ",
   FontWeight->"Bold",
   FontColor->GrayLevel[0]]}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox["                                                 ",
   FontWeight->"Bold",
   FontColor->GrayLevel[0]], 
  RowBox[{
   StyleBox[
    FormBox[
     SubscriptBox["m", "c"],
     TraditionalForm],
    FontWeight->"Bold"], 
   StyleBox["=",
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   RowBox[{
    StyleBox[
     FormBox[
      FractionBox[
       RowBox[{"d", " ", 
        RowBox[{"(", 
         RowBox[{"log", " ", "c"}], ")"}]}], "dt"],
      TraditionalForm],
     FontWeight->"Bold"], 
    StyleBox["=",
     FontWeight->"Bold",
     FontColor->GrayLevel[0]], 
    RowBox[{
     StyleBox[
      RowBox[{
       RowBox[{
        FormBox[
         FractionBox["1", "c"],
         TraditionalForm], 
        StyleBox["*",
         FontColor->GrayLevel[0]], 
        FormBox[
         FractionBox["dc", "dt"],
         TraditionalForm]}], 
       StyleBox["                 ",
        FontColor->GrayLevel[0]], 
       StyleBox["\[Therefore]",
        FontColor->GrayLevel[0]], 
       StyleBox[" ",
        FontColor->GrayLevel[0]], 
       FormBox[
        FractionBox["dc", "dt"],
        TraditionalForm]}],
      FontWeight->"Bold"], 
     StyleBox["=",
      FontWeight->"Bold",
      FontColor->GrayLevel[0]], 
     StyleBox[" ",
      FontWeight->"Bold",
      FontColor->GrayLevel[0]], 
     RowBox[{
      StyleBox["c",
       FontWeight->"Bold",
       FontColor->GrayLevel[0]], 
      StyleBox["*",
       FontWeight->"Bold",
       FontColor->GrayLevel[0]], 
      RowBox[{
       StyleBox[
        RowBox[{
         FormBox[
          SubscriptBox["m", "c"],
          TraditionalForm], 
         StyleBox[".",
          FontColor->GrayLevel[0]]}],
        FontWeight->"Bold"], 
       StyleBox[
        StyleBox[
         RowBox[{
          StyleBox["   ",
           FontWeight->"Bold"], 
          StyleBox[" ",
           FontSize->16]}]],
        FontColor->GrayLevel[0]], 
       StyleBox["    ",
        FontSize->16], 
       StyleBox["\[CenterDot]",
        FontSize->16,
        FontColor->GrayLevel[0]], 
       StyleBox["\[CenterDot]",
        FontSize->16,
        FontColor->GrayLevel[0]], 
       StyleBox["\[CenterDot]",
        FontSize->16,
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"(", "#4", ")"}],
        FontSize->16,
        FontColor->GrayLevel[0]]}]}]}]}]}]}], "\n", 
 RowBox[{
  StyleBox["Therefore",
   FontWeight->"Bold"], 
  StyleBox["                                         ",
   FontWeight->"Bold",
   FontColor->GrayLevel[0]]}], "\n", 
 RowBox[{
  StyleBox["                                                ",
   FontWeight->"Bold",
   FontColor->GrayLevel[0]], 
  StyleBox[
   RowBox[{
    FormBox[
     RowBox[{"  ", 
      SubscriptBox["R", "t"]}],
     TraditionalForm], 
    StyleBox["=",
     FontColor->GrayLevel[0]], 
    RowBox[{
     FormBox[
      FractionBox["s\[Beta]", "\[Gamma]"],
      TraditionalForm], " ", 
     RowBox[{
      StyleBox["(",
       FontSize->24,
       FontColor->GrayLevel[0]], 
      RowBox[{
       StyleBox["=",
        FontColor->GrayLevel[0]], 
       RowBox[{
        RowBox[{
         FormBox[
          FractionBox["1", 
           RowBox[{
            StyleBox["i",
             FontSlant->"Plain"], "*", "\[Gamma]"}]],
          TraditionalForm], 
         FormBox[
          RowBox[{
           FractionBox["dc", "dt"], ")"}],
          TraditionalForm]}], "=", 
        RowBox[{
         FormBox[
          FractionBox[
           RowBox[{"c", "*", 
            SubscriptBox["m", "c"]}], 
           RowBox[{
            StyleBox["i",
             FontSlant->"Plain"], "*", "\[Gamma]"}]],
          TraditionalForm], 
         StyleBox[" ",
          FontColor->GrayLevel[0]], 
         StyleBox["=",
          FontColor->GrayLevel[0]], 
         RowBox[{
          FormBox[
           FractionBox[
            RowBox[{"c", "*", 
             SubscriptBox["m", "c"]}], 
            RowBox[{"r", "*", 
             SubscriptBox["m", "r"]}]],
           TraditionalForm], 
          StyleBox[" ",
           FontColor->GrayLevel[0]], 
          RowBox[{
           StyleBox["(",
            FontSize->24,
            FontColor->GrayLevel[0]], 
           RowBox[{
            StyleBox["=",
             FontSize->16,
             FontColor->GrayLevel[0]], 
            RowBox[{
             FormBox[
              RowBox[{
               FractionBox["dc", "dr"], ")"}],
              TraditionalForm], 
             StyleBox["   ",
              FontSize->16,
              FontColor->GrayLevel[0]], 
             StyleBox["\[CenterDot]",
              FontSize->16,
              FontColor->GrayLevel[0]], 
             StyleBox["\[CenterDot]",
              FontSize->16,
              FontColor->GrayLevel[0]], 
             StyleBox["\[CenterDot]",
              FontSize->16,
              FontColor->GrayLevel[0]], 
             StyleBox[
              RowBox[{"(", "#5", ")"}],
              FontSize->16,
              FontColor->GrayLevel[0]]}]}]}]}]}]}]}]}]}]}],
   FontWeight->"Bold"]}]}], "Text",
 CellChangeTimes->{
  3.798185007573067*^9, {3.7981850458716373`*^9, 3.7981851305000806`*^9}, {
   3.798185289774167*^9, 3.7981854075661488`*^9}, {3.798185924746383*^9, 
   3.7981859406357737`*^9}, 3.798185971056427*^9, 3.7981876260786724`*^9, {
   3.7986912896642675`*^9, 3.798691463164595*^9}, {3.7986915420255814`*^9, 
   3.798691565841055*^9}, {3.7986933395007353`*^9, 3.798693634625704*^9}, {
   3.7987032678205085`*^9, 3.7987034139155316`*^9}, {3.7987038118910913`*^9, 
   3.7987043437978635`*^9}, {3.7987047347456317`*^9, 3.798704754968525*^9}, {
   3.798705042832635*^9, 3.79870505591245*^9}, {3.7987065777289844`*^9, 
   3.798706619865361*^9}, {3.7987929275134974`*^9, 3.7987929279677563`*^9}, {
   3.799718124786302*^9, 3.799718129457624*^9}, {3.799726544315371*^9, 
   3.7997265700886016`*^9}},ExpressionUUID->"3cb465ba-4a22-4c77-a728-\
8d99dfe41b85"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simple explanation of the program", "Subchapter",
 CellChangeTimes->{
  3.798185007573067*^9, {3.7981850458716373`*^9, 3.7981851305000806`*^9}, {
   3.798185289774167*^9, 3.7981854075661488`*^9}, 3.798185924746383*^9, 
   3.798186030492631*^9, {3.7982601821904235`*^9, 3.798260228829817*^9}, {
   3.7982602933128366`*^9, 3.7982603040484295`*^9}, {3.7986837607839136`*^9, 
   3.7986837645969296`*^9}, {3.798683982688733*^9, 3.7986839856268206`*^9}, {
   3.798693649098356*^9, 3.7986936581774364`*^9}, {3.79869370792719*^9, 
   3.798693710896387*^9}, {3.7986950108777304`*^9, 3.7986950140967717`*^9}},
 FontColor->RGBColor[
  0.5, 0, 0.5],ExpressionUUID->"633085e4-1eab-49dd-8852-eb6f03b28a00"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     StyleBox["This",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox[" ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["program",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox[" ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["culculates",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox[" ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["R",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox[" ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["number",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["  ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["following",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox[" ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["these",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox[" ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox[
      RowBox[{"steps", ".", "\[IndentingNewLine]", 
       RowBox[{"(", "1", ")"}]}],
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox[" ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["Calculate",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     StyleBox["  ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], 
     RowBox[{
      SubscriptBox[
       StyleBox["m",
        FontWeight->"Bold",
        FontColor->GrayLevel[0.5]], "c"], 
      StyleBox["[",
       FontWeight->"Bold",
       FontColor->GrayLevel[0.5]], 
      StyleBox["t",
       FontWeight->"Bold",
       FontColor->GrayLevel[0.5]], 
      StyleBox["]",
       FontWeight->"Bold",
       FontColor->GrayLevel[0.5]]}]}], 
    StyleBox["=",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox[
     RowBox[{"d", " ", 
      RowBox[{
       RowBox[{"log", " ", "[", "c", "]"}], "/", "dt"}], "  ", " ", "by", " ",
       "assuming", " ", "\"\<c\>\"", " ", "is", " ", 
      RowBox[{"correct", ".", "\[IndentingNewLine]", 
       RowBox[{"(", "2", ")"}]}], " ", "Instead", " ", "of", " ", "using", 
      " ", "\[Gamma]", " ", "culculated", " ", "by", " ", "data"}],
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]]}], 
   StyleBox[",",
    FontWeight->"Bold",
    FontColor->GrayLevel[0.5]], 
   StyleBox[" ",
    FontWeight->"Bold",
    FontColor->GrayLevel[0.5]], 
   RowBox[{
    StyleBox["use",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox[" ",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox["an",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox[" ",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox["adequate",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox["  ",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    SubscriptBox[
     StyleBox["\[Gamma]",
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], "input"], 
    StyleBox["  ",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox["and",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox[" ",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox["solve",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox[" ",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox["a",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox[" ",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], 
    StyleBox["differential",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]]}]}], 
  StyleBox[" ",
   FontWeight->"Bold",
   FontColor->GrayLevel[0.5]]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   StyleBox["equations",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox[
    RowBox[{"(", "ODE", ")"}],
    FontSize->16], 
   StyleBox["with",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   SubscriptBox[
    StyleBox["\[Gamma]",
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], "input"], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["to",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["get",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["\"\<r\>\"",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox["and",
    FontSize->16], 
   StyleBox[" ",
    FontSize->16], 
   StyleBox[
    RowBox[{"\"\<i\>\"", ".", 
     RowBox[{"(", 
      RowBox[{
      "which", " ", "may", " ", "be", " ", "different", " ", "from", " ", 
       RowBox[{"data", "."}]}], ")"}]}],
    FontSize->16]}],
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    StyleBox[
     RowBox[{"(", "3", ")"}],
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]], " ", 
    StyleBox[
     FormBox[
      RowBox[{
       RowBox[{
       "By", " ", "using", " ", "these", " ", "culculated", " ", "\"\<r\>\"", 
        " ", "and", " ", "\"\<i\>\""}], ",", " ", 
       RowBox[{
        RowBox[{"we", " ", "obtain", "  ", 
         SubscriptBox["R", "t"], "  ", "by", "  ", 
         SubscriptBox["R", "t"]}], 
        StyleBox["=",
         FontWeight->"Bold",
         FontColor->GrayLevel[0.5]], 
        StyleBox[" ",
         FontWeight->"Bold",
         FontColor->GrayLevel[0.5]], 
        RowBox[{"c", "*", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox[
             StyleBox["m",
              FontWeight->"Bold",
              FontColor->GrayLevel[0.5]], "c"], 
            StyleBox["[",
             FontWeight->"Bold",
             FontColor->GrayLevel[0.5]], 
            StyleBox["t",
             FontWeight->"Bold",
             FontColor->GrayLevel[0.5]], 
            StyleBox["]",
             FontWeight->"Bold",
             FontColor->GrayLevel[0.5]]}], 
           StyleBox["/",
            FontWeight->"Bold",
            FontColor->GrayLevel[0.5]], 
           StyleBox[" ",
            FontWeight->"Bold",
            FontColor->GrayLevel[0.5]], 
           StyleBox["i",
            FontWeight->"Bold",
            FontColor->GrayLevel[0.5]]}], 
          StyleBox["/",
           FontWeight->"Bold",
           FontColor->GrayLevel[0.5]], 
          StyleBox[" ",
           FontSize->16,
           FontWeight->"Bold",
           FontColor->GrayLevel[0.5]], 
          StyleBox[
           SubscriptBox[
            StyleBox["\[Gamma]",
             FontWeight->"Bold",
             FontColor->GrayLevel[0.5]], "input"],
           FontWeight->"Bold",
           FontColor->GrayLevel[0.5]]}]}]}]}],
      TraditionalForm],
     FontWeight->"Bold",
     FontColor->GrayLevel[0.5]]}],
   FontSize->16], 
  StyleBox[" ",
   FontSize->16,
   FontWeight->"Bold",
   FontColor->GrayLevel[0.5]]}], "\[IndentingNewLine]"}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{
  3.798185007573067*^9, {3.7981850458716373`*^9, 3.7981851305000806`*^9}, {
   3.798185289774167*^9, 3.7981854075661488`*^9}, {3.798185924746383*^9, 
   3.7981859406357737`*^9}, {3.798185971056427*^9, 3.798185981823722*^9}, {
   3.79818608545245*^9, 3.7981861041954184`*^9}, {3.798186223117757*^9, 
   3.798186284354225*^9}, {3.7982603245578413`*^9, 3.798260329168089*^9}, {
   3.7987046283430386`*^9, 3.798704721289894*^9}, {3.798704770618634*^9, 
   3.7987048871608715`*^9}, {3.7987049812437506`*^9, 
   3.7987050211082816`*^9}, {3.7987050674156504`*^9, 3.79870526107063*^9}, {
   3.7987066528235865`*^9, 3.7987067156176434`*^9}, {3.798707330965649*^9, 
   3.798707341035071*^9}, {3.798707540496952*^9, 3.798707554920697*^9}, {
   3.7997253507333126`*^9, 
   3.7997253512050276`*^9}},ExpressionUUID->"8573334d-b783-4d15-92f8-\
47fd139f927e"],

Cell[TextData[{
 StyleBox["The reason for these steps is  like this.  I calculated  \[Gamma]  \
of  Japan by #3.  That was  only 0.016 as of March 13th.\nIt means that  it \
takes 1/0.016=60 days until you recover.  (i.e. you can transmit covid19 for \
60 days.)\nBecause of this,  I thought  r was unreliable compared to c\:ff0e\n\
(Of course c is not 100% reliable. But you have to stand on somewhere.)\n\n\n\
My step son  also had me  notice that  fatality rate was too low compared to \
deaths/recovered.\nI thought it came from the difference of the dates in \
hospitals for the deaths and for the discharged. \nBy using this idea, I \
calculated \[Gamma] at  \[Gamma]=0.033\:ff0e But the recovery rate of Japan \
has shoot up in the last week.\nSo I recalculated \[Gamma]. This time I used \
OED and \[OpenCurlyDoubleQuote]Comprehensive judgment\[CloseCurlyDoubleQuote] \
to set the initial value of \[Gamma] at 0.05\:ff0e\n(But you can change",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 StyleBox[" ",
  FontColor->GrayLevel[0.5]],
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[Gamma]", "input"],
    FontWeight->"Bold"], TraditionalForm]],
  FontColor->GrayLevel[0.5],ExpressionUUID->
  "922f36a7-66f7-4c13-9da9-5245e07977c8"],
 StyleBox[" in the program.)\nIn the program, both ",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Gamma]", 
    RowBox[{"input", " "}]], TraditionalForm]],
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5],ExpressionUUID->
  "ac73b311-ad10-4352-a44a-578bbaaa8d93"],
 StyleBox[" and  the mean of",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 StyleBox[" ",
  FontColor->GrayLevel[0.5]],
 StyleBox[" ",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Gamma]", "t"], TraditionalForm]],
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5],ExpressionUUID->
  "685a9838-47ea-4c8a-a8e7-44c5edfb3023"],
 StyleBox[" (calculated by data) are displayed\:ff0e\n\nWith my program,  if \
you increase ",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Gamma]", "input"], TraditionalForm]],
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5],ExpressionUUID->
  "6291bdf4-c40a-46c3-a79d-5487a70a93e8"],
 StyleBox[", \[OpenCurlyDoubleQuote]r\[CloseCurlyDoubleQuote] will increase,  \
\[OpenCurlyDoubleQuote]i\[CloseCurlyDoubleQuote] will decrease.  But \
\[OpenCurlyDoubleQuote]c\[CloseCurlyDoubleQuote]=\[CloseCurlyDoubleQuote]i\
\[CloseCurlyDoubleQuote]+\[OpenCurlyDoubleQuote]r\[CloseCurlyDoubleQuote] won\
\[CloseCurlyQuote]t change.\nBecause I trust \[OpenCurlyDoubleQuote]c\
\[CloseCurlyDoubleQuote] and don\[CloseCurlyQuote]t trust \
\[OpenCurlyDoubleQuote]r and i\[CloseCurlyDoubleQuote].  So dc/dt  is fixed \
in accordance to the real data.\nIf \[Gamma] changes with this condition, \
only the i/r ratio will change\:ff0e\n\nFor more detailed information , \
please visit my site and check part1~part3. \nBut they are written in \
Japanese. (^_^;)",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]]
}], "Text",
 CellChangeTimes->{{3.7980222058284273`*^9, 3.798022253196719*^9}, {
   3.79802248552918*^9, 3.798022561553814*^9}, {3.798022664787541*^9, 
   3.798022863593828*^9}, {3.7980229301587906`*^9, 3.798023069108181*^9}, 
   3.7980230996231794`*^9, {3.798023201334936*^9, 3.7980232146709213`*^9}, {
   3.798023254056241*^9, 3.798023263497602*^9}, {3.7980233142015004`*^9, 
   3.798023326567167*^9}, {3.7980233669855785`*^9, 3.798023447406454*^9}, {
   3.798023577546491*^9, 3.7980237804837337`*^9}, {3.7980240271260757`*^9, 
   3.798024060447951*^9}, {3.798069550351421*^9, 3.798069571590005*^9}, {
   3.7980696776859083`*^9, 3.7980696823896065`*^9}, {3.798072734666258*^9, 
   3.798072871310509*^9}, {3.7980729177869797`*^9, 3.798072919490178*^9}, {
   3.7980729903605576`*^9, 3.798072992095228*^9}, {3.79807365404827*^9, 
   3.7980738393205037`*^9}, {3.7980740469265666`*^9, 3.798074082777789*^9}, {
   3.798074118657404*^9, 3.7980741916704097`*^9}, {3.7980849689101744`*^9, 
   3.7980851738121567`*^9}, {3.798085242498332*^9, 3.7980852875536356`*^9}, {
   3.7980853306679587`*^9, 3.798085358410264*^9}, {3.798085415938613*^9, 
   3.798085429035094*^9}, {3.798088210334685*^9, 3.7980882211348953`*^9}, {
   3.7981743075420914`*^9, 3.798174334181937*^9}, {3.7981758731031003`*^9, 
   3.7981759757859435`*^9}, {3.7981761391839495`*^9, 3.7981761406685944`*^9}, 
   3.798176366448681*^9, 3.7981851794469566`*^9, 3.7981852379466844`*^9, {
   3.798186109622944*^9, 3.7981861472381487`*^9}, {3.7981863012847104`*^9, 
   3.7981863222410336`*^9}, {3.7981863662535872`*^9, 
   3.7981864350915446`*^9}, {3.798186607552781*^9, 3.7981869174431868`*^9}, {
   3.7981869480766582`*^9, 3.7981869752379255`*^9}, {3.7981871856584835`*^9, 
   3.7981872223182364`*^9}, {3.7981872653882093`*^9, 3.798187596048005*^9}, {
   3.7981876502489214`*^9, 3.7981877947082934`*^9}, {3.7981887795206327`*^9, 
   3.798188834544118*^9}, {3.798213253544176*^9, 3.798213257891556*^9}, {
   3.798213324103404*^9, 3.798213329209407*^9}, {3.798260349061021*^9, 
   3.7982604352720385`*^9}, {3.7982604699704094`*^9, 
   3.7982604705172443`*^9}, {3.79826053942719*^9, 3.7982605707779455`*^9}, {
   3.7983288508445807`*^9, 3.798328913432931*^9}, {3.798329003535495*^9, 
   3.79832901125541*^9}, {3.7983316840222*^9, 3.7983317584782276`*^9}, {
   3.7983317891573105`*^9, 3.7983317924075637`*^9}, {3.7983354111148543`*^9, 
   3.798335496848797*^9}, {3.7983524482297287`*^9, 3.7983527475135927`*^9}, {
   3.798359143612589*^9, 3.798359181266778*^9}, {3.798551574744096*^9, 
   3.798551644306057*^9}, {3.7985516765672307`*^9, 3.7985517335146875`*^9}, {
   3.798551768055666*^9, 3.7985518846723113`*^9}, {3.798683897294312*^9, 
   3.798683916016291*^9}, {3.798705265446061*^9, 3.798706516994355*^9}, {
   3.7987067283700542`*^9, 3.798707036733738*^9}, {3.7987070717247276`*^9, 
   3.7987072031110835`*^9}, {3.7987072505112514`*^9, 3.798707317325058*^9}, {
   3.7987073486498847`*^9, 3.798707525089061*^9}, {3.7987075792088585`*^9, 
   3.7987077667546215`*^9}, {3.798707840250759*^9, 3.7987080144457235`*^9}, {
   3.7987081504560566`*^9, 3.7987081900730667`*^9}, {3.798768424692566*^9, 
   3.798768452309122*^9}, {3.7987721373753843`*^9, 3.79877214017255*^9}, 
   3.798793006583473*^9, {3.7988642952300434`*^9, 3.7988643039967585`*^9}, {
   3.798872518047366*^9, 3.7988725359476666`*^9}, {3.7988725966595407`*^9, 
   3.798872758235429*^9}, {3.7989372304505825`*^9, 3.7989373327102013`*^9}, {
   3.7989373667329054`*^9, 3.79893738357852*^9}, {3.799725041147699*^9, 
   3.799725042066171*^9}, {3.7997256967640376`*^9, 3.799725697433667*^9}, {
   3.7997272049823737`*^9, 
   3.7997272108620043`*^9}},ExpressionUUID->"73f4bc40-7adf-4647-a516-\
ca76452375ac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hyperlink", "[", 
  RowBox[{
   RowBox[{"Style", "[", 
    RowBox[{"\"\<Check part2&3\>\"", ",", "Bold", ",", "Larger"}], "]"}], ",", 
   RowBox[{
   "URL", "[", 
    "\"\<https://www.mixedmoss.com/miscellaneous/MathematicaSIRModel/index.\
html\>\"", "]"}]}], "]"}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.7987681068953857`*^9, 3.798768111568905*^9}, {
  3.79876814837363*^9, 3.79876815442328*^9}, {3.7987929563880777`*^9, 
  3.798792988013625*^9}},
 CellID->546921783,ExpressionUUID->"866815ff-2754-4509-a154-aba350d5cea9"],

Cell[BoxData[
 TagBox[
  ButtonBox[
   PaneSelectorBox[{False->
    StyleBox["\<\"Check part2&3\"\>",
     StripOnInput->False,
     FontSize->Larger,
     FontWeight->Bold], True->
    StyleBox[
     StyleBox["\<\"Check part2&3\"\>",
      StripOnInput->False,
      FontSize->Larger,
      FontWeight->Bold], "HyperlinkActive"]}, Dynamic[
     CurrentValue["MouseOver"]],
    BaseStyle->{"Hyperlink"},
    FrameMargins->0,
    ImageSize->Automatic],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["https://www.mixedmoss.com/miscellaneous/MathematicaSIRModel/index.\
html"], None},
   ButtonNote->
    "https://www.mixedmoss.com/miscellaneous/MathematicaSIRModel/index.html"],
  Annotation[#, 
   URL["https://www.mixedmoss.com/miscellaneous/MathematicaSIRModel/index.\
html"], "Hyperlink"]& ]], "Output",
 CellChangeTimes->{{3.7987680890036397`*^9, 3.798768114772399*^9}, 
   3.7987681559077415`*^9, 3.798792989423668*^9, {3.7989424819673085`*^9, 
   3.7989424928924966`*^9}, 
   3.7997375340716324`*^9},ExpressionUUID->"887376e4-575b-4128-9eab-\
bddbbf1247e2"]
}, Open  ]],

Cell[TextData[{
 StyleBox["\nData is downloaded from GitHub(Johns Hopkins uni)\:ff0e As in \
SIR model, recovered includes deaths.\nChina is divided to three parts; \
\"Hong Kong+Hubei+Others\"\:ff0e\nTaiwan has too few confirmed cases for \
calculating Rt\:ff0e\n\nValues of ",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "t"], TraditionalForm]],
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5],ExpressionUUID->
  "b9a5822f-9f43-4084-a649-5717fe8fa9c5"],
 StyleBox[",s,i,r of the latest date and the latest date itself can be seen \
as  tooltips. \n\nThe program is  fairly heavy because it solves differential \
equations (ODE)\:ff0e\nTherefor I couldn't use the slider for \[Gamma]\:ff0e \
Instead I had to use PopupMenu\:ff0e\n\nHave a good day.\n",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 StyleBox["\n",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0, 1]],
 StyleBox["\n",
  FontWeight->"Bold",
  FontColor->GrayLevel[0.5]],
 StyleBox["\n",
  FontWeight->"Bold",
  FontColor->RGBColor[0, 0, 1]]
}], "Text",
 CellChangeTimes->{{3.7980222058284273`*^9, 3.798022253196719*^9}, {
   3.79802248552918*^9, 3.798022561553814*^9}, {3.798022664787541*^9, 
   3.798022863593828*^9}, {3.7980229301587906`*^9, 3.798023069108181*^9}, 
   3.7980230996231794`*^9, {3.798023201334936*^9, 3.7980232146709213`*^9}, {
   3.798023254056241*^9, 3.798023263497602*^9}, {3.7980233142015004`*^9, 
   3.798023326567167*^9}, {3.7980233669855785`*^9, 3.798023447406454*^9}, {
   3.798023577546491*^9, 3.7980237804837337`*^9}, {3.7980240271260757`*^9, 
   3.798024060447951*^9}, {3.798069550351421*^9, 3.798069571590005*^9}, {
   3.7980696776859083`*^9, 3.7980696823896065`*^9}, {3.798072734666258*^9, 
   3.798072871310509*^9}, {3.7980729177869797`*^9, 3.798072919490178*^9}, {
   3.7980729903605576`*^9, 3.798072992095228*^9}, {3.79807365404827*^9, 
   3.7980738393205037`*^9}, {3.7980740469265666`*^9, 3.798074082777789*^9}, {
   3.798074118657404*^9, 3.7980741916704097`*^9}, {3.7980849689101744`*^9, 
   3.7980851738121567`*^9}, {3.798085242498332*^9, 3.7980852875536356`*^9}, {
   3.7980853306679587`*^9, 3.798085358410264*^9}, {3.798085415938613*^9, 
   3.798085429035094*^9}, {3.798088210334685*^9, 3.7980882211348953`*^9}, {
   3.7981743075420914`*^9, 3.798174334181937*^9}, {3.7981758731031003`*^9, 
   3.7981759757859435`*^9}, {3.7981761391839495`*^9, 3.7981761406685944`*^9}, 
   3.798176366448681*^9, 3.7981851794469566`*^9, 3.7981852379466844`*^9, {
   3.798186109622944*^9, 3.7981861472381487`*^9}, {3.7981863012847104`*^9, 
   3.7981863222410336`*^9}, {3.7981863662535872`*^9, 
   3.7981864350915446`*^9}, {3.798186607552781*^9, 3.7981869174431868`*^9}, {
   3.7981869480766582`*^9, 3.7981869752379255`*^9}, {3.7981871856584835`*^9, 
   3.7981872223182364`*^9}, {3.7981872653882093`*^9, 3.798187596048005*^9}, {
   3.7981876502489214`*^9, 3.7981877947082934`*^9}, {3.7981887795206327`*^9, 
   3.798188834544118*^9}, {3.798213253544176*^9, 3.798213257891556*^9}, {
   3.798213324103404*^9, 3.798213329209407*^9}, {3.798260349061021*^9, 
   3.7982604352720385`*^9}, {3.7982604699704094`*^9, 
   3.7982604705172443`*^9}, {3.79826053942719*^9, 3.7982605707779455`*^9}, {
   3.7983288508445807`*^9, 3.798328913432931*^9}, {3.798329003535495*^9, 
   3.79832901125541*^9}, {3.7983316840222*^9, 3.7983317584782276`*^9}, {
   3.7983317891573105`*^9, 3.7983317924075637`*^9}, {3.7983354111148543`*^9, 
   3.798335496848797*^9}, {3.7983524482297287`*^9, 3.7983527475135927`*^9}, {
   3.798359143612589*^9, 3.798359181266778*^9}, {3.798551574744096*^9, 
   3.798551644306057*^9}, {3.7985516765672307`*^9, 3.7985517335146875`*^9}, {
   3.798551768055666*^9, 3.7985518846723113`*^9}, {3.798683897294312*^9, 
   3.798683916016291*^9}, {3.798705265446061*^9, 3.798706516994355*^9}, {
   3.7987067283700542`*^9, 3.798707036733738*^9}, {3.7987070717247276`*^9, 
   3.7987072031110835`*^9}, {3.7987072505112514`*^9, 3.798707317325058*^9}, {
   3.7987073486498847`*^9, 3.798707525089061*^9}, {3.7987075792088585`*^9, 
   3.7987077667546215`*^9}, {3.798707840250759*^9, 3.7987080144457235`*^9}, {
   3.7987081504560566`*^9, 3.7987081900730667`*^9}, {3.7987684280229034`*^9, 
   3.7987684571378117`*^9}, {3.798788170849373*^9, 3.7987882201370263`*^9}, {
   3.7987882653658533`*^9, 3.798788313265478*^9}, 3.7987930123738036`*^9, 
   3.7989372107265387`*^9},ExpressionUUID->"24cf3fcf-e732-44e9-bda1-\
60a3ce4156d7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Epidemic curve & ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "t"], TraditionalForm]],ExpressionUUID->
  "9ae96579-42bc-435c-8091-6ffaa793c60b"],
 " / \[Gamma]  curve "
}], "Subchapter",
 CellChangeTimes->{
  3.798185007573067*^9, {3.7981850458716373`*^9, 3.7981851305000806`*^9}, {
   3.798185289774167*^9, 3.7981854075661488`*^9}, 3.798185924746383*^9, 
   3.798186030492631*^9, {3.7982601821904235`*^9, 3.798260201196514*^9}, {
   3.798683802639268*^9, 3.7986838728538713`*^9}, {3.7986936636330338`*^9, 
   3.798693700094287*^9}, {3.798847766361415*^9, 3.798847781472574*^9}},
 FontColor->RGBColor[
  0.5, 0, 0.5],ExpressionUUID->"f957571d-5e2e-4be7-b10b-a2e10462e056"],

Cell[TextData[{
 StyleBox["It may take  10~15 seconds when you start with CDF player.  After \
initializing, it takes much less.  (Mathematica is much faster.)",
  FontColor->RGBColor[0, 0, 1]],
 "\n It downloads from GitHub(Johns Hopkins uni)\:ff0cthus a warning (\
\[OpenCurlyDoubleQuote]Enable dynamic features\[CloseCurlyDoubleQuote]) may \
appear.\nTo magnify the images, click on them and drag the rectangle frame\
\:ff0cor change the magnifying ratio at the bottom right."
}], "Text",
 CellChangeTimes->{{3.7986839103908763`*^9, 3.7986839263644524`*^9}, {
  3.7986840517382607`*^9, 3.798684060428443*^9}, {3.798693718803506*^9, 
  3.798693851881894*^9}, {3.79869392900518*^9, 3.7986941173672314`*^9}, {
  3.7986942406795444`*^9, 3.798694493759105*^9}, {3.798771799606125*^9, 
  3.7987718333319817`*^9}},ExpressionUUID->"bcdd8fa9-1d5a-4492-ac69-\
ff9a815a86d3"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`country$$ = 
    "World", $CellContext`hide\[Gamma]$$ = True, $CellContext`linear$$ = 
    True, $CellContext`noODE$$ = False, $CellContext`\[Gamma]$$ = 0.05, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`linear$$], True, "Plot Mode"}, {
      True -> "Linear", False -> "Log"}}, {{
       Hold[$CellContext`noODE$$], True, 
       Style["Solutions of ODE", Smaller]}, {
      True -> "Hide", False -> "Show"}}, {{
       Hold[$CellContext`hide\[Gamma]$$], True, 
       Style["Right box curve", Smaller]}, {
      True -> "\!\(\*SubscriptBox[\(R\), \(t\)]\) ", False -> 
       "\!\(\*SubscriptBox[\(\[Gamma]\), \(t\)]\)  "}}, {{
       Hold[$CellContext`\[Gamma]$$], 0.05}, CompressedData["
1:eJwtkwlIlFEUhSeRiJAoCzGLSAsxJEQioo3TSplFahESESIFtlBWEmYSmZXt
pamZaamjjuM+4zibjv7/KGIGYSVISIRElJWUmZSZ0HtvzoOfYf65795zvnMn
NPl0wtEZBoOhUDz/zGOv9yTHwfeZhL+XjrenPUzh91RcXNC4Yzgjje/TcWEk
PHpWfSZ/v4wN7/fefXTqCuuuwh0T4BeZc531N7DO1nu+49kt3rsD55JrX+Od
93j/AUq6lzafTcllnzwMTaqL7JePRVHvls/MKmDfQhw8sl5Wsn8Rih+rwznF
ePvy974PVU84rwQL/Q/MWWkt5dynSFyrCjm/DLvX3Nyc9LGMOsrxLV5WllNP
BW6f/DRlHqugLiMic4LECCP1VeJF+Xb7+HQldVbhhFAV7F9NvdWYPWhM3Tjb
RN0m1Mqxc2uovwa7ZFmQmT7M+CJlL66ln1pIdf1hdfRVhxWH7nsnIurprx7P
RVVIVAN9NuBY7mgmVjfSbyNEMzG6ib6bsF/AEVbpvxmVQt2gsZkcmvFreiB9
JNxCHhZsUwAs5GJBfrAaRD5W+NpZycmKVeq0kFcLsrU+QaiF3FrwRrgXWsjP
hmWq0EaONpxLkQZaybMVXRMRwnErudox39eQfO1Q3Xrt5OyAtfS7qSfWQd4O
+KnBDnJ3IsEHhvydqJBjB5zMwYWfsizRxTxc2CLxD7mYixt5Eu9hN/NxYzhD
GnEzpzZEK+BtzKsNWQVbBZo25taOV2HKMPNrR6jc/tF25ujBGRlHqod5eqBL
t+Me5tqBeb4gmW8HlLzJDubcCdUus5N5d8KgjsbcNdT0xIqkNeavIU6kGJit
cQ80/JH/nm6N+6ChLEQGoXMvdOxUhnXuh44fJtlQ557oKJLd+nTui45NAlZM
gJd748XnKTnYy/3xQlIRaLhHXqix/V7ukxeqLLCLe9WF/8ryU1A=
      "]}, {{
       Hold[$CellContext`country$$], "Japan"}, {
      "Afghanistan", "Albania", "Algeria", "Argentina", "Armenia", 
       "Australia", "Austria", "Azerbaijan", "Bahrain", "Bangladesh", 
       "Belarus", "Belgium", "Bolivia", "Bosnia and Herzegovina", "Brazil", 
       "Bulgaria", "Cameroon", "Canada", "Chile", "China(Hubei)", 
       "China(Others)", "Colombia", "Congo (Kinshasa)", "Costa Rica", 
       "Cote d'Ivoire", "Croatia", "Cuba", "Czechia", "Denmark", "Djibouti", 
       "Dominican Republic", "Ecuador", "Egypt", "El Salvador", "Estonia", 
       "Finland", "France", "Gabon", "Germany", "Ghana", "Greece", 
       "Guatemala", "Guinea", "Honduras", "Hong Kong", "Hungary", "Iceland", 
       "India", "Indonesia", "Iran", "Iraq", "Ireland", "Israel", "Italy", 
       "Japan", "Kazakhstan", "Kenya", "Korea, South", "Kosovo", "Kuwait", 
       "Kyrgyzstan", "Latvia", "Lebanon", "Lithuania", "Luxembourg", 
       "Malaysia", "Mali", "Mexico", "Moldova", "Morocco", "New Zealand", 
       "Nigeria", "North Macedonia", "Norway", "Oman", "Pakistan", "Panama", 
       "Peru", "Philippines", "Poland", "Portugal", "Qatar", "Romania", 
       "Russia", "Saudi Arabia", "Senegal", "Serbia", "Singapore", "Slovakia",
        "Slovenia", "Somalia", "South Africa", "Spain", "Sri Lanka", "Sudan", 
       "Sweden", "Switzerland", "Tajikistan", "Thailand", "Tunisia", "Turkey",
        "Ukraine", "United Arab Emirates", "United Kingdom", "US", 
       "Uzbekistan", "Venezuela", "Zambia", "World"}}}, Typeset`size$$ = {
    1169., {178., 187.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`linear$86209$$ = 
    False, $CellContext`noODE$86210$$ = 
    False, $CellContext`hide\[Gamma]$86211$$ = 
    False, $CellContext`\[Gamma]$86212$$ = 0, $CellContext`country$86213$$ = 
    0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`country$$ = 
        "Japan", $CellContext`hide\[Gamma]$$ = True, $CellContext`linear$$ = 
        True, $CellContext`noODE$$ = True, $CellContext`\[Gamma]$$ = 0.05}, 
      "ControllerVariables" :> {
        Hold[$CellContext`linear$$, $CellContext`linear$86209$$, False], 
        Hold[$CellContext`noODE$$, $CellContext`noODE$86210$$, False], 
        Hold[$CellContext`hide\[Gamma]$$, $CellContext`hide\[Gamma]$86211$$, 
         False], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$86212$$, 0], 
        Hold[$CellContext`country$$, $CellContext`country$86213$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`showGlobalRtE[1 + Boole[
          Not[$CellContext`noODE$$]] + 2 Boole[
           Not[$CellContext`linear$$]] + 4 Boole[
           
           Not[$CellContext`hide\[Gamma]$$]], $CellContext`\[Gamma]$$, \
$CellContext`country$$], 
      "Specifications" :> {{{$CellContext`linear$$, True, "Plot Mode"}, {
         True -> "Linear", False -> "Log"}, ControlType -> 
         RadioButton}, {{$CellContext`noODE$$, True, 
          Style["Solutions of ODE", Smaller]}, {
         True -> "Hide", False -> "Show"}, ControlType -> 
         RadioButton}, {{$CellContext`hide\[Gamma]$$, True, 
          Style["Right box curve", Smaller]}, {
         True -> "\!\(\*SubscriptBox[\(R\), \(t\)]\) ", False -> 
          "\!\(\*SubscriptBox[\(\[Gamma]\), \(t\)]\)  "}, ControlType -> 
         RadioButton}, {{$CellContext`\[Gamma]$$, 0.05}, CompressedData["
1:eJwtkwlIlFEUhSeRiJAoCzGLSAsxJEQioo3TSplFahESESIFtlBWEmYSmZXt
pamZaamjjuM+4zibjv7/KGIGYSVISIRElJWUmZSZ0HtvzoOfYf65795zvnMn
NPl0wtEZBoOhUDz/zGOv9yTHwfeZhL+XjrenPUzh91RcXNC4Yzgjje/TcWEk
PHpWfSZ/v4wN7/fefXTqCuuuwh0T4BeZc531N7DO1nu+49kt3rsD55JrX+Od
93j/AUq6lzafTcllnzwMTaqL7JePRVHvls/MKmDfQhw8sl5Wsn8Rih+rwznF
ePvy974PVU84rwQL/Q/MWWkt5dynSFyrCjm/DLvX3Nyc9LGMOsrxLV5WllNP
BW6f/DRlHqugLiMic4LECCP1VeJF+Xb7+HQldVbhhFAV7F9NvdWYPWhM3Tjb
RN0m1Mqxc2uovwa7ZFmQmT7M+CJlL66ln1pIdf1hdfRVhxWH7nsnIurprx7P
RVVIVAN9NuBY7mgmVjfSbyNEMzG6ib6bsF/AEVbpvxmVQt2gsZkcmvFreiB9
JNxCHhZsUwAs5GJBfrAaRD5W+NpZycmKVeq0kFcLsrU+QaiF3FrwRrgXWsjP
hmWq0EaONpxLkQZaybMVXRMRwnErudox39eQfO1Q3Xrt5OyAtfS7qSfWQd4O
+KnBDnJ3IsEHhvydqJBjB5zMwYWfsizRxTxc2CLxD7mYixt5Eu9hN/NxYzhD
GnEzpzZEK+BtzKsNWQVbBZo25taOV2HKMPNrR6jc/tF25ujBGRlHqod5eqBL
t+Me5tqBeb4gmW8HlLzJDubcCdUus5N5d8KgjsbcNdT0xIqkNeavIU6kGJit
cQ80/JH/nm6N+6ChLEQGoXMvdOxUhnXuh44fJtlQ557oKJLd+nTui45NAlZM
gJd748XnKTnYy/3xQlIRaLhHXqix/V7ukxeqLLCLe9WF/8ryU1A=
         "]}, {{$CellContext`country$$, "Japan"}, {
         "Afghanistan", "Albania", "Algeria", "Argentina", "Armenia", 
          "Australia", "Austria", "Azerbaijan", "Bahrain", "Bangladesh", 
          "Belarus", "Belgium", "Bolivia", "Bosnia and Herzegovina", "Brazil",
           "Bulgaria", "Cameroon", "Canada", "Chile", "China(Hubei)", 
          "China(Others)", "Colombia", "Congo (Kinshasa)", "Costa Rica", 
          "Cote d'Ivoire", "Croatia", "Cuba", "Czechia", "Denmark", 
          "Djibouti", "Dominican Republic", "Ecuador", "Egypt", "El Salvador",
           "Estonia", "Finland", "France", "Gabon", "Germany", "Ghana", 
          "Greece", "Guatemala", "Guinea", "Honduras", "Hong Kong", "Hungary",
           "Iceland", "India", "Indonesia", "Iran", "Iraq", "Ireland", 
          "Israel", "Italy", "Japan", "Kazakhstan", "Kenya", "Korea, South", 
          "Kosovo", "Kuwait", "Kyrgyzstan", "Latvia", "Lebanon", "Lithuania", 
          "Luxembourg", "Malaysia", "Mali", "Mexico", "Moldova", "Morocco", 
          "New Zealand", "Nigeria", "North Macedonia", "Norway", "Oman", 
          "Pakistan", "Panama", "Peru", "Philippines", "Poland", "Portugal", 
          "Qatar", "Romania", "Russia", "Saudi Arabia", "Senegal", "Serbia", 
          "Singapore", "Slovakia", "Slovenia", "Somalia", "South Africa", 
          "Spain", "Sri Lanka", "Sudan", "Sweden", "Switzerland", 
          "Tajikistan", "Thailand", "Tunisia", "Turkey", "Ukraine", 
          "United Arab Emirates", "United Kingdom", "US", "Uzbekistan", 
          "Venezuela", "Zambia", "World"}}}, 
      "Options" :> {
       FrameLabel -> 
        "Epidemic and \!\(\*\nStyleBox[SubscriptBox[\"R\", \"t\"],\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"/\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"\[Gamma]\",\nFontSlant->\"Italic\"]\) curves with Mathematica \
"}, "DefaultOptions" :> {}],
     ImageSizeCache->{1241., {347., 356.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`showGlobalRtE[
         Optional[
          Pattern[$CellContext`mode, 
           Blank[Integer]], 0], 
         Pattern[$CellContext`gamma, 
          Blank[]], 
         Pattern[$CellContext`nation, 
          Blank[String]]] := 
       Module[{$CellContext`day1, $CellContext`dayl, $CellContext`dates0, \
$CellContext`dates, $CellContext`dayInfLess50, $CellContext`cases0, \
$CellContext`deaths0, $CellContext`cases, $CellContext`rec, \
$CellContext`deaths, $CellContext`rec0, $CellContext`inf0, $CellContext`inf, \
$CellContext`haba, $CellContext`period, $CellContext`breaks, $CellContext`mr, \
$CellContext`mc, $CellContext`sol, $CellContext`\[Gamma]culculated, \
$CellContext`rtTable, $CellContext`dayInfLess10, $CellContext`rtFit, \
$CellContext`\[Gamma]Fit, $CellContext`\[Gamma]TL, \
$CellContext`\[Gamma]Curve, $CellContext`csolTL, $CellContext`isolTL, \
$CellContext`rsolTL, $CellContext`constTL, $CellContext`rtTL, \
$CellContext`rtCurve, $CellContext`caseTL, $CellContext`recTL, \
$CellContext`deathsTL, $CellContext`infTL, $CellContext`myPlot, \
$CellContext`plotmode, $CellContext`cir, $CellContext`cirsol, \
$CellContext`cc, $CellContext`ii, $CellContext`rr}, $CellContext`dates0 = \
$CellContext`datesGlobal; $CellContext`cases0 = Apply[Plus, 
            Map[Drop[#, 4]& , 
             
             Select[$CellContext`casesGlobal, 
              Part[#, 2] == $CellContext`nation& ]]]; $CellContext`rec0 = 
          Apply[Plus, 
             Map[Drop[#, 4]& , 
              
              Select[$CellContext`recGlobal, 
               Part[#, 2] == $CellContext`nation& ]]] + Apply[Plus, 
             Map[Drop[#, 4]& , 
              
              Select[$CellContext`deathsGlobal, 
               Part[#, 2] == $CellContext`nation& ]]]; $CellContext`deaths0 = 
          Apply[Plus, 
            Map[Drop[#, 4]& , 
             
             Select[$CellContext`deathsGlobal, 
              Part[#, 2] == $CellContext`nation& ]]]; $CellContext`inf0 = \
$CellContext`cases0 - $CellContext`rec0; $CellContext`day1 = First[
            FirstPosition[$CellContext`rec0 - 30, 
             PatternTest[
              Blank[], Positive]]]; $CellContext`dayInfLess10 = Flatten[
            Position[$CellContext`inf0 - 10, 
             PatternTest[
              Blank[], Negative]]]; $CellContext`dayl = 
          Min[Select[$CellContext`dayInfLess10, # > $CellContext`day1& ] - 1, 
            Length[$CellContext`cases0]]; $CellContext`dates = 
          Take[$CellContext`dates0, {$CellContext`day1, $CellContext`dayl}]; \
$CellContext`cases = 
          Take[$CellContext`cases0, {$CellContext`day1, $CellContext`dayl}]; \
$CellContext`deaths = 
          Take[$CellContext`deaths0, {$CellContext`day1, $CellContext`dayl}]; \
$CellContext`rec = 
          Take[$CellContext`rec0, {$CellContext`day1, $CellContext`dayl}]; \
$CellContext`inf = $CellContext`cases - $CellContext`rec; $CellContext`period = 
          Length[$CellContext`cases]; $CellContext`haba = 
          5; $CellContext`breaks = Append[$CellContext`period][
            Table[
            1 + $CellContext`haba $CellContext`k, {$CellContext`k, 
              0, ($CellContext`period - 1)/$CellContext`haba - 
              1}]]; $CellContext`mc[
            Pattern[$CellContext`t, 
             Blank[]]] = $CellContext`multislope[
            Log[$CellContext`cases], $CellContext`breaks]; $CellContext`mr[
            Pattern[$CellContext`t, 
             Blank[]]] = $CellContext`multislope[
            
            Log[$CellContext`rec], $CellContext`breaks]; \
$CellContext`\[Gamma]culculated = Round[
            TrimmedMean[($CellContext`rec/$CellContext`inf) Table[
               $CellContext`mr[$CellContext`t], {$CellContext`t, 
                1, $CellContext`period}], {0.1, 0.1}], 
            0.0001]; $CellContext`sol = 
          NDSolve[{
            Derivative[
              1][$CellContext`i][$CellContext`t] == \
($CellContext`i[$CellContext`t] + $CellContext`r[$CellContext`t]) \
$CellContext`mc[$CellContext`t] - $CellContext`gamma \
$CellContext`i[$CellContext`t], 
             Derivative[
              1][$CellContext`r][$CellContext`t] == $CellContext`gamma \
$CellContext`i[$CellContext`t], $CellContext`i[1] == 
             Part[$CellContext`inf, 1], $CellContext`r[1] == 
             Part[$CellContext`rec, 
               1]}, {$CellContext`i, $CellContext`r}, {$CellContext`t, 
             1, $CellContext`period}]; $CellContext`ii = Evaluate[
            ReplaceAll[
             $CellContext`i[$CellContext`t], $CellContext`sol]]; \
$CellContext`rr = Evaluate[
            ReplaceAll[
             $CellContext`r[$CellContext`t], $CellContext`sol]]; \
$CellContext`cc = $CellContext`ii + $CellContext`rr; $CellContext`rtTable := 
          First[
            Transpose[
             
             Table[$CellContext`mc[$CellContext`t] ($CellContext`cc \
$CellContext`ii^(-1)/$CellContext`gamma), {$CellContext`t, 
               1, $CellContext`period}]]]; $CellContext`rtFit := Evaluate[
            Fit[$CellContext`rtTable, 
             Table[$CellContext`t^$CellContext`k, {$CellContext`k, 1, 
               
               Floor[$CellContext`period/
                4]}], $CellContext`t]]; $CellContext`rtTL := Quiet[
            Tooltip[
             TimeSeries[
              
              Table[$CellContext`rtFit, {$CellContext`t, 
                1, $CellContext`period}], {$CellContext`dates}], 
             "\!\(\*SubscriptBox[\(R\), \(t\)]\)"]]; $CellContext`rtCurve := 
          DateListPlot[{$CellContext`rtTL, $CellContext`constTL}, 
            PlotStyle -> {Line, Dashed}, PlotLabel -> 
            StringJoin[$CellContext`nation, 
              
              ": \!\(\*SubscriptBox[\(R\), \(t\)]\) , \!\(\*SubscriptBox[\(\
\[Gamma]\), \(input\)]\)=", 
              ToString[$CellContext`gamma], 
              ",  \!\(\*OverscriptBox[SubscriptBox[\(\[Gamma]\), \(t\)], \
\(_\)]\)=", 
              ToString[$CellContext`\[Gamma]culculated]], Epilog -> {
              Lighter[Purple], 
              PointSize[Small], 
              Tooltip[
               Point[{
                 Last[$CellContext`dates], 
                 Last[$CellContext`rtTable]}], 
               ToString[
                Round[
                 Last[$CellContext`rtTable], 0.1]]], White, 
              PointSize[Medium], 
              Tooltip[
               Point[{
                 Last[$CellContext`dates], 0}], 
               ToString[
                Last[$CellContext`dates]]]}, ImageSize -> 
            350]; $CellContext`\[Gamma]Fit := Evaluate[
            Fit[($CellContext`rec/$CellContext`inf) Table[
               $CellContext`mr[$CellContext`t], {$CellContext`t, 
                1, $CellContext`period}], 
             Table[$CellContext`t^$CellContext`k, {$CellContext`k, 1, 
               
               Floor[$CellContext`period/
                4]}], $CellContext`t]]; $CellContext`\[Gamma]TL := Quiet[
            Tooltip[
             TimeSeries[
              
              Table[$CellContext`\[Gamma]Fit, {$CellContext`t, 
                1 $CellContext`period}], {$CellContext`dates}], 
             "\!\(\*SubscriptBox[\(\[Gamma]\), \(t\)]\) from data"]]; \
$CellContext`\[Gamma]Curve := 
          DateListPlot[$CellContext`\[Gamma]TL, PlotLabel -> 
            StringJoin[$CellContext`nation, 
              ": \!\(\*SubscriptBox[\(\[Gamma]\), \(t\)]\) from data,   \
\!\(\*OverscriptBox[SubscriptBox[\(\[Gamma]\), \(t\)], \(_\)]\)=", 
              ToString[$CellContext`\[Gamma]culculated]], ImageSize -> 330, 
            PlotRange -> All]; $CellContext`csolTL := Quiet[
            Tooltip[
             TimeSeries[
              
              Table[$CellContext`cc, {$CellContext`t, 
                1, $CellContext`period}], {$CellContext`dates}], 
             "Confirmed Cases"]]; $CellContext`isolTL := Quiet[
            Tooltip[
             TimeSeries[
              
              Table[$CellContext`ii, {$CellContext`t, 
                1, $CellContext`period}], {$CellContext`dates}], 
             "Active cases"]]; $CellContext`rsolTL := Quiet[
            Tooltip[
             TimeSeries[
              
              Table[$CellContext`rr, {$CellContext`t, 
                1, $CellContext`period}], {$CellContext`dates}], 
             "Recovered(including deaths)"]]; $CellContext`cirsol := \
$CellContext`myPlot[{$CellContext`csolTL, $CellContext`isolTL, \
$CellContext`rsolTL}, 
            PlotStyle -> {{Purple, Dashed}, {Red, Dashed}, {
              Gray, Dashed}}]; $CellContext`caseTL = Quiet[
            Tooltip[
             TimeSeries[$CellContext`cases, {$CellContext`dates}], 
             "Confirmed Cases"]]; $CellContext`infTL = Quiet[
            Tooltip[
             TimeSeries[$CellContext`inf, {$CellContext`dates}], 
             "Active cases"]]; $CellContext`recTL = Quiet[
            Tooltip[
             TimeSeries[$CellContext`rec, {$CellContext`dates}], 
             "Recovered(including deaths)"]]; $CellContext`constTL = Quiet[
            TimeSeries[
             Table[
             1, {$CellContext`period}], {$CellContext`dates}]]; \
$CellContext`cir := $CellContext`myPlot[{$CellContext`caseTL, \
$CellContext`infTL, $CellContext`recTL}, Null, 
            PlotStyle -> {Purple, Red, Gray}, Epilog -> {Purple, 
              PointSize[Small], 
              Tooltip[
               Point[{
                 Last[$CellContext`dates], 
                 Last[$CellContext`cases]}], 
               ToString[
                Last[$CellContext`cases]]], Red, 
              Tooltip[
               Point[{
                 Last[$CellContext`dates], 
                 Last[$CellContext`inf]}], 
               ToString[
                Last[$CellContext`inf]]], Gray, 
              Tooltip[
               Point[{
                 Last[$CellContext`dates], 
                 Last[$CellContext`rec]}], 
               ToString[
                Last[$CellContext`rec]]], White, 
              PointSize[Medium], 
              Tooltip[
               Point[{
                 Last[$CellContext`dates], 0}], 
               ToString[
                Last[$CellContext`dates]]]}, PlotRange -> All, PlotLabel -> 
            StringJoin[
             "[", $CellContext`plotmode, 
              "] Line:Data, Dotted:Sol of ODE. \[CheckmarkedBox]ToolTip"]]; 
         Which[$CellContext`mode == 
           0, $CellContext`rtCurve, $CellContext`mode == 
           1, $CellContext`myPlot = DateListPlot; $CellContext`plotmode = 
            "Linear"; 
           GraphicsRow[{$CellContext`cir, $CellContext`rtCurve}], \
$CellContext`mode == 
           2, $CellContext`myPlot = DateListPlot; $CellContext`plotmode = 
            "Linear"; GraphicsRow[{
              
              Show[{$CellContext`cir, $CellContext`cirsol}], \
$CellContext`rtCurve}], $CellContext`mode == 
           3, $CellContext`myPlot = DateListLogPlot; $CellContext`plotmode = 
            "Log"; GraphicsRow[{$CellContext`cir, $CellContext`rtCurve}], \
$CellContext`mode == 
           4, $CellContext`myPlot = DateListLogPlot; $CellContext`plotmode = 
            "Log"; GraphicsRow[{
              
              Show[{$CellContext`cir, $CellContext`cirsol}], \
$CellContext`rtCurve}], $CellContext`mode == 
           5, $CellContext`myPlot = DateListPlot; $CellContext`plotmode = 
            "Linear"; 
           GraphicsRow[{$CellContext`cir, $CellContext`\[Gamma]Curve}], \
$CellContext`mode == 
           6, $CellContext`myPlot = DateListPlot; $CellContext`plotmode = 
            "Linear"; GraphicsRow[{
              
              Show[{$CellContext`cir, $CellContext`cirsol}], $CellContext`\
\[Gamma]Curve}], $CellContext`mode == 
           7, $CellContext`myPlot = DateListLogPlot; $CellContext`plotmode = 
            "Log"; GraphicsRow[{$CellContext`cir, \
$CellContext`\[Gamma]Curve}], $CellContext`mode == 
           8, $CellContext`myPlot = DateListLogPlot; $CellContext`plotmode = 
            "Log"; GraphicsRow[{
              
              Show[{$CellContext`cir, $CellContext`cirsol}], $CellContext`\
\[Gamma]Curve}]]], $CellContext`datesGlobal = {
        "1/22/20", "1/23/20", "1/24/20", "1/25/20", "1/26/20", "1/27/20", 
         "1/28/20", "1/29/20", "1/30/20", "1/31/20", "2/1/20", "2/2/20", 
         "2/3/20", "2/4/20", "2/5/20", "2/6/20", "2/7/20", "2/8/20", "2/9/20",
          "2/10/20", "2/11/20", "2/12/20", "2/13/20", "2/14/20", "2/15/20", 
         "2/16/20", "2/17/20", "2/18/20", "2/19/20", "2/20/20", "2/21/20", 
         "2/22/20", "2/23/20", "2/24/20", "2/25/20", "2/26/20", "2/27/20", 
         "2/28/20", "2/29/20", "3/1/20", "3/2/20", "3/3/20", "3/4/20", 
         "3/5/20", "3/6/20", "3/7/20", "3/8/20", "3/9/20", "3/10/20", 
         "3/11/20", "3/12/20", "3/13/20", "3/14/20", "3/15/20", "3/16/20", 
         "3/17/20", "3/18/20", "3/19/20", "3/20/20", "3/21/20", "3/22/20", 
         "3/23/20", "3/24/20", "3/25/20", "3/26/20", "3/27/20", "3/28/20", 
         "3/29/20", "3/30/20", "3/31/20", "4/1/20", "4/2/20", "4/3/20", 
         "4/4/20", "4/5/20", "4/6/20", "4/7/20", "4/8/20", "4/9/20", 
         "4/10/20", "4/11/20", "4/12/20", "4/13/20", "4/14/20", "4/15/20", 
         "4/16/20", "4/17/20", "4/18/20", "4/19/20", "4/20/20", "4/21/20", 
         "4/22/20", "4/23/20", "4/24/20", "4/25/20", "4/26/20", "4/27/20", 
         "4/28/20", "4/29/20", "4/30/20", "5/1/20", "5/2/20", "5/3/20", 
         "5/4/20", "5/5/20", "5/6/20", "5/7/20", "5/8/20", "5/9/20", 
         "5/10/20", "5/11/20", "5/12/20", "5/13/20", "5/14/20", "5/15/20", 
         "5/16/20", "5/17/20", "5/18/20", "5/19/20", "5/20/20", "5/21/20", 
         "5/22/20", "5/23/20", "5/24/20", "5/25/20", "5/26/20", "5/27/20", 
         "5/28/20"}, $CellContext`casesGlobal = {{
         "Province/State", "Country/Region", "Lat", "Long", "1/22/20", 
          "1/23/20", "1/24/20", "1/25/20", "1/26/20", "1/27/20", "1/28/20", 
          "1/29/20", "1/30/20", "1/31/20", "2/1/20", "2/2/20", "2/3/20", 
          "2/4/20", "2/5/20", "2/6/20", "2/7/20", "2/8/20", "2/9/20", 
          "2/10/20", "2/11/20", "2/12/20", "2/13/20", "2/14/20", "2/15/20", 
          "2/16/20", "2/17/20", "2/18/20", "2/19/20", "2/20/20", "2/21/20", 
          "2/22/20", "2/23/20", "2/24/20", "2/25/20", "2/26/20", "2/27/20", 
          "2/28/20", "2/29/20", "3/1/20", "3/2/20", "3/3/20", "3/4/20", 
          "3/5/20", "3/6/20", "3/7/20", "3/8/20", "3/9/20", "3/10/20", 
          "3/11/20", "3/12/20", "3/13/20", "3/14/20", "3/15/20", "3/16/20", 
          "3/17/20", "3/18/20", "3/19/20", "3/20/20", "3/21/20", "3/22/20", 
          "3/23/20", "3/24/20", "3/25/20", "3/26/20", "3/27/20", "3/28/20", 
          "3/29/20", "3/30/20", "3/31/20", "4/1/20", "4/2/20", "4/3/20", 
          "4/4/20", "4/5/20", "4/6/20", "4/7/20", "4/8/20", "4/9/20", 
          "4/10/20", "4/11/20", "4/12/20", "4/13/20", "4/14/20", "4/15/20", 
          "4/16/20", "4/17/20", "4/18/20", "4/19/20", "4/20/20", "4/21/20", 
          "4/22/20", "4/23/20", "4/24/20", "4/25/20", "4/26/20", "4/27/20", 
          "4/28/20", "4/29/20", "4/30/20", "5/1/20", "5/2/20", "5/3/20", 
          "5/4/20", "5/5/20", "5/6/20", "5/7/20", "5/8/20", "5/9/20", 
          "5/10/20", "5/11/20", "5/12/20", "5/13/20", "5/14/20", "5/15/20", 
          "5/16/20", "5/17/20", "5/18/20", "5/19/20", "5/20/20", "5/21/20", 
          "5/22/20", "5/23/20", "5/24/20", "5/25/20", "5/26/20", "5/27/20", 
          "5/28/20"}, {
         "", "Afghanistan", 33., 65., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 4, 4, 5, 7, 7, 7, 11, 16, 21, 22, 22,
           22, 24, 24, 40, 40, 74, 84, 94, 110, 110, 120, 170, 174, 237, 273, 
          281, 299, 349, 367, 423, 444, 484, 521, 555, 607, 665, 714, 784, 
          840, 906, 933, 996, 1026, 1092, 1176, 1279, 1351, 1463, 1531, 1703, 
          1828, 1939, 2171, 2335, 2469, 2704, 2894, 3224, 3392, 3563, 3778, 
          4033, 4402, 4687, 4963, 5226, 5639, 6053, 6402, 6664, 7072, 7653, 
          8145, 8676, 9216, 9998, 10582, 11173, 11831, 12456, 13036}, {
         "", "Albania", 41.1533, 20.1683, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 10, 12, 23, 33, 38, 42, 51, 
          55, 59, 64, 70, 76, 89, 104, 123, 146, 174, 186, 197, 212, 223, 243,
           259, 277, 304, 333, 361, 377, 383, 400, 409, 416, 433, 446, 467, 
          475, 494, 518, 539, 548, 562, 584, 609, 634, 663, 678, 712, 726, 
          736, 750, 766, 773, 782, 789, 795, 803, 820, 832, 842, 850, 856, 
          868, 872, 876, 880, 898, 916, 933, 946, 948, 949, 964, 969, 981, 
          989, 998, 1004, 1029, 1050, 1076}, {
         "", "Algeria", 28.0339, 1.6596, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 1, 3, 5, 12, 12, 17, 17, 19, 20, 20, 20, 24, 26, 37, 
          48, 54, 60, 74, 87, 90, 139, 201, 230, 264, 302, 367, 409, 454, 511,
           584, 716, 847, 986, 1171, 1251, 1320, 1423, 1468, 1572, 1666, 1761,
           1825, 1914, 1983, 2070, 2160, 2268, 2418, 2534, 2629, 2718, 2811, 
          2910, 3007, 3127, 3256, 3382, 3517, 3649, 3848, 4006, 4154, 4295, 
          4474, 4648, 4838, 4997, 5182, 5369, 5558, 5723, 5891, 6067, 6253, 
          6442, 6629, 6821, 7019, 7201, 7377, 7542, 7728, 7918, 8113, 8306, 
          8503, 8697, 8857, 8997}, {
         "", "Andorra", 42.5063, 1.5218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 39, 39,
           53, 75, 88, 113, 133, 164, 188, 224, 267, 308, 334, 370, 376, 390, 
          428, 439, 466, 501, 525, 545, 564, 583, 601, 601, 638, 646, 659, 
          673, 673, 696, 704, 713, 717, 717, 723, 723, 731, 738, 738, 743, 
          743, 743, 745, 745, 747, 748, 750, 751, 751, 752, 752, 754, 755, 
          755, 758, 760, 761, 761, 761, 761, 761, 761, 762, 762, 762, 762, 
          762, 763, 763, 763, 763}, {
         "", "Angola", -11.2027, 17.8739, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 2, 2, 3, 3, 3, 4, 4, 5, 7, 7, 7, 8, 8, 8, 10, 14, 16, 17, 19, 
          19, 19, 19, 19, 19, 19, 19, 19, 19, 24, 24, 24, 24, 25, 25, 25, 25, 
          26, 27, 27, 27, 27, 30, 35, 35, 35, 36, 36, 36, 43, 43, 45, 45, 45, 
          45, 48, 48, 48, 48, 50, 52, 52, 58, 60, 61, 69, 70, 70, 71, 74}, {
         "", "Antigua and Barbuda", 17.0608, -61.7964, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 9, 15, 15, 
          15, 15, 19, 19, 19, 19, 21, 21, 23, 23, 23, 23, 23, 23, 23, 23, 23, 
          24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 25, 25, 25, 25, 25, 25, 25, 
          25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 
          25, 25, 25}, {
         "", "Argentina", -38.4161, -63.6167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 8, 12, 12, 17, 19, 19, 31, 34, 
          45, 56, 68, 79, 97, 128, 158, 266, 301, 387, 387, 502, 589, 690, 
          745, 820, 1054, 1054, 1133, 1265, 1451, 1451, 1554, 1628, 1715, 
          1795, 1975, 1975, 2142, 2208, 2277, 2443, 2571, 2669, 2758, 2839, 
          2941, 3031, 3144, 3435, 3607, 3780, 3892, 4003, 4127, 4285, 4428, 
          4532, 4681, 4783, 4887, 5020, 5208, 5371, 5611, 5776, 6034, 6278, 
          6563, 6879, 7134, 7479, 7805, 8068, 8371, 8809, 9283, 9931, 10649, 
          11353, 12076, 12628, 13228, 13933, 14702}, {
         "", "Armenia", 40.0691, 45.0382, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 4, 8, 18, 26, 52, 78, 
          84, 115, 136, 160, 194, 235, 249, 265, 290, 329, 407, 424, 482, 532,
           571, 663, 736, 770, 822, 833, 853, 881, 921, 937, 967, 1013, 1039, 
          1067, 1111, 1159, 1201, 1248, 1291, 1339, 1401, 1473, 1523, 1596, 
          1677, 1746, 1808, 1867, 1932, 2066, 2148, 2273, 2386, 2507, 2619, 
          2782, 2884, 3029, 3175, 3313, 3392, 3538, 3718, 3860, 4044, 4283, 
          4472, 4823, 5041, 5271, 5606, 5928, 6302, 6661, 7113, 7402, 7774, 
          8216}, {
         "Australian Capital Territory", "Australia", -35.4735, 149.0124, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 3, 4, 6, 9, 19, 32, 39, 39, 53, 62, 
          71, 77, 78, 80, 84, 87, 91, 93, 96, 96, 96, 99, 100, 103, 103, 103, 
          102, 103, 103, 103, 103, 103, 103, 104, 104, 104, 104, 105, 106, 
          106, 106, 106, 106, 106, 106, 106, 106, 107, 107, 107, 107, 107, 
          107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 
          107, 107, 107, 107, 107, 107, 107}, {
         "New South Wales", "Australia", -33.8688, 151.2093, 0, 0, 0, 0, 3, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 6, 6, 13, 22, 22, 26, 28, 38, 48, 
          55, 65, 65, 92, 112, 134, 171, 210, 267, 307, 353, 436, 669, 669, 
          818, 1029, 1219, 1405, 1617, 1791, 2032, 2032, 2182, 2298, 2389, 
          2493, 2580, 2637, 2686, 2734, 2773, 2822, 2857, 2857, 2863, 2870, 
          2886, 2897, 2926, 2936, 2957, 2963, 2969, 2971, 2976, 2982, 2994, 
          3002, 3004, 3016, 3016, 3025, 3030, 3035, 3033, 3035, 3042, 3044, 
          3047, 3051, 3053, 3053, 3053, 3059, 3063, 3071, 3074, 3075, 3076, 
          3078, 3081, 3082, 3084, 3086, 3087, 3090, 3092, 3089, 3090, 3092}, {
         "Northern Territory", "Australia", -12.4634, 130.8456, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 5, 5, 6, 6, 12, 12, 15, 15, 15, 17, 
          19, 21, 22, 26, 27, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 
          28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 27, 29, 29, 29, 
          29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 
          29, 29, 29, 29, 29, 29, 29}, {
         "Queensland", "Australia", -28.0167, 153.4, 0, 0, 0, 0, 0, 0, 0, 1, 
          3, 2, 3, 2, 2, 3, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5,
           5, 5, 5, 5, 5, 5, 5, 9, 9, 9, 11, 11, 13, 13, 13, 15, 15, 18, 20, 
          20, 35, 46, 61, 68, 78, 94, 144, 184, 221, 259, 319, 397, 443, 493, 
          555, 625, 656, 689, 743, 781, 835, 873, 900, 907, 921, 934, 943, 
          953, 965, 974, 983, 987, 998, 999, 1001, 1007, 1015, 1019, 1019, 
          1024, 1024, 1026, 1026, 1026, 1030, 1033, 1034, 1033, 1033, 1034, 
          1035, 1038, 1043, 1043, 1045, 1045, 1045, 1045, 1045, 1051, 1052, 
          1051, 1054, 1055, 1055, 1057, 1057, 1058, 1058, 1058, 1060, 1061, 
          1056, 1057, 1058, 1058, 1058}, {
         "South Australia", "Australia", -34.9285, 138.6007, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 5, 5, 7, 7, 7, 7, 7, 9, 9,
           16, 19, 20, 29, 29, 37, 42, 50, 67, 100, 134, 170, 170, 235, 257, 
          287, 299, 305, 337, 367, 367, 396, 407, 407, 411, 411, 415, 420, 
          428, 429, 429, 429, 433, 433, 433, 435, 435, 435, 435, 437, 438, 
          438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 438, 
          438, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 439, 
          439, 439, 439, 439, 439, 439, 439, 440, 440, 440}, {
         "Tasmania", "Australia", -41.4545, 145.9707, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 2, 2, 3, 3, 5, 5, 
          6, 7, 7, 10, 10, 10, 16, 22, 28, 28, 36, 47, 47, 62, 66, 66, 69, 69,
           72, 74, 80, 82, 86, 89, 98, 111, 122, 133, 133, 144, 165, 165, 169,
           180, 188, 195, 200, 201, 205, 207, 207, 207, 212, 214, 218, 219, 
          221, 221, 221, 221, 221, 225, 226, 227, 227, 227, 227, 227, 227, 
          227, 227, 228, 228, 228, 228, 228, 228, 228, 228, 228, 228, 228, 
          228, 228, 228}, {
         "Victoria", "Australia", -37.8136, 144.9631, 0, 0, 0, 0, 1, 1, 1, 1, 
          2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 7, 7, 9, 9, 10, 10, 10, 11, 11, 15, 18, 21, 
          21, 36, 49, 57, 71, 94, 121, 121, 121, 229, 355, 355, 411, 466, 520,
           574, 685, 769, 821, 917, 968, 1036, 1085, 1115, 1135, 1158, 1191, 
          1212, 1228, 1241, 1265, 1268, 1281, 1291, 1299, 1299, 1302, 1319, 
          1328, 1329, 1336, 1336, 1337, 1343, 1346, 1349, 1349, 1354, 1361, 
          1364, 1371, 1384, 1406, 1423, 1440, 1454, 1467, 1468, 1487, 1496, 
          1511, 1514, 1521, 1540, 1551, 1558, 1564, 1573, 1573, 1581, 1593, 
          1593, 1603, 1605, 1610, 1618, 1628, 1634}, {
         "Western Australia", "Australia", -31.9505, 115.8605, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 3, 3, 3, 3, 4, 6, 9, 
          9, 14, 17, 17, 28, 31, 35, 52, 64, 90, 120, 140, 175, 175, 231, 231,
           278, 311, 355, 364, 392, 400, 400, 436, 453, 460, 460, 481, 495, 
          506, 514, 514, 517, 527, 527, 532, 541, 544, 545, 545, 546, 546, 
          546, 548, 549, 549, 549, 550, 551, 551, 551, 551, 551, 551, 551, 
          551, 552, 552, 552, 552, 553, 553, 552, 552, 552, 553, 554, 557, 
          557, 557, 557, 557, 560, 560, 564, 570, 570, 577}, {
         "", "Austria", 47.5162, 14.5501, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
           2, 3, 3, 9, 14, 18, 21, 29, 41, 55, 79, 104, 131, 182, 246, 302, 
          504, 655, 860, 1018, 1332, 1646, 2013, 2388, 2814, 3582, 4474, 5283,
           5588, 6909, 7657, 8271, 8788, 9618, 10180, 10711, 11129, 11524, 
          11781, 12051, 12297, 12639, 12942, 13244, 13555, 13806, 13945, 
          14041, 14226, 14336, 14476, 14595, 14671, 14749, 14795, 14873, 
          14925, 15002, 15071, 15148, 15225, 15274, 15357, 15402, 15452, 
          15531, 15558, 15597, 15621, 15650, 15684, 15752, 15774, 15833, 
          15871, 15882, 15961, 15997, 16058, 16109, 16201, 16242, 16269, 
          16321, 16353, 16404, 16436, 16486, 16503, 16539, 16557, 16591, 
          16628}, {
         "", "Azerbaijan", 40.1431, 47.5769, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 3, 3, 3, 3, 6, 6, 9, 9, 9, 11, 11, 11, 15, 15, 23, 
          28, 28, 28, 44, 44, 53, 65, 72, 87, 93, 122, 165, 182, 209, 273, 
          298, 359, 400, 443, 521, 584, 641, 717, 822, 926, 991, 1058, 1098, 
          1148, 1197, 1253, 1283, 1340, 1373, 1398, 1436, 1480, 1518, 1548, 
          1592, 1617, 1645, 1678, 1717, 1766, 1804, 1854, 1894, 1932, 1984, 
          2060, 2127, 2204, 2279, 2422, 2519, 2589, 2693, 2758, 2879, 2980, 
          3138, 3274, 3387, 3518, 3631, 3749, 3855, 3982, 4122, 4271, 4403, 
          4568, 4759}, {
         "", "Bahamas", 25.0343, -77.3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1,
           3, 3, 4, 4, 4, 5, 5, 9, 10, 10, 11, 14, 14, 21, 24, 24, 28, 28, 29,
           33, 40, 41, 42, 46, 46, 47, 49, 49, 53, 54, 55, 55, 60, 65, 65, 72,
           73, 78, 80, 80, 80, 80, 81, 81, 83, 83, 83, 89, 92, 92, 92, 92, 92,
           93, 93, 94, 96, 96, 96, 96, 96, 96, 97, 97, 97, 100, 100, 100, 100,
           100, 101}, {
         "", "Bahrain", 26.0275, 50.55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 23, 
          33, 33, 36, 41, 47, 49, 49, 52, 55, 60, 85, 85, 95, 110, 195, 195, 
          195, 210, 214, 214, 228, 256, 278, 285, 305, 334, 377, 392, 419, 
          458, 466, 476, 499, 515, 567, 569, 643, 672, 688, 700, 756, 811, 
          823, 887, 925, 1040, 1136, 1361, 1528, 1671, 1700, 1740, 1773, 1881,
           1907, 1973, 2027, 2217, 2518, 2588, 2647, 2723, 2811, 2921, 3040, 
          3170, 3284, 3383, 3533, 3720, 3934, 4199, 4444, 4774, 4941, 5236, 
          5531, 5816, 6198, 6583, 6747, 6956, 7184, 7532, 7888, 8174, 8414, 
          8802, 9138, 9171, 9366, 9692, 10052}, {
         "", "Bangladesh", 23.685, 90.3563, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 5, 8, 10, 
          14, 17, 20, 25, 27, 33, 39, 39, 44, 48, 48, 48, 49, 51, 54, 56, 61, 
          70, 88, 123, 164, 218, 330, 424, 482, 621, 803, 1012, 1231, 1572, 
          1838, 2144, 2456, 2948, 3382, 3772, 4186, 4689, 4998, 5416, 5913, 
          6462, 7103, 7667, 8238, 8790, 9455, 10143, 10929, 11719, 12425, 
          13134, 13770, 14657, 15691, 16660, 17822, 18863, 20065, 20995, 
          22268, 23870, 25121, 26738, 28511, 30205, 32078, 33610, 35585, 
          36751, 38292, 40321}, {
         "", "Barbados", 13.1939, -59.5432, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 
          2, 5, 5, 6, 14, 17, 18, 18, 18, 24, 26, 33, 33, 34, 34, 46, 51, 52, 
          56, 60, 63, 63, 66, 67, 68, 71, 72, 72, 73, 75, 75, 75, 75, 75, 75, 
          75, 76, 77, 79, 79, 80, 80, 80, 81, 81, 81, 82, 82, 82, 82, 82, 83, 
          84, 84, 84, 85, 85, 85, 85, 86, 88, 88, 90, 90, 90, 90, 92, 92, 92, 
          92, 92, 92}, {
         "", "Belarus", 53.7098, 27.9534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 1, 1, 1, 6, 6, 6, 6, 6, 6, 9, 9, 12, 27, 27, 27, 36, 
          36, 51, 51, 69, 76, 76, 81, 81, 86, 86, 94, 94, 94, 152, 152, 163, 
          304, 351, 440, 562, 700, 861, 1066, 1486, 1981, 2226, 2578, 2919, 
          3281, 3728, 4204, 4779, 4779, 4779, 6264, 6723, 7281, 8022, 8773, 
          9590, 10463, 11289, 12208, 13181, 14027, 14917, 15828, 16705, 17489,
           18350, 19255, 20168, 21101, 22052, 22973, 23906, 24873, 25825, 
          26772, 27730, 28681, 29650, 30572, 31508, 32426, 33371, 34303, 
          35244, 36198, 37144, 38059, 38956, 39858}, {
         "", "Belgium", 50.8333, 4., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 2, 8, 13, 23, 50, 109, 169, 200, 239, 267, 314, 314, 559, 
          689, 886, 1058, 1243, 1486, 1795, 2257, 2815, 3401, 3743, 4269, 
          4937, 6235, 7284, 9134, 10836, 11899, 12775, 13964, 15348, 16770, 
          18431, 19691, 20814, 22194, 23403, 24983, 26667, 28018, 29647, 
          30589, 31119, 33573, 34809, 36138, 37183, 38496, 39983, 40956, 
          41889, 42797, 44293, 45325, 46134, 46687, 47334, 47859, 48519, 
          49032, 49517, 49906, 50267, 50509, 50781, 51420, 52011, 52596, 
          53081, 53449, 53779, 53981, 54288, 54644, 54989, 55280, 55559, 
          55791, 55983, 56235, 56511, 56810, 57092, 57342, 57455, 57592, 
          57849}, {
         "", "Benin", 9.3077, 2.3158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 
          2, 2, 2, 5, 6, 6, 6, 6, 6, 6, 6, 9, 13, 13, 16, 16, 22, 26, 26, 26, 
          26, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 54, 54, 54, 54, 54, 54, 
          64, 64, 64, 64, 64, 90, 90, 90, 96, 96, 96, 140, 242, 284, 319, 319,
           327, 327, 339, 339, 339, 339, 339, 130, 130, 135, 135, 135, 191, 
          191, 208, 210, 210}, {
         "", "Bhutan", 27.5142, 90.4336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 2, 2, 2, 2, 2, 2, 2, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5,
           5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 
          7, 7, 7, 7, 7, 7, 7, 7, 9, 11, 15, 20, 21, 21, 21, 21, 21, 21, 21, 
          21, 24, 24, 27, 27, 28, 31}, {
         "", "Bolivia", -16.2902, -63.5887, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 10, 10, 11, 
          11, 12, 12, 15, 19, 24, 27, 29, 32, 43, 61, 74, 81, 97, 107, 115, 
          123, 132, 139, 157, 183, 194, 210, 264, 268, 275, 300, 330, 354, 
          397, 441, 465, 493, 520, 564, 598, 609, 703, 807, 866, 950, 1014, 
          1053, 1110, 1167, 1229, 1470, 1594, 1681, 1802, 1886, 2081, 2266, 
          2437, 2556, 2831, 2964, 3148, 3372, 3577, 3826, 4088, 4263, 4481, 
          4919, 5187, 5579, 5915, 6263, 6660, 7136, 7768, 8387}, {
         "", "Bosnia and Herzegovina", 43.9159, 17.6791, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 3, 5, 7, 11, 13,
           18, 24, 25, 26, 38, 63, 89, 93, 126, 136, 166, 176, 191, 237, 258, 
          323, 368, 420, 459, 533, 579, 624, 654, 674, 764, 804, 858, 901, 
          946, 1009, 1037, 1083, 1110, 1167, 1214, 1268, 1285, 1309, 1342, 
          1368, 1413, 1421, 1486, 1516, 1565, 1585, 1677, 1757, 1781, 1839, 
          1857, 1926, 1946, 1987, 2027, 2070, 2090, 2117, 2141, 2158, 2181, 
          2218, 2236, 2267, 2290, 2304, 2321, 2338, 2350, 2372, 2391, 2401, 
          2406, 2416, 2435, 2462}, {
         "", "Brazil", -14.235, -51.9253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 1, 2, 2, 2, 2, 4, 4, 13, 13, 20, 25, 31, 38, 52, 151, 151, 
          162, 200, 321, 372, 621, 793, 1021, 1546, 1924, 2247, 2554, 2985, 
          3417, 3904, 4256, 4579, 5717, 6836, 8044, 9056, 10360, 11130, 12161,
           14034, 16170, 18092, 19638, 20727, 22192, 23430, 25262, 28320, 
          30425, 33682, 36658, 38654, 40743, 43079, 45757, 50036, 54043, 
          59324, 63100, 67446, 73235, 79685, 87187, 92202, 97100, 101826, 
          108620, 115455, 126611, 135773, 146894, 156061, 162699, 169594, 
          178214, 190137, 203165, 220291, 233511, 241080, 255368, 271885, 
          291579, 310087, 330890, 347398, 363211, 374898, 391222, 411821, 
          438238}, {
         "", "Brunei", 4.5353, 114.7277, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 11, 11, 37, 40, 50, 54, 
          56, 68, 75, 78, 83, 88, 91, 104, 109, 114, 115, 120, 126, 127, 129, 
          131, 133, 134, 135, 135, 135, 135, 135, 135, 136, 136, 136, 136, 
          136, 136, 136, 136, 137, 138, 138, 138, 138, 138, 138, 138, 138, 
          138, 138, 138, 138, 138, 138, 138, 138, 138, 139, 141, 141, 141, 
          141, 141, 141, 141, 141, 141, 141, 141, 141, 141, 141, 141, 141, 
          141, 141, 141, 141, 141, 141}, {
         "", "Bulgaria", 42.7339, 25.4858, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 7, 7, 23, 41, 51, 52, 
          67, 92, 94, 127, 163, 187, 201, 218, 242, 264, 293, 331, 346, 359, 
          399, 422, 457, 485, 503, 531, 549, 577, 593, 618, 635, 661, 675, 
          685, 713, 747, 800, 846, 878, 894, 929, 975, 1024, 1097, 1234, 1247,
           1300, 1363, 1399, 1447, 1506, 1555, 1594, 1618, 1652, 1704, 1778, 
          1829, 1872, 1921, 1965, 1990, 2023, 2069, 2100, 2138, 2175, 2211, 
          2235, 2259, 2292, 2331, 2372, 2408, 2427, 2433, 2443, 2460, 2477}, {
         "", "Burkina Faso", 12.2383, -1.5616, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 3, 15, 
          15, 20, 33, 40, 64, 75, 99, 114, 146, 152, 180, 207, 222, 246, 261, 
          282, 288, 302, 318, 345, 364, 384, 414, 443, 443, 484, 497, 497, 
          528, 542, 546, 557, 565, 576, 581, 600, 609, 616, 629, 629, 632, 
          635, 638, 641, 645, 649, 652, 662, 672, 688, 729, 736, 744, 748, 
          751, 760, 766, 773, 773, 780, 782, 796, 796, 796, 809, 812, 814, 
          814, 814, 832, 832, 845, 847}, {
         "", "Cabo Verde", 16.5388, -23.0418, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 3, 3, 3, 3, 4, 4, 5, 5, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 
          7, 7, 8, 8, 10, 11, 56, 56, 56, 58, 61, 67, 68, 73, 82, 88, 90, 106,
           109, 114, 114, 121, 122, 152, 165, 175, 186, 191, 218, 230, 236, 
          246, 260, 267, 289, 315, 326, 328, 328, 328, 335, 349, 356, 362, 
          371, 380, 390, 390, 390, 390}, {
         "", "Cambodia", 11.55, 104.9167, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 3, 3, 5, 7, 7, 7, 33, 35,
           37, 51, 53, 84, 87, 91, 96, 96, 99, 99, 103, 107, 109, 109, 110, 
          114, 114, 114, 114, 115, 117, 119, 119, 120, 122, 122, 122, 122, 
          122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 
          122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 
          122, 122, 122, 122, 122, 122, 122, 122, 122, 123, 123, 124, 124, 
          124, 124, 124, 124}, {
         "", "Cameroon", 3.8480000000000003`, 11.5021, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 2, 2, 2, 2, 2,
           2, 4, 10, 10, 13, 20, 27, 40, 56, 66, 75, 75, 91, 91, 139, 139, 
          193, 233, 306, 509, 555, 650, 658, 658, 730, 730, 820, 820, 820, 
          820, 848, 848, 996, 996, 1017, 1017, 1163, 1163, 1163, 1334, 1430, 
          1518, 1621, 1705, 1705, 1832, 1832, 1832, 2077, 2077, 2104, 2104, 
          2265, 2267, 2267, 2274, 2579, 2689, 2689, 2800, 2954, 3105, 3105, 
          3105, 3529, 3529, 3733, 4288, 4400, 4400, 4890, 4890, 5436, 5436, 
          5436}, {"Alberta", "Canada", 53.9333, -116.5765, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 4, 7, 7, 19, 19,
           29, 29, 39, 56, 74, 97, 119, 146, 195, 259, 301, 359, 358, 486, 
          542, 542, 621, 661, 690, 754, 969, 969, 1075, 1181, 1250, 1373, 
          1373, 1423, 1451, 1567, 1567, 1732, 1870, 1870, 1996, 2397, 2562, 
          2803, 2908, 3095, 3401, 3720, 4017, 4233, 4480, 4696, 4850, 5165, 
          5355, 5573, 5670, 5766, 5836, 5893, 5963, 6017, 6098, 6157, 6253, 
          6300, 6345, 6407, 6457, 6515, 6587, 6644, 6683, 6716, 6735, 6768, 
          6800, 6818, 6860, 6879, 6901, 6926, 6955}, {
         "British Columbia", "Canada", 49.2827, -123.1207, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5,
           5, 6, 6, 6, 6, 7, 7, 7, 7, 8, 8, 8, 9, 12, 13, 21, 21, 27, 32, 32, 
          39, 46, 64, 64, 73, 103, 103, 186, 231, 271, 424, 424, 472, 617, 
          617, 725, 725, 884, 884, 970, 1013, 1013, 1121, 1174, 1203, 1203, 
          1266, 1266, 1291, 1336, 1370, 1445, 1445, 1490, 1490, 1517, 1561, 
          1575, 1618, 1647, 1647, 1724, 1795, 1824, 1853, 1948, 1948, 1998, 
          2053, 2087, 2112, 2145, 2171, 2171, 2224, 2232, 2255, 2288, 2315, 
          2330, 2330, 2353, 2360, 2376, 2392, 2407, 2428, 2428, 2444, 2446, 
          2467, 2479, 2507, 2517, 2517, 2530, 2541, 2550, 2558}, {
         "Grand Princess", "Canada", 37.6489, -122.6655, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 
          2, 2, 2, 8, 9, 9, 10, 10, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13}, {
         "Manitoba", "Canada", 53.7609, -98.8139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 
          7, 8, 15, 17, 17, 18, 20, 20, 21, 35, 36, 39, 64, 72, 96, 103, 127, 
          167, 182, 182, 203, 203, 217, 217, 221, 230, 243, 242, 246, 246, 
          246, 250, 250, 253, 254, 254, 255, 257, 262, 263, 267, 271, 273, 
          273, 275, 277, 281, 282, 282, 283, 284, 286, 283, 284, 284, 287, 
          289, 290, 290, 289, 289, 289, 289, 290, 290, 290, 290, 292, 292, 
          292, 292, 292, 292, 294}, {
         "New Brunswick", "Canada", 46.5653, -66.4619, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1,
           2, 6, 8, 11, 11, 11, 17, 17, 17, 18, 18, 33, 45, 51, 66, 68, 70, 
          81, 91, 91, 91, 98, 103, 105, 105, 108, 112, 112, 114, 116, 116, 
          117, 117, 117, 117, 118, 118, 118, 118, 118, 118, 118, 118, 118, 
          118, 118, 118, 118, 118, 118, 118, 119, 120, 120, 120, 120, 120, 
          120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 121, 121, 121, 
          121, 121, 122, 123, 126}, {
         "Newfoundland and Labrador", "Canada", 53.1355, -57.6604, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 3, 3, 3, 4, 6, 9, 24, 35, 35, 82, 102, 120, 135, 
          148, 152, 175, 183, 195, 195, 217, 226, 228, 228, 232, 239, 241, 
          242, 244, 244, 247, 252, 256, 257, 257, 257, 257, 256, 256, 256, 
          257, 258, 258, 258, 258, 258, 259, 259, 259, 259, 259, 259, 261, 
          261, 261, 261, 261, 261, 261, 261, 260, 260, 260, 260, 260, 260, 
          260, 260, 260, 260, 260, 260, 260, 261}, {
         "Nova Scotia", "Canada", 44.681999999999995`, -63.7443, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 5, 7, 12, 14, 15, 21, 28, 41, 51, 68, 73, 90, 110, 
          122, 127, 147, 173, 193, 207, 236, 262, 293, 310, 310, 342, 407, 
          428, 445, 474, 517, 549, 579, 606, 649, 675, 721, 737, 772, 827, 
          850, 865, 873, 900, 915, 935, 947, 959, 963, 971, 985, 991, 998, 
          1007, 1008, 1011, 1018, 1019, 1020, 1024, 1026, 1034, 1037, 1040, 
          1043, 1044, 1045, 1046, 1048, 1049, 1050, 1051, 1052, 1053, 1055}, {
         "Ontario", "Canada", 51.2538, -85.3232, 0, 0, 0, 0, 1, 1, 1, 1, 1, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 4, 4, 4, 6, 6, 11, 15, 18, 20, 20, 22, 25, 28, 29, 34, 36, 41, 
          42, 74, 79, 104, 177, 185, 221, 257, 308, 377, 425, 503, 588, 688, 
          858, 994, 1144, 1355, 1706, 1966, 2392, 2793, 3255, 3630, 4354, 
          4347, 4726, 5276, 5759, 6237, 6648, 7049, 7470, 7953, 8447, 9840, 
          10456, 11013, 11561, 12063, 12715, 13718, 14068, 14550, 15012, 
          15568, 15970, 16500, 16978, 17395, 17880, 18321, 18574, 19097, 
          19468, 19910, 20388, 20826, 21148, 21469, 21817, 22158, 22516, 
          22865, 23258, 23645, 23974, 24286, 24755, 25197, 25595, 26085, 
          26560, 26897, 27302, 27624, 27943, 28320}, {
         "Prince Edward Island", "Canada", 46.5107, -63.4168, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 3, 3, 3, 5, 5, 9, 11, 11, 18, 21, 21, 
          22, 22, 22, 22, 22, 22, 25, 25, 25, 25, 25, 25, 25, 26, 26, 26, 26, 
          26, 26, 26, 26, 26, 26, 26, 26, 26, 27, 27, 27, 27, 27, 27, 27, 27, 
          27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 
          27, 27, 27, 27, 27, 27}, {
         "Quebec", "Canada", 52.9399, -73.5491, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 2, 3, 4, 4, 4, 8, 9, 17, 17, 24, 
          50, 74, 94, 121, 139, 181, 219, 628, 1013, 1342, 1632, 2024, 2498, 
          2840, 3430, 4162, 4611, 5518, 6101, 6101, 7944, 8580, 9340, 10031, 
          10912, 11677, 12292, 12846, 13557, 14248, 14860, 15857, 16798, 
          17521, 17950, 19319, 20126, 20965, 21838, 22616, 23267, 24109, 
          24983, 25761, 26610, 27550, 28656, 29664, 31873, 32631, 33425, 
          34334, 35249, 36161, 36997, 37732, 38480, 39235, 39940, 40732, 
          41429, 42192, 42928, 43636, 44206, 44784, 45504, 46150, 46847, 
          47420, 47993, 48607, 49148, 49711}, {
         "Saskatchewan", "Canada", 52.9399, -106.4509, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2,
           2, 7, 7, 8, 16, 20, 26, 52, 66, 72, 72, 95, 95, 134, 156, 156, 184,
           193, 206, 220, 220, 249, 249, 260, 260, 271, 285, 289, 298, 300, 
          300, 304, 305, 307, 313, 315, 316, 320, 326, 331, 341, 349, 353, 
          365, 366, 383, 389, 415, 421, 433, 467, 487, 512, 531, 544, 553, 
          564, 568, 573, 577, 582, 590, 591, 592, 592, 599, 620, 622, 627, 
          630, 632, 634, 634, 637, 639}, {
         "", "Central African Republic", 6.6111, 20.9394, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 1, 1, 1, 1, 1, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 11, 11, 12, 12, 12, 12, 12, 12, 14, 14, 16, 
          16, 16, 19, 19, 50, 50, 50, 72, 72, 72, 85, 85, 94, 94, 143, 143, 
          143, 143, 143, 143, 143, 301, 327, 327, 327, 366, 418, 436, 479, 
          552, 604, 652, 671, 702, 755}, {
         "", "Chad", 15.4542, 18.7322, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
          1, 1, 1, 1, 3, 3, 3, 3, 3, 3, 5, 7, 7, 8, 8, 9, 9, 9, 10, 10, 11, 
          11, 11, 18, 23, 23, 23, 27, 27, 33, 33, 33, 33, 33, 33, 40, 46, 46, 
          46, 52, 52, 73, 73, 117, 117, 117, 170, 170, 253, 260, 322, 322, 
          322, 357, 372, 399, 428, 474, 503, 519, 545, 565, 588, 611, 648, 
          675, 687, 700, 715, 726}, {
         "", "Chile", -35.6751, -71.543, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 4, 4, 4, 8, 8, 13, 23, 23, 43, 61, 74, 155,
           201, 238, 238, 434, 537, 632, 746, 922, 1142, 1306, 1610, 1909, 
          2139, 2449, 2738, 3031, 3404, 3737, 4161, 4471, 4815, 5116, 5546, 
          5972, 6501, 6927, 7213, 7525, 7917, 8273, 8807, 9252, 9730, 10088, 
          10507, 10832, 11296, 11812, 12306, 12858, 13331, 13813, 14365, 
          14885, 16023, 17008, 18435, 19663, 20643, 22016, 23048, 24581, 
          25972, 27219, 28866, 30063, 31721, 34381, 37040, 39542, 41428, 
          43781, 46059, 49579, 53617, 57581, 61857, 65393, 69102, 73997, 
          77961, 82289, 86943}, {
         "Anhui", "China(Others)", 31.8257, 117.2264, 1, 9, 15, 39, 60, 70, 
          106, 152, 200, 237, 297, 340, 408, 480, 530, 591, 665, 733, 779, 
          830, 860, 889, 910, 934, 950, 962, 973, 982, 986, 987, 988, 989, 
          989, 989, 989, 989, 989, 990, 990, 990, 990, 990, 990, 990, 990, 
          990, 990, 990, 990, 990, 990, 990, 990, 990, 990, 990, 990, 990, 
          990, 990, 990, 990, 990, 990, 990, 990, 990, 990, 990, 990, 990, 
          990, 990, 990, 990, 990, 990, 990, 991, 991, 991, 991, 991, 991, 
          991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 
          991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 
          991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 991, 
          991, 991, 991, 991, 991}, {
         "Beijing", "China(Others)", 40.1824, 116.4142, 14, 22, 36, 41, 68, 
          80, 91, 111, 114, 139, 168, 191, 212, 228, 253, 274, 297, 315, 326, 
          337, 342, 352, 366, 372, 375, 380, 381, 387, 393, 395, 396, 399, 
          399, 399, 400, 400, 410, 410, 411, 413, 414, 414, 418, 418, 422, 
          426, 428, 428, 429, 435, 435, 436, 437, 442, 452, 456, 469, 480, 
          491, 504, 522, 537, 558, 561, 566, 569, 573, 577, 577, 580, 580, 
          582, 584, 585, 586, 587, 587, 588, 588, 588, 589, 589, 589, 589, 
          590, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 
          593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 
          593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 593, 
          593, 593, 593, 593, 593}, {
         "Chongqing", "China(Others)", 30.0572, 107.874, 6, 9, 27, 57, 75, 
          110, 132, 147, 182, 211, 247, 300, 337, 366, 389, 411, 426, 428, 
          468, 486, 505, 518, 529, 537, 544, 551, 553, 555, 560, 567, 572, 
          573, 575, 576, 576, 576, 576, 576, 576, 576, 576, 576, 576, 576, 
          576, 576, 576, 576, 576, 576, 576, 576, 576, 576, 576, 576, 576, 
          576, 576, 576, 577, 578, 578, 578, 578, 578, 578, 579, 579, 579, 
          579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 
          579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 
          579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 
          579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 579, 
          579, 579, 579, 579, 579, 579}, {
         "Fujian", "China(Others)", 26.0789, 117.9874, 1, 5, 10, 18, 35, 59, 
          80, 84, 101, 120, 144, 159, 179, 194, 205, 215, 224, 239, 250, 261, 
          267, 272, 279, 281, 285, 287, 290, 292, 293, 293, 293, 293, 293, 
          293, 294, 294, 296, 296, 296, 296, 296, 296, 296, 296, 296, 296, 
          296, 296, 296, 296, 296, 296, 296, 296, 296, 296, 296, 296, 299, 
          303, 313, 313, 318, 322, 328, 331, 337, 338, 340, 343, 345, 345, 
          349, 350, 350, 350, 351, 351, 351, 351, 351, 352, 352, 353, 353, 
          353, 354, 355, 355, 355, 355, 355, 355, 355, 355, 355, 355, 355, 
          355, 356, 356, 356, 356, 356, 356, 356, 356, 356, 356, 356, 356, 
          356, 356, 356, 356, 356, 356, 356, 356, 356, 356, 356, 356, 356, 
          357, 357, 358, 358}, {
         "Gansu", "China(Others)", 37.8099, 101.0583, 0, 2, 2, 4, 7, 14, 19, 
          24, 26, 29, 40, 51, 55, 57, 62, 62, 67, 79, 83, 83, 86, 87, 90, 90, 
          90, 90, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 
          91, 91, 102, 119, 120, 124, 124, 125, 127, 127, 127, 129, 133, 133, 
          133, 133, 134, 134, 134, 136, 136, 136, 136, 136, 136, 136, 138, 
          138, 138, 138, 138, 138, 138, 138, 139, 139, 139, 139, 139, 139, 
          139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 
          139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 
          139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 139, 
          139, 139, 139, 139, 139, 139, 139, 139}, {
         "Guangdong", "China(Others)", 23.3417, 113.4244, 26, 32, 53, 78, 111,
           151, 207, 277, 354, 436, 535, 632, 725, 813, 895, 970, 1034, 1095, 
          1131, 1159, 1177, 1219, 1241, 1261, 1294, 1316, 1322, 1328, 1331, 
          1332, 1333, 1339, 1342, 1345, 1347, 1347, 1347, 1348, 1349, 1349, 
          1350, 1350, 1350, 1351, 1352, 1352, 1352, 1352, 1353, 1356, 1356, 
          1356, 1356, 1360, 1361, 1364, 1370, 1378, 1395, 1400, 1413, 1415, 
          1428, 1433, 1448, 1456, 1467, 1475, 1484, 1494, 1501, 1507, 1514, 
          1516, 1524, 1532, 1533, 1536, 1539, 1544, 1548, 1552, 1555, 1564, 
          1566, 1571, 1577, 1579, 1580, 1581, 1582, 1582, 1585, 1585, 1586, 
          1587, 1587, 1588, 1588, 1588, 1588, 1588, 1588, 1588, 1588, 1589, 
          1589, 1589, 1589, 1589, 1589, 1589, 1589, 1589, 1589, 1590, 1590, 
          1590, 1590, 1590, 1590, 1591, 1592, 1592, 1592, 1592, 1592, 1592}, {
         "Guangxi", "China(Others)", 23.8298, 108.7881, 2, 5, 23, 23, 36, 46, 
          51, 58, 78, 87, 100, 111, 127, 139, 150, 168, 172, 183, 195, 210, 
          215, 222, 222, 226, 235, 237, 238, 242, 244, 245, 246, 249, 249, 
          251, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 
          252, 252, 252, 252, 252, 252, 252, 252, 252, 253, 253, 253, 254, 
          254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 
          254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 
          254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 
          254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 
          254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 254, 
          254, 254, 254, 254}, {
         "Guizhou", "China(Others)", 26.8154, 106.8748, 1, 3, 3, 4, 5, 7, 9, 
          9, 12, 29, 29, 38, 46, 58, 64, 71, 81, 89, 99, 109, 127, 133, 135, 
          140, 143, 144, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 
          146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 
          146, 146, 146, 146, 146, 146, 147, 146, 146, 146, 146, 146, 146, 
          146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 
          146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 
          147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 
          147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 
          147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 
          147}, {"Hainan", "China(Others)", 19.1959, 109.7453, 4, 5, 8, 19, 
          22, 33, 40, 43, 46, 52, 62, 64, 72, 80, 99, 106, 117, 124, 131, 138,
           144, 157, 157, 159, 162, 162, 163, 163, 168, 168, 168, 168, 168, 
          168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 
          168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 
          168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 
          168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 
          168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 
          168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 
          168, 168, 168, 169, 169, 169, 169, 169, 169, 169, 169, 169, 169, 
          169, 169, 169, 169}, {
         "Hebei", "China(Others)", 39.549, 116.1306, 1, 1, 2, 8, 13, 18, 33, 
          48, 65, 82, 96, 104, 113, 126, 135, 157, 172, 195, 206, 218, 239, 
          251, 265, 283, 291, 300, 301, 306, 306, 307, 308, 309, 311, 311, 
          311, 312, 317, 318, 318, 318, 318, 318, 318, 318, 318, 318, 318, 
          318, 318, 318, 318, 318, 318, 318, 318, 318, 318, 318, 318, 318, 
          319, 319, 319, 319, 319, 319, 319, 319, 321, 321, 323, 325, 326, 
          326, 327, 327, 327, 327, 327, 327, 327, 327, 327, 327, 327, 328, 
          328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 
          328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 
          328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 328, 
          328, 328, 328}, {
         "Heilongjiang", "China(Others)", 47.861999999999995`, 127.7615, 0, 2,
           4, 9, 15, 21, 33, 38, 44, 59, 80, 95, 121, 155, 190, 227, 277, 295,
           307, 331, 360, 378, 395, 419, 425, 445, 457, 464, 470, 476, 479, 
          479, 480, 480, 480, 480, 480, 480, 480, 480, 480, 480, 480, 481, 
          481, 481, 481, 481, 481, 482, 482, 482, 482, 482, 482, 482, 482, 
          483, 484, 484, 484, 484, 484, 484, 484, 484, 484, 484, 484, 484, 
          484, 488, 489, 491, 504, 524, 544, 569, 609, 638, 661, 684, 740, 
          819, 841, 861, 872, 892, 898, 905, 913, 921, 928, 930, 935, 936, 
          939, 939, 939, 944, 944, 944, 944, 944, 944, 944, 944, 944, 944, 
          945, 945, 945, 945, 945, 945, 945, 945, 945, 945, 945, 945, 945, 
          945, 945, 945, 945, 945, 945}, {
         "Henan", "China(Others)", 33.882, 113.61399999999999`, 5, 5, 9, 32, 
          83, 128, 168, 206, 278, 352, 422, 493, 566, 675, 764, 851, 914, 981,
           1033, 1073, 1105, 1135, 1169, 1184, 1212, 1231, 1246, 1257, 1262, 
          1265, 1267, 1270, 1271, 1271, 1271, 1271, 1272, 1272, 1272, 1272, 
          1272, 1272, 1272, 1272, 1272, 1272, 1272, 1272, 1272, 1273, 1273, 
          1273, 1273, 1273, 1273, 1273, 1273, 1273, 1273, 1273, 1274, 1274, 
          1274, 1274, 1275, 1275, 1275, 1276, 1276, 1276, 1276, 1276, 1276, 
          1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 
          1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 
          1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 
          1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 
          1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276, 1276}, {
         " ", "Hong Kong", 22.3, 114.2, 0, 2, 2, 5, 8, 8, 8, 10, 10, 12, 13, 
          15, 15, 17, 21, 24, 25, 26, 29, 38, 49, 50, 53, 56, 56, 57, 60, 62, 
          63, 68, 68, 69, 74, 79, 84, 91, 92, 94, 95, 96, 100, 100, 105, 105, 
          107, 108, 114, 115, 120, 126, 129, 134, 140, 145, 155, 162, 181, 
          208, 256, 273, 317, 356, 386, 410, 453, 519, 561, 641, 682, 714, 
          765, 802, 845, 862, 890, 914, 935, 960, 973, 989, 1000, 1004, 1009, 
          1012, 1017, 1017, 1021, 1024, 1025, 1025, 1029, 1033, 1035, 1035, 
          1037, 1037, 1037, 1037, 1037, 1037, 1039, 1039, 1039, 1040, 1040, 
          1040, 1044, 1044, 1044, 1047, 1047, 1047, 1050, 1051, 1052, 1052, 
          1055, 1055, 1055, 1055, 1055, 1065, 1065, 1065, 1065, 1065, 1066, 
          1066}, {"Hubei", "China(Hubei)", 30.9756, 112.2707, 444, 444, 549, 
          761, 1058, 1423, 3554, 3554, 4903, 5806, 7153, 11177, 13522, 16678, 
          19665, 22112, 24953, 27100, 29631, 31728, 33366, 33366, 48206, 
          54406, 56249, 58182, 59989, 61682, 62031, 62442, 62662, 64084, 
          64084, 64287, 64786, 65187, 65596, 65914, 66337, 66907, 67103, 
          67217, 67332, 67466, 67592, 67666, 67707, 67743, 67760, 67773, 
          67781, 67786, 67790, 67794, 67798, 67799, 67800, 67800, 67800, 
          67800, 67800, 67800, 67801, 67801, 67801, 67801, 67801, 67801, 
          67801, 67801, 67802, 67802, 67802, 67803, 67803, 67803, 67803, 
          67803, 67803, 67803, 67803, 67803, 67803, 67803, 67803, 67803, 
          68128, 68128, 68128, 68128, 68128, 68128, 68128, 68128, 68128, 
          68128, 68128, 68128, 68128, 68128, 68128, 68128, 68128, 68128, 
          68128, 68128, 68128, 68128, 68129, 68134, 68134, 68134, 68134, 
          68134, 68134, 68134, 68134, 68135, 68135, 68135, 68135, 68135, 
          68135, 68135, 68135, 68135, 68135, 68135}, {
         "Hunan", "China(Others)", 27.6104, 111.7088, 4, 9, 24, 43, 69, 100, 
          143, 221, 277, 332, 389, 463, 521, 593, 661, 711, 772, 803, 838, 
          879, 912, 946, 968, 988, 1001, 1004, 1006, 1007, 1008, 1010, 1011, 
          1013, 1016, 1016, 1016, 1016, 1017, 1017, 1018, 1018, 1018, 1018, 
          1018, 1018, 1018, 1018, 1018, 1018, 1018, 1018, 1018, 1018, 1018, 
          1018, 1018, 1018, 1018, 1018, 1018, 1018, 1018, 1018, 1018, 1018, 
          1018, 1018, 1018, 1018, 1018, 1018, 1018, 1019, 1019, 1019, 1019, 
          1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
          1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
          1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
          1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 
          1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019, 1019}, {
         "Inner Mongolia", "China(Others)", 44.0935, 113.9448, 0, 0, 1, 7, 7, 
          11, 15, 16, 19, 20, 23, 27, 34, 35, 42, 46, 50, 52, 54, 58, 58, 60, 
          61, 65, 68, 70, 72, 73, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 77, 89, 92, 94, 95, 97, 107, 111, 117, 
          117, 117, 117, 118, 121, 124, 126, 128, 155, 189, 190, 190, 190, 
          193, 193, 193, 193, 194, 194, 194, 194, 197, 198, 198, 199, 199, 
          200, 201, 201, 201, 201, 201, 201, 201, 201, 201, 201, 208, 209, 
          209, 209, 209, 209, 209, 213, 216, 216, 216, 216, 217, 217, 227, 
          232, 232, 232, 232}, {
         "Jiangsu", "China(Others)", 32.9711, 119.455, 1, 5, 9, 18, 33, 47, 
          70, 99, 129, 168, 202, 236, 271, 308, 341, 373, 408, 439, 468, 492, 
          515, 543, 570, 593, 604, 617, 626, 629, 631, 631, 631, 631, 631, 
          631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 
          631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 
          631, 633, 633, 636, 638, 640, 641, 641, 644, 645, 646, 646, 647, 
          651, 651, 651, 651, 651, 651, 651, 651, 652, 653, 653, 653, 653, 
          653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 
          653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 
          653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 
          653, 653, 653, 653}, {
         "Jiangxi", "China(Others)", 27.614, 115.7221, 2, 7, 18, 18, 36, 72, 
          109, 109, 162, 240, 286, 333, 391, 476, 548, 600, 661, 698, 740, 
          771, 804, 844, 872, 900, 913, 925, 930, 933, 934, 934, 934, 934, 
          934, 934, 934, 934, 934, 935, 935, 935, 935, 935, 935, 935, 935, 
          935, 935, 935, 935, 935, 935, 935, 935, 935, 935, 935, 935, 935, 
          935, 935, 936, 936, 936, 936, 936, 936, 936, 937, 937, 937, 937, 
          937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 
          937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 
          937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 
          937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 937, 
          937, 937, 937, 937, 937}, {
         "Jilin", "China(Others)", 43.6661, 126.1923, 0, 1, 3, 4, 4, 6, 8, 9, 
          14, 14, 17, 23, 31, 42, 54, 59, 65, 69, 78, 80, 81, 83, 84, 86, 88, 
          89, 89, 89, 90, 91, 91, 91, 91, 93, 93, 93, 93, 93, 93, 93, 93, 93, 
          93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 
          93, 93, 93, 93, 94, 95, 95, 97, 98, 98, 98, 98, 98, 98, 98, 98, 98, 
          98, 98, 98, 98, 98, 99, 100, 100, 102, 102, 102, 102, 104, 104, 106,
           106, 108, 109, 109, 110, 110, 110, 111, 111, 112, 112, 112, 112, 
          112, 112, 113, 113, 124, 127, 127, 133, 134, 138, 140, 144, 146, 
          151, 151, 151, 151, 154, 155, 155, 155, 155, 155, 155}, {
         "Liaoning", "China(Others)", 41.2956, 122.6085, 2, 3, 4, 17, 21, 27, 
          34, 39, 41, 48, 64, 70, 74, 81, 89, 94, 99, 105, 107, 108, 111, 116,
           117, 119, 119, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 
          121, 121, 121, 121, 122, 122, 125, 125, 125, 125, 125, 125, 125, 
          125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 126, 126, 127, 
          127, 127, 127, 128, 128, 132, 134, 136, 139, 140, 141, 141, 141, 
          142, 142, 144, 144, 144, 144, 145, 145, 145, 145, 145, 145, 146, 
          146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 146, 
          146, 146, 146, 146, 146, 146, 146, 146, 146, 147, 147, 147, 149, 
          149, 149, 149, 149, 149, 149, 149, 149, 149, 149, 149, 149, 149, 
          149, 149}, {
         "Macau", "China(Others)", 22.1667, 113.55, 1, 2, 2, 2, 5, 6, 7, 7, 7,
           7, 7, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10,
           10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10,
           10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 12, 15, 17, 17, 18, 24,
           24, 25, 30, 31, 33, 37, 37, 38, 41, 41, 41, 43, 43, 44, 44, 44, 45,
           45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45,
           45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45,
           45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45}, {
         "Ningxia", "China(Others)", 37.2692, 106.1655, 1, 1, 2, 3, 4, 7, 11, 
          12, 17, 21, 26, 28, 31, 34, 34, 40, 43, 45, 45, 49, 53, 58, 64, 67, 
          70, 70, 70, 70, 71, 71, 71, 71, 71, 71, 71, 71, 72, 72, 73, 73, 74, 
          74, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75}, {
         "Qinghai", "China(Others)", 35.7452, 95.9956, 0, 0, 0, 1, 1, 6, 6, 6,
           8, 8, 9, 11, 13, 15, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18}, {"Shaanxi", "China(Others)", 35.1917, 108.8701, 0, 3, 5, 15, 
          22, 35, 46, 56, 63, 87, 101, 116, 128, 142, 165, 173, 184, 195, 208,
           213, 219, 225, 229, 230, 232, 236, 240, 240, 242, 245, 245, 245, 
          245, 245, 245, 245, 245, 245, 245, 245, 245, 245, 245, 245, 245, 
          245, 245, 245, 245, 245, 245, 245, 245, 245, 245, 246, 246, 246, 
          247, 248, 248, 248, 249, 250, 253, 253, 253, 253, 253, 253, 255, 
          255, 255, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 
          256, 256, 256, 256, 256, 256, 277, 279, 279, 286, 286, 286, 286, 
          306, 306, 306, 306, 306, 306, 306, 308, 308, 308, 308, 308, 308, 
          308, 308, 308, 308, 308, 308, 308, 308, 308, 308, 308, 308, 308, 
          308, 308, 308, 308, 308}, {
         "Shandong", "China(Others)", 36.3427, 118.1498, 2, 6, 15, 27, 46, 75,
           95, 130, 158, 184, 206, 230, 259, 275, 307, 347, 386, 416, 444, 
          466, 487, 497, 509, 523, 532, 537, 541, 543, 544, 546, 749, 750, 
          754, 755, 756, 756, 756, 756, 756, 758, 758, 758, 758, 758, 758, 
          758, 758, 758, 758, 760, 760, 760, 760, 760, 760, 761, 761, 761, 
          762, 764, 767, 768, 768, 769, 771, 772, 772, 772, 773, 774, 774, 
          775, 778, 778, 779, 780, 781, 783, 783, 783, 784, 784, 784, 784, 
          784, 784, 787, 787, 787, 787, 787, 787, 787, 787, 787, 787, 787, 
          787, 787, 787, 787, 787, 788, 788, 788, 788, 788, 788, 788, 788, 
          788, 788, 788, 788, 788, 788, 788, 788, 788, 788, 788, 788, 788, 
          788, 788, 788, 788, 788}, {
         "Shanghai", "China(Others)", 31.201999999999998`, 121.4491, 9, 16, 
          20, 33, 40, 53, 66, 96, 112, 135, 169, 182, 203, 219, 243, 257, 277,
           286, 293, 299, 303, 311, 315, 318, 326, 328, 333, 333, 333, 334, 
          334, 335, 335, 335, 336, 337, 337, 337, 337, 337, 337, 338, 338, 
          339, 342, 342, 342, 342, 344, 344, 344, 346, 353, 353, 355, 358, 
          361, 363, 371, 380, 404, 404, 414, 433, 451, 468, 485, 492, 498, 
          509, 516, 522, 526, 529, 531, 536, 538, 543, 552, 555, 555, 607, 
          618, 618, 622, 628, 628, 628, 635, 638, 638, 639, 641, 641, 642, 
          642, 644, 645, 647, 652, 652, 652, 655, 656, 656, 657, 657, 657, 
          659, 659, 659, 660, 660, 660, 665, 665, 666, 666, 666, 666, 666, 
          667, 668, 668, 669, 670, 671, 671}, {
         "Shanxi", "China(Others)", 37.5777, 112.2922, 1, 1, 1, 6, 9, 13, 27, 
          27, 35, 39, 47, 66, 74, 81, 81, 96, 104, 115, 119, 119, 124, 126, 
          126, 127, 128, 129, 130, 131, 131, 132, 132, 132, 132, 133, 133, 
          133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 
          133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 
          134, 134, 134, 135, 135, 135, 136, 136, 136, 137, 137, 137, 137, 
          138, 138, 138, 163, 166, 168, 172, 172, 173, 173, 186, 194, 197, 
          197, 197, 197, 197, 197, 197, 197, 197, 197, 197, 197, 197, 197, 
          197, 197, 198, 198, 198, 198, 198, 198, 198, 198, 198, 198, 198, 
          198, 198, 198, 198, 198, 198, 198, 198, 198, 198, 198, 198, 198, 
          198, 198}, {
         "Sichuan", "China(Others)", 30.6171, 102.7103, 5, 8, 15, 28, 44, 69, 
          90, 108, 142, 177, 207, 231, 254, 282, 301, 321, 344, 364, 386, 405,
           417, 436, 451, 463, 470, 481, 495, 508, 514, 520, 525, 526, 526, 
          527, 529, 531, 534, 538, 538, 538, 538, 538, 538, 539, 539, 539, 
          539, 539, 539, 539, 539, 539, 539, 539, 539, 540, 540, 540, 541, 
          542, 543, 543, 545, 547, 547, 548, 548, 550, 550, 550, 552, 554, 
          555, 557, 558, 559, 560, 560, 560, 560, 560, 560, 560, 560, 560, 
          560, 560, 561, 561, 561, 561, 561, 561, 561, 561, 561, 561, 561, 
          561, 561, 561, 561, 561, 561, 561, 561, 561, 561, 561, 561, 561, 
          561, 561, 561, 561, 561, 561, 561, 561, 561, 561, 563, 563, 564, 
          564, 564, 564, 564}, {
         "Tianjin", "China(Others)", 39.3054, 117.323, 4, 4, 8, 10, 14, 23, 
          24, 27, 31, 32, 41, 48, 60, 67, 69, 79, 81, 88, 91, 95, 106, 112, 
          119, 120, 122, 124, 125, 128, 130, 131, 132, 135, 135, 135, 135, 
          135, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 
          136, 136, 136, 136, 136, 136, 136, 136, 136, 137, 137, 137, 137, 
          141, 145, 145, 151, 155, 161, 166, 174, 174, 176, 176, 180, 180, 
          180, 180, 180, 180, 182, 183, 183, 183, 184, 185, 185, 186, 189, 
          189, 189, 189, 189, 189, 189, 190, 190, 190, 190, 190, 190, 190, 
          190, 190, 190, 190, 190, 190, 190, 191, 191, 191, 191, 191, 191, 
          191, 191, 192, 192, 192, 192, 192, 192, 192, 192, 192, 192, 192, 
          192, 192}, {
         "Tibet", "China(Others)", 31.6927, 88.0924, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1}, {
         "Xinjiang", "China(Others)", 41.1129, 85.2401, 0, 2, 2, 3, 4, 5, 10, 
          13, 14, 17, 18, 21, 24, 29, 32, 36, 39, 42, 45, 49, 55, 59, 63, 65, 
          70, 71, 75, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 
          76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 
          76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 
          76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 
          76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 
          76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 
          76, 76}, {
         "Yunnan", "China(Others)", 24.974, 101.48700000000001`, 1, 2, 5, 11, 
          16, 26, 44, 55, 70, 83, 93, 105, 117, 122, 128, 133, 138, 138, 141, 
          149, 153, 154, 156, 162, 168, 171, 171, 172, 172, 174, 174, 174, 
          174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 174, 
          174, 174, 174, 174, 174, 174, 174, 174, 174, 176, 176, 176, 176, 
          176, 176, 176, 176, 176, 176, 178, 180, 180, 180, 180, 182, 182, 
          183, 184, 184, 184, 184, 184, 184, 184, 184, 184, 184, 184, 184, 
          184, 184, 184, 184, 184, 184, 184, 184, 184, 185, 185, 185, 185, 
          185, 185, 185, 185, 185, 185, 185, 185, 185, 185, 185, 185, 185, 
          185, 185, 185, 185, 185, 185, 185, 185, 185, 185, 185, 185, 185, 
          185, 185, 185, 185, 185}, {
         "Zhejiang", "China(Others)", 29.1832, 120.0934, 10, 27, 43, 62, 104, 
          128, 173, 296, 428, 538, 599, 661, 724, 829, 895, 954, 1006, 1048, 
          1075, 1092, 1117, 1131, 1145, 1155, 1162, 1167, 1171, 1172, 1174, 
          1175, 1203, 1205, 1205, 1205, 1205, 1205, 1205, 1205, 1205, 1205, 
          1206, 1213, 1213, 1215, 1215, 1215, 1215, 1215, 1215, 1215, 1215, 
          1215, 1227, 1231, 1231, 1232, 1232, 1233, 1234, 1236, 1238, 1238, 
          1240, 1241, 1243, 1247, 1251, 1254, 1255, 1257, 1257, 1258, 1260, 
          1262, 1263, 1264, 1265, 1266, 1267, 1267, 1267, 1267, 1267, 1267, 
          1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 
          1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 
          1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 
          1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268, 1268}, {
         "", "Colombia", 4.5709, -74.2973, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 3, 9, 9, 13, 22, 34, 54, 
          65, 93, 102, 128, 196, 231, 277, 378, 470, 491, 539, 608, 702, 798, 
          906, 1065, 1161, 1267, 1406, 1485, 1579, 1780, 2054, 2223, 2473, 
          2709, 2776, 2852, 2979, 3105, 3233, 3439, 3439, 3792, 3977, 4149, 
          4356, 4561, 4881, 5142, 5379, 5597, 5949, 6207, 6507, 7006, 7285, 
          7668, 7973, 8613, 8959, 9456, 10051, 10495, 11063, 11613, 12272, 
          12930, 13610, 14216, 14939, 15574, 16295, 16935, 17687, 18330, 
          19131, 20177, 21175, 21981, 23003, 24104, 24141}, {
         "", "Congo (Brazzaville)", -4.0383, 21.7587, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 1, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 19, 19, 19, 19, 22, 22, 
          22, 45, 45, 45, 45, 60, 60, 60, 60, 60, 60, 117, 117, 143, 143, 143,
           160, 165, 186, 186, 200, 200, 200, 200, 207, 207, 220, 229, 229, 
          229, 236, 236, 264, 264, 274, 274, 274, 333, 333, 333, 391, 391, 
          391, 391, 412, 420, 420, 469, 469, 487, 487, 487, 487, 571, 571}, {
         "", "Congo (Kinshasa)", -4.0383, 21.7587, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 2, 
          2, 3, 4, 14, 18, 23, 30, 36, 45, 48, 51, 51, 65, 65, 81, 98, 109, 
          134, 134, 154, 154, 161, 180, 180, 180, 215, 223, 234, 235, 241, 
          254, 267, 287, 307, 327, 332, 350, 359, 377, 394, 416, 442, 459, 
          471, 491, 572, 604, 674, 674, 682, 705, 797, 863, 937, 937, 991, 
          1024, 1102, 1169, 1242, 1298, 1455, 1455, 1538, 1629, 1731, 1835, 
          1945, 2025, 2141, 2297, 2403, 2546, 2660}, {
         "", "Costa Rica", 9.7489, -83.7534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 5, 9, 9, 13, 22, 23, 26, 27, 
          35, 41, 50, 69, 89, 117, 134, 158, 177, 201, 231, 263, 295, 314, 
          330, 347, 375, 396, 416, 435, 454, 467, 483, 502, 539, 558, 577, 
          595, 612, 618, 626, 642, 649, 655, 660, 662, 669, 681, 686, 687, 
          693, 695, 697, 705, 713, 719, 725, 733, 739, 742, 755, 761, 765, 
          773, 780, 792, 801, 804, 815, 830, 843, 853, 863, 866, 882, 897, 
          903, 911, 918, 930, 951, 956, 984, 1000}, {
         "", "Cote d'Ivoire", 7.54, -5.5471, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 5, 
          6, 9, 9, 14, 14, 25, 73, 80, 96, 101, 101, 165, 168, 179, 190, 194, 
          218, 245, 261, 323, 349, 384, 444, 444, 533, 574, 626, 638, 638, 
          654, 688, 801, 847, 847, 916, 952, 1004, 1077, 1077, 1150, 1164, 
          1183, 1238, 1275, 1333, 1362, 1398, 1432, 1464, 1516, 1571, 1602, 
          1667, 1700, 1730, 1857, 1912, 1971, 2017, 2061, 2109, 2119, 2153, 
          2231, 2301, 2341, 2366, 2376, 2423, 2477, 2556, 2641}, {
         "", "Croatia", 45.1, 15.2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3,
           5, 6, 7, 7, 9, 10, 10, 11, 12, 12, 12, 14, 19, 19, 32, 38, 49, 57, 
          65, 81, 105, 128, 206, 254, 315, 382, 442, 495, 586, 657, 713, 790, 
          867, 963, 1011, 1079, 1126, 1182, 1222, 1282, 1343, 1407, 1495, 
          1534, 1600, 1650, 1704, 1741, 1791, 1814, 1832, 1871, 1881, 1908, 
          1950, 1981, 2009, 2016, 2030, 2039, 2047, 2062, 2076, 2085, 2088, 
          2096, 2101, 2112, 2119, 2125, 2161, 2176, 2187, 2196, 2207, 2213, 
          2221, 2222, 2224, 2226, 2228, 2232, 2234, 2237, 2243, 2243, 2244, 
          2244, 2244, 2244, 2245}, {
         "", "Diamond Princess", 0., 0., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 61, 61, 64, 135, 135, 175, 175, 218, 285, 355, 454, 542,
           621, 634, 634, 634, 691, 691, 691, 705, 705, 705, 705, 705, 705, 
          706, 706, 706, 706, 706, 706, 706, 706, 706, 706, 706, 706, 706, 
          706, 706, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 
          712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 
          712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 
          712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 
          712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 712, 
          712, 712, 712, 712, 712, 712, 712, 712, 712}, {
         "", "Cuba", 22., -80., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 4, 4, 4, 4, 5, 7, 11, 16, 
          21, 35, 40, 48, 57, 67, 80, 119, 139, 170, 186, 212, 233, 269, 288, 
          320, 350, 396, 457, 515, 564, 620, 669, 726, 766, 814, 862, 923, 
          986, 1035, 1087, 1137, 1189, 1235, 1285, 1337, 1369, 1389, 1437, 
          1467, 1501, 1537, 1611, 1649, 1668, 1685, 1703, 1729, 1741, 1754, 
          1766, 1783, 1804, 1810, 1830, 1840, 1862, 1872, 1881, 1887, 1900, 
          1908, 1916, 1931, 1941, 1947, 1963, 1974, 1983}, {
         "", "Cyprus", 35.1264, 33.4299, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 6, 6, 14, 26, 26, 33, 46,
           49, 67, 67, 84, 95, 116, 124, 132, 146, 162, 179, 214, 230, 262, 
          320, 356, 396, 426, 446, 465, 494, 526, 564, 595, 616, 633, 662, 
          695, 715, 735, 750, 761, 767, 772, 784, 790, 795, 804, 810, 817, 
          822, 837, 843, 850, 857, 864, 872, 874, 878, 883, 889, 891, 892, 
          898, 901, 903, 905, 907, 910, 914, 916, 917, 918, 922, 923, 927, 
          927, 935, 937, 939, 939, 941}, {
         "", "Czechia", 49.8175, 15.472999999999999`, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 5, 8, 12, 18, 19, 31, 31, 41, 91, 94,
           141, 189, 253, 298, 396, 464, 694, 833, 995, 1120, 1236, 1394, 
          1654, 1925, 2279, 2631, 2817, 3001, 3308, 3508, 3858, 4091, 4472, 
          4587, 4822, 5017, 5312, 5569, 5732, 5831, 5991, 6059, 6111, 6216, 
          6433, 6549, 6606, 6746, 6900, 7033, 7132, 7187, 7273, 7352, 7404, 
          7445, 7504, 7579, 7682, 7737, 7755, 7781, 7819, 7896, 7974, 8031, 
          8077, 8095, 8123, 8176, 8221, 8269, 8351, 8406, 8455, 8475, 8586, 
          8647, 8721, 8754, 8813, 8890, 8955, 9002, 9050, 9086, 9140}, {
         "Faroe Islands", "Denmark", 61.8926, -6.9118, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 2, 3, 9,
           11, 18, 47, 58, 72, 80, 92, 115, 118, 122, 132, 140, 144, 155, 159,
           168, 169, 173, 177, 179, 181, 181, 183, 184, 184, 184, 184, 184, 
          184, 184, 184, 184, 184, 184, 184, 185, 185, 185, 185, 187, 187, 
          187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 
          187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 
          187, 187, 187, 187, 187, 187, 187, 187}, {
         "Greenland", "Denmark", 71.7069, -42.6043, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 1, 2, 2, 2, 4, 4, 5, 6, 6, 10, 10, 10, 10, 10, 10, 10, 10, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 
          12, 12, 13, 13}, {
         "", "Denmark", 56.2639, 9.5018, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 1, 1, 3, 4, 4, 6, 10, 10, 23, 23, 35, 90, 262, 442, 615, 801, 
          827, 864, 914, 977, 1057, 1151, 1255, 1326, 1395, 1450, 1591, 1724, 
          1877, 2046, 2201, 2395, 2577, 2860, 3107, 3386, 3757, 4077, 4369, 
          4681, 5071, 5402, 5635, 5819, 5996, 6174, 6318, 6511, 6681, 6879, 
          7073, 7242, 7384, 7515, 7695, 7912, 8073, 8210, 8445, 8575, 8698, 
          8851, 9008, 9158, 9311, 9407, 9523, 9670, 9821, 9938, 10083, 10218, 
          10319, 10429, 10513, 10591, 10667, 10713, 10791, 10858, 10927, 
          10968, 11044, 11117, 11182, 11230, 11289, 11360, 11387, 11428, 
          11480, 11512}, {
         "", "Djibouti", 11.8251, 42.5903, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 3, 3, 11, 11, 12, 14, 18, 18, 30, 33, 40, 49, 50, 59, 
          90, 90, 135, 135, 150, 187, 214, 298, 363, 435, 591, 732, 732, 846, 
          846, 945, 974, 986, 999, 1008, 1023, 1035, 1072, 1077, 1089, 1097, 
          1112, 1112, 1116, 1120, 1124, 1133, 1135, 1189, 1210, 1227, 1256, 
          1268, 1284, 1309, 1331, 1401, 1518, 1618, 1828, 2047, 2270, 2270, 
          2270, 2468, 2468, 2697, 2914}, {
         "", "Dominican Republic", 18.7357, -70.1627, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 5, 5, 5, 5, 5, 5, 11, 
          11, 11, 21, 21, 34, 72, 112, 202, 245, 312, 392, 488, 581, 719, 859,
           901, 1109, 1284, 1380, 1488, 1488, 1745, 1828, 1956, 2111, 2349, 
          2620, 2759, 2967, 3167, 3286, 3614, 3755, 4126, 4335, 4680, 4964, 
          5044, 5300, 5543, 5749, 5926, 6135, 6293, 6416, 6652, 6972, 7288, 
          7578, 7954, 8235, 8480, 8807, 9095, 9376, 9882, 10347, 10634, 10900,
           11196, 11320, 11739, 12110, 12314, 12725, 13223, 13477, 13657, 
          13989, 14422, 14801, 15073, 15264, 15723, 16068}, {
         "", "Ecuador", -1.8312, -78.1834, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 6, 6, 7, 10, 13, 13, 13, 14, 15, 15, 17, 17, 17, 28, 
          28, 37, 58, 111, 199, 367, 506, 789, 981, 1082, 1173, 1403, 1595, 
          1823, 1924, 1962, 2240, 2748, 3163, 3368, 3465, 3646, 3747, 3747, 
          4450, 4965, 7161, 7257, 7466, 7529, 7603, 7858, 8225, 8450, 9022, 
          9468, 10128, 10398, 10850, 11183, 22719, 22719, 22719, 23240, 24258,
           24675, 24934, 26336, 27464, 29538, 31881, 31881, 31881, 30298, 
          28818, 29071, 29559, 29509, 30419, 30486, 30502, 31467, 32763, 
          33182, 33582, 34151, 34854, 35306, 35828, 36258, 36756, 37355, 
          37355, 38103, 38471}, {
         "", "Egypt", 26., 30., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 2, 2, 2, 2, 3, 15, 15, 49, 55, 59, 60, 67, 80, 109, 110, 150, 
          196, 196, 256, 285, 294, 327, 366, 402, 456, 495, 536, 576, 609, 
          656, 710, 779, 865, 985, 1070, 1173, 1322, 1450, 1560, 1699, 1794, 
          1939, 2065, 2190, 2350, 2505, 2673, 2844, 3032, 3144, 3333, 3490, 
          3659, 3891, 4092, 4319, 4534, 4782, 5042, 5268, 5537, 5895, 6193, 
          6465, 6813, 7201, 7588, 7981, 8476, 8964, 9400, 9746, 10093, 10431, 
          10829, 11228, 11719, 12229, 12764, 13484, 14229, 15003, 15786, 
          16513, 17265, 17967, 18756, 19666, 20793}, {
         "", "El Salvador", 13.7942, -88.8965, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 1, 1, 3, 3, 3, 5, 9, 13, 13, 19, 24, 30, 32, 32, 41, 46, 56, 
          62, 69, 78, 93, 103, 117, 118, 125, 137, 149, 159, 164, 177, 190, 
          201, 218, 225, 237, 250, 274, 274, 298, 323, 345, 377, 395, 424, 
          446, 490, 555, 587, 633, 695, 742, 784, 889, 958, 998, 1037, 1112, 
          1210, 1265, 1338, 1413, 1498, 1571, 1640, 1725, 1819, 1915, 1983, 
          2042, 2109, 2194}, {
         "", "Equatorial Guinea", 1.5, 10., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          4, 6, 6, 6, 6, 9, 9, 9, 12, 12, 12, 12, 12, 12, 15, 15, 16, 16, 16, 
          16, 16, 18, 18, 18, 18, 21, 21, 41, 51, 51, 79, 79, 79, 79, 83, 84, 
          84, 214, 258, 258, 258, 315, 315, 315, 315, 315, 315, 315, 315, 439,
           439, 439, 439, 439, 439, 439, 522, 583, 594, 594, 594, 719, 825, 
          890, 903, 960, 960, 960, 1043, 1043, 1043, 1043}, {
         "", "Eritrea", 15.1794, 39.7823, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 1, 1, 1, 1, 4, 6, 6, 6, 12, 12, 15, 15, 22, 22, 29, 29, 31, 
          31, 33, 33, 34, 34, 34, 34, 34, 35, 35, 35, 39, 39, 39, 39, 39, 39, 
          39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 
          39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 
          39}, {"", "Estonia", 58.5953, 25.0136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 3, 10, 10, 10, 10, 12, 16, 16, 79, 
          115, 171, 205, 225, 258, 267, 283, 306, 326, 352, 369, 404, 538, 
          575, 645, 679, 715, 745, 779, 858, 961, 1039, 1097, 1108, 1149, 
          1185, 1207, 1258, 1304, 1309, 1332, 1373, 1400, 1434, 1459, 1512, 
          1528, 1535, 1552, 1559, 1592, 1605, 1635, 1643, 1647, 1660, 1666, 
          1689, 1694, 1699, 1700, 1703, 1711, 1713, 1720, 1725, 1733, 1739, 
          1741, 1746, 1751, 1758, 1766, 1770, 1774, 1784, 1791, 1794, 1800, 
          1807, 1821, 1823, 1824, 1834, 1840, 1851}, {
         "", "Eswatini", -26.5225, 31.4659, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 1, 1, 1, 4, 4, 4, 4, 6, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 12,
           12, 12, 12, 14, 15, 15, 15, 16, 16, 22, 22, 24, 31, 31, 31, 36, 56,
           59, 65, 71, 91, 100, 106, 108, 112, 116, 119, 123, 153, 159, 163, 
          172, 175, 184, 187, 187, 190, 202, 203, 205, 208, 217, 220, 225, 
          238, 250, 256, 261, 272, 279}, {
         "", "Ethiopia", 9.145, 40.4897, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 5, 5, 6, 
          6, 9, 9, 11, 11, 12, 12, 12, 16, 16, 21, 23, 26, 29, 29, 35, 38, 43,
           44, 52, 55, 56, 65, 69, 71, 74, 82, 85, 92, 96, 105, 108, 111, 114,
           116, 116, 117, 122, 123, 124, 126, 130, 131, 133, 133, 135, 140, 
          145, 162, 191, 194, 210, 239, 250, 261, 263, 272, 287, 306, 317, 
          352, 365, 389, 399, 433, 494, 582, 655, 701, 731, 831}, {
         "", "Fiji", -17.7134, 178.065, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 5, 7, 7, 12, 12, 14, 15, 15, 
          15, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18}, {
         "", "Finland", 64., 26., 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 
          2, 3, 6, 6, 6, 6, 12, 15, 15, 23, 30, 40, 59, 59, 155, 225, 244, 
          277, 321, 336, 400, 450, 523, 626, 700, 792, 880, 958, 1041, 1167, 
          1240, 1352, 1418, 1446, 1518, 1615, 1882, 1927, 2176, 2308, 2487, 
          2605, 2769, 2905, 2974, 3064, 3161, 3237, 3369, 3489, 3681, 3783, 
          3868, 4014, 4129, 4284, 4395, 4475, 4576, 4695, 4740, 4906, 4995, 
          5051, 5176, 5254, 5327, 5412, 5573, 5673, 5738, 5880, 5962, 5984, 
          6003, 6054, 6145, 6228, 6286, 6347, 6380, 6399, 6443, 6493, 6537, 
          6568, 6579, 6599, 6628, 6692, 6743}, {
         "French Guiana", "France", 3.9339, -53.1258, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 5, 5, 5, 5, 5, 5, 5, 
          7, 11, 11, 11, 11, 15, 18, 18, 20, 23, 28, 28, 28, 28, 28, 43, 43, 
          51, 51, 57, 61, 61, 72, 72, 77, 83, 83, 83, 86, 86, 86, 86, 86, 96, 
          96, 96, 97, 97, 97, 107, 111, 111, 111, 111, 125, 125, 126, 128, 
          128, 128, 133, 133, 138, 138, 141, 141, 144, 144, 144, 153, 164, 
          189, 197, 197, 210, 218, 237, 249, 261, 279, 328, 353, 384, 406, 
          436}, {"French Polynesia", "France", -17.6797, 149.4068, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 3, 3, 3, 3, 3, 3, 6, 11, 15, 18, 18, 25, 25, 30, 30, 30, 30, 
          36, 36, 37, 37, 39, 40, 41, 42, 47, 51, 51, 51, 51, 53, 55, 55, 55, 
          55, 55, 55, 55, 56, 56, 57, 57, 57, 57, 57, 57, 58, 58, 58, 58, 58, 
          58, 58, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 
          60, 60, 60, 60, 60, 60, 60, 60, 60}, {
         "Guadeloupe", "France", 16.25, -61.5833, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 
          6, 18, 27, 33, 45, 53, 58, 62, 62, 73, 73, 73, 102, 106, 106, 114, 
          125, 128, 130, 134, 135, 135, 139, 141, 141, 143, 143, 143, 143, 
          145, 145, 145, 145, 148, 148, 148, 148, 148, 148, 149, 149, 149, 
          149, 149, 149, 151, 152, 152, 152, 152, 152, 152, 153, 154, 154, 
          154, 154, 155, 155, 155, 155, 155, 155, 155, 155, 155, 155, 156, 
          156, 161, 161, 161, 161, 161}, {
         "Mayotte", "France", -12.8275, 45.1662, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
           1, 3, 3, 6, 7, 11, 24, 36, 36, 36, 50, 63, 63, 82, 94, 94, 116, 
          128, 134, 147, 147, 171, 171, 184, 191, 196, 196, 207, 217, 217, 
          233, 245, 254, 271, 271, 311, 326, 326, 354, 380, 401, 401, 460, 
          460, 539, 539, 539, 650, 686, 739, 739, 854, 854, 988, 1023, 1023, 
          1095, 1143, 1210, 1210, 1312, 1342, 1370, 1370, 1475, 1475, 1521, 
          1521, 1587, 1609, 1634, 1645, 1670}, {
         "New Caledonia", "France", -20.9043, 165.618, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 2, 2, 4, 4, 8, 10, 14, 14, 15, 15, 15, 15, 16, 16, 18, 
          18, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 19}, {
         "Reunion", "France", -21.1351, 55.2471, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 5, 6, 7, 9,
           9, 12, 14, 28, 45, 64, 71, 94, 111, 135, 145, 183, 183, 224, 247, 
          281, 308, 321, 334, 344, 349, 358, 358, 362, 382, 388, 389, 391, 
          391, 391, 394, 402, 407, 408, 408, 410, 410, 412, 412, 417, 417, 
          418, 418, 420, 420, 422, 423, 423, 424, 424, 425, 427, 426, 431, 
          436, 436, 437, 439, 440, 441, 443, 443, 446, 446, 447, 449, 449, 
          452, 452, 456, 459, 460, 465}, {
         "Saint Barthelemy", "France", 17.9, -62.8333, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 1, 1, 1, 1, 1, 1,
           1, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6}, {
         "St Martin", "France", 18.0708, -63.0501, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 3, 4, 4, 4, 5, 8, 8, 11, 11, 11, 11, 11, 15, 15, 15, 22, 22, 
          24, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 35, 35, 35, 37, 37, 37, 
          37, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 
          38, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 40, 40, 40, 40, 40, 
          40, 40, 40, 40}, {
         "Martinique", "France", 14.6415, -61.0242, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 3, 3, 3, 9, 9,
           15, 16, 19, 23, 32, 32, 44, 53, 57, 66, 66, 81, 93, 93, 93, 128, 
          135, 138, 143, 145, 149, 151, 152, 154, 154, 155, 155, 155, 157, 
          157, 158, 158, 158, 158, 163, 163, 163, 164, 164, 170, 175, 175, 
          175, 175, 175, 178, 179, 179, 179, 181, 181, 182, 183, 186, 186, 
          186, 187, 187, 189, 189, 192, 192, 192, 192, 192, 192, 192, 197, 
          197, 197, 197, 197, 197, 197}, {
         "", "France", 46.2276, 2.2137, 0, 0, 2, 3, 3, 3, 4, 5, 5, 5, 6, 6, 6,
           6, 6, 6, 6, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12,
           12, 12, 12, 14, 18, 38, 57, 100, 130, 191, 204, 285, 377, 653, 949,
           1126, 1209, 1784, 2281, 2281, 3661, 4469, 4499, 6633, 7652, 9043, 
          10871, 12612, 14282, 16018, 19856, 22304, 25233, 29155, 32964, 
          37575, 40174, 44550, 52128, 56989, 59105, 64338, 68605, 70478, 
          74390, 78167, 82048, 86334, 90676, 93790, 120633, 124298, 129257, 
          132473, 144944, 146923, 146906, 151808, 154188, 156921, 154715, 
          157026, 158636, 160292, 160847, 164589, 167605, 165093, 165764, 
          165764, 166976, 167272, 167886, 168935, 172465, 173040, 174318, 
          174758, 175027, 175479, 176207, 175981, 176712, 177319, 177207, 
          177240, 177554, 178428, 179069, 179306, 179645, 179964, 179859, 
          180166, 179887, 180044, 183309}, {
         "", "Gabon", -0.8037, 11.6094, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1,
           3, 4, 5, 5, 6, 6, 7, 7, 7, 7, 7, 16, 18, 21, 21, 21, 21, 24, 30, 
          34, 44, 44, 46, 49, 57, 57, 80, 80, 108, 108, 109, 120, 156, 166, 
          167, 172, 176, 176, 211, 238, 276, 276, 276, 335, 335, 367, 397, 
          397, 504, 620, 661, 661, 802, 863, 1004, 1104, 1209, 1320, 1320, 
          1432, 1502, 1567, 1567, 1728, 1934, 1934, 2135, 2238, 2319, 2431}, {
         "", "Gambia", 13.4432, -15.3101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 1, 1, 2, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10,
           11, 12, 17, 17, 17, 17, 17, 18, 20, 20, 20, 22, 22, 23, 23, 23, 23,
           23, 24, 24, 24, 24, 25, 25, 25, 25, 25, 25, 25}, {
         "", "Georgia", 42.3154, 43.3569, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 1, 1, 3, 3, 3, 3, 4, 4, 4, 13, 15, 15, 24, 24, 25, 30, 33, 
          33, 34, 38, 40, 43, 49, 54, 61, 70, 75, 79, 83, 90, 91, 103, 110, 
          117, 134, 155, 162, 174, 188, 196, 211, 218, 234, 242, 257, 272, 
          300, 306, 348, 370, 388, 394, 402, 408, 416, 425, 444, 456, 486, 
          497, 511, 517, 539, 566, 582, 589, 593, 604, 610, 615, 623, 626, 
          635, 638, 642, 647, 667, 671, 683, 695, 701, 707, 713, 721, 723, 
          728, 730, 731, 732, 735, 738}, {
         "", "Germany", 51., 9., 0, 0, 0, 0, 0, 1, 4, 4, 4, 5, 8, 10, 12, 12, 
          12, 12, 13, 13, 14, 14, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
          16, 16, 16, 17, 27, 46, 48, 79, 130, 159, 196, 262, 482, 670, 799, 
          1040, 1176, 1457, 1908, 2078, 3675, 4585, 5795, 7272, 9257, 12327, 
          15320, 19848, 22213, 24873, 29056, 32986, 37323, 43938, 50871, 
          57695, 62095, 66885, 71808, 77872, 84794, 91159, 96092, 100123, 
          103374, 107663, 113296, 118181, 122171, 124908, 127854, 130072, 
          131359, 134753, 137698, 141397, 143342, 145184, 147065, 148291, 
          150648, 153129, 154999, 156513, 157770, 158758, 159912, 161539, 
          163009, 164077, 164967, 165664, 166152, 167007, 168162, 169430, 
          170588, 171324, 171879, 172576, 173171, 174098, 174478, 175233, 
          175752, 176369, 176551, 177778, 178473, 179021, 179710, 179986, 
          180328, 180600, 181200, 181524, 182196}, {
         "", "Ghana", 7.9465, -1.0232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 6, 6, 7, 7, 11, 
          16, 19, 23, 27, 53, 93, 132, 137, 141, 152, 152, 161, 195, 204, 205,
           205, 214, 214, 287, 313, 378, 378, 408, 566, 566, 636, 636, 641, 
          641, 834, 1042, 1042, 1042, 1154, 1154, 1279, 1279, 1550, 1550, 
          1671, 1671, 2074, 2074, 2169, 2169, 2719, 2719, 3091, 3091, 4012, 
          4263, 4263, 4700, 5127, 5408, 5530, 5638, 5735, 5735, 5735, 6096, 
          6269, 6269, 6486, 6617, 6683, 6808, 7117, 7303, 7303}, {
         "", "Greece", 39.0742, 21.8243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 3, 4, 4, 7, 7, 7, 9, 31, 45, 46, 73, 73, 89, 99, 99, 190, 228, 
          331, 331, 387, 418, 418, 495, 530, 624, 695, 743, 821, 892, 966, 
          1061, 1156, 1212, 1314, 1415, 1544, 1613, 1673, 1735, 1755, 1832, 
          1884, 1955, 2011, 2081, 2114, 2145, 2170, 2192, 2207, 2224, 2235, 
          2235, 2245, 2401, 2408, 2463, 2490, 2506, 2517, 2534, 2566, 2576, 
          2591, 2612, 2620, 2626, 2632, 2642, 2663, 2678, 2691, 2710, 2716, 
          2726, 2744, 2760, 2770, 2810, 2819, 2834, 2836, 2840, 2850, 2853, 
          2874, 2876, 2878, 2882, 2892, 2903, 2906}, {
         "", "Guatemala", 15.7835, -90.2308, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 6, 
          6, 9, 12, 17, 19, 20, 21, 24, 25, 28, 34, 34, 36, 38, 39, 47, 50, 
          61, 61, 70, 77, 87, 95, 126, 137, 155, 156, 167, 180, 196, 214, 235,
           257, 289, 294, 316, 384, 430, 473, 500, 530, 530, 557, 599, 644, 
          688, 703, 730, 763, 798, 832, 900, 967, 1052, 1114, 1199, 1342, 
          1518, 1643, 1763, 1763, 1912, 2133, 2265, 2512, 2743, 3054, 3424, 
          3760, 3954, 4145, 4348}, {
         "", "Guinea", 9.9456, -9.6966, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1,
           1, 2, 2, 4, 4, 4, 4, 8, 8, 16, 22, 22, 30, 52, 73, 111, 121, 128, 
          144, 164, 194, 212, 250, 250, 319, 363, 404, 438, 477, 518, 579, 
          622, 688, 761, 862, 954, 996, 996, 1163, 1240, 1351, 1495, 1537, 
          1586, 1586, 1710, 1811, 1856, 1927, 2009, 2042, 2146, 2146, 2298, 
          2374, 2473, 2473, 2658, 2658, 2796, 2863, 2863, 3067, 3067, 3176, 
          3275, 3275, 3275, 3275, 3553}, {
         "", "Guyana", 5., -58.75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 4, 4, 7, 7, 7, 7, 
          7, 19, 20, 5, 5, 5, 5, 8, 8, 8, 12, 19, 19, 23, 23, 24, 31, 33, 37, 
          37, 37, 45, 45, 45, 47, 55, 55, 63, 63, 65, 65, 66, 67, 70, 73, 73, 
          74, 74, 74, 78, 82, 82, 82, 82, 92, 93, 93, 93, 94, 94, 104, 109, 
          113, 113, 113, 116, 117, 117, 124, 125, 125, 127, 127, 127, 135, 
          137, 139, 139, 150}, {
         "", "Haiti", 18.9712, -72.2852, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 2, 2, 2, 6, 7, 8, 8, 8, 8, 15, 15, 15, 16, 16, 18, 20, 21, 24, 
          25, 27, 30, 31, 33, 33, 40, 40, 41, 41, 43, 44, 47, 57, 57, 62, 72, 
          72, 72, 74, 76, 76, 76, 81, 85, 85, 88, 100, 101, 101, 129, 146, 
          151, 182, 209, 209, 234, 273, 310, 358, 456, 533, 533, 596, 734, 
          812, 865, 865, 958, 1174, 1320, 1320}, {
         "", "Holy See", 41.9029, 12.4534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 4, 4, 4, 4, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 11, 
          11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 
          12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12}, {
         "", "Honduras", 15.2, -86.2419, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 3, 6, 8, 9, 
          12, 24, 24, 26, 30, 30, 36, 52, 68, 95, 110, 139, 141, 172, 219, 
          222, 264, 268, 298, 305, 312, 343, 382, 392, 393, 397, 407, 419, 
          426, 442, 457, 472, 477, 494, 510, 519, 591, 627, 627, 661, 702, 
          738, 771, 804, 1010, 1055, 1178, 1270, 1461, 1685, 1771, 1830, 1972,
           2100, 2080, 2255, 2318, 2460, 2565, 2646, 2798, 2955, 2955, 3204, 
          3477, 3477, 3950, 4189, 4401, 4640, 4752}, {
         "", "Hungary", 47.1625, 19.5033, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 4, 7, 9, 9, 13, 13, 19, 30, 32, 39, 
          50, 58, 73, 85, 103, 131, 167, 187, 226, 261, 300, 343, 408, 447, 
          492, 525, 585, 623, 678, 733, 744, 817, 895, 980, 1190, 1310, 1410, 
          1458, 1512, 1579, 1652, 1763, 1834, 1916, 1984, 2098, 2168, 2284, 
          2443, 2443, 2500, 2583, 2649, 2727, 2775, 2863, 2942, 2998, 3035, 
          3065, 3111, 3150, 3178, 3213, 3263, 3284, 3313, 3341, 3380, 3417, 
          3473, 3509, 3535, 3556, 3598, 3641, 3678, 3713, 3741, 3756, 3771, 
          3793, 3816}, {
         "", "Iceland", 64.9631, -19.0208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 3, 6, 11, 26, 34, 43, 50, 50, 58, 69, 85, 103, 134, 
          156, 171, 180, 220, 250, 330, 409, 473, 568, 588, 648, 737, 802, 
          890, 963, 1020, 1086, 1135, 1220, 1319, 1364, 1417, 1486, 1562, 
          1586, 1616, 1648, 1675, 1689, 1701, 1711, 1720, 1727, 1739, 1754, 
          1760, 1771, 1773, 1778, 1785, 1789, 1789, 1790, 1792, 1792, 1795, 
          1797, 1797, 1798, 1798, 1799, 1799, 1799, 1799, 1801, 1801, 1801, 
          1801, 1801, 1801, 1802, 1802, 1802, 1802, 1802, 1802, 1802, 1803, 
          1803, 1803, 1804, 1804, 1804, 1804, 1805, 1805}, {
         "", "India", 21., 78., 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 5, 5, 28, 30, 31, 34, 39, 43, 56, 62, 73, 82, 102, 113, 119, 
          142, 156, 194, 244, 330, 396, 499, 536, 657, 727, 887, 987, 1024, 
          1251, 1397, 1998, 2543, 2567, 3082, 3588, 4778, 5311, 5916, 6725, 
          7598, 8446, 9205, 10453, 11487, 12322, 13430, 14352, 15722, 17615, 
          18539, 20080, 21370, 23077, 24530, 26283, 27890, 29451, 31324, 
          33062, 34863, 37257, 39699, 42505, 46437, 49400, 52987, 56351, 
          59695, 62808, 67161, 70768, 74292, 78055, 81997, 85784, 90648, 
          95698, 100328, 106475, 112028, 118226, 124794, 131423, 138536, 
          144950, 150793, 158086, 165386}, {
         "", "Indonesia", -0.7893, 113.9213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 4, 4, 6, 19, 27, 34, 34, 69, 96, 117,
           134, 172, 227, 311, 369, 450, 514, 579, 686, 790, 893, 1046, 1155, 
          1285, 1414, 1528, 1677, 1790, 1986, 2092, 2273, 2491, 2738, 2956, 
          3293, 3512, 3842, 4241, 4557, 4839, 5136, 5516, 5923, 6248, 6575, 
          6760, 7135, 7418, 7775, 8211, 8607, 8882, 9096, 9511, 9771, 10118, 
          10551, 10843, 11192, 11587, 12071, 12438, 12776, 13112, 13645, 
          14032, 14265, 14749, 15438, 16006, 16496, 17025, 17514, 18010, 
          18496, 19189, 20162, 20796, 21745, 22271, 22750, 23165, 23851, 
          24538}, {
         "", "Iran", 32., 53., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 5, 18, 28, 43, 61, 95, 139, 
          245, 388, 593, 978, 1501, 2336, 2922, 3513, 4747, 5823, 6566, 7161, 
          8042, 9000, 10075, 11364, 12729, 13938, 14991, 16169, 17361, 18407, 
          19644, 20610, 21638, 23049, 24811, 27017, 29406, 32332, 35408, 
          38309, 41495, 44605, 47593, 50468, 53183, 55743, 58226, 60500, 
          62589, 64586, 66220, 68192, 70029, 71686, 73303, 74877, 76389, 
          77995, 79494, 80868, 82211, 83505, 84802, 85996, 87026, 88194, 
          89328, 90481, 91472, 92584, 93657, 94640, 95646, 96448, 97424, 
          98647, 99970, 101650, 103135, 104691, 106220, 107603, 109286, 
          110767, 112725, 114533, 116635, 118392, 120198, 122492, 124603, 
          126949, 129341, 131652, 133521, 135701, 137724, 139511, 141591, 
          143849}, {
         "", "Iraq", 33., 44., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 5, 7, 7, 
          13, 19, 26, 32, 35, 35, 40, 54, 60, 60, 71, 71, 71, 101, 110, 116, 
          124, 154, 164, 192, 208, 214, 233, 266, 316, 346, 382, 458, 506, 
          547, 630, 694, 728, 772, 820, 878, 961, 1031, 1122, 1202, 1232, 
          1279, 1318, 1352, 1378, 1400, 1415, 1434, 1482, 1513, 1539, 1574, 
          1602, 1631, 1677, 1708, 1763, 1820, 1847, 1928, 2003, 2085, 2153, 
          2219, 2296, 2346, 2431, 2480, 2543, 2603, 2679, 2767, 2818, 2913, 
          3032, 3143, 3193, 3260, 3404, 3554, 3611, 3724, 3877, 3964, 4272, 
          4469, 4632, 4848, 5135, 5457}, {
         "", "Ireland", 53.1424, -7.6921, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 1, 2, 6, 6, 18, 18, 19, 21, 34, 43, 43, 90, 129, 
          129, 169, 223, 292, 557, 683, 785, 906, 1125, 1329, 1564, 1819, 
          2121, 2415, 2615, 2910, 3235, 3447, 3849, 4273, 4604, 4994, 5364, 
          5709, 6074, 6574, 8089, 8928, 9655, 10647, 11479, 12547, 13271, 
          13980, 14758, 15251, 15652, 16040, 16671, 17607, 18184, 18561, 
          19262, 19648, 19877, 20253, 20612, 20833, 21176, 21506, 21772, 
          21983, 22248, 22385, 22541, 22760, 22996, 23135, 23242, 23401, 
          23827, 23956, 24048, 24112, 24200, 24251, 24315, 24391, 24506, 
          24582, 24639, 24698, 24735, 24803, 24841}, {
         "", "Israel", 31., 35., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 3, 4,
           7, 10, 10, 12, 15, 20, 37, 43, 61, 61, 75, 79, 100, 126, 155, 213, 
          218, 250, 304, 427, 529, 712, 883, 1071, 1238, 2369, 2693, 3035, 
          3619, 4247, 4695, 5358, 6092, 6857, 7428, 7851, 8430, 8904, 9248, 
          9404, 9968, 10408, 10743, 11145, 11586, 12046, 12501, 12758, 12982, 
          13265, 13491, 13713, 13942, 14498, 14803, 15058, 15298, 15443, 
          15555, 15728, 15834, 15946, 16101, 16185, 16208, 16246, 16289, 
          16310, 16381, 16436, 16454, 16477, 16506, 16529, 16548, 16579, 
          16589, 16608, 16617, 16643, 16659, 16667, 16683, 16690, 16712, 
          16717, 16734, 16757, 16793, 16872}, {
         "", "Italy", 43., 12., 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 
          2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 20, 62, 155, 229, 322, 
          453, 655, 888, 1128, 1694, 2036, 2502, 3089, 3858, 4636, 5883, 7375,
           9172, 10149, 12462, 15113, 17660, 21157, 24747, 27980, 31506, 
          35713, 41035, 47021, 53578, 59138, 63927, 69176, 74386, 80589, 
          86498, 92472, 97689, 101739, 105792, 110574, 115242, 119827, 124632,
           128948, 132547, 135586, 139422, 143626, 147577, 152271, 156363, 
          159516, 162488, 165155, 168941, 172434, 175925, 178972, 181228, 
          183957, 187327, 189973, 192994, 195351, 197675, 199414, 201505, 
          203591, 205463, 207428, 209328, 210717, 211938, 213013, 214457, 
          215858, 217185, 218268, 219070, 219814, 221216, 222104, 223096, 
          223885, 224760, 225435, 225886, 226699, 227364, 228006, 228658, 
          229327, 229858, 230158, 230555, 231139, 231732}, {
         "", "Jamaica", 18.1096, -77.2975, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 8, 8, 10, 10, 12,
           13, 15, 16, 16, 19, 19, 21, 26, 26, 26, 30, 32, 36, 36, 44, 47, 47,
           53, 58, 58, 63, 63, 63, 63, 65, 69, 73, 73, 125, 143, 143, 163, 
          173, 223, 223, 233, 257, 288, 305, 350, 364, 364, 396, 422, 432, 
          463, 469, 471, 473, 478, 488, 490, 490, 502, 505, 507, 509, 509, 
          511, 517, 520, 520, 520, 529, 534, 544, 550, 552, 556, 564, 569, 
          569}, {"", "Japan", 36., 138., 2, 2, 2, 2, 4, 4, 7, 7, 11, 15, 20, 
          20, 20, 22, 22, 22, 25, 25, 26, 26, 26, 28, 28, 29, 43, 59, 66, 74, 
          84, 94, 105, 122, 147, 159, 170, 189, 214, 228, 241, 256, 274, 293, 
          331, 360, 420, 461, 502, 511, 581, 639, 639, 701, 773, 839, 839, 
          878, 889, 924, 963, 1007, 1101, 1128, 1193, 1307, 1387, 1468, 1693, 
          1866, 1866, 1953, 2178, 2495, 2617, 3139, 3139, 3654, 3906, 4257, 
          4667, 5530, 6005, 6748, 7370, 7645, 8100, 8626, 9787, 10296, 10797, 
          10797, 11135, 11512, 12368, 12829, 13231, 13441, 14153, 13736, 
          13895, 14088, 14305, 14571, 14877, 15078, 15253, 15253, 15477, 
          15575, 15663, 15777, 15847, 15968, 16049, 16120, 16203, 16237, 
          16285, 16305, 16367, 16367, 16424, 16513, 16536, 16550, 16581, 
          16623, 16651, 16598}, {
         "", "Jordan", 31.24, 36.51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 8, 17, 34, 52, 
          69, 85, 85, 112, 127, 154, 172, 212, 235, 246, 259, 268, 274, 278, 
          299, 310, 323, 345, 349, 353, 358, 372, 372, 381, 389, 391, 397, 
          401, 402, 407, 413, 417, 425, 428, 435, 437, 441, 444, 447, 449, 
          449, 451, 453, 459, 460, 461, 465, 471, 473, 494, 508, 522, 540, 
          562, 576, 582, 586, 596, 607, 613, 629, 649, 672, 684, 700, 704, 
          708, 711, 718, 720, 728}, {
         "", "Kazakhstan", 48.0196, 66.9237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 6, 9, 10, 33,
           35, 44, 49, 53, 60, 62, 72, 81, 111, 150, 228, 284, 302, 343, 380, 
          435, 464, 531, 584, 662, 697, 727, 781, 812, 865, 951, 1091, 1232, 
          1295, 1402, 1546, 1615, 1676, 1852, 1995, 2135, 2289, 2482, 2601, 
          2717, 2835, 3027, 3138, 3402, 3597, 3857, 3920, 4049, 4205, 4422, 
          4578, 4834, 4975, 5090, 5207, 5279, 5417, 5571, 5689, 5850, 6157, 
          6751, 6751, 6969, 7234, 7919, 7919, 8531, 8969, 8969, 9304, 9576}, {
         "", "Kenya", -0.0236, 37.9062, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 3, 3, 3, 7,
           7, 7, 15, 16, 25, 28, 31, 31, 38, 42, 50, 59, 81, 110, 122, 126, 
          142, 158, 172, 179, 184, 189, 191, 197, 208, 216, 225, 234, 246, 
          262, 270, 281, 296, 303, 320, 336, 343, 355, 363, 374, 384, 396, 
          411, 435, 465, 490, 535, 582, 607, 621, 649, 672, 700, 715, 737, 
          758, 781, 830, 887, 912, 963, 1029, 1109, 1161, 1192, 1214, 1286, 
          1348, 1471, 1618}, {
         "", "Korea, South", 36., 128., 1, 1, 2, 2, 3, 4, 4, 4, 4, 11, 12, 15,
           15, 16, 19, 23, 24, 24, 25, 27, 28, 28, 28, 28, 28, 29, 30, 31, 31,
           104, 204, 433, 602, 833, 977, 1261, 1766, 2337, 3150, 3736, 4335, 
          5186, 5621, 6088, 6593, 7041, 7314, 7478, 7513, 7755, 7869, 7979, 
          8086, 8162, 8236, 8320, 8413, 8565, 8652, 8799, 8961, 8961, 9037, 
          9137, 9241, 9332, 9478, 9583, 9661, 9786, 9887, 9976, 10062, 10156, 
          10237, 10284, 10331, 10384, 10423, 10450, 10480, 10512, 10537, 
          10564, 10591, 10613, 10635, 10653, 10661, 10674, 10683, 10694, 
          10708, 10718, 10728, 10738, 10752, 10761, 10765, 10774, 10780, 
          10793, 10801, 10804, 10806, 10810, 10822, 10840, 10874, 10909, 
          10936, 10962, 10991, 11018, 11037, 11050, 11065, 11078, 11110, 
          11122, 11142, 11165, 11190, 11206, 11225, 11265, 11344, 11402}, {
         "", "Kuwait", 29.5, 47.75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 11, 26, 
          43, 45, 45, 45, 56, 56, 56, 58, 58, 61, 64, 64, 69, 72, 80, 80, 104,
           112, 123, 130, 142, 148, 159, 176, 188, 189, 191, 195, 208, 225, 
          235, 255, 266, 289, 317, 342, 417, 479, 556, 665, 743, 855, 910, 
          993, 1154, 1234, 1300, 1355, 1405, 1524, 1658, 1751, 1915, 1995, 
          2080, 2248, 2399, 2614, 2892, 3075, 3288, 3440, 3740, 4024, 4377, 
          4619, 4983, 5278, 5804, 6289, 6567, 7208, 7623, 8688, 9286, 10277, 
          11028, 11975, 12860, 13802, 14850, 15691, 16764, 17568, 18609, 
          19564, 20464, 21302, 21967, 22575, 23267, 24112}, {
         "", "Kyrgyzstan", 41.2044, 74.7661, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          3, 3, 6, 14, 14, 16, 42, 44, 44, 58, 58, 84, 94, 107, 111, 116, 130,
           144, 147, 216, 228, 270, 280, 298, 339, 377, 419, 430, 449, 466, 
          489, 506, 554, 568, 590, 612, 631, 665, 665, 682, 695, 708, 729, 
          746, 756, 769, 795, 830, 843, 871, 895, 906, 931, 1002, 1016, 1037, 
          1044, 1082, 1111, 1117, 1138, 1216, 1243, 1270, 1313, 1350, 1365, 
          1403, 1433, 1468, 1520, 1594}, {
         "", "Latvia", 56.8796, 24.6032, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 6, 8, 10, 10, 17, 26, 30, 34, 
          49, 71, 86, 111, 124, 139, 180, 197, 221, 244, 280, 305, 347, 376, 
          398, 446, 458, 493, 509, 533, 542, 548, 577, 589, 612, 630, 651, 
          655, 657, 666, 675, 682, 712, 727, 739, 748, 761, 778, 784, 804, 
          812, 818, 836, 849, 858, 870, 871, 879, 896, 896, 900, 909, 928, 
          930, 939, 946, 950, 951, 962, 970, 997, 1008, 1009, 1012, 1016, 
          1025, 1030, 1046, 1047, 1049, 1053, 1057, 1061}, {
         "", "Lebanon", 33.8547, 35.8623, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1,
           2, 2, 2, 4, 10, 13, 13, 13, 16, 22, 22, 32, 32, 41, 61, 61, 77, 93,
           110, 110, 120, 133, 157, 163, 187, 248, 267, 318, 333, 368, 391, 
          412, 438, 446, 470, 479, 494, 508, 520, 527, 541, 548, 576, 582, 
          609, 619, 630, 632, 641, 658, 663, 668, 672, 673, 677, 677, 682, 
          688, 696, 704, 707, 710, 717, 721, 725, 729, 733, 737, 740, 741, 
          750, 784, 796, 809, 845, 859, 870, 878, 886, 891, 902, 911, 931, 
          954, 961, 1024, 1086, 1097, 1114, 1119, 1140, 1161, 1168}, {
         "", "Liberia", 6.4281, -9.4295, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 
          2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 6, 6, 7, 10, 13, 14, 14, 31, 
          31, 37, 48, 50, 59, 59, 59, 59, 76, 76, 91, 99, 101, 101, 101, 117, 
          120, 124, 124, 141, 141, 141, 152, 154, 158, 166, 170, 178, 189, 
          199, 199, 199, 211, 211, 213, 215, 219, 223, 226, 229, 233, 238, 
          240, 249, 255, 265, 265, 266, 266, 269}, {
         "", "Liechtenstein", 47.14, 9.55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 4, 4, 4, 7, 
          28, 28, 28, 37, 37, 51, 51, 51, 56, 56, 56, 56, 62, 68, 68, 75, 75, 
          77, 77, 77, 78, 78, 78, 79, 79, 79, 79, 79, 79, 79, 79, 79, 81, 81, 
          81, 81, 81, 81, 81, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 
          82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 
          82, 82, 82, 82}, {
         "", "Lithuania", 55.1694, 23.8813, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 6, 8, 12, 17, 
          25, 27, 36, 49, 83, 143, 179, 209, 274, 299, 358, 394, 460, 491, 
          537, 581, 649, 696, 771, 811, 843, 880, 912, 955, 999, 1026, 1053, 
          1062, 1070, 1091, 1128, 1149, 1239, 1298, 1326, 1350, 1370, 1398, 
          1410, 1426, 1438, 1449, 1344, 1375, 1385, 1399, 1406, 1410, 1419, 
          1423, 1428, 1433, 1436, 1444, 1479, 1485, 1491, 1505, 1511, 1523, 
          1534, 1541, 1547, 1562, 1577, 1593, 1604, 1616, 1623, 1635, 1639, 
          1647, 1656}, {
         "", "Luxembourg", 49.8153, 6.1296, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 2, 3, 3, 5, 7, 19, 34, 51, 59, 77,
           140, 203, 335, 484, 670, 798, 875, 1099, 1333, 1453, 1605, 1831, 
          1950, 1988, 2178, 2319, 2487, 2612, 2729, 2804, 2843, 2970, 3034, 
          3115, 3223, 3270, 3281, 3292, 3307, 3373, 3444, 3480, 3537, 3550, 
          3558, 3618, 3654, 3665, 3695, 3711, 3723, 3729, 3741, 3769, 3784, 
          3802, 3812, 3824, 3828, 3840, 3851, 3859, 3871, 3877, 3886, 3888, 
          3894, 3904, 3915, 3923, 3930, 3945, 3947, 3958, 3971, 3980, 3981, 
          3990, 3992, 3993, 3995, 4001, 4008}, {
         "", "Madagascar", -18.7669, 46.8691, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 3, 3, 3, 12, 17, 19, 23, 26, 26, 39, 43, 57, 57, 59, 70, 70, 
          72, 82, 88, 93, 93, 93, 102, 106, 106, 108, 110, 111, 117, 120, 121,
           121, 121, 121, 121, 122, 123, 124, 128, 128, 128, 128, 132, 135, 
          149, 149, 151, 158, 193, 193, 193, 193, 186, 186, 212, 230, 238, 
          283, 304, 322, 326, 371, 405, 448, 488, 527, 542, 586, 612, 656}, {
         "", "Malaysia", 2.5, 112.5, 0, 0, 0, 3, 4, 4, 4, 7, 8, 8, 8, 8, 8, 
          10, 12, 12, 12, 16, 16, 18, 18, 18, 19, 19, 22, 22, 22, 22, 22, 22, 
          22, 22, 22, 22, 22, 22, 23, 23, 25, 29, 29, 36, 50, 50, 83, 93, 99, 
          117, 129, 149, 149, 197, 238, 428, 566, 673, 790, 900, 1030, 1183, 
          1306, 1518, 1624, 1796, 2031, 2161, 2320, 2470, 2626, 2766, 2908, 
          3116, 3333, 3483, 3662, 3793, 3963, 4119, 4228, 4346, 4530, 4683, 
          4817, 4987, 5072, 5182, 5251, 5305, 5389, 5425, 5482, 5532, 5603, 
          5691, 5742, 5780, 5820, 5851, 5945, 6002, 6071, 6176, 6298, 6353, 
          6383, 6428, 6467, 6535, 6589, 6656, 6726, 6742, 6779, 6819, 6855, 
          6872, 6894, 6941, 6978, 7009, 7059, 7137, 7185, 7245, 7417, 7604, 
          7619, 7629}, {
         "", "Maldives", 3.2028, 73.2207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 6, 8, 8, 9, 10, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 16, 16, 17, 17, 18, 19, 19, 19, 
          19, 19, 19, 19, 19, 19, 19, 19, 20, 20, 20, 22, 25, 28, 35, 52, 69, 
          83, 86, 108, 129, 177, 214, 226, 250, 278, 468, 491, 519, 527, 541, 
          573, 617, 648, 744, 790, 835, 897, 904, 955, 982, 1031, 1078, 1094, 
          1106, 1143, 1186, 1216, 1274, 1313, 1371, 1395, 1438, 1457, 1513}, {
         "", "Malta", 35.9375, 14.3754, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 5, 6, 6, 12, 18, 21, 30, 38, 
          38, 53, 64, 73, 90, 107, 110, 129, 134, 139, 149, 151, 156, 169, 
          188, 196, 202, 213, 227, 241, 293, 299, 337, 350, 370, 378, 384, 
          393, 399, 412, 422, 426, 427, 431, 443, 444, 445, 447, 448, 448, 
          450, 458, 463, 465, 467, 468, 477, 480, 482, 484, 486, 489, 490, 
          496, 503, 506, 508, 522, 532, 546, 553, 558, 569, 584, 599, 600, 
          609, 610, 611, 611, 612, 616}, {
         "", "Mauritania", 21.0079, 10.9408, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 2, 2, 2, 2, 2, 2, 2, 3, 3, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7,
           7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 9, 15, 20, 29, 40, 62, 81, 131, 141, 
          173, 200, 227, 237, 262, 268, 292, 346}, {
         "", "Mauritius", -20.2, 57.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 
          12, 14, 28, 36, 42, 48, 81, 94, 102, 107, 128, 143, 161, 169, 186, 
          196, 227, 244, 268, 273, 314, 318, 319, 324, 324, 324, 324, 324, 
          324, 325, 328, 328, 328, 329, 331, 331, 331, 332, 334, 334, 332, 
          332, 332, 332, 332, 332, 332, 332, 332, 332, 332, 332, 332, 332, 
          332, 332, 332, 332, 332, 332, 332, 332, 332, 332, 332, 334, 334, 
          334, 334, 334}, {
         "", "Mexico", 23.6345, -102.5528, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 4, 5, 5, 5, 5, 5, 6, 6, 7, 7, 7, 8, 12, 26, 41, 53, 82, 
          93, 118, 164, 203, 251, 316, 367, 405, 475, 585, 717, 848, 993, 
          1094, 1215, 1378, 1510, 1688, 1890, 2143, 2439, 2785, 3181, 3441, 
          3844, 4219, 4661, 5014, 5399, 5847, 6297, 6875, 7497, 8261, 8772, 
          9501, 10544, 11633, 12872, 13842, 14677, 15529, 16752, 17799, 19224,
           20739, 22088, 23471, 24905, 26025, 27634, 29616, 31522, 33460, 
          35022, 36327, 38324, 40186, 42595, 45032, 47144, 49219, 51633, 
          54346, 56594, 59567, 62527, 65856, 68620, 71105, 74560, 78023, 
          81400}, {
         "", "Moldova", 47.4116, 28.3699, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 3, 3, 6, 12, 23, 23, 30, 
          30, 49, 66, 80, 94, 109, 125, 149, 177, 199, 231, 263, 298, 353, 
          423, 505, 591, 752, 864, 965, 1056, 1174, 1289, 1438, 1560, 1662, 
          1712, 1934, 2049, 2154, 2264, 2378, 2472, 2548, 2614, 2778, 2926, 
          3110, 3304, 3408, 3481, 3638, 3771, 3897, 3980, 4052, 4121, 4248, 
          4363, 4476, 4605, 4728, 4867, 4927, 4995, 5154, 5406, 5553, 5745, 
          5934, 6060, 6138, 6340, 6553, 6704, 6847, 6994, 7093, 7147, 7305, 
          7537, 7725}, {
         "", "Monaco", 43.7333, 7.4167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 7, 7, 7, 7,
           11, 11, 23, 23, 23, 31, 33, 42, 42, 46, 49, 52, 55, 60, 64, 66, 73,
           77, 79, 81, 84, 90, 92, 93, 93, 93, 93, 93, 94, 94, 94, 94, 94, 94,
           94, 94, 94, 94, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 96,
           96, 96, 96, 96, 96, 96, 96, 96, 97, 97, 97, 97, 97, 98, 98, 98, 98,
           98, 98}, {
         "", "Mongolia", 46.8625, 103.8467, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 5, 
          6, 6, 6, 10, 10, 10, 10, 10, 11, 11, 12, 12, 12, 12, 14, 14, 14, 14,
           14, 15, 15, 16, 16, 16, 16, 16, 17, 30, 30, 31, 31, 31, 32, 33, 34,
           35, 36, 37, 37, 38, 38, 38, 38, 38, 38, 39, 39, 40, 41, 41, 41, 42,
           42, 42, 42, 42, 42, 98, 98, 135, 136, 140, 140, 140, 140, 141, 141,
           141, 141, 141, 148, 161}, {
         "", "Montenegro", 42.5, 19.3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 
          14, 14, 21, 27, 47, 52, 69, 82, 84, 85, 91, 109, 123, 144, 174, 201,
           214, 233, 241, 248, 252, 255, 263, 272, 274, 283, 288, 303, 303, 
          307, 308, 312, 313, 315, 316, 319, 320, 321, 321, 321, 322, 322, 
          322, 322, 322, 323, 324, 324, 324, 324, 324, 324, 324, 324, 324, 
          324, 324, 324, 324, 324, 324, 324, 324, 324, 324, 324, 324, 324, 
          324, 324}, {
         "", "Morocco", 31.7917, -7.0926, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2, 2, 3, 5, 6, 7, 17, 28, 29, 38, 
          49, 63, 77, 96, 115, 143, 170, 225, 275, 345, 402, 479, 556, 617, 
          654, 708, 791, 919, 1021, 1120, 1184, 1275, 1374, 1448, 1545, 1661, 
          1763, 1888, 2024, 2283, 2564, 2685, 2855, 3046, 3209, 3446, 3568, 
          3758, 3897, 4065, 4120, 4252, 4321, 4423, 4569, 4729, 4903, 5053, 
          5219, 5408, 5548, 5711, 5910, 6063, 6281, 6418, 6512, 6607, 6652, 
          6741, 6870, 6952, 7023, 7133, 7211, 7332, 7406, 7433, 7532, 7577, 
          7601, 7643}, {
         "", "Namibia", -22.9576, 18.4904, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2,
           3, 3, 3, 3, 4, 7, 7, 8, 8, 8, 11, 11, 11, 14, 14, 14, 14, 16, 16, 
          16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
          16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
          16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 18, 19, 20, 21, 21, 21, 22, 
          22}, {"", "Nepal", 28.1667, 84.25, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 2, 2, 3, 3, 4, 5, 5, 5, 5, 5, 6, 6, 9, 9, 9, 9, 9, 9,
           9, 9, 12, 14, 16, 16, 16, 30, 31, 31, 31, 43, 45, 48, 49, 49, 52, 
          52, 54, 57, 57, 59, 59, 75, 75, 82, 99, 101, 102, 110, 110, 134, 
          217, 250, 249, 267, 291, 295, 375, 402, 427, 457, 516, 584, 603, 
          682, 772, 886, 1042}, {
         "Aruba", "Netherlands", 12.5186, -70.0358, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2,
           2, 3, 4, 4, 5, 5, 9, 9, 12, 17, 28, 33, 46, 50, 50, 55, 55, 60, 62,
           64, 64, 71, 74, 77, 82, 86, 92, 92, 92, 92, 93, 95, 96, 96, 97, 97,
           97, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 
          100, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 
          101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101}, {
         "Curacao", "Netherlands", 12.1696, -68.99, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
           1, 3, 3, 3, 3, 3, 3, 4, 6, 6, 6, 8, 8, 8, 11, 11, 11, 11, 11, 11, 
          11, 13, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
          16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 17, 17, 18, 
          18, 18, 18}, {
         "Sint Maarten", "Netherlands", 18.0425, -63.0548, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 3, 3, 3, 3, 6, 6, 6, 16, 18, 23,
           23, 25, 37, 40, 40, 43, 50, 50, 50, 50, 52, 53, 57, 57, 64, 67, 67,
           67, 71, 73, 73, 73, 74, 74, 75, 75, 75, 76, 76, 76, 76, 76, 76, 76,
           76, 76, 76, 76, 76, 76, 76, 76, 77, 77, 77, 77, 77, 77, 77, 77, 77,
           77, 77, 77, 77}, {
         "", "Netherlands", 52.1326, 5.2913, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 6, 10, 18, 24, 38, 82, 128, 188, 265, 321, 382, 503, 
          503, 804, 959, 1135, 1413, 1705, 2051, 2460, 2994, 3631, 4204, 4749,
           5560, 6412, 7431, 8603, 9762, 10866, 11750, 12595, 13614, 14697, 
          15723, 16627, 17851, 18803, 19580, 20549, 21762, 23097, 24413, 
          25587, 26551, 27419, 28153, 29214, 30449, 31589, 32655, 33405, 
          34134, 34842, 35729, 36535, 37190, 37845, 38245, 38416, 38802, 
          39316, 39791, 40236, 40571, 40770, 41087, 41319, 41774, 42093, 
          42382, 42627, 42788, 42984, 43211, 43481, 43681, 43870, 43995, 
          44141, 44249, 44447, 44700, 44888, 45064, 45236, 45445, 45578, 
          45768, 45950}, {
         "", "New Zealand", -40.9006, 174.886, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 1, 1, 3, 3, 4, 5, 5, 5, 5, 5, 5, 5, 6, 8, 8, 
          12, 20, 28, 39, 52, 102, 102, 155, 205, 283, 368, 451, 514, 589, 
          647, 708, 797, 868, 950, 1039, 1106, 1160, 1210, 1239, 1283, 1312, 
          1330, 1349, 1366, 1386, 1401, 1409, 1422, 1431, 1440, 1445, 1451, 
          1456, 1461, 1470, 1469, 1472, 1474, 1476, 1479, 1485, 1487, 1487, 
          1486, 1488, 1489, 1490, 1492, 1494, 1497, 1497, 1497, 1497, 1498, 
          1498, 1499, 1499, 1499, 1503, 1503, 1504, 1504, 1504, 1504, 1504, 
          1504, 1504, 1504}, {
         "", "Nicaragua", 12.8654, -85.2072, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 1, 2, 2, 2, 2, 2, 2, 2, 4, 4, 4, 5, 5, 5, 5, 5, 6, 6, 6, 6, 7,
           7, 8, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 10, 11, 11, 12, 13, 13, 13, 
          13, 14, 14, 14, 15, 15, 16, 16, 16, 16, 16, 16, 16, 25, 25, 25, 25, 
          25, 25, 25, 254, 254, 279, 279, 279, 279, 279, 759, 759, 759}, {
         "", "Niger", 17.6078, 8.0817, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 2, 3, 3, 7, 10, 10, 10, 18, 27, 27, 74, 98, 120, 144, 184, 
          253, 278, 342, 410, 438, 491, 529, 529, 570, 584, 584, 627, 639, 
          648, 648, 657, 662, 671, 681, 684, 696, 701, 709, 713, 719, 728, 
          736, 750, 755, 763, 770, 781, 795, 815, 821, 832, 854, 860, 876, 
          885, 889, 904, 909, 914, 920, 924, 937, 943, 945, 951, 952, 952, 
          955}, {"", "Nigeria", 9.082, 8.6753, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 
          3, 8, 8, 12, 22, 30, 40, 44, 51, 65, 70, 89, 111, 131, 135, 174, 
          184, 210, 214, 232, 238, 254, 276, 288, 305, 318, 323, 343, 373, 
          407, 442, 493, 542, 627, 665, 665, 873, 981, 1095, 1182, 1273, 1337,
           1532, 1728, 1932, 2170, 2388, 2558, 2802, 2950, 3145, 3526, 3912, 
          4151, 4399, 4641, 4787, 4971, 5162, 5450, 5621, 5959, 6175, 6401, 
          6677, 7016, 7261, 7526, 7839, 8068, 8344, 8733, 8915}, {
         "", "North Macedonia", 41.6086, 21.7453, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 7, 7, 7, 14, 14, 
          14, 18, 26, 35, 48, 67, 85, 115, 136, 148, 177, 201, 219, 241, 259, 
          285, 329, 354, 384, 430, 483, 555, 570, 599, 617, 663, 711, 760, 
          828, 854, 908, 974, 1081, 1117, 1170, 1207, 1225, 1231, 1259, 1300, 
          1326, 1367, 1386, 1399, 1421, 1442, 1465, 1494, 1506, 1511, 1518, 
          1526, 1539, 1572, 1586, 1622, 1642, 1664, 1674, 1694, 1723, 1740, 
          1762, 1792, 1817, 1839, 1858, 1898, 1921, 1941, 1978, 1999, 2014, 
          2039, 2077}, {
         "", "Norway", 60.472, 8.4689, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 6, 15, 19, 25, 32, 56, 87, 108, 147, 176, 205, 400, 598, 702, 
          996, 1090, 1221, 1333, 1463, 1550, 1746, 1914, 2118, 2385, 2621, 
          2863, 3084, 3369, 3755, 4015, 4284, 4445, 4641, 4863, 5147, 5370, 
          5550, 5687, 5865, 6086, 6086, 6211, 6314, 6409, 6525, 6603, 6623, 
          6740, 6896, 6937, 7036, 7078, 7156, 7191, 7338, 7401, 7463, 7499, 
          7527, 7599, 7660, 7710, 7738, 7783, 7809, 7847, 7904, 7955, 7996, 
          8034, 8070, 8099, 8105, 8132, 8157, 8175, 8196, 8219, 8237, 8249, 
          8257, 8267, 8281, 8309, 8332, 8346, 8352, 8364, 8383, 8401, 8411}, {
         "", "Oman", 21., 57., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 4, 4, 4, 
          6, 6, 6, 12, 15, 16, 16, 16, 16, 16, 18, 18, 18, 19, 19, 22, 22, 24,
           39, 48, 48, 52, 55, 66, 84, 99, 109, 131, 152, 167, 179, 192, 210, 
          231, 252, 277, 298, 331, 371, 419, 457, 484, 546, 599, 727, 813, 
          910, 1019, 1069, 1180, 1266, 1410, 1508, 1614, 1716, 1790, 1905, 
          1998, 2049, 2131, 2274, 2348, 2447, 2483, 2568, 2637, 2735, 2903, 
          2958, 3112, 3224, 3399, 3573, 3721, 4019, 4341, 4625, 5029, 5186, 
          5379, 5671, 6043, 6370, 6794, 7257, 7770, 7770, 8118, 8373, 9009}, {
         "", "Pakistan", 30.3753, 69.3451, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 2, 2, 2, 4, 4, 4, 5, 5, 5, 6, 6, 6, 6, 16, 19, 20, 28, 31, 53, 
          136, 236, 299, 454, 501, 730, 776, 875, 972, 1063, 1201, 1373, 1495,
           1597, 1717, 1938, 2118, 2421, 2686, 2818, 3157, 3766, 4035, 4263, 
          4489, 4695, 5011, 5230, 5496, 5837, 6383, 6919, 7025, 7638, 8348, 
          8418, 9565, 10076, 11155, 11940, 12723, 13328, 13915, 14612, 15525, 
          16817, 18114, 19103, 20084, 20941, 22049, 24073, 24644, 26435, 
          28736, 30334, 32081, 34336, 35298, 35788, 38799, 38799, 40151, 
          42125, 43966, 45898, 48091, 50694, 52437, 54601, 56349, 57705, 
          59151, 61227}, {
         "", "Panama", 8.538, -80.7821, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 8, 11, 27, 36, 43, 55, 69,
           86, 109, 137, 200, 313, 345, 345, 443, 558, 674, 786, 901, 989, 
          1181, 1181, 1317, 1475, 1673, 1801, 1988, 2100, 2249, 2528, 2752, 
          2974, 3234, 3400, 3472, 3574, 3751, 4016, 4210, 4273, 4467, 4658, 
          4821, 5166, 5338, 5538, 5779, 6021, 6021, 6378, 6532, 6720, 7090, 
          7090, 7197, 7523, 7731, 7868, 8070, 8282, 8448, 8616, 8783, 8944, 
          9118, 9268, 9449, 9606, 9726, 9867, 9977, 10116, 10267, 10577, 
          10926, 11183, 11447, 11728, 12131}, {
         "", "Papua New Guinea", -6.315, 143.9555, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 8, 8}, {
         "", "Paraguay", -23.4425, -58.4438, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 5, 5, 6, 6, 6, 8, 9, 
          11, 11, 13, 18, 22, 22, 27, 37, 41, 52, 56, 59, 64, 65, 69, 77, 92, 
          96, 104, 113, 115, 119, 124, 129, 133, 134, 147, 159, 161, 174, 199,
           202, 206, 208, 208, 213, 213, 223, 228, 228, 228, 239, 239, 266, 
          333, 370, 396, 415, 431, 440, 462, 563, 689, 713, 724, 737, 740, 
          754, 759, 778, 786, 788, 829, 833, 836, 838, 850, 862, 865, 877, 
          884, 900}, {
         "", "Peru", -9.19, -75.0152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 6, 7, 11, 11, 15, 28, 38, 43, 86, 
          117, 145, 234, 234, 318, 363, 395, 416, 480, 580, 635, 671, 852, 
          950, 1065, 1323, 1414, 1595, 1746, 2281, 2561, 2954, 4342, 5256, 
          5897, 6848, 7519, 9784, 10303, 11475, 12491, 13489, 14420, 15628, 
          16325, 17837, 19250, 20914, 21648, 25331, 27517, 28699, 31190, 
          33931, 36976, 40459, 42534, 45928, 47372, 51189, 54817, 58526, 
          61847, 65015, 67307, 68822, 72059, 76306, 80604, 84495, 88541, 
          92273, 94933, 99483, 104020, 108769, 111698, 115754, 119959, 123979,
           129751, 135905, 141779}, {
         "", "Philippines", 13., 122., 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 
          2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 5, 6, 10, 20, 33, 49, 52, 64, 111, 140, 
          142, 187, 202, 217, 230, 307, 380, 462, 552, 636, 707, 803, 1075, 
          1418, 1546, 2084, 2311, 2633, 3018, 3094, 3246, 3660, 3764, 3870, 
          4076, 4195, 4428, 4648, 4932, 5223, 5453, 5660, 5878, 6087, 6259, 
          6459, 6599, 6710, 6981, 7192, 7294, 7579, 7777, 7958, 8212, 8488, 
          8772, 8928, 9223, 9485, 9684, 10004, 10343, 10463, 10610, 10794, 
          11086, 11350, 11618, 11876, 12091, 12305, 12513, 12718, 12942, 
          13221, 13434, 13597, 13777, 14035, 14319, 14669, 15049, 15588}, {
         "", "Poland", 51.9194, 19.1451, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 1, 1, 5, 5, 11, 16, 22, 31, 49, 68, 103, 119, 
          177, 238, 251, 355, 425, 536, 634, 749, 901, 1051, 1221, 1389, 1638,
           1862, 2055, 2311, 2554, 2946, 3383, 3627, 4102, 4413, 4848, 5205, 
          5575, 5955, 6356, 6674, 6934, 7202, 7582, 7918, 8379, 8742, 9287, 
          9593, 9856, 10169, 10511, 10892, 11273, 11617, 11902, 12218, 12640, 
          12877, 13105, 13375, 13693, 14006, 14431, 14740, 15047, 15366, 
          15651, 15996, 16326, 16921, 17204, 17615, 18016, 18257, 18529, 
          18885, 19268, 19739, 20143, 20619, 20931, 21326, 21631, 22074, 
          22473, 22825}, {
         "", "Portugal", 39.3999, -8.2245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 2, 2, 5, 8, 13, 20, 30, 30, 41, 59, 59, 112, 169, 
          245, 331, 448, 448, 785, 1020, 1280, 1600, 2060, 2362, 2995, 3544, 
          4268, 5170, 5962, 6408, 7443, 8251, 9034, 9886, 10524, 11278, 11730,
           12442, 13141, 13956, 15472, 15987, 16585, 16934, 17448, 18091, 
          18841, 19022, 19685, 20206, 20863, 21379, 21982, 22353, 22797, 
          23392, 23864, 24027, 24322, 24505, 25045, 25351, 25190, 25282, 
          25524, 25702, 26182, 26715, 27268, 27406, 27581, 27679, 27913, 
          28132, 28319, 28583, 28810, 29036, 29209, 29432, 29660, 29912, 
          30200, 30471, 30623, 30788, 31007, 31292, 31596}, {
         "", "Qatar", 25.3548, 51.1839, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 3, 3, 7, 8, 8, 8, 8, 15, 18, 24, 262, 262, 320, 337, 
          401, 439, 439, 452, 460, 470, 481, 494, 501, 526, 537, 549, 562, 
          590, 634, 693, 781, 835, 949, 1075, 1325, 1604, 1832, 2057, 2210, 
          2376, 2512, 2728, 2979, 3231, 3428, 3711, 4103, 4663, 5008, 5448, 
          6015, 6533, 7141, 7764, 8525, 9358, 10287, 11244, 11921, 12564, 
          13409, 14096, 14872, 15551, 16191, 17142, 17972, 18890, 20201, 
          21331, 22520, 23623, 25149, 26539, 28272, 29425, 30972, 32604, 
          33969, 35606, 37097, 38651, 40481, 42213, 43714, 45465, 47207, 
          48947, 50914}, {
         "", "Romania", 45.9432, 24.9668, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 3, 3, 3, 3, 3, 4, 6, 9, 9, 15, 15, 25, 45, 49, 89, 123, 131, 
          158, 184, 260, 277, 308, 367, 433, 576, 794, 906, 1029, 1292, 1452, 
          1815, 2109, 2245, 2460, 2738, 3183, 3613, 3864, 4057, 4417, 4761, 
          5202, 5467, 5990, 6300, 6633, 6879, 7216, 7707, 8067, 8418, 8746, 
          8936, 9242, 9710, 10096, 10417, 10635, 11036, 11339, 11616, 11978, 
          12240, 12567, 12732, 13163, 13512, 13837, 14107, 14499, 14811, 
          15131, 15362, 15588, 15778, 16002, 16247, 16437, 16704, 16871, 
          17036, 17191, 17387, 17585, 17712, 17857, 18070, 18283, 18429, 
          18594, 18791}, {
         "", "Russia", 60., 90., 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 3, 3, 3, 4, 13, 13, 17, 17, 20, 20, 28, 45, 59, 63, 90, 114, 
          147, 199, 253, 306, 367, 438, 495, 658, 840, 1036, 1264, 1534, 1836,
           2337, 2777, 3548, 4149, 4731, 5389, 6343, 7497, 8672, 10131, 11917,
           13584, 15770, 18328, 21102, 24490, 27938, 32008, 36793, 42853, 
          47121, 52763, 57999, 62773, 68622, 74588, 80949, 87147, 93558, 
          99399, 106498, 114431, 124054, 134687, 145268, 155370, 165929, 
          177160, 187859, 198676, 209688, 221344, 232243, 242271, 252245, 
          262843, 272043, 281752, 290678, 299941, 308705, 317554, 326448, 
          335882, 344481, 353427, 362342, 370680, 379051}, {
         "", "Rwanda", -1.9403, 29.8739, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 5, 7, 8, 
          8, 17, 17, 19, 36, 40, 41, 50, 54, 60, 70, 70, 75, 82, 84, 89, 102, 
          104, 105, 105, 110, 110, 118, 120, 126, 127, 134, 136, 138, 143, 
          144, 147, 147, 150, 153, 154, 176, 183, 191, 207, 212, 225, 243, 
          249, 255, 259, 261, 261, 268, 271, 273, 280, 284, 285, 286, 287, 
          287, 287, 289, 292, 297, 308, 314, 320, 321, 325, 327, 336, 339, 
          346, 349}, {
         "", "Saint Lucia", 13.9094, -60.9789, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 
          2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 9, 9, 13, 13, 13, 13, 14, 14, 
          14, 14, 14, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
          15, 15, 15, 15, 15, 15, 17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18}, {
         "", "Saint Vincent and the Grenadines", 12.9843, -61.2872, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           2, 3, 7, 7, 7, 8, 8, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 
          12, 12, 13, 13, 14, 14, 14, 15, 15, 16, 16, 16, 16, 16, 17, 17, 17, 
          17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 18, 18, 18, 18, 
          18, 18, 18, 18, 25}, {
         "", "San Marino", 43.9424, 12.4578, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 1, 1, 8, 10, 16, 21, 21, 23, 36, 36, 51, 62, 69, 80, 
          80, 101, 109, 109, 119, 119, 144, 144, 175, 187, 187, 208, 208, 223,
           224, 224, 230, 236, 236, 245, 245, 259, 266, 266, 279, 279, 333, 
          344, 356, 356, 356, 371, 372, 426, 435, 455, 461, 462, 476, 488, 
          501, 513, 513, 538, 538, 553, 563, 569, 580, 580, 582, 582, 589, 
          608, 622, 623, 637, 628, 628, 638, 643, 648, 652, 653, 654, 654, 
          655, 656, 658, 661, 665, 665, 666, 666, 667, 670}, {
         "", "Saudi Arabia", 24., 45., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 5, 5, 5, 11, 15, 20, 21, 45, 86, 103, 103, 
          118, 171, 171, 274, 344, 392, 511, 562, 767, 900, 1012, 1104, 1203, 
          1299, 1453, 1563, 1720, 1885, 2039, 2179, 2402, 2605, 2795, 2932, 
          3287, 3651, 4033, 4462, 4934, 5369, 5862, 6380, 7142, 8274, 9362, 
          10484, 11631, 12772, 13930, 15102, 16299, 17522, 18811, 20077, 
          21402, 22753, 24097, 25459, 27011, 28656, 30251, 31938, 33731, 
          35432, 37136, 39048, 41014, 42925, 44830, 46869, 49176, 52016, 
          54752, 57345, 59854, 62545, 65077, 67719, 70161, 72560, 74795, 
          76726, 78541, 80185}, {
         "", "Senegal", 14.4974, -14.4524, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 1, 2, 4, 4, 4, 4, 4, 4, 4, 4, 4, 10, 10, 24, 24, 
          26, 31, 31, 38, 47, 67, 79, 86, 99, 105, 119, 130, 142, 162, 175, 
          190, 195, 207, 219, 222, 226, 237, 244, 250, 265, 278, 280, 291, 
          299, 314, 335, 342, 350, 367, 377, 412, 442, 479, 545, 614, 671, 
          736, 823, 882, 933, 1024, 1115, 1182, 1271, 1329, 1433, 1492, 1551, 
          1634, 1709, 1886, 1995, 2105, 2189, 2310, 2429, 2480, 2544, 2617, 
          2714, 2812, 2909, 2976, 3047, 3130, 3161, 3253, 3348}, {
         "", "Serbia", 44.0165, 21.0059, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 5, 12, 19, 35, 46, 48, 55, 
          65, 83, 103, 135, 171, 222, 249, 303, 384, 384, 457, 659, 741, 785, 
          900, 1060, 1171, 1476, 1624, 1908, 2200, 2447, 2666, 2867, 3105, 
          3380, 3630, 4054, 4465, 4873, 5318, 5690, 5994, 6318, 6630, 6890, 
          7144, 7276, 7483, 7779, 8042, 8275, 8497, 8724, 9009, 9009, 9362, 
          9464, 9557, 9677, 9791, 9848, 9943, 10032, 10032, 10176, 10243, 
          10295, 10374, 10438, 10496, 10610, 10699, 10733, 10833, 10919, 
          11024, 11092, 11159, 11193, 11227, 11275, 11300}, {
         "", "Seychelles", -4.6796, 55.492, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 4, 
          4, 6, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 10, 10, 10, 10, 10, 10, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11}, {"", "Singapore", 1.2833, 103.8333, 0, 1, 3, 3, 4, 5, 7, 7, 10,
           13, 16, 18, 18, 24, 28, 28, 30, 33, 40, 45, 47, 50, 58, 67, 72, 75,
           77, 81, 84, 84, 85, 85, 89, 89, 91, 93, 93, 93, 102, 106, 108, 110,
           110, 117, 130, 138, 150, 150, 160, 178, 178, 200, 212, 226, 243, 
          266, 313, 345, 385, 432, 455, 509, 558, 631, 683, 732, 802, 844, 
          879, 926, 1000, 1049, 1114, 1189, 1309, 1375, 1481, 1623, 1910, 
          2108, 2299, 2532, 2918, 3252, 3699, 4427, 5050, 5992, 6588, 8014, 
          9125, 10141, 11178, 12075, 12693, 13624, 14423, 14951, 15641, 16169,
           17101, 17548, 18205, 18778, 19410, 20198, 20939, 21707, 22460, 
          23336, 23822, 24671, 25346, 26098, 26891, 27356, 28038, 28343, 
          28794, 29364, 29812, 30426, 31068, 31616, 31960, 32343, 32876, 
          33249}, {
         "", "Slovakia", 48.669, 19.699, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 3, 7, 10, 16, 32, 44, 54, 63, 
          72, 105, 123, 137, 178, 185, 186, 204, 216, 226, 269, 292, 314, 336,
           363, 400, 426, 450, 471, 485, 534, 581, 682, 701, 715, 728, 742, 
          769, 835, 863, 977, 1049, 1089, 1161, 1173, 1199, 1244, 1325, 1360, 
          1373, 1379, 1381, 1384, 1391, 1396, 1403, 1407, 1408, 1413, 1421, 
          1429, 1445, 1455, 1455, 1457, 1457, 1465, 1469, 1477, 1480, 1493, 
          1494, 1495, 1495, 1496, 1502, 1503, 1504, 1509, 1511, 1513, 1515, 
          1520}, {"", "Slovenia", 46.1512, 14.9955, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 7, 7, 16, 16, 31, 57, 89, 
          141, 181, 219, 253, 275, 275, 286, 341, 383, 414, 442, 480, 528, 
          562, 632, 684, 730, 756, 802, 841, 897, 934, 977, 997, 1021, 1059, 
          1091, 1124, 1160, 1188, 1205, 1212, 1220, 1248, 1268, 1304, 1317, 
          1330, 1335, 1344, 1353, 1366, 1373, 1388, 1396, 1402, 1408, 1418, 
          1429, 1434, 1439, 1439, 1439, 1445, 1448, 1449, 1450, 1454, 1457, 
          1460, 1461, 1463, 1464, 1465, 1465, 1466, 1466, 1467, 1468, 1468, 
          1468, 1468, 1468, 1469, 1469, 1471, 1473}, {
         "", "Somalia", 5.1521, 46.1996, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 2, 3, 3, 3, 3, 5, 5, 5, 7, 7, 7, 7, 8, 12, 12, 
          21, 21, 25, 60, 60, 80, 80, 116, 135, 164, 237, 286, 286, 328, 328, 
          390, 436, 480, 528, 582, 601, 601, 671, 722, 756, 835, 873, 928, 
          928, 997, 1054, 1089, 1170, 1219, 1284, 1284, 1357, 1421, 1455, 
          1502, 1573, 1594, 1594, 1594, 1594, 1689, 1711, 1731, 1828}, {
         "", "South Africa", -30.5595, 22.9375, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 3, 3, 7, 13, 17, 24, 38, 51,
           62, 62, 116, 150, 202, 240, 274, 402, 554, 709, 927, 1170, 1187, 
          1280, 1326, 1353, 1380, 1462, 1505, 1585, 1655, 1686, 1749, 1845, 
          1934, 2003, 2028, 2173, 2272, 2415, 2506, 2605, 2783, 3034, 3158, 
          3300, 3465, 3635, 3953, 4220, 4361, 4546, 4793, 4996, 5350, 5647, 
          5951, 6336, 6783, 7220, 7572, 7808, 8232, 8895, 9420, 10015, 10652, 
          11350, 12074, 12739, 13524, 14355, 15515, 16433, 17200, 18003, 
          19137, 20125, 21343, 22583, 23615, 24264, 25937, 27403}, {
         "", "Spain", 40., -4., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 
          1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 6, 13, 15, 
          32, 45, 84, 120, 165, 222, 259, 400, 500, 673, 1073, 1695, 2277, 
          2277, 5232, 6391, 7798, 9942, 11748, 13910, 17963, 20410, 25374, 
          28768, 35136, 39885, 49515, 57786, 65719, 73235, 80110, 87956, 
          95923, 104118, 112065, 119199, 126168, 131646, 136675, 141942, 
          148220, 153222, 158273, 163027, 166831, 170099, 172541, 177644, 
          184948, 190839, 191726, 198674, 200210, 204178, 208389, 213024, 
          202990, 205905, 207634, 209465, 210773, 212917, 213435, 215216, 
          216582, 217466, 218011, 219329, 220325, 221447, 222857, 223578, 
          224350, 227436, 228030, 228691, 229540, 230183, 230698, 230698, 
          231606, 232037, 232555, 233037, 234824, 235290, 235772, 235400, 
          236259, 236259, 237906}, {
         "", "Sri Lanka", 7., 81., 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 6, 10, 18, 28, 44, 51, 
          60, 73, 77, 82, 97, 102, 102, 106, 106, 113, 117, 122, 143, 146, 
          151, 159, 166, 176, 178, 185, 189, 190, 190, 198, 210, 217, 233, 
          238, 238, 244, 254, 271, 304, 310, 330, 368, 420, 460, 523, 588, 
          619, 649, 663, 690, 705, 718, 751, 771, 797, 824, 835, 847, 863, 
          869, 889, 915, 925, 935, 960, 981, 992, 1027, 1028, 1055, 1068, 
          1089, 1141, 1182, 1319, 1469, 1530}, {
         "", "Sudan", 12.8628, 30.2176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2,
           2, 2, 2, 2, 3, 3, 3, 3, 5, 6, 6, 7, 7, 8, 10, 10, 12, 12, 14, 14, 
          15, 17, 19, 19, 29, 32, 32, 32, 33, 66, 66, 107, 107, 140, 174, 174,
           213, 237, 275, 318, 375, 442, 533, 592, 592, 678, 778, 852, 930, 
          1111, 1164, 1365, 1526, 1661, 1818, 1818, 1964, 2289, 2289, 2591, 
          2728, 2728, 3138, 3378, 3628, 3820, 3976, 3976, 4346, 4346}, {
         "", "Suriname", 3.9193, -56.0278, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1,
           1, 4, 4, 5, 5, 7, 8, 8, 8, 8, 8, 8, 9, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 
          12}, {"", "Sweden", 63., 16., 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          2, 7, 7, 12, 14, 15, 21, 35, 94, 101, 161, 203, 248, 355, 500, 599, 
          814, 961, 1022, 1103, 1190, 1279, 1439, 1639, 1763, 1934, 2046, 
          2286, 2526, 2840, 3069, 3447, 3700, 4028, 4435, 4947, 5568, 6131, 
          6443, 6830, 7206, 7693, 8419, 9141, 9685, 10151, 10483, 10948, 
          11445, 11927, 12540, 13216, 13822, 14385, 14777, 15322, 16004, 
          16755, 17567, 18177, 18640, 18926, 19621, 20302, 21092, 21520, 
          22082, 22317, 22721, 23216, 23918, 24623, 25265, 25921, 26322, 
          26670, 27272, 27909, 28582, 29207, 29677, 30143, 30377, 30799, 
          31523, 32172, 32809, 33188, 33459, 33843, 34440, 35088, 35727}, {
         "", "Switzerland", 46.8182, 8.2275, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 8, 8, 18, 27, 42, 56, 90, 114, 214, 268, 337, 374, 491, 652, 
          652, 1139, 1359, 2200, 2200, 2700, 3028, 4075, 5294, 6575, 7474, 
          8795, 9877, 10897, 11811, 12928, 14076, 14829, 15922, 16605, 17768, 
          18827, 19606, 20505, 21100, 21657, 22253, 23280, 24051, 24551, 
          25107, 25415, 25688, 25936, 26336, 26732, 27078, 27404, 27740, 
          27944, 28063, 28268, 28496, 28677, 28894, 29061, 29164, 29264, 
          29407, 29586, 29705, 29817, 29905, 29981, 30009, 30060, 30126, 
          30207, 30251, 30305, 30344, 30380, 30413, 30463, 30514, 30572, 
          30587, 30597, 30618, 30658, 30694, 30707, 30725, 30736, 30746, 
          30761, 30776, 30796}, {
         "", "Taiwan*", 23.7, 121., 1, 1, 3, 3, 4, 5, 8, 8, 9, 10, 10, 10, 10,
           11, 11, 16, 16, 17, 18, 18, 18, 18, 18, 18, 18, 20, 22, 22, 23, 24,
           26, 26, 28, 30, 31, 32, 32, 34, 39, 40, 41, 42, 42, 44, 45, 45, 45,
           45, 47, 48, 49, 50, 53, 59, 67, 77, 100, 108, 135, 153, 169, 195, 
          215, 235, 252, 267, 283, 298, 306, 322, 329, 339, 348, 355, 363, 
          373, 376, 379, 380, 382, 385, 388, 393, 393, 395, 395, 395, 398, 
          420, 422, 425, 426, 427, 428, 429, 429, 429, 429, 429, 429, 429, 
          432, 436, 438, 438, 439, 440, 440, 440, 440, 440, 440, 440, 440, 
          440, 440, 440, 440, 440, 440, 440, 441, 441, 441, 441, 441, 441, 
          441}, {"", "Tanzania", -6.369, 34.8888, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 3, 6, 6, 6, 12, 12, 12, 12, 13, 13, 14, 14, 19, 19, 20, 20, 
          20, 20, 22, 24, 24, 25, 25, 32, 32, 32, 49, 53, 88, 94, 147, 147, 
          170, 254, 254, 284, 284, 299, 299, 299, 299, 299, 480, 480, 480, 
          480, 480, 480, 480, 480, 480, 509, 509, 509, 509, 509, 509, 509, 
          509, 509, 509, 509, 509, 509, 509, 509, 509, 509, 509, 509, 509, 
          509}, {"", "Thailand", 15., 101., 2, 3, 5, 7, 8, 8, 14, 14, 14, 19, 
          19, 19, 19, 25, 25, 25, 25, 32, 32, 32, 33, 33, 33, 33, 33, 34, 35, 
          35, 35, 35, 35, 35, 35, 35, 37, 40, 40, 41, 42, 42, 43, 43, 43, 47, 
          48, 50, 50, 50, 53, 59, 70, 75, 82, 114, 147, 177, 212, 272, 322, 
          411, 599, 721, 827, 934, 1045, 1136, 1245, 1388, 1524, 1651, 1771, 
          1875, 1978, 2067, 2169, 2220, 2258, 2369, 2423, 2473, 2518, 2551, 
          2579, 2613, 2643, 2672, 2700, 2733, 2765, 2792, 2811, 2826, 2839, 
          2907, 2907, 2922, 2931, 2938, 2947, 2954, 2960, 2966, 2969, 2987, 
          2988, 2989, 2992, 3000, 3004, 3009, 3015, 3017, 3017, 3018, 3025, 
          3025, 3028, 3031, 3033, 3034, 3037, 3037, 3040, 3040, 3042, 3045, 
          3054, 3065}, {
         "", "Togo", 8.6195, 0.8248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 9,
           16, 16, 18, 20, 23, 23, 25, 25, 25, 30, 34, 36, 39, 40, 41, 44, 58,
           65, 70, 73, 76, 76, 76, 77, 77, 81, 81, 83, 84, 84, 84, 86, 88, 88,
           90, 96, 98, 98, 99, 109, 116, 123, 123, 124, 126, 128, 128, 135, 
          145, 153, 174, 181, 199, 219, 238, 263, 298, 301, 330, 338, 340, 
          354, 363, 373, 381, 386, 391, 395, 422}, {
         "", "Trinidad and Tobago", 10.6918, -61.2225, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
           2, 4, 5, 7, 9, 9, 49, 50, 51, 57, 60, 65, 66, 74, 78, 82, 87, 90, 
          94, 98, 103, 104, 105, 107, 107, 109, 109, 112, 113, 113, 113, 114, 
          114, 114, 114, 114, 114, 115, 115, 115, 115, 115, 115, 116, 116, 
          116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 
          116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 
          116, 116, 116, 116}, {
         "", "Tunisia", 34., 9., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 5, 7, 7, 16, 18, 18, 20, 24, 29, 39, 
          54, 60, 75, 89, 114, 173, 197, 227, 278, 312, 312, 394, 423, 455, 
          495, 553, 574, 596, 623, 628, 643, 671, 685, 707, 726, 747, 780, 
          822, 864, 864, 879, 884, 884, 909, 918, 922, 939, 949, 967, 975, 
          980, 994, 998, 1009, 1013, 1018, 1022, 1025, 1026, 1030, 1032, 1032,
           1032, 1032, 1032, 1032, 1035, 1037, 1037, 1043, 1044, 1045, 1046, 
          1048, 1048, 1051, 1051, 1051, 1051, 1068}, {
         "", "Turkey", 38.9637, 35.2433, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 5, 5, 6, 18, 47, 
          98, 192, 359, 670, 1236, 1529, 1872, 2433, 3629, 5698, 7402, 9217, 
          10827, 13531, 15679, 18135, 20921, 23934, 27069, 30217, 34109, 
          38226, 42282, 47029, 52167, 56956, 61049, 65111, 69392, 74193, 
          78546, 82329, 86306, 90980, 95591, 98674, 101790, 104912, 107773, 
          110130, 112261, 114653, 117589, 120204, 122392, 124375, 126045, 
          127659, 129491, 131744, 133721, 135569, 137115, 138657, 139771, 
          141475, 143114, 144749, 146457, 148067, 149435, 150593, 151615, 
          152587, 153548, 154500, 155686, 156827, 157814, 158762, 159797, 
          160979}, {
         "", "Uganda", 1., 32., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
          1, 9, 9, 14, 14, 23, 30, 33, 33, 44, 44, 45, 48, 48, 52, 52, 52, 53,
           53, 53, 53, 54, 54, 55, 55, 55, 56, 55, 55, 56, 61, 63, 74, 75, 75,
           79, 79, 79, 81, 83, 85, 88, 89, 97, 98, 100, 101, 101, 116, 121, 
          121, 129, 139, 160, 203, 227, 227, 248, 260, 264, 160, 175, 198, 
          198, 222, 253, 281, 317}, {
         "", "Ukraine", 48.3794, 31.1656, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 7, 14, 14,
           16, 29, 47, 73, 73, 97, 145, 196, 310, 356, 475, 548, 645, 794, 
          897, 1072, 1225, 1308, 1319, 1462, 1668, 1892, 2203, 2511, 2777, 
          3102, 3372, 3764, 4161, 4662, 5106, 5449, 5710, 6125, 6592, 7170, 
          7647, 8125, 8617, 9009, 9410, 9866, 10406, 10861, 11411, 11913, 
          12331, 12697, 13184, 13691, 14195, 14710, 15232, 15648, 16023, 
          16425, 16847, 17330, 17858, 18291, 18616, 18876, 19230, 19706, 
          20148, 20580, 20986, 21245, 21584, 21905, 22382}, {
         "", "United Arab Emirates", 24., 54., 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 
          4, 5, 5, 5, 5, 5, 5, 7, 7, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 13, 
          13, 13, 13, 13, 13, 19, 21, 21, 21, 27, 27, 29, 29, 45, 45, 45, 74, 
          74, 85, 85, 85, 98, 98, 98, 113, 140, 140, 153, 153, 198, 248, 333, 
          333, 405, 468, 570, 611, 664, 814, 1024, 1264, 1505, 1799, 2076, 
          2359, 2659, 2990, 3360, 3736, 4123, 4521, 4933, 5365, 5825, 6302, 
          6302, 6781, 7265, 7755, 8238, 8756, 9281, 9813, 10349, 10839, 11380,
           11929, 12481, 13038, 13599, 14163, 14730, 15192, 15738, 16240, 
          16793, 17417, 18198, 18878, 19661, 20386, 21084, 21831, 22627, 
          23358, 24190, 25063, 26004, 26898, 27892, 28704, 29485, 30307, 
          31086, 31969, 32532}, {
         "Bermuda", "United Kingdom", 32.3078, -64.7505, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 2, 2, 2, 6, 6, 6, 7, 15, 17, 17, 22, 27, 32, 32, 35, 
          35, 35, 37, 39, 39, 39, 48, 48, 48, 57, 57, 57, 81, 81, 83, 83, 86, 
          86, 86, 99, 99, 99, 109, 109, 110, 110, 111, 114, 114, 114, 115, 
          115, 115, 118, 118, 118, 118, 118, 119, 121, 121, 122, 122, 123, 
          123, 125, 125, 125, 125, 128, 128, 133, 133, 139, 139, 140}, {
         "Cayman Islands", "United Kingdom", 19.3133, -81.2546, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 5, 6, 8, 8, 8, 8, 8, 12, 14, 22, 
          28, 28, 35, 35, 39, 45, 45, 45, 45, 45, 53, 53, 54, 54, 60, 61, 61, 
          61, 66, 66, 66, 66, 70, 70, 70, 70, 70, 73, 73, 74, 74, 74, 75, 78, 
          78, 80, 81, 81, 81, 84, 85, 86, 93, 94, 94, 94, 94, 111, 111, 121, 
          129, 129, 129, 134, 137, 140, 140}, {
         "Channel Islands", "United Kingdom", 49.3723, -2.3644, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2,
           2, 2, 2, 3, 6, 6, 6, 11, 14, 32, 32, 36, 36, 46, 66, 88, 97, 108, 
          141, 141, 172, 193, 232, 262, 309, 323, 335, 351, 361, 398, 407, 
          431, 436, 440, 447, 457, 470, 484, 488, 488, 496, 498, 521, 523, 
          525, 525, 525, 530, 537, 537, 538, 543, 544, 544, 545, 545, 545, 
          545, 545, 545, 546, 547, 548, 549, 549, 554, 554, 555, 555, 558, 
          558, 558, 558, 558, 559, 559, 560, 560}, {
         "Gibraltar", "United Kingdom", 36.1408, -5.3536, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 3, 8, 10, 10, 10, 15, 15, 15, 26, 35, 55, 56, 65, 69, 69, 
          81, 88, 95, 98, 103, 109, 113, 120, 123, 127, 129, 129, 129, 129, 
          131, 131, 132, 132, 132, 132, 132, 132, 133, 133, 136, 141, 141, 
          141, 141, 144, 144, 144, 144, 144, 144, 144, 144, 146, 146, 146, 
          147, 148, 147, 147, 147, 147, 147, 147, 147, 149, 151, 151, 152, 
          154, 154, 154, 157, 158}, {
         "Isle of Man", "United Kingdom", 54.2361, -4.5481, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 5, 13, 23, 23, 25, 29, 32, 42, 49, 60, 
          68, 95, 114, 126, 127, 139, 150, 158, 190, 201, 226, 228, 242, 254, 
          256, 284, 291, 297, 298, 300, 307, 307, 307, 308, 308, 308, 308, 
          309, 313, 315, 316, 320, 321, 325, 326, 327, 329, 329, 329, 330, 
          330, 331, 332, 332, 334, 335, 335, 335, 335, 336, 336, 336, 336, 
          336, 336, 336, 336, 336}, {
         "Montserrat", "United Kingdom", 16.7425, -62.1874, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6,
           6, 6, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
           11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
           11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
           11}, {"", "United Kingdom", 55.3781, -3.4360000000000004`, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 8, 8, 9, 9, 9, 9, 
          9, 9, 9, 9, 9, 9, 9, 9, 13, 13, 13, 15, 20, 23, 36, 40, 51, 85, 115,
           163, 206, 273, 321, 382, 456, 456, 798, 1140, 1140, 1543, 1950, 
          2626, 2689, 3983, 5018, 5683, 6650, 8077, 9529, 11658, 14543, 17089,
           19522, 22141, 25150, 29474, 33718, 38168, 41903, 47806, 51608, 
          55242, 60733, 65077, 73758, 78991, 84279, 88621, 93873, 98476, 
          103093, 108692, 114217, 120067, 124743, 129044, 133495, 138078, 
          143464, 148377, 152840, 157149, 161145, 165221, 171253, 177454, 
          182260, 186599, 190584, 194990, 201101, 206715, 211364, 215260, 
          219183, 223060, 226463, 229705, 233151, 236711, 240161, 243695, 
          246406, 248818, 248293, 250908, 254195, 257154, 259559, 261184, 
          265227, 267240, 269127}, {
         "", "Uruguay", -32.5228, -55.7658, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 6, 8, 29, 50,
           79, 94, 110, 135, 158, 162, 189, 217, 238, 274, 303, 309, 320, 338,
           350, 369, 386, 400, 406, 415, 424, 456, 473, 494, 501, 480, 483, 
          492, 493, 502, 508, 517, 528, 535, 543, 549, 557, 563, 596, 606, 
          620, 625, 630, 643, 648, 652, 655, 657, 670, 673, 684, 694, 702, 
          707, 711, 717, 719, 724, 732, 733, 734, 737, 738, 746, 749, 753, 
          764, 769, 787, 789, 803, 811}, {
         "", "US", 37.0902, -95.7129, 1, 1, 2, 2, 5, 5, 5, 5, 5, 7, 8, 8, 11, 
          11, 11, 11, 11, 11, 11, 11, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 
          15, 15, 15, 51, 51, 57, 58, 60, 68, 74, 98, 118, 149, 219, 267, 403,
           519, 588, 962, 1285, 1667, 2181, 2729, 3536, 4661, 6437, 7781, 
          13748, 19274, 25600, 33280, 43862, 53925, 65844, 83836, 101962, 
          121786, 140910, 162147, 188172, 213602, 244008, 275798, 309027, 
          336802, 366317, 397121, 428654, 463327, 496846, 526776, 555313, 
          580624, 607670, 636674, 667981, 700062, 732590, 758809, 784708, 
          811865, 840351, 869170, 905358, 938154, 965785, 988197, 1012582, 
          1039909, 1069424, 1103461, 1132539, 1158040, 1180375, 1204351, 
          1229331, 1257023, 1283929, 1309550, 1329260, 1347881, 1369376, 
          1390406, 1417774, 1442824, 1467820, 1486757, 1508308, 1528568, 
          1551853, 1577147, 1600937, 1622612, 1643246, 1662302, 1680913, 
          1699176, 1721753}, {
         "", "Uzbekistan", 41.3775, 64.5853, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 6, 10, 
          15, 23, 33, 43, 43, 46, 50, 60, 75, 88, 104, 144, 149, 172, 181, 
          205, 227, 266, 342, 457, 520, 545, 582, 624, 767, 865, 998, 1165, 
          1302, 1349, 1405, 1490, 1565, 1627, 1678, 1716, 1758, 1804, 1862, 
          1869, 1904, 1939, 2002, 2039, 2086, 2118, 2149, 2189, 2207, 2233, 
          2298, 2325, 2349, 2418, 2486, 2519, 2612, 2645, 2686, 2738, 2753, 
          2791, 2855, 2939, 2964, 3028, 3115, 3164, 3189, 3290, 3369, 3444}, {
         "", "Venezuela", 6.4238, -66.5897, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 10, 17, 
          33, 36, 42, 42, 70, 70, 77, 84, 91, 107, 107, 119, 119, 135, 135, 
          143, 146, 153, 155, 159, 165, 165, 167, 171, 171, 175, 181, 189, 
          189, 197, 204, 204, 227, 256, 256, 285, 288, 311, 318, 323, 325, 
          329, 329, 331, 333, 335, 345, 357, 357, 361, 379, 381, 388, 402, 
          414, 422, 423, 423, 455, 459, 504, 541, 618, 749, 824, 882, 944, 
          1010, 1121, 1177, 1211, 1245, 1325}, {
         "", "Vietnam", 16., 108., 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 6, 6, 8, 8, 
          8, 10, 10, 13, 13, 14, 15, 15, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
          16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 18, 30, 30, 
          31, 38, 39, 47, 53, 56, 61, 66, 75, 85, 91, 94, 113, 123, 134, 141, 
          153, 163, 174, 188, 203, 212, 218, 233, 237, 240, 241, 245, 249, 
          251, 255, 257, 258, 262, 265, 266, 267, 268, 268, 268, 268, 268, 
          268, 268, 268, 270, 270, 270, 270, 270, 270, 270, 270, 270, 271, 
          271, 271, 271, 288, 288, 288, 288, 288, 288, 288, 312, 314, 318, 
          320, 324, 324, 324, 324, 324, 325, 325, 326, 327, 327, 327}, {
         "", "Zambia", -15.4167, 28.2833, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 
          2, 2, 2, 3, 3, 3, 12, 16, 22, 28, 29, 35, 35, 36, 39, 39, 39, 39, 
          39, 39, 39, 39, 40, 40, 43, 45, 45, 48, 48, 52, 57, 61, 65, 70, 74, 
          76, 84, 84, 88, 88, 95, 97, 106, 109, 119, 124, 137, 138, 146, 153, 
          167, 252, 267, 267, 441, 446, 654, 654, 679, 753, 761, 772, 832, 
          866, 920, 920, 920, 920, 920, 1057, 1057}, {
         "", "Zimbabwe", -20., 30., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
          3, 3, 3, 3, 3, 3, 5, 7, 7, 7, 8, 8, 9, 9, 9, 9, 10, 11, 11, 11, 13, 
          14, 14, 17, 17, 23, 23, 24, 25, 25, 25, 28, 28, 28, 29, 31, 31, 32, 
          32, 32, 40, 40, 34, 34, 34, 34, 34, 34, 34, 35, 36, 36, 36, 37, 37, 
          42, 42, 44, 46, 46, 48, 51, 51, 56, 56, 56, 56, 132, 149}, {
         "Diamond Princess", "Canada", 0., 0., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1}, {
         "", "Dominica", 15.415, -61.371, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 2, 2, 7, 11, 11, 11, 11, 11, 12, 12, 12, 12, 14, 14, 15,
           15, 15, 15, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
           16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
           16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
           16}, {"", "Grenada", 12.1165, -61.678999999999995`, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 7, 7, 7, 9, 9, 9, 9, 10, 
          12, 12, 12, 12, 12, 12, 12, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 15, 15, 15, 18, 18, 18, 19, 20, 20, 20, 21, 21, 21, 21, 21, 
          21, 21, 21, 21, 21, 21, 21, 21, 22, 22, 22, 22, 22, 22, 22, 22, 22, 
          22, 23, 23, 23, 23}, {
         "", "Mozambique", -18.665695, 35.529562, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 1, 1, 3, 5, 7, 7, 8, 8, 8, 8, 10, 10, 10, 10, 10, 
          10, 10, 17, 17, 20, 20, 21, 21, 28, 29, 31, 34, 35, 39, 39, 39, 41, 
          46, 65, 70, 76, 76, 76, 76, 76, 79, 79, 80, 80, 81, 81, 81, 82, 87, 
          91, 103, 104, 104, 115, 119, 129, 137, 145, 146, 156, 162, 164, 168,
           194, 209, 213, 227, 233}, {
         "", "Syria", 34.802075, 38.99681500000001, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 1, 5, 5, 5, 5, 9, 10, 10, 10, 16, 16, 16, 
          19, 19, 19, 19, 19, 19, 25, 25, 25, 29, 33, 33, 38, 38, 39, 39, 42, 
          42, 42, 42, 42, 43, 43, 43, 43, 43, 44, 44, 44, 44, 44, 45, 45, 47, 
          47, 47, 47, 47, 48, 48, 50, 51, 58, 58, 58, 58, 58, 59, 70, 86, 106,
           121, 121, 122}, {
         "", "Timor-Leste", -8.874217, 125.727539, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 2, 2, 2, 4, 6, 8, 18, 18, 18, 19, 22, 23, 23, 23, 24, 24, 24,
           24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24,
           24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24}, {
         "", "Belize", 13.1939, -59.5432, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 2, 2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 5, 7, 7, 8, 9, 
          10, 13, 14, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18}, {
         "", "Laos", 19.856270000000002`, 102.495496, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 6, 6, 8, 8, 8, 9, 10, 10, 10, 10, 
          11, 12, 14, 15, 16, 16, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 
          19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 
          19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 
          19, 19, 19}, {
         "", "Libya", 26.3351, 17.228331, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 1, 1, 1, 1, 3, 8, 8, 10, 10, 11, 11, 18, 18, 19, 20, 
          21, 24, 24, 24, 25, 26, 35, 48, 49, 49, 49, 51, 51, 51, 59, 60, 61, 
          61, 61, 61, 61, 61, 61, 63, 63, 63, 63, 63, 64, 64, 64, 64, 64, 64, 
          64, 64, 64, 64, 65, 65, 65, 68, 69, 71, 72, 75, 75, 75, 77, 99, 
          105}, {"", "West Bank and Gaza", 31.9522, 35.2332, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 7, 16, 16, 19, 26, 
          30, 30, 31, 35, 38, 38, 39, 41, 44, 47, 48, 52, 59, 59, 59, 84, 91, 
          98, 109, 116, 119, 134, 161, 194, 217, 237, 254, 261, 263, 263, 267,
           268, 271, 273, 284, 291, 294, 307, 313, 319, 329, 329, 335, 336, 
          340, 342, 342, 342, 343, 344, 344, 353, 353, 353, 362, 371, 374, 
          375, 375, 375, 375, 375, 375, 375, 375, 375, 376, 381, 388, 391, 
          398, 423, 423, 423, 423, 423, 429, 434, 446}, {
         "", "Guinea-Bissau", 11.8037, -15.1804, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 8, 8, 9, 9, 15, 18, 18, 18, 
          33, 33, 36, 36, 38, 38, 38, 38, 43, 43, 43, 46, 50, 50, 50, 50, 50, 
          52, 52, 53, 73, 73, 205, 205, 257, 257, 257, 413, 413, 475, 564, 
          594, 641, 726, 761, 820, 836, 913, 913, 969, 990, 1032, 1038, 1089, 
          1109, 1114, 1114, 1114, 1178, 1178, 1195, 1195}, {
         "", "Mali", 17.570692, -3.996166000000001, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 4, 11, 18, 18, 25, 28, 31, 36, 39, 
          41, 45, 47, 56, 59, 74, 87, 87, 105, 123, 144, 148, 171, 171, 216, 
          224, 246, 258, 293, 309, 325, 370, 389, 408, 424, 482, 490, 508, 
          544, 563, 580, 612, 631, 650, 668, 692, 704, 712, 730, 758, 779, 
          806, 835, 860, 874, 901, 931, 947, 969, 1015, 1030, 1059, 1077, 
          1116, 1194}, {
         "", "Saint Kitts and Nevis", 17.357822, -62.782998, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 7, 8, 8, 9, 9, 
          9, 10, 10, 11, 11, 11, 12, 12, 12, 12, 14, 14, 14, 14, 14, 14, 15, 
          15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
          15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
          15, 15, 15, 15}, {
         "Northwest Territories", "Canada", 64.8255, -124.8457, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 2, 
          2, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5,
           5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 
          5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5}, {
         "Yukon", "Canada", 64.2823, -135., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 4, 4, 4, 5, 5, 6, 6, 6, 6, 6, 7, 7, 7,
           8, 8, 8, 8, 8, 8, 8, 8, 9, 9, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11}, {
         "", "Kosovo", 42.602636, 20.902977, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 71, 86, 91, 94, 94, 112, 125, 125, 126, 135,
           145, 145, 170, 184, 184, 250, 283, 283, 283, 387, 387, 449, 480, 
          510, 561, 598, 604, 630, 669, 703, 731, 763, 780, 790, 799, 806, 
          806, 823, 851, 855, 856, 856, 861, 861, 862, 870, 884, 919, 919, 
          944, 944, 944, 955, 955, 989, 989, 1003, 1004, 1025, 1032, 1038, 
          1038, 1047, 1048}, {
         "", "Burma", 21.9162, 95.956, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 8, 8, 10, 14, 15, 15, 20, 20, 21, 21, 22, 22, 
          22, 23, 27, 38, 41, 62, 63, 74, 85, 88, 98, 111, 119, 121, 123, 139,
           144, 146, 146, 146, 150, 150, 151, 151, 151, 155, 161, 161, 161, 
          176, 177, 178, 180, 180, 180, 181, 181, 182, 182, 184, 191, 193, 
          199, 199, 199, 201, 201, 203, 206, 206, 206}, {
         "Anguilla", "United Kingdom", 18.2206, -63.0686, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3}, {
         "British Virgin Islands", "United Kingdom", 18.4207, -64.64, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 5, 5, 5, 5,
           5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8}, {
         "Turks and Caicos Islands", "United Kingdom", 
          21.69400000000001, -71.7979, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 5, 5, 6, 5, 5, 5, 5, 8, 8, 8, 8, 8, 8,
           9, 10, 10, 10, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 
          12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 
          12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12}, {
         "", "MS Zaandam", 0., 0., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
           9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 
          9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
           9}, {"", "Botswana", -22.3285, 24.6849, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 4, 4, 4, 4, 4, 6, 6, 6,
           6, 13, 13, 13, 13, 13, 13, 13, 15, 15, 15, 20, 20, 20, 22, 22, 22, 
          22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 24, 
          24, 24, 24, 24, 24, 25, 25, 25, 25, 29, 30, 30, 35, 35, 35, 35, 
          35}, {"", "Burundi", -3.3731, 29.9189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
          15, 15, 23, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42}, {
         "", "Sierra Leone", 8.460555000000001, -11.779889, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 4,
           6, 6, 6, 7, 7, 8, 8, 10, 10, 11, 13, 15, 26, 30, 35, 43, 50, 61, 
          64, 82, 82, 93, 93, 104, 104, 124, 136, 155, 166, 178, 199, 225, 
          231, 257, 291, 307, 338, 338, 387, 408, 447, 462, 505, 519, 534, 
          570, 585, 606, 621, 707, 735, 754, 782, 812}, {
         "Bonaire, Sint Eustatius and Saba", "Netherlands", 12.1784, -68.2385,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 5, 5,
           5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6}, {
         "", "Malawi", -13.254307999999998`, 34.301525, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 4, 4,
           5, 8, 8, 8, 9, 12, 13, 16, 16, 16, 16, 17, 17, 17, 17, 18, 23, 33, 
          33, 33, 34, 36, 36, 36, 37, 37, 38, 39, 41, 41, 43, 43, 43, 56, 56, 
          57, 57, 63, 63, 63, 65, 70, 70, 70, 71, 72, 82, 82, 83, 101, 101, 
          101, 203}, {
         "Falkland Islands (Malvinas)", "United Kingdom", -51.7963, -59.5236, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 1, 2, 2, 2, 5, 5, 5, 5, 5, 5, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13}, {
         "Saint Pierre and Miquelon", "France", 46.8852, -56.3159, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {
         "", "South Sudan", 6.8770000000000024`, 31.307, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 2, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 6, 6, 
          34, 34, 35, 45, 45, 46, 46, 52, 58, 74, 120, 120, 120, 156, 194, 
          203, 203, 236, 236, 290, 290, 290, 290, 481, 563, 655, 655, 806, 
          806, 994, 994}, {
         "", "Western Sahara", 24.2155, -12.8858, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4,
           4, 4, 4, 4, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 9, 9, 9, 9, 9}, {
         "", "Sao Tome and Principe", 0.18636, 6.613081, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          8, 8, 14, 16, 16, 16, 23, 174, 174, 187, 208, 208, 208, 208, 208, 
          220, 235, 235, 235, 235, 246, 251, 251, 251, 251, 251, 251, 299, 
          441, 443, 458}, {
         "", "Yemen", 15.552726999999999`, 48.516388, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          6, 6, 7, 10, 10, 12, 22, 25, 25, 34, 34, 51, 56, 65, 70, 85, 106, 
          122, 128, 130, 167, 184, 197, 209, 212, 222, 233, 249, 256, 278}, {
         "", "Comoros", -11.6455, 43.3333, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3,
           3, 3, 3, 8, 8, 8, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 34, 
          34, 78, 78, 87, 87, 87, 87, 87}, {
         "", "Tajikistan", 38.861034000000004`, 71.276093, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 15, 15, 76, 128, 230, 293, 379, 461, 522, 612, 612, 661, 
          729, 801, 907, 1118, 1322, 1524, 1729, 1936, 2140, 2350, 2551, 2738,
           2929, 3100, 3266, 3424, 3563}, {
         "", "Lesotho", -29.609988, 28.233608, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
           2, 2, 2, 2, 2}, {
         "", "World", "", "", 555, 654, 941, 1434, 2118, 2927, 5578, 6166, 
          8234, 9927, 12038, 16787, 19881, 23892, 27635, 30794, 34391, 37120, 
          40150, 42762, 44802, 45221, 60368, 66885, 69030, 71224, 73258, 
          75136, 75639, 76197, 76819, 78572, 78958, 79561, 80406, 81388, 
          82746, 84112, 86011, 88369, 90306, 92840, 95120, 97888, 101806, 
          105848, 109822, 113595, 118623, 125879, 131007, 145225, 156120, 
          167507, 181653, 197150, 214873, 242632, 272264, 304580, 337022, 
          378301, 418295, 467817, 529722, 593764, 661174, 720291, 782816, 
          857608, 933010, 1013863, 1096324, 1176436, 1249743, 1321436, 
          1396438, 1480232, 1566102, 1658261, 1736412, 1835145, 1905165, 
          1975566, 2055748, 2152181, 2239990, 2317636, 2400787, 2472109, 
          2549046, 2624608, 2708403, 2795731, 2881140, 2955033, 3023722, 
          3097229, 3172287, 3256910, 3345558, 3427584, 3506729, 3583055, 
          3662691, 3756069, 3845718, 3938064, 4024009, 4101699, 4177502, 
          4261747, 4347018, 4442163, 4542347, 4634068, 4713620, 4801943, 
          4897492, 4996472, 5102424, 5211156, 5311020, 5407613, 5495061, 
          5589626, 5691790, 5808946}}, $CellContext`recGlobal = {{
         "Province/State", "Country/Region", "Lat", "Long", "1/22/20", 
          "1/23/20", "1/24/20", "1/25/20", "1/26/20", "1/27/20", "1/28/20", 
          "1/29/20", "1/30/20", "1/31/20", "2/1/20", "2/2/20", "2/3/20", 
          "2/4/20", "2/5/20", "2/6/20", "2/7/20", "2/8/20", "2/9/20", 
          "2/10/20", "2/11/20", "2/12/20", "2/13/20", "2/14/20", "2/15/20", 
          "2/16/20", "2/17/20", "2/18/20", "2/19/20", "2/20/20", "2/21/20", 
          "2/22/20", "2/23/20", "2/24/20", "2/25/20", "2/26/20", "2/27/20", 
          "2/28/20", "2/29/20", "3/1/20", "3/2/20", "3/3/20", "3/4/20", 
          "3/5/20", "3/6/20", "3/7/20", "3/8/20", "3/9/20", "3/10/20", 
          "3/11/20", "3/12/20", "3/13/20", "3/14/20", "3/15/20", "3/16/20", 
          "3/17/20", "3/18/20", "3/19/20", "3/20/20", "3/21/20", "3/22/20", 
          "3/23/20", "3/24/20", "3/25/20", "3/26/20", "3/27/20", "3/28/20", 
          "3/29/20", "3/30/20", "3/31/20", "4/1/20", "4/2/20", "4/3/20", 
          "4/4/20", "4/5/20", "4/6/20", "4/7/20", "4/8/20", "4/9/20", 
          "4/10/20", "4/11/20", "4/12/20", "4/13/20", "4/14/20", "4/15/20", 
          "4/16/20", "4/17/20", "4/18/20", "4/19/20", "4/20/20", "4/21/20", 
          "4/22/20", "4/23/20", "4/24/20", "4/25/20", "4/26/20", "4/27/20", 
          "4/28/20", "4/29/20", "4/30/20", "5/1/20", "5/2/20", "5/3/20", 
          "5/4/20", "5/5/20", "5/6/20", "5/7/20", "5/8/20", "5/9/20", 
          "5/10/20", "5/11/20", "5/12/20", "5/13/20", "5/14/20", "5/15/20", 
          "5/16/20", "5/17/20", "5/18/20", "5/19/20", "5/20/20", "5/21/20", 
          "5/22/20", "5/23/20", "5/24/20", "5/25/20", "5/26/20", "5/27/20", 
          "5/28/20"}, {
         "", "Afghanistan", 33., 65., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 5, 5, 10, 10, 10, 15, 18, 18, 29, 
          32, 32, 32, 32, 32, 40, 43, 54, 99, 112, 131, 135, 150, 166, 179, 
          188, 188, 207, 220, 228, 252, 260, 310, 331, 345, 397, 421, 458, 
          468, 472, 502, 558, 558, 610, 648, 691, 745, 745, 778, 801, 850, 
          930, 938, 996, 1040, 1075, 1097, 1128, 1138, 1209}, {
         "", "Albania", 41.1533, 20.1683, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 2, 2, 2, 10, 17, 17, 31, 31, 33, 44, 52, 67, 76, 89, 99, 104, 
          116, 131, 154, 165, 182, 197, 217, 232, 248, 251, 277, 283, 302, 
          314, 327, 345, 356, 385, 394, 403, 410, 422, 431, 455, 470, 488, 
          519, 531, 543, 570, 595, 605, 620, 627, 650, 654, 682, 688, 694, 
          705, 714, 715, 727, 742, 758, 771, 777, 783, 789, 795, 803, 812, 
          823}, {"", "Algeria", 28.0339, 1.6596, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 8, 12, 12, 
          12, 12, 12, 32, 32, 32, 65, 65, 24, 65, 29, 29, 31, 31, 37, 46, 61, 
          61, 62, 90, 90, 90, 113, 237, 347, 405, 460, 591, 601, 691, 708, 
          783, 846, 894, 1047, 1099, 1152, 1204, 1355, 1408, 1479, 1508, 1558,
           1651, 1702, 1779, 1821, 1872, 1936, 1998, 2067, 2197, 2323, 2467, 
          2546, 2678, 2841, 2998, 3058, 3158, 3271, 3409, 3507, 3625, 3746, 
          3968, 4062, 4256, 4426, 4784, 4747, 4918, 5129, 5277}, {
         "", "Andorra", 42.5063, 1.5218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 10, 10, 10, 10, 16, 21, 26, 31, 39,
           52, 58, 71, 71, 128, 128, 128, 169, 169, 191, 205, 235, 248, 282, 
          309, 333, 344, 344, 344, 385, 398, 423, 468, 468, 472, 493, 499, 
          514, 521, 526, 537, 545, 550, 550, 568, 576, 596, 604, 615, 617, 
          624, 628, 639, 639, 652, 653, 653, 663, 676, 676, 681}, {
         "", "Angola", -11.2027, 17.8739, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2,
           4, 4, 4, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 11, 11,
           11, 11, 11, 11, 11, 11, 13, 13, 13, 13, 14, 14, 17, 17, 17, 17, 17,
           17, 17, 17, 18, 18, 18, 18, 18, 18}, {
         "", "Antigua and Barbuda", 17.0608, -61.7964, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 7, 10, 10, 11, 11, 11, 
          11, 11, 11, 11, 15, 15, 15, 15, 16, 16, 16, 16, 19, 19, 19, 19, 19, 
          19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19}, {
         "", "Argentina", -38.4161, -63.6167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 3,
           3, 3, 3, 3, 3, 3, 52, 52, 63, 72, 72, 72, 228, 240, 248, 256, 266, 
          279, 280, 325, 338, 358, 365, 375, 440, 468, 515, 559, 596, 631, 
          666, 685, 709, 737, 840, 872, 919, 976, 1030, 1107, 1140, 1162, 
          1192, 1256, 1292, 1320, 1354, 1442, 1472, 1524, 1601, 1659, 1728, 
          1757, 1837, 1862, 2266, 2385, 2497, 2534, 2569, 2625, 2872, 2933, 
          3032, 3062, 3530, 3732, 3999, 4167, 4349, 4617}, {
         "", "Armenia", 40.0691, 45.0382, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 1, 2, 2, 14, 16, 18, 28, 30, 30, 30, 30, 31, 33, 43, 43, 57, 
          62, 87, 114, 138, 149, 173, 197, 211, 265, 297, 358, 402, 523, 545, 
          580, 609, 633, 659, 728, 803, 833, 848, 866, 900, 929, 977, 1010, 
          1035, 1071, 1111, 1135, 1185, 1218, 1267, 1325, 1359, 1430, 1500, 
          1572, 1666, 1791, 1925, 2019, 2164, 2419, 2581, 2874, 2936, 3064, 
          3145, 3220, 3255, 3287}, {
         "Australian Capital Territory", "Australia", -35.4735, 149.0124, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 2,
           3, 8, 11, 18, 18, 28, 40, 40, 40, 47, 59, 59, 59, 59, 72, 72, 82, 
          81, 88, 88, 91, 92, 93, 93, 97, 98, 99, 100, 101, 101, 103, 103, 
          103, 103, 103, 103, 103, 103, 103, 104, 104, 104, 104, 104, 104, 
          104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 
          104}, {"New South Wales", "Australia", -33.8688, 151.2093, 0, 0, 0, 
          0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 1379, 1379, 1379, 
          1379, 1755, 1926, 2006, 2056, 2193, 2208, 2227, 2266, 2284, 2293, 
          2293, 2306, 2328, 2349, 2418, 2463, 2486, 2504, 2504, 2517, 2543, 
          2571, 2595, 2605, 2611, 2611, 2612, 2614, 2631, 2648, 2648, 2653, 
          2653, 2656, 2661, 2663, 2670, 2666}, {
         "Northern Territory", "Australia", -12.4634, 130.8456, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 6, 6, 6, 9, 9, 9, 12, 15, 16, 16, 
          20, 23, 23, 23, 25, 25, 25, 24, 24, 24, 24, 26, 27, 27, 27, 27, 27, 
          27, 27, 27, 27, 27, 27, 27, 27, 27, 29, 29, 29, 29, 29, 29, 29, 29, 
          29}, {
         "Queensland", "Australia", -28.0167, 153.4, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
          173, 173, 173, 345, 372, 372, 372, 372, 442, 442, 442, 442, 738, 
          738, 738, 738, 738, 738, 738, 803, 926, 926, 934, 943, 948, 965, 
          976, 980, 980, 985, 989, 994, 1019, 1019, 1021, 1027, 1028, 1030, 
          1031, 1036, 1037, 1038, 1039, 1040, 1040, 1040, 1041, 1041, 1038, 
          1039, 1044, 1045, 1045}, {
         "South Australia", "Australia", -34.9285, 138.6007, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 6, 6, 6, 6, 6, 6, 6, 6, 6, 46, 
          46, 46, 53, 53, 53, 120, 179, 179, 179, 179, 240, 240, 279, 331, 
          331, 331, 369, 376, 388, 394, 401, 402, 411, 414, 420, 420, 420, 
          422, 427, 427, 427, 429, 432, 433, 433, 433, 434, 434, 434, 434, 
          434, 435, 435, 435, 435, 435, 435, 435, 435, 435, 435, 435, 435, 
          435, 435}, {
         "Tasmania", "Australia", -41.4545, 145.9707, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 5, 5, 5, 5, 5, 
          26, 26, 26, 48, 48, 48, 48, 48, 53, 53, 67, 67, 67, 67, 71, 74, 77, 
          91, 106, 117, 123, 132, 137, 144, 153, 157, 158, 164, 165, 165, 167,
           174, 175, 182, 182, 182, 184, 184, 188, 191, 192, 194, 195, 195, 
          196, 198, 199, 199, 200, 202, 203, 203, 203}, {
         "Victoria", "Australia", -37.8136, 144.9631, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 70, 70, 97, 97, 149, 171, 191, 191, 191, 291, 
          343, 422, 476, 527, 573, 620, 620, 620, 736, 926, 926, 926, 926, 
          1118, 1118, 1137, 1159, 1172, 1172, 1196, 1202, 1243, 1251, 1254, 
          1262, 1265, 1280, 1287, 1291, 1293, 1300, 1300, 1300, 1311, 1321, 
          1322, 1327, 1327, 1336, 1346, 1360, 1385, 1385, 1407, 1417, 1417, 
          1439, 1454, 1454, 1473, 1479, 1479, 1498, 1520, 1533, 1533, 1544, 
          1544}, {"Western Australia", "Australia", -31.9505, 115.8605, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 28, 28, 41,
           41, 48, 64, 92, 92, 92, 162, 162, 162, 170, 203, 216, 216, 216, 
          251, 251, 338, 340, 340, 340, 435, 443, 451, 458, 464, 478, 486, 
          486, 495, 507, 507, 511, 520, 523, 528, 528, 528, 534, 534, 536, 
          536, 536, 537, 538, 538, 538, 541, 543, 545, 545, 545, 545, 545, 
          549, 549, 549, 549, 549, 550}, {
         "", "Austria", 47.5162, 14.5501, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 4, 4, 4, 6, 6, 6, 6, 1, 9, 
          9, 9, 9, 9, 9, 9, 9, 112, 225, 225, 479, 636, 1095, 1436, 1749, 
          2022, 2507, 2998, 3463, 4046, 4512, 5240, 6064, 6604, 6987, 7343, 
          7633, 8098, 8986, 9704, 10214, 10501, 10631, 10971, 11328, 11694, 
          11872, 12103, 12282, 12362, 12580, 12779, 12907, 13110, 13180, 
          13228, 13316, 13462, 13639, 13698, 13836, 13928, 13991, 14061, 
          14148, 14304, 14405, 14471, 14524, 14563, 14614, 14678, 14882, 
          14951, 15005, 15037, 15063, 15138, 15182, 15228, 15286}, {
         "", "Azerbaijan", 40.1431, 47.5769, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 6, 6, 6, 
          6, 6, 6, 11, 10, 10, 10, 10, 15, 15, 15, 15, 26, 26, 26, 26, 32, 32,
           32, 44, 44, 63, 101, 159, 200, 250, 289, 351, 404, 460, 528, 590, 
          712, 791, 865, 907, 948, 1013, 1080, 1139, 1162, 1221, 1267, 1325, 
          1365, 1411, 1441, 1480, 1508, 1536, 1551, 1576, 1620, 1650, 1680, 
          1680, 1789, 1833, 1886, 1944, 2015, 2055, 2198, 2253, 2340, 2399, 
          2506, 2607, 2741, 2819, 2897, 3022}, {
         "", "Bahamas", 25.0343, -77.3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 4, 5, 5, 5, 
          5, 5, 5, 6, 6, 6, 6, 6, 10, 10, 11, 12, 12, 14, 15, 15, 22, 22, 23, 
          23, 25, 24, 24, 24, 25, 26, 26, 26, 31, 37, 37, 39, 39, 41, 41, 41, 
          42, 42, 43, 43, 43, 44, 44, 45, 45, 46, 46, 46, 47}, {
         "", "Bahrain", 26.0275, 50.55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 14, 22, 35, 35, 44, 44, 60, 77, 
          81, 88, 100, 100, 125, 149, 149, 177, 177, 204, 227, 265, 272, 279, 
          295, 337, 381, 382, 423, 431, 458, 458, 477, 519, 539, 555, 558, 
          591, 645, 663, 703, 725, 755, 759, 769, 784, 1026, 1082, 1113, 1160,
           1189, 1218, 1310, 1455, 1500, 1555, 1568, 1718, 1744, 1762, 1860, 
          2000, 2028, 2055, 2070, 2152, 2192, 2205, 2353, 2640, 2762, 2910, 
          2931, 2952, 3568, 3873, 4096, 4465, 4587, 4753, 4938, 5152, 5419}, {
         "", "Bangladesh", 23.685, 90.3563, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 
          3, 3, 3, 3, 3, 3, 5, 7, 11, 11, 15, 15, 19, 25, 25, 25, 26, 30, 33, 
          33, 33, 33, 33, 33, 36, 39, 42, 42, 49, 49, 58, 66, 75, 85, 87, 92, 
          108, 112, 113, 122, 131, 139, 150, 160, 174, 177, 1063, 1209, 1403, 
          1403, 1910, 2101, 2414, 2650, 2902, 3147, 3361, 3361, 3882, 4117, 
          4373, 4585, 4993, 5207, 5602, 6190, 6486, 6901, 7334, 7579, 7925, 
          8425}, {"", "Barbados", 13.1939, -59.5432, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 6,
           6, 8, 11, 11, 11, 11, 13, 13, 15, 15, 15, 17, 17, 19, 25, 25, 30, 
          31, 31, 39, 39, 39, 39, 39, 39, 44, 44, 46, 47, 47, 53, 53, 57, 57, 
          57, 57, 65, 65, 65, 67, 68, 68, 68, 70, 70, 70, 70, 70, 71, 71, 76, 
          76}, {"", "Belarus", 53.7098, 27.9534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 3, 3, 3, 3, 3,
           3, 5, 5, 5, 15, 15, 15, 22, 29, 29, 32, 32, 32, 32, 47, 53, 53, 53,
           53, 52, 53, 54, 77, 139, 169, 172, 203, 203, 203, 203, 203, 342, 
          342, 494, 514, 577, 769, 938, 1120, 1573, 1695, 1740, 1993, 2072, 
          2386, 2918, 3117, 3196, 3259, 3771, 4388, 5067, 5484, 6050, 6406, 
          6531, 6974, 7711, 8168, 8807, 9498, 9932, 10130, 10620, 11415, 
          12057, 12833, 13528, 14155, 14449, 15086, 15923, 16660}, {
         "", "Belgium", 50.8333, 4., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 31, 31, 
          1, 263, 263, 263, 461, 547, 675, 858, 1063, 1359, 1527, 1696, 2132, 
          2495, 2872, 3247, 3751, 3986, 4157, 4681, 5164, 5568, 5986, 6463, 
          6707, 6868, 7107, 7562, 7961, 8348, 8757, 8895, 9002, 9433, 9800, 
          10122, 10417, 10785, 10878, 10943, 11283, 11576, 11892, 12211, 
          12309, 12378, 12441, 12731, 12980, 13201, 13411, 13642, 13697, 
          13732, 13937, 14111, 14301, 14460, 14630, 14657, 14687, 14847, 
          14988, 15123, 15155, 15272, 15297, 15320, 15465, 15572}, {
         "", "Belize", 13.1939, -59.5432, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 5, 5, 5, 5, 6, 9, 9, 9, 13, 13,
           13, 14, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
           16, 16, 16, 16, 16, 16, 16, 16, 16}, {
         "", "Benin", 9.3077, 2.3158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 5, 5, 5, 5, 5, 5, 5,
           5, 5, 18, 18, 18, 18, 18, 18, 27, 27, 27, 27, 27, 27, 33, 33, 33, 
          33, 33, 42, 42, 42, 50, 50, 50, 53, 62, 62, 62, 62, 76, 83, 83, 83, 
          83, 83, 83, 83, 57, 61, 61, 61, 82, 84, 118, 134, 134}, {
         "", "Bhutan", 27.5142, 90.4336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5, 
          5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6,
           6, 6, 6}, {
         "", "Bolivia", -16.2902, -63.5887, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 6, 7, 14, 26, 31, 31, 31, 37, 44, 44, 54, 54, 80, 98, 
          110, 117, 132, 134, 159, 166, 174, 187, 198, 219, 237, 258, 273, 
          299, 313, 339, 356, 434, 473, 493, 503, 533, 553, 561, 575, 609, 
          629, 647, 677, 689, 738}, {
         "", "Bosnia and Herzegovina", 43.9159, 17.6791, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 5, 5, 8, 17, 17, 19, 20, 27, 
          30, 30, 47, 68, 79, 101, 129, 139, 193, 206, 236, 253, 277, 320, 
          338, 347, 381, 437, 460, 485, 538, 592, 624, 659, 682, 710, 727, 
          755, 779, 825, 855, 911, 928, 954, 960, 1059, 1106, 1114, 1168, 
          1228, 1272, 1336, 1355, 1436, 1464, 1522, 1557, 1596, 1614, 1662, 
          1680, 1696, 1721, 1744, 1781}, {
         "", "Brazil", -14.235, -51.9253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 6, 6, 6, 6, 120, 127, 127, 127, 127, 127, 127, 
          127, 127, 127, 173, 173, 173, 173, 173, 3046, 14026, 14026, 14026, 
          14026, 22130, 22130, 22991, 25318, 26573, 27655, 29160, 30152, 
          31142, 32544, 34132, 35935, 38039, 40937, 42991, 45815, 48221, 
          51370, 55350, 59297, 61685, 64957, 67384, 72597, 78424, 79479, 
          84970, 89672, 94122, 100459, 106794, 116683, 125960, 135430, 142587,
           149911, 153833, 158593, 166647, 177604}, {
         "", "Brunei", 4.5353, 114.7277, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 2, 2, 2, 2, 2, 5, 11, 25, 34, 38, 45, 52, 56, 65, 66, 73, 82, 
          85, 91, 92, 99, 104, 106, 107, 107, 108, 108, 112, 113, 115, 116, 
          116, 117, 119, 120, 121, 123, 124, 124, 124, 124, 124, 126, 128, 
          130, 131, 131, 131, 132, 132, 134, 134, 134, 134, 134, 135, 136, 
          136, 136, 136, 136, 136, 136, 136, 137, 137, 137, 137, 138}, {
         "", "Bulgaria", 42.7339, 25.4858, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 3, 3, 3, 3, 4, 8, 9, 11, 14, 17, 17, 20, 25, 30, 34, 37, 39, 
          42, 42, 48, 54, 62, 68, 71, 81, 105, 122, 141, 153, 161, 167, 170, 
          174, 190, 197, 197, 205, 206, 222, 243, 266, 276, 287, 308, 321, 
          342, 360, 384, 401, 422, 444, 461, 476, 499, 531, 545, 573, 598, 
          612, 646, 684, 727, 769, 808, 840, 862, 880, 912, 965}, {
         "", "Burkina Faso", 12.2383, -1.5616, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 5, 5, 5, 7, 10, 10, 12, 21, 23, 31, 32, 46, 50, 50, 66, 
          90, 108, 127, 134, 146, 146, 155, 161, 161, 177, 226, 257, 294, 321,
           338, 357, 362, 389, 410, 425, 442, 453, 469, 476, 498, 506, 517, 
          535, 540, 545, 548, 555, 562, 566, 569, 577, 584, 588, 592, 592, 
          595, 604, 644, 652, 652, 661, 669, 672, 672, 672, 672, 672, 672, 
          719}, {"", "Cabo Verde", 16.5388, -23.0418, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 
          2, 4, 18, 18, 33, 37, 37, 38, 38, 44, 56, 56, 58, 58, 61, 67, 67, 
          84, 84, 85, 85, 85, 95, 95, 142, 155, 155, 155, 155, 155}, {
         "", "Cambodia", 11.55, 104.9167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 4, 10, 10, 11, 13, 21, 21, 23, 25, 34, 35, 50, 50, 
          53, 58, 63, 62, 72, 75, 77, 77, 91, 96, 98, 98, 103, 105, 107, 110, 
          110, 110, 117, 117, 117, 119, 119, 119, 119, 120, 120, 120, 120, 
          120, 120, 120, 120, 120, 120, 121, 121, 121, 121, 122, 122, 122, 
          122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122}, {
         "", "Cameroon", 3.848, 11.5021, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 5, 5, 5, 10, 10, 17, 17, 17, 17, 43, 
          60, 60, 98, 98, 98, 98, 130, 165, 164, 164, 177, 305, 305, 329, 397,
           668, 668, 697, 786, 805, 915, 934, 934, 934, 953, 953, 953, 953, 
          1000, 1002, 1002, 1232, 1465, 1524, 1524, 1543, 1553, 1567, 1567, 
          1567, 1567, 1567, 1595, 1808, 1822, 1822, 1865, 1865, 1996, 1996, 
          1996}, {"", "Canada", 56.1304, -106.3468, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 
          3, 3, 3, 3, 3, 6, 6, 6, 6, 6, 6, 6, 6, 6, 8, 8, 8, 8, 8, 8, 8, 8, 8,
           9, 9, 9, 9, 9, 10, 10, 10, 110, 183, 184, 256, 466, 466, 466, 1592,
           1324, 1735, 2175, 2577, 3012, 3256, 3791, 4154, 5162, 5855, 6589, 
          7123, 7758, 8210, 8966, 9698, 10545, 10964, 11847, 12543, 13188, 
          14454, 14761, 15149, 16013, 16883, 18268, 19231, 20327, 21424, 
          22764, 23814, 24921, 26030, 27006, 28184, 29260, 30239, 31262, 
          32109, 33007, 34055, 35177, 36104, 36908, 37832, 38563, 39251, 
          40069, 40793, 41731, 42608, 43318, 43998, 44651, 45352, 46248, 
          46961}, {
         "", "Central African Republic", 6.6111, 20.9394, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 3, 4, 4, 4, 4, 4, 4, 4, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 13, 13, 13, 13, 18, 18, 18, 18, 18, 22, 22, 22, 23, 23}, {
         "", "Chad", 15.4542, 18.7322, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 5, 5, 8, 8, 8, 8, 8, 8, 8, 15, 15, 15, 19, 19, 33, 33, 
          39, 39, 39, 43, 43, 50, 50, 53, 53, 53, 76, 78, 83, 88, 111, 117, 
          117, 139, 177, 186, 196, 204, 215, 244, 303, 359, 413}, {
         "", "Chile", -35.6751, -71.543, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 6, 6, 8, 8, 17, 22, 22, 43, 61, 75, 156, 156, 234, 335, 427, 528,
           618, 728, 898, 1115, 1274, 1571, 1864, 2059, 2367, 2646, 2937, 
          3299, 3621, 4035, 4338, 4676, 4969, 5386, 5804, 6327, 6746, 7024, 
          7327, 7710, 8057, 8580, 9018, 9572, 10041, 10415, 10710, 11189, 
          11664, 12160, 12667, 13112, 13605, 14125, 14865, 15655, 16614, 
          18014, 19213, 20165, 21507, 22504, 23992, 25342, 26546, 28148, 
          29302, 30915, 33540, 36115}, {
         "Anhui", "China(Others)", 31.8257, 117.2264, 0, 0, 0, 0, 0, 0, 0, 2, 
          2, 3, 5, 7, 14, 20, 23, 34, 47, 59, 72, 88, 105, 127, 157, 193, 221,
           255, 280, 361, 413, 474, 539, 597, 637, 663, 712, 744, 792, 821, 
          868, 873, 917, 936, 956, 970, 979, 979, 984, 984, 984, 984, 984, 
          984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 
          984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 
          984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 984, 
          984, 984, 984, 985, 985, 985, 985, 985, 985, 985, 985, 985, 985, 
          985, 985, 985, 985, 985, 985, 985, 985, 985, 985, 985, 985, 985, 
          985, 985, 985, 985, 985, 985, 985, 985, 985, 985, 985, 985}, {
         "Beijing", "China(Others)", 40.1824, 116.4142, 0, 0, 1, 2, 2, 2, 4, 
          4, 4, 5, 9, 9, 12, 23, 24, 31, 33, 34, 37, 44, 48, 56, 69, 80, 98, 
          108, 114, 122, 145, 153, 169, 178, 189, 198, 215, 235, 248, 257, 
          271, 276, 282, 288, 297, 297, 299, 303, 308, 315, 320, 326, 334, 
          342, 349, 353, 360, 369, 378, 380, 390, 396, 400, 400, 401, 403, 
          406, 408, 410, 412, 415, 418, 418, 424, 434, 438, 441, 443, 448, 
          455, 464, 469, 474, 479, 484, 491, 495, 503, 509, 509, 510, 514, 
          516, 518, 524, 525, 525, 525, 536, 538, 542, 547, 547, 547, 553, 
          554, 555, 557, 560, 560, 565, 568, 571, 573, 574, 574, 576, 577, 
          578, 578, 578, 578, 578, 579, 581, 581, 581, 581, 581, 581}, {
         "Chongqing", "China(Others)", 30.0572, 107.874, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 3, 7, 9, 9, 15, 24, 31, 39, 51, 66, 79, 102, 128, 152, 184,
           207, 225, 254, 274, 299, 316, 328, 335, 349, 372, 384, 401, 422, 
          438, 450, 469, 490, 502, 512, 513, 526, 527, 542, 547, 554, 564, 
          566, 569, 570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 
          570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 
          570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 570, 
          570, 570, 573, 573, 573, 573, 573, 573, 573, 573, 573, 573, 573, 
          573, 573, 573, 573, 573, 573, 573, 573, 573, 573, 573, 573, 573, 
          573, 573, 573, 573, 573, 573, 573, 573, 573, 573, 573, 573}, {
         "Fujian", "China(Others)", 26.0789, 117.9874, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 3, 11, 14, 20, 24, 35, 39, 45, 53, 57, 63, 71, 82, 
          90, 93, 112, 126, 149, 162, 170, 183, 199, 218, 228, 235, 243, 247, 
          255, 260, 270, 277, 284, 295, 295, 295, 295, 295, 295, 295, 295, 
          295, 295, 295, 295, 295, 295, 295, 295, 295, 295, 295, 295, 295, 
          295, 295, 295, 295, 298, 299, 300, 301, 303, 305, 305, 308, 308, 
          311, 317, 321, 325, 329, 331, 333, 334, 336, 339, 339, 341, 342, 
          346, 349, 349, 349, 349, 352, 353, 353, 353, 353, 353, 353, 353, 
          354, 354, 354, 354, 354, 354, 354, 354, 355, 355, 355, 355, 355, 
          355, 355, 355, 355, 355, 355, 355, 355, 355, 355}, {
         "Gansu", "China(Others)", 37.8099, 101.0583, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 3, 3, 4, 6, 6, 9, 12, 16, 17, 24, 31, 39, 39, 49, 54, 58, 
          62, 65, 71, 76, 76, 78, 80, 80, 81, 81, 82, 82, 84, 85, 86, 87, 87, 
          87, 87, 87, 88, 88, 88, 88, 88, 89, 91, 91, 91, 91, 91, 98, 113, 
          114, 114, 119, 119, 121, 123, 125, 125, 125, 125, 127, 127, 127, 
          131, 131, 132, 132, 133, 135, 135, 135, 135, 135, 136, 136, 137, 
          137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 
          137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 
          137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 
          137, 137, 137}, {
         "Guangdong", "China(Others)", 23.3417, 113.4244, 0, 2, 2, 2, 2, 4, 4,
           5, 10, 11, 14, 15, 21, 30, 49, 69, 88, 112, 141, 167, 212, 275, 
          314, 362, 410, 465, 524, 565, 606, 642, 690, 728, 755, 786, 822, 
          851, 890, 935, 983, 1016, 1059, 1101, 1133, 1181, 1216, 1237, 1256, 
          1260, 1274, 1282, 1289, 1296, 1299, 1304, 1306, 1307, 1313, 1318, 
          1323, 1325, 1329, 1332, 1333, 1336, 1336, 1337, 1341, 1349, 1351, 
          1356, 1357, 1365, 1368, 1378, 1387, 1395, 1401, 1411, 1423, 1434, 
          1437, 1443, 1454, 1458, 1462, 1471, 1475, 1482, 1490, 1494, 1501, 
          1511, 1528, 1534, 1542, 1542, 1547, 1554, 1557, 1565, 1565, 1567, 
          1569, 1571, 1575, 1575, 1575, 1575, 1576, 1577, 1578, 1578, 1579, 
          1579, 1579, 1579, 1579, 1579, 1579, 1579, 1579, 1580, 1580, 1581, 
          1581, 1581, 1582, 1582}, {
         "Guangxi", "China(Others)", 23.8298, 108.7881, 0, 0, 0, 0, 0, 0, 2, 
          2, 2, 2, 2, 2, 7, 10, 13, 14, 17, 17, 18, 24, 33, 32, 33, 36, 44, 
          49, 53, 69, 86, 90, 97, 104, 106, 112, 134, 147, 161, 168, 176, 181,
           192, 202, 210, 214, 217, 218, 223, 230, 234, 238, 241, 243, 243, 
          243, 248, 248, 250, 250, 250, 250, 250, 250, 250, 250, 250, 250, 
          250, 250, 250, 250, 250, 252, 252, 252, 252, 252, 252, 252, 252, 
          252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 
          252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 
          252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 252, 
          252, 252, 252, 252, 252, 252, 252, 252, 252, 252}, {
         "Guizhou", "China(Others)", 26.8154, 106.8748, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 2, 2, 2, 2, 2, 9, 6, 6, 7, 7, 10, 17, 18, 27, 28, 41, 46, 57, 
          66, 70, 72, 77, 90, 102, 102, 104, 104, 112, 112, 112, 112, 114, 
          114, 114, 114, 114, 115, 117, 123, 129, 133, 137, 140, 143, 143, 
          144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 
          144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 
          144, 144, 144, 144, 144, 144, 144, 144, 145, 145, 145, 145, 145, 
          145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 
          145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 145, 
          145, 145, 145, 145, 145, 145, 145, 145, 145}, {
         "Hainan", "China(Others)", 19.1959, 109.7453, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 1, 4, 4, 5, 5, 8, 10, 14, 19, 19, 20, 27, 30, 43, 39, 52, 59,
           79, 84, 86, 95, 104, 106, 116, 124, 129, 131, 133, 148, 149, 151, 
          155, 158, 158, 158, 158, 159, 159, 159, 159, 160, 160, 160, 160, 
          161, 161, 161, 161, 161, 161, 161, 161, 168, 168, 168, 168, 168, 
          168, 168, 168, 168, 162, 162, 162, 162, 162, 162, 162, 162, 162, 
          162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 
          162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 
          162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 162, 
          162, 162, 162, 162, 162, 162, 162, 162, 162}, {
         "Hebei", "China(Others)", 39.549, 116.1306, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 3, 3, 4, 6, 13, 22, 30, 34, 41, 48, 54, 68, 87, 101, 105, 
          122, 136, 152, 169, 184, 203, 219, 234, 248, 261, 274, 277, 282, 
          294, 296, 300, 301, 304, 305, 307, 307, 307, 307, 307, 308, 310, 
          310, 310, 310, 310, 310, 310, 310, 310, 310, 310, 310, 310, 310, 
          310, 310, 310, 310, 310, 310, 310, 310, 310, 310, 310, 312, 312, 
          313, 313, 313, 313, 313, 314, 314, 315, 316, 316, 316, 317, 317, 
          317, 317, 318, 318, 318, 318, 318, 318, 318, 318, 318, 318, 320, 
          320, 320, 320, 320, 321, 321, 321, 321, 321, 321, 321, 321, 322, 
          322, 322, 322, 322, 322, 322, 322, 322, 322, 322, 322}, {
         "Heilongjiang", "China(Others)", 47.862, 127.7615, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 2, 2, 2, 4, 7, 8, 12, 13, 14, 30, 28, 31, 33, 47, 68, 
          79, 85, 111, 120, 136, 175, 204, 222, 227, 243, 249, 270, 283, 301, 
          342, 356, 366, 373, 379, 396, 403, 412, 430, 434, 436, 441, 446, 
          447, 453, 455, 456, 459, 460, 463, 463, 466, 465, 468, 468, 469, 
          469, 469, 469, 469, 469, 469, 469, 469, 469, 469, 469, 469, 470, 
          470, 470, 470, 470, 470, 470, 470, 471, 471, 472, 472, 472, 475, 
          479, 485, 508, 511, 556, 586, 587, 587, 587, 605, 604, 657, 719, 
          758, 793, 815, 815, 891, 904, 924, 929, 930, 930, 931, 932, 932, 
          932, 932, 932, 932, 932, 932, 932, 932, 932, 932, 932}, {
         "Henan", "China(Others)", 33.882, 113.614, 0, 0, 0, 0, 0, 0, 0, 1, 2,
           3, 3, 10, 16, 27, 47, 56, 86, 116, 153, 191, 218, 246, 296, 357, 
          391, 440, 509, 522, 573, 637, 736, 830, 868, 943, 1002, 1033, 1068, 
          1112, 1170, 1198, 1205, 1231, 1234, 1239, 1244, 1244, 1247, 1247, 
          1247, 1249, 1249, 1249, 1250, 1250, 1250, 1250, 1250, 1250, 1250, 
          1250, 1250, 1250, 1250, 1250, 1250, 1250, 1251, 1251, 1251, 1251, 
          1251, 1251, 1251, 1251, 1251, 1252, 1252, 1252, 1252, 1252, 1252, 
          1253, 1253, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 
          1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 
          1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 
          1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 1254, 
          1254, 1254, 1254}, {
         " ", "Hong Kong", 22.3, 114.2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 5, 6, 5, 6, 11, 19, 
          19, 24, 24, 30, 33, 36, 36, 37, 37, 43, 46, 51, 58, 59, 65, 65, 67, 
          77, 78, 81, 84, 88, 92, 95, 98, 98, 100, 100, 101, 102, 110, 110, 
          112, 112, 123, 128, 147, 147, 173, 173, 206, 216, 216, 264, 293, 
          309, 336, 360, 360, 434, 459, 485, 533, 568, 602, 630, 650, 678, 
          699, 725, 753, 772, 787, 811, 830, 846, 859, 864, 879, 900, 920, 
          932, 944, 960, 967, 982, 985, 991, 1008, 1009, 1019, 1022, 1024, 
          1025, 1025, 1025, 1025, 1029, 1029, 1030, 1030, 1033, 1034, 1035}, {
         "Hubei", "China(Hubei)", 30.9756, 112.2707, 28, 28, 31, 32, 42, 45, 
          80, 88, 90, 141, 168, 295, 386, 522, 633, 817, 1115, 1439, 1795, 
          2222, 2639, 2686, 3459, 4774, 5623, 6639, 7862, 9128, 10337, 11788, 
          11881, 15299, 15343, 16748, 18971, 20969, 23383, 26403, 28993, 
          31536, 33934, 36208, 38557, 40592, 42033, 43500, 45235, 46488, 
          47743, 49134, 50318, 51553, 52960, 54288, 55142, 56003, 56927, 
          57682, 58382, 58946, 59433, 59879, 60324, 60811, 61201, 61732, 
          62098, 62570, 62889, 63153, 63326, 63471, 63612, 63762, 63945, 
          64014, 64073, 64142, 64187, 64236, 64264, 64281, 64338, 64363, 
          64402, 64435, 63487, 63494, 63507, 63511, 63514, 63519, 63569, 
          63593, 63604, 63616, 63616, 63616, 63616, 63616, 63616, 63616, 
          63616, 63616, 63616, 63616, 63616, 63616, 63616, 63616, 63616, 
          63616, 63616, 63616, 63616, 63616, 63616, 63616, 63616, 63616, 
          63616, 63616, 63616, 63617, 63617, 63618, 63618, 63618}, {
         "Hunan", "China(Others)", 27.6104, 111.7088, 0, 0, 0, 0, 0, 0, 0, 0, 
          2, 2, 8, 16, 22, 31, 54, 81, 112, 156, 186, 208, 247, 304, 339, 364,
           425, 464, 498, 527, 561, 634, 661, 692, 714, 731, 768, 783, 804, 
          830, 846, 866, 887, 906, 916, 938, 955, 960, 968, 979, 990, 995, 
          999, 1005, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
          1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
          1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
          1014, 1014, 1014, 1014, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
          1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
          1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
          1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
          1015}, {"Inner Mongolia", "China(Others)", 44.0935, 113.9448, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 3, 4, 5, 5, 5, 5, 5, 6, 6, 6, 7,
           8, 8, 8, 10, 16, 17, 26, 27, 34, 35, 38, 43, 45, 49, 52, 54, 59, 
          63, 65, 65, 67, 70, 70, 70, 71, 71, 71, 71, 71, 73, 73, 73, 74, 74, 
          74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 
          74, 74, 79, 79, 79, 83, 83, 91, 94, 94, 103, 104, 104, 104, 108, 
          108, 108, 114, 121, 129, 145, 146, 150, 152, 154, 154, 156, 160, 
          167, 171, 172, 172, 184, 187, 188, 190, 190, 194, 196, 196, 196, 
          196, 196, 196, 196, 199, 199, 201, 204, 205, 205, 205}, {
         "Jiangsu", "China(Others)", 32.9711, 119.455, 0, 0, 0, 1, 1, 1, 1, 1,
           1, 5, 6, 7, 8, 12, 23, 34, 43, 51, 71, 81, 93, 125, 139, 157, 186, 
          218, 258, 280, 318, 356, 373, 401, 418, 452, 458, 478, 498, 515, 
          523, 536, 543, 562, 577, 583, 594, 606, 612, 621, 627, 627, 629, 
          630, 630, 631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 631, 
          631, 631, 631, 631, 631, 631, 631, 631, 632, 632, 633, 633, 633, 
          633, 633, 634, 636, 638, 638, 641, 642, 642, 643, 643, 643, 643, 
          644, 645, 646, 646, 646, 646, 646, 647, 648, 650, 650, 650, 650, 
          650, 650, 651, 652, 652, 652, 653, 653, 653, 653, 653, 653, 653, 
          653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653, 653}, {
         "Jiangxi", "China(Others)", 27.614, 115.7221, 0, 0, 0, 0, 0, 2, 3, 3,
           5, 7, 9, 12, 18, 20, 27, 37, 45, 55, 73, 105, 128, 152, 170, 187, 
          210, 240, 275, 310, 362, 433, 489, 555, 613, 645, 683, 719, 754, 
          790, 811, 831, 850, 870, 884, 901, 909, 916, 919, 923, 927, 932, 
          934, 934, 934, 934, 934, 934, 934, 934, 934, 934, 934, 934, 934, 
          934, 934, 934, 934, 934, 935, 935, 935, 935, 935, 935, 935, 935, 
          935, 935, 935, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 
          936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 
          936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 
          936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936, 936}, {
         "Jilin", "China(Others)", 43.6661, 126.1923, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 1, 1, 1, 2, 4, 4, 4, 12, 13, 18, 22, 24, 25, 26, 30, 34, 
          36, 37, 43, 45, 52, 54, 60, 63, 65, 67, 73, 75, 78, 83, 83, 86, 88, 
          90, 90, 90, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 
          92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 93, 
          93, 95, 96, 96, 96, 96, 96, 96, 97, 97, 97, 97, 97, 98, 99, 99, 99, 
          99, 99, 99, 99, 101, 102, 102, 103, 103, 103, 103, 104, 104, 105, 
          105, 105, 108, 108, 108, 108, 113, 122, 123, 123, 123, 123, 128, 
          128, 128, 128, 128, 133, 136}, {
         "Liaoning", "China(Others)", 41.2956, 122.6085, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 1, 1, 1, 2, 4, 5, 7, 8, 12, 13, 19, 20, 22, 29, 31, 40, 43,
           53, 55, 59, 61, 66, 73, 80, 83, 88, 93, 93, 96, 103, 103, 106, 106,
           106, 106, 107, 109, 109, 111, 111, 112, 112, 113, 114, 115, 120, 
          122, 122, 122, 122, 124, 124, 124, 124, 124, 124, 124, 124, 124, 
          124, 124, 124, 124, 125, 126, 128, 130, 131, 132, 132, 133, 136, 
          136, 138, 138, 140, 140, 142, 142, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 144, 144, 144, 144, 144, 144, 144, 144, 
          144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 144, 
          144, 144, 145, 147, 147, 147, 147}, {
         "Macau", "China(Others)", 22.1667, 113.55, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 3, 3, 3, 5, 5, 5, 5, 6, 6, 
          6, 6, 6, 7, 7, 8, 8, 8, 8, 8, 9, 9, 9, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 13, 13, 13, 16, 
          16, 16, 17, 20, 22, 24, 26, 27, 27, 28, 31, 32, 33, 34, 35, 35, 37, 
          39, 39, 39, 40, 40, 40, 40, 41, 42, 42, 43, 43, 43, 44, 44, 44, 44, 
          44, 44, 45, 45, 45, 45, 45, 45, 45}, {
         "Ningxia", "China(Others)", 37.2692, 106.1655, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 1, 1, 1, 1, 5, 15, 13, 13, 22, 24, 24, 24, 33, 33, 
          35, 42, 42, 44, 48, 48, 56, 58, 61, 65, 68, 68, 69, 69, 69, 69, 69, 
          69, 71, 71, 71, 71, 71, 72, 72, 72, 73, 73, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75}, {"Qinghai", "China(Others)", 35.7452, 95.9956, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 5, 9, 11, 11, 13, 13, 
          13, 15, 16, 16, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18}, {"Shaanxi", "China(Others)", 35.1917, 108.8701, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 2, 6, 9, 17, 20, 25, 30, 32, 43, 46, 54, 60,
           71, 79, 89, 102, 118, 134, 149, 163, 173, 186, 192, 195, 199, 207, 
          208, 216, 216, 223, 224, 226, 226, 227, 227, 227, 232, 232, 232, 
          232, 232, 233, 236, 237, 237, 237, 239, 239, 239, 240, 240, 242, 
          242, 242, 242, 242, 242, 242, 242, 244, 245, 245, 246, 246, 246, 
          246, 246, 248, 248, 248, 248, 251, 251, 252, 252, 252, 252, 253, 
          253, 253, 253, 253, 253, 253, 253, 253, 254, 254, 255, 263, 263, 
          264, 266, 268, 268, 293, 294, 296, 297, 297, 300, 301, 301, 301, 
          303, 303, 303, 303, 304, 305, 305, 305, 305, 305, 305}, {
         "Shandong", "China(Others)", 36.3427, 118.1498, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 2, 3, 6, 7, 11, 15, 27, 37, 44, 63, 66, 80, 92, 105, 136, 156,
           173, 191, 211, 231, 254, 281, 302, 321, 343, 355, 377, 387, 405, 
          421, 443, 460, 511, 516, 578, 618, 627, 642, 700, 719, 726, 734, 
          739, 741, 741, 746, 746, 746, 747, 748, 749, 750, 751, 752, 752, 
          752, 752, 752, 752, 753, 753, 753, 753, 754, 755, 755, 755, 755, 
          755, 756, 756, 757, 757, 758, 759, 761, 761, 761, 765, 765, 765, 
          765, 766, 766, 767, 767, 768, 768, 771, 772, 772, 772, 772, 773, 
          773, 775, 775, 776, 776, 776, 777, 777, 777, 777, 778, 780, 780, 
          780, 780, 780, 780, 780, 780, 780, 780, 780, 780, 780, 780}, {
         "Shanghai", "China(Others)", 31.202, 121.4491, 0, 0, 1, 1, 1, 3, 4, 
          5, 5, 9, 10, 10, 10, 12, 15, 25, 30, 41, 44, 48, 52, 57, 62, 90, 
          124, 140, 161, 177, 186, 199, 211, 227, 249, 261, 268, 272, 276, 
          279, 287, 290, 292, 294, 298, 303, 306, 313, 314, 315, 319, 320, 
          321, 324, 324, 324, 325, 325, 326, 326, 326, 327, 328, 329, 330, 
          330, 331, 334, 334, 334, 338, 341, 341, 343, 348, 356, 383, 389, 
          406, 418, 422, 435, 438, 446, 446, 468, 485, 489, 512, 512, 521, 
          530, 530, 534, 533, 558, 558, 568, 581, 584, 597, 599, 612, 612, 
          615, 619, 620, 620, 623, 623, 626, 627, 627, 631, 633, 638, 640, 
          641, 641, 641, 641, 641, 641, 647, 647, 648, 652, 653, 655, 655}, {
         "Shanxi", "China(Others)", 37.5777, 112.2922, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 3, 2, 4, 5, 12, 15, 21, 25, 25, 30, 33, 36, 38, 46, 50, 
          53, 61, 68, 76, 78, 81, 88, 94, 98, 104, 107, 112, 114, 116, 119, 
          124, 124, 126, 126, 126, 126, 127, 131, 131, 132, 133, 133, 133, 
          133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 
          133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 134, 134, 134, 
          135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 140, 140, 142, 
          149, 154, 157, 160, 160, 164, 172, 172, 176, 180, 190, 193, 194, 
          195, 195, 197, 197, 197, 198, 198, 198, 198, 198, 198, 198, 198, 
          198, 198, 198, 198, 198, 198, 198, 198, 198}, {
         "Sichuan", "China(Others)", 30.6171, 102.7103, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 3, 11, 14, 14, 24, 31, 42, 60, 71, 80, 85, 92, 104, 114, 
          119, 131, 156, 169, 188, 217, 231, 250, 261, 276, 289, 307, 321, 
          338, 351, 365, 386, 394, 406, 425, 442, 454, 464, 466, 478, 488, 
          498, 503, 511, 516, 516, 520, 525, 536, 536, 536, 536, 536, 536, 
          536, 536, 536, 536, 536, 536, 536, 537, 537, 537, 538, 539, 540, 
          541, 541, 541, 546, 547, 547, 548, 548, 550, 552, 552, 553, 554, 
          554, 554, 556, 558, 558, 558, 558, 558, 558, 558, 558, 558, 558, 
          558, 558, 558, 558, 558, 558, 558, 558, 558, 558, 558, 558, 558, 
          558, 558, 558, 558, 558, 558, 558, 558, 558, 558, 558, 558, 558}, {
         "Tianjin", "China(Others)", 39.3054, 117.323, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 2, 2, 2, 2, 4, 4, 8, 10, 11, 21, 31, 37, 45, 46, 48,
           54, 59, 62, 65, 81, 87, 91, 96, 102, 102, 109, 111, 111, 124, 124, 
          128, 128, 128, 128, 130, 131, 131, 132, 132, 132, 133, 133, 133, 
          133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 
          135, 135, 135, 140, 144, 144, 144, 151, 152, 152, 158, 161, 161, 
          164, 168, 171, 172, 173, 173, 174, 174, 176, 176, 179, 181, 182, 
          182, 182, 183, 183, 184, 185, 185, 186, 186, 186, 186, 186, 186, 
          186, 186, 186, 186, 187, 187, 187, 187, 187, 187, 187, 187, 187, 
          187, 187, 188, 188, 188, 188, 188}, {
         "Tibet", "China(Others)", 31.6927, 88.0924, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1}, {
         "Xinjiang", "China(Others)", 41.1129, 85.2401, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 6, 6, 10, 12, 12, 12, 
          20, 22, 24, 25, 28, 30, 30, 34, 43, 52, 62, 64, 66, 68, 69, 70, 71, 
          72, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73}, {
         "Yunnan", "China(Others)", 24.974, 101.487, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 2, 3, 5, 5, 5, 7, 12, 17, 18, 19, 20, 26, 27, 36, 42, 42, 47, 
          57, 60, 79, 96, 107, 115, 124, 129, 144, 150, 156, 157, 163, 168, 
          169, 169, 169, 170, 170, 170, 170, 170, 170, 170, 170, 172, 172, 
          172, 172, 172, 172, 172, 172, 172, 172, 172, 172, 172, 172, 172, 
          172, 172, 172, 172, 172, 172, 172, 172, 172, 173, 173, 173, 173, 
          174, 174, 174, 175, 176, 176, 177, 177, 178, 178, 178, 178, 180, 
          180, 181, 181, 181, 181, 181, 181, 181, 181, 181, 181, 181, 181, 
          182, 182, 183, 183, 183, 183, 183, 183, 183, 183, 183, 183, 183, 
          183, 183, 183, 183, 183, 183, 183, 183, 183}, {
         "Zhejiang", "China(Others)", 29.1832, 120.0934, 0, 0, 1, 1, 1, 1, 3, 
          3, 4, 14, 21, 32, 43, 62, 78, 94, 123, 175, 201, 242, 270, 321, 360,
           403, 428, 456, 507, 535, 604, 633, 679, 719, 760, 782, 808, 867, 
          932, 975, 1016, 1046, 1069, 1093, 1114, 1124, 1147, 1154, 1161, 
          1176, 1191, 1195, 1197, 1197, 1211, 1211, 1216, 1216, 1216, 1217, 
          1219, 1219, 1219, 1221, 1221, 1221, 1222, 1222, 1225, 1225, 1225, 
          1226, 1226, 1228, 1228, 1229, 1230, 1230, 1230, 1232, 1235, 1235, 
          1236, 1238, 1239, 1242, 1244, 1244, 1246, 1246, 1247, 1249, 1251, 
          1252, 1256, 1256, 1257, 1258, 1261, 1262, 1263, 1264, 1265, 1265, 
          1265, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 
          1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 1267, 
          1267, 1267, 1267, 1267}, {
         "", "Colombia", 4.5709, -74.2973, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
           1, 1, 1, 3, 3, 6, 8, 8, 10, 10, 10, 15, 31, 39, 55, 55, 85, 88, 88,
           100, 123, 174, 197, 214, 270, 319, 354, 452, 550, 634, 634, 711, 
          804, 804, 870, 927, 1003, 1067, 1133, 1210, 1268, 1411, 1439, 1551, 
          1666, 1722, 1807, 2013, 2148, 2300, 2424, 2569, 2705, 2825, 2971, 
          3133, 3358, 3460, 3587, 3751, 3903, 4050, 4256, 4431, 4575, 4718, 
          5016, 5265, 5511, 6111, 6132}, {
         "", "Congo (Brazzaville)", -4.0383, 21.7587, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2,
           2, 2, 5, 5, 5, 5, 5, 5, 11, 11, 11, 11, 11, 16, 16, 16, 16, 19, 19,
           19, 19, 19, 19, 19, 25, 25, 25, 26, 26, 30, 30, 33, 33, 33, 53, 53,
           53, 87, 87, 87, 87, 110, 132, 132, 137, 137, 147, 147, 147, 147, 
          161, 161}, {
         "", "Congo (Kinshasa)", -4.0383, 21.7587, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 5, 9,
           9, 9, 13, 16, 16, 17, 20, 21, 23, 25, 26, 26, 27, 35, 45, 47, 48, 
          49, 50, 50, 56, 59, 73, 75, 75, 75, 80, 90, 92, 103, 130, 130, 136, 
          141, 146, 148, 157, 212, 270, 270, 272, 290, 302, 303, 312, 312, 
          317, 337, 340, 365, 381}, {
         "", "Costa Rica", 9.7489, -83.7534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 4, 6, 11, 13, 16, 18, 24, 
          29, 30, 42, 49, 56, 62, 66, 67, 74, 88, 97, 112, 124, 150, 180, 196,
           216, 242, 264, 287, 306, 323, 338, 355, 372, 386, 399, 413, 428, 
          445, 461, 480, 501, 517, 520, 527, 535, 542, 551, 565, 575, 577, 
          582, 592, 600, 607, 620, 628, 634, 639, 646}, {
         "", "Cote d'Ivoire", 7.54, -5.5471, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
          1, 1, 1, 1, 1, 1, 2, 3, 3, 3, 3, 4, 6, 7, 9, 15, 19, 25, 37, 41, 41,
           48, 52, 52, 58, 85, 89, 114, 114, 146, 193, 239, 260, 260, 303, 
          310, 359, 419, 419, 468, 499, 525, 557, 574, 597, 622, 653, 693, 
          701, 721, 742, 754, 769, 794, 818, 820, 902, 930, 942, 987, 1004, 
          1040, 1050, 1083, 1100, 1146, 1188, 1219, 1257, 1286, 1302, 1326}, {
         "", "Croatia", 45.1, 15.2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 4, 4, 5, 5, 
          5, 5, 5, 5, 22, 22, 37, 45, 52, 67, 67, 73, 88, 92, 119, 125, 130, 
          167, 179, 219, 231, 323, 373, 400, 415, 473, 529, 600, 615, 709, 
          771, 801, 869, 883, 982, 1034, 1103, 1166, 1232, 1288, 1348, 1421, 
          1463, 1489, 1522, 1560, 1601, 1641, 1689, 1726, 1764, 1784, 1808, 
          1834, 1850, 1869, 1913, 1936, 1946, 1967, 1978, 1978, 2011, 2023, 
          2027, 2035, 2046, 2047, 2051}, {
         "", "Diamond Princess", 0., 0., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0,
           10, 10, 10, 10, 10, 10, 10, 10, 10, 40, 40, 40, 40, 40, 325, 325, 
          325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 587, 
          597, 597, 597, 603, 603, 603, 603, 619, 619, 619, 619, 619, 619, 
          619, 619, 619, 619, 619, 619, 639, 639, 644, 644, 644, 644, 644, 
          644, 644, 645, 645, 645, 645, 645, 645, 645, 645, 645, 645, 645, 
          645, 645, 645, 645, 645, 645, 651, 651, 651, 651, 651, 651, 651, 
          651, 651, 651, 651, 651, 651, 651, 651, 651, 651, 651, 651}, {
         "", "Cuba", 22., -80., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 1, 1, 1, 4, 4, 4, 4, 8, 12, 13, 15, 15, 15, 18, 27, 27, 28, 
          51, 77, 92, 121, 132, 151, 171, 192, 227, 255, 285, 309, 341, 365, 
          416, 437, 501, 525, 575, 617, 681, 714, 765, 827, 876, 954, 1001, 
          1031, 1078, 1140, 1193, 1229, 1277, 1326, 1383, 1425, 1460, 1495, 
          1505, 1538, 1573, 1603, 1631, 1671, 1689, 1704, 1709, 1724, 1734}, {
         "", "Cyprus", 35.1264, 33.4299, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 3, 3, 3, 3, 4, 15, 15, 15, 22, 23, 28, 28, 28, 33, 37, 45, 
          47, 52, 53, 58, 61, 65, 65, 65, 65, 77, 77, 79, 81, 81, 98, 98, 98, 
          98, 148, 148, 148, 148, 148, 296, 296, 296, 296, 296, 296, 296, 400,
           400, 401, 401, 401, 449, 449, 481, 481, 515, 515, 515, 515, 516, 
          561, 561, 594, 594, 594, 594, 594, 784}, {
         "", "Czechia", 49.8175, 15.473, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 
          3, 4, 6, 6, 6, 10, 10, 10, 11, 11, 11, 25, 45, 61, 67, 72, 78, 96, 
          121, 172, 233, 301, 346, 411, 464, 519, 642, 819, 972, 1174, 1227, 
          1298, 1559, 1753, 1989, 2152, 2371, 2453, 2545, 2826, 2948, 3108, 
          3314, 3372, 3461, 3587, 3807, 4006, 4205, 4371, 4413, 4447, 4474, 
          4711, 4889, 5047, 5241, 5381, 5422, 5462, 5641, 5726, 5830, 5926, 
          6025, 6044, 6078, 6182, 6270, 6370, 6460}, {
         "Faroe Islands", "Denmark", 61.8926, -6.9118, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 38, 47, 54, 54, 70, 70, 74, 75, 81, 
          91, 93, 99, 107, 120, 131, 136, 145, 145, 157, 157, 163, 166, 169, 
          171, 173, 176, 176, 178, 178, 178, 178, 178, 178, 178, 181, 181, 
          184, 184, 184, 185, 185, 185, 185, 185, 187, 187, 187, 187, 187, 
          187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 187, 
          187, 187, 187}, {
         "Greenland", "Denmark", 71.7069, -42.6043, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 4, 
          10, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11}, {"", "Denmark", 56.2639, 9.5018, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 894, 1089, 1193, 1283, 
          1327, 1378, 1491, 1621, 1736, 1773, 1955, 2123, 2235, 2515, 2748, 
          3023, 3389, 3847, 4141, 4312, 4700, 5087, 5384, 5526, 5669, 5805, 
          5959, 6121, 6366, 6546, 6729, 6889, 6987, 7088, 7296, 7493, 7711, 
          7927, 8093, 8217, 8328, 8580, 8663, 8805, 8959, 9107, 9227, 9301, 
          9416, 9536, 9643, 9764, 9836, 9900, 9964, 10044, 10106, 10180}, {
         "", "Djibouti", 11.8251, 42.5903, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 8, 9, 9, 9, 25, 25,
           36, 36, 36, 41, 53, 71, 73, 76, 76, 102, 102, 112, 183, 252, 330, 
          373, 411, 477, 498, 599, 642, 672, 686, 686, 713, 745, 755, 799, 
          824, 834, 847, 872, 886, 900, 905, 935, 950, 972, 1018, 1033, 1052, 
          1055, 1064, 1064, 1064, 1079, 1079, 1185, 1241}, {
         "", "Dominica", 15.415, -61.371, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 5,
           5, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 9, 9, 10, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 14, 14, 14, 14, 14, 15, 15, 15, 15, 15, 15, 15, 16, 
          16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16}, {
         "", "Dominican Republic", 18.7357, -70.1627, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 4, 5, 9, 16, 16, 16, 
          17, 33, 36, 50, 80, 98, 108, 131, 152, 162, 208, 215, 268, 312, 363,
           416, 463, 581, 581, 763, 822, 910, 993, 1165, 1228, 1301, 1387, 
          1481, 1606, 1771, 1905, 1960, 2064, 2286, 2584, 2763, 2870, 3221, 
          3221, 3351, 3557, 3726, 5847, 6613, 6613, 7142, 7366, 7572, 7854, 
          8133, 8285, 8534, 8790, 8952}, {
         "", "Ecuador", -1.8312, -78.1834, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 54, 58, 65, 65, 100, 100, 100, 
          100, 140, 339, 368, 411, 501, 597, 696, 780, 838, 838, 1008, 1061, 
          1150, 1207, 1262, 1328, 1366, 1366, 1366, 1557, 1557, 1557, 1558, 
          1913, 2132, 3300, 3433, 3433, 3433, 3433, 3433, 3433, 3433, 3433, 
          3433, 3433, 3433, 3433, 3433, 3433, 3433, 3457, 3557, 3557, 3557, 
          3557, 3560, 18003, 18003, 18425, 18425}, {
         "", "Egypt", 26., 30., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 27, 27, 27, 27, 21, 27, 32, 32, 
          32, 39, 41, 56, 56, 80, 95, 102, 116, 121, 132, 150, 157, 179, 201, 
          216, 241, 247, 259, 276, 305, 348, 384, 426, 589, 589, 589, 589, 
          596, 646, 701, 732, 821, 870, 935, 1004, 1075, 1114, 1176, 1236, 
          1304, 1335, 1381, 1460, 1522, 1562, 1632, 1730, 1815, 1887, 1945, 
          2002, 2075, 2172, 2326, 2486, 2626, 2799, 2950, 3172, 3440, 3742, 
          3994, 4217, 4374, 4628, 4807, 4900, 5027, 5205, 5359}, {
         "", "El Salvador", 13.7942, -88.8965, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 5, 5, 9,
           14, 15, 19, 21, 22, 25, 30, 33, 38, 43, 44, 46, 48, 63, 67, 75, 75,
           83, 89, 97, 106, 119, 124, 141, 154, 180, 205, 219, 252, 257, 276, 
          293, 325, 349, 374, 405, 417, 441, 464, 474, 502, 537, 544, 570, 
          570, 633, 772, 787, 891, 1002}, {
         "", "Equatorial Guinea", 1.5, 10., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3,
           3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 7, 7, 7, 7, 7, 7, 8, 9, 9, 9, 9, 9, 
          9, 9, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 22, 22, 22, 22, 
          22, 22, 22, 165, 165, 165, 165, 165, 165, 165}, {
         "", "Eritrea", 15.1794, 39.7823, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 6, 6, 6, 11, 13, 13, 13, 19, 19, 26, 
          26, 26, 26, 26, 30, 30, 30, 37, 37, 37, 38, 38, 38, 38, 39, 39, 39, 
          39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39}, {
         "", "Estonia", 58.5953, 25.0136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 1, 1, 2, 2, 7, 8, 8, 11, 20, 20, 20, 26, 33, 45, 48, 59, 62, 62, 
          69, 72, 83, 93, 93, 98, 102, 115, 117, 133, 145, 162, 164, 165, 169,
           184, 192, 206, 228, 233, 233, 240, 236, 249, 253, 256, 259, 259, 
          261, 264, 273, 704, 747, 750, 751, 777, 777, 909, 923, 934, 938, 
          938, 938, 956, 1488, 1508, 1526, 1532, 1538, 1552, 1561, 1574}, {
         "", "Eswatini", -26.5225, 31.4659, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7,
           7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 
          12, 12, 12, 12, 12, 12, 12, 12, 12, 14, 27, 28, 28, 48, 51, 66, 72, 
          73, 78, 87, 97, 112, 119, 119, 156, 158, 164, 168, 168}, {
         "", "Ethiopia", 9.145, 40.4897, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 4, 4, 0, 0, 0, 0, 1, 1, 4, 2, 2, 3, 3, 4, 4, 4, 4, 4, 4, 4,
           10, 10, 14, 14, 15, 15, 15, 16, 16, 16, 16, 21, 21, 25, 29, 41, 50,
           50, 58, 59, 66, 69, 75, 75, 91, 93, 93, 95, 97, 99, 105, 106, 108, 
          108, 112, 113, 113, 116, 120, 122, 123, 128, 151, 152, 159, 167, 
          181, 191}, {
         "", "Fiji", -17.7134, 178.065, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 8, 8, 10, 10, 12, 12, 12, 12, 12, 
          12, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 15, 15, 
          15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15}, {
         "", "Finland", 64., 26., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 300, 300, 300, 
          300, 300, 300, 300, 300, 300, 300, 300, 300, 300, 300, 1700, 1700, 
          1700, 1700, 2000, 2000, 2000, 2000, 2500, 2500, 2500, 2500, 2800, 
          2800, 3000, 3000, 3000, 3000, 3500, 3500, 3500, 3500, 4000, 4000, 
          4000, 4000, 4300, 4300, 4300, 5000, 5000, 5000, 5000, 5000, 4800, 
          4800, 4800, 4800, 4800, 5100, 5100, 5100, 5500}, {
         "French Guiana", "France", 3.9339, -53.1258, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 15, 15, 22, 22, 
          22, 34, 34, 34, 43, 43, 43, 51, 51, 51, 51, 51, 61, 64, 64, 69, 76, 
          83, 84, 87, 87, 87, 87, 93, 93, 94, 98, 98, 98, 100, 100, 111, 112, 
          119, 119, 122, 122, 122, 124, 124, 124, 125, 125, 131, 136, 136, 
          137, 141, 143, 145, 146, 146, 150, 161}, {
         "French Polynesia", "France", -17.6797, 149.4068, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 19, 19, 35, 36, 41, 
          41, 41, 43, 49, 50, 50, 51, 51, 51, 53, 54, 54, 56, 56, 56, 56, 56, 
          58, 58, 59, 59, 59, 59, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 
          60}, {"Guadeloupe", "France", 16.25, -61.5833, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 17, 17, 22, 24, 24, 
          24, 24, 31, 31, 31, 43, 43, 67, 67, 67, 67, 67, 67, 67, 67, 73, 73, 
          73, 73, 73, 76, 82, 82, 82, 82, 82, 82, 95, 95, 95, 95, 98, 98, 104,
           104, 104, 104, 104, 104, 109, 109, 109, 109, 109, 109, 109, 109, 
          109, 109, 115, 115, 115, 115, 115, 115, 115}, {
         "Martinique", "France", 14.6415, -61.0242, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 27, 27, 27, 27, 27, 
          50, 50, 50, 50, 50, 50, 50, 50, 50, 50, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 77, 77, 77, 77, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 
          83, 83, 83, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 
          91, 91, 91}, {
         "Mayotte", "France", -12.8275, 45.1662, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 10, 10, 10, 10, 14, 14, 
          14, 22, 22, 22, 50, 59, 59, 59, 69, 69, 69, 117, 117, 117, 117, 117,
           125, 125, 144, 144, 144, 144, 235, 235, 235, 235, 235, 235, 352, 
          352, 352, 352, 352, 492, 492, 492, 492, 627, 627, 627, 627, 627, 
          627, 627, 894, 894, 894, 894, 894, 894, 894, 1314, 1315}, {
         "New Caledonia", "France", -20.9043, 165.618, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 14, 14, 15, 15, 17, 17, 17, 17, 17,
           17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 18,
           18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18}, {
         "Reunion", "France", -21.1351, 55.2471, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 40, 40, 40, 40, 40, 
          40, 40, 40, 40, 40, 40, 40, 40, 40, 237, 237, 237, 237, 237, 237, 
          238, 238, 238, 300, 300, 300, 300, 300, 300, 300, 300, 300, 300, 
          300, 300, 300, 354, 354, 354, 354, 354, 354, 354, 354, 354, 354, 
          354, 354, 354, 411, 411, 411, 411, 411, 411, 411, 411, 411}, {
         "Saint Barthelemy", "France", 17.9, -62.8333, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 4, 4, 4, 4, 4, 4, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6}, {
         "St Martin", "France", 18.0708, -63.0501, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 5, 7, 7, 7,
           7, 7, 11, 11, 11, 11, 11, 13, 13, 13, 19, 19, 19, 19, 19, 19, 24, 
          24, 24, 24, 24, 24, 24, 27, 27, 27, 29, 29, 29, 30, 30, 30, 30, 30, 
          30, 30, 30, 30, 30, 30, 30, 30, 33, 33, 33, 33, 33, 33, 33, 33, 
          33}, {"", "France", 46.2276, 2.2137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 
          12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 2200, 2200, 3243, 3900, 
          4948, 5700, 5700, 7202, 7927, 9444, 10934, 12428, 14008, 15438, 
          16183, 17250, 19337, 21254, 23206, 24932, 26391, 27186, 27718, 
          28512, 30440, 32297, 33834, 35379, 35973, 36782, 38543, 39988, 
          41414, 42715, 43816, 44125, 44733, 45997, 47338, 48572, 49300, 
          49751, 49973, 50438, 51803, 53022, 54076, 54770, 54886, 55062, 
          55569, 56617, 57368, 58300, 59143, 59142, 59907, 60416, 61246, 
          61713, 62216, 62557, 62893, 62961, 63542, 64222, 64503, 65098}, {
         "", "Gabon", -0.8037, 11.6094, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 4, 4, 7, 7, 7, 7, 16, 24, 24, 26, 30, 30, 43, 53, 67, 
          67, 67, 85, 85, 93, 93, 93, 110, 110, 110, 110, 127, 137, 152, 182, 
          219, 244, 244, 301, 318, 365, 365, 402, 459, 459, 562, 593, 631, 
          668}, {"", "Gambia", 13.4432, -15.3101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 8, 8, 8, 8, 8, 
          8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 10, 10, 12, 12, 13, 13,
           13, 13, 13, 13, 13, 17, 18, 19, 19}, {
         "", "Georgia", 42.3154, 43.3569, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 3, 3, 9, 10, 11, 14, 14, 18, 20, 21, 23, 26, 28, 36, 36, 
          39, 46, 50, 51, 54, 60, 67, 68, 69, 71, 76, 79, 86, 93, 95, 97, 107,
           111, 132, 139, 149, 156, 168, 178, 184, 207, 207, 223, 223, 240, 
          269, 275, 288, 297, 309, 317, 349, 372, 383, 393, 419, 425, 432, 
          456, 475, 485, 495, 509, 522, 526, 537, 557, 573}, {
         "", "Germany", 51., 9., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 12, 12, 12, 14, 14, 14, 14, 14, 
          15, 16, 16, 16, 16, 16, 16, 16, 16, 17, 18, 18, 18, 18, 25, 25, 46, 
          46, 46, 67, 67, 105, 113, 180, 233, 266, 266, 3243, 3547, 5673, 
          6658, 8481, 9211, 13500, 16100, 18700, 22440, 24575, 26400, 28700, 
          28700, 36081, 46300, 52407, 53913, 57400, 60300, 64300, 68200, 
          72600, 77000, 83114, 85400, 88000, 91500, 95200, 99400, 103300, 
          109800, 109800, 112000, 114500, 117400, 120400, 123500, 126900, 
          129000, 130600, 132700, 135100, 139900, 141700, 141700, 143300, 
          144400, 145617, 147200, 148700, 150300, 151597, 152600, 154011, 
          155041, 155681, 156966, 158087, 159064, 159716, 160281, 161199, 
          161967, 162820, 163360}, {
         "", "Ghana", 7.9465, -1.0232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 31, 31, 31, 31, 31, 31, 31, 31, 34,
           3, 4, 4, 4, 4, 17, 17, 83, 83, 99, 99, 99, 99, 99, 99, 134, 134, 
          155, 155, 188, 188, 212, 212, 229, 229, 294, 294, 294, 303, 323, 
          378, 378, 494, 494, 514, 674, 1460, 1754, 1754, 1754, 1773, 1898, 
          1898, 1951, 1978, 1998, 2070, 2317, 2412, 2412}, {
         "", "Grenada", 12.1165, -61.679, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 10, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 14, 
          14, 17, 17, 17, 17, 17, 18, 18, 18, 18}, {
         "", "Greece", 39.0742, 21.8243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 8, 8, 8, 8, 
          8, 19, 19, 19, 19, 29, 36, 36, 52, 52, 52, 52, 52, 52, 61, 78, 78, 
          78, 269, 269, 269, 269, 269, 269, 269, 269, 269, 269, 269, 269, 269,
           269, 269, 577, 577, 577, 577, 577, 577, 577, 577, 577, 1374, 1374, 
          1374, 1374, 1374, 1374, 1374, 1374, 1374, 1374, 1374, 1374, 1374, 
          1374, 1374, 1374, 1374, 1374, 1374, 1374, 1374, 1374, 1374, 1374, 
          1374, 1374, 1374, 1374, 1374}, {
         "", "Guatemala", 15.7835, -90.2308, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 10, 10, 10, 12, 12, 12, 12, 15, 15, 
          15, 17, 17, 17, 17, 19, 19, 19, 19, 19, 19, 21, 21, 21, 21, 24, 24, 
          30, 30, 45, 49, 49, 49, 62, 66, 72, 72, 72, 79, 79, 86, 90, 101, 
          104, 110, 111, 120, 121, 129, 135, 138, 138, 138, 155, 159, 222, 
          222, 244, 258, 274, 289, 493, 565}, {
         "", "Guinea", 9.9456, -9.6966, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 5, 5, 5, 5, 5, 11, 15,
           17, 17, 17, 31, 31, 49, 59, 65, 87, 122, 127, 164, 170, 191, 208, 
          208, 246, 269, 313, 329, 342, 405, 405, 450, 498, 597, 629, 663, 
          698, 714, 714, 816, 856, 895, 895, 1133, 1133, 1263, 1525, 1525, 
          1575, 1575, 1631, 1673, 1673, 1673, 1673, 1950}, {
         "", "Guinea-Bissau", 11.8037, -15.1804, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 18, 18, 19,
           19, 19, 19, 19, 19, 19, 24, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26,
           26, 38, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42}, {
         "", "Guyana", 5., -58.75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 8, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 12, 12, 12, 15, 15, 18, 22, 22, 
          22, 22, 27, 27, 27, 27, 35, 35, 35, 36, 36, 41, 42, 43, 43, 43, 44, 
          46, 47, 57, 57, 58, 62, 62, 62, 67, 67}, {
         "", "Haiti", 18.9712, -72.2852, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 6, 7, 8, 8, 8, 8, 10, 10,
           10, 10, 10, 10, 16, 17, 17, 17, 17, 17, 17, 18, 29, 29, 21, 21, 21,
           21, 21, 22, 22, 22, 22, 22, 22, 22}, {
         "", "Holy See", 41.9029, 12.4534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2}, {
         "", "Honduras", 15.2, -86.2419, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 6, 6, 6, 6, 6, 7,
           7, 7, 7, 7, 9, 9, 10, 10, 15, 25, 29, 30, 31, 58, 65, 65, 79, 79, 
          73, 79, 112, 116, 118, 122, 122, 132, 154, 192, 195, 203, 206, 211, 
          237, 253, 264, 278, 319, 340, 349, 349, 397, 439, 439, 468, 473, 
          493, 506, 519}, {
         "", "Hungary", 47.1625, 19.5033, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 
          2, 2, 7, 16, 16, 21, 21, 28, 34, 34, 34, 34, 37, 40, 42, 43, 58, 66,
           67, 71, 94, 96, 112, 115, 118, 120, 122, 192, 199, 207, 231, 250, 
          267, 287, 295, 390, 458, 458, 485, 498, 516, 536, 581, 609, 625, 
          629, 630, 709, 759, 801, 865, 904, 933, 958, 1007, 1102, 1169, 1287,
           1371, 1396, 1400, 1412, 1454, 1509, 1587, 1655, 1690, 1711, 1836, 
          1856, 1996}, {
         "", "Iceland", 64.9631, -19.0208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 8, 0, 0, 5,
           5, 5, 22, 36, 36, 51, 56, 82, 97, 114, 135, 157, 198, 225, 284, 
          309, 396, 428, 460, 559, 633, 688, 751, 841, 889, 933, 989, 1077, 
          1144, 1224, 1291, 1291, 1362, 1417, 1462, 1509, 1542, 1570, 1608, 
          1624, 1636, 1656, 1670, 1689, 1706, 1717, 1723, 1733, 1750, 1755, 
          1765, 1773, 1773, 1773, 1776, 1780, 1780, 1782, 1786, 1786, 1786, 
          1789, 1789, 1790, 1791, 1791, 1791, 1791, 1792, 1792, 1792}, {
         "", "India", 21., 78., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 13, 13, 14, 14, 15, 
          20, 23, 27, 27, 40, 43, 45, 73, 84, 95, 102, 123, 148, 191, 192, 
          229, 229, 375, 421, 506, 620, 774, 969, 1080, 1181, 1359, 1432, 
          1768, 2041, 2463, 2854, 3273, 3975, 4370, 5012, 5498, 5939, 6523, 
          7137, 7747, 8437, 9068, 10007, 10819, 11775, 12847, 14142, 15331, 
          16776, 17887, 19301, 20969, 22549, 24420, 26400, 27969, 30258, 
          34224, 36795, 39233, 42309, 45422, 48553, 51824, 54385, 57692, 
          60706, 64277, 67749, 70920}, {
         "", "Indonesia", -0.7893, 113.9213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 8, 8, 8, 8, 
          11, 11, 15, 15, 29, 29, 30, 31, 35, 46, 59, 64, 75, 81, 103, 112, 
          134, 150, 164, 192, 204, 222, 252, 282, 286, 359, 380, 426, 446, 
          548, 607, 631, 686, 747, 842, 913, 960, 1002, 1042, 1107, 1151, 
          1254, 1391, 1522, 1591, 1665, 1876, 1954, 2197, 2317, 2381, 2494, 
          2607, 2698, 2881, 3063, 3287, 3518, 3803, 3911, 4129, 4324, 4467, 
          4575, 4838, 5057, 5249, 5402, 5642, 5877, 6057, 6240}, {
         "", "Iran", 32., 53., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 49, 
          73, 123, 175, 291, 291, 552, 739, 913, 1669, 2134, 2394, 2731, 2959,
           2959, 2959, 2959, 4590, 4590, 5389, 5389, 5710, 6745, 7635, 7931, 
          7931, 8913, 9625, 10457, 11133, 11679, 12391, 13911, 14656, 15473, 
          16711, 17935, 19736, 19736, 24236, 27039, 29812, 32309, 35465, 
          41947, 43894, 45983, 48129, 49933, 52229, 54064, 55987, 57023, 
          59273, 60965, 63113, 64843, 66599, 68193, 69657, 70933, 72439, 
          73791, 75103, 76318, 77350, 78422, 79379, 80475, 81587, 82744, 
          83837, 85064, 86143, 87422, 88357, 89428, 90539, 91836, 93147, 
          94464, 95661, 97173, 98808, 100564, 102276, 104072, 105801, 107713, 
          109437, 111176, 112988}, {
         "", "Iraq", 33., 44., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 15, 15, 24, 26, 26, 26, 32, 43, 43,
           49, 51, 57, 57, 75, 103, 105, 122, 131, 143, 152, 170, 182, 202, 
          226, 259, 279, 344, 373, 452, 496, 550, 601, 640, 717, 766, 812, 
          856, 906, 953, 1009, 1043, 1096, 1146, 1171, 1204, 1224, 1263, 1286,
           1319, 1346, 1375, 1414, 1473, 1490, 1544, 1571, 1602, 1626, 1661, 
          1702, 1734, 1790, 1903, 1966, 2028, 2089, 2126, 2218, 2310, 2366, 
          2438, 2483, 2532, 2585, 2738, 2811, 2852, 2904, 2971}, {
         "", "Ireland", 53.1424, -7.6921, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 5, 
          5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 25, 25, 25, 25, 25, 
          25, 25, 25, 25, 25, 25, 77, 77, 77, 77, 77, 77, 9233, 9233, 9233, 
          9233, 9233, 9233, 9233, 9233, 13386, 13386, 13386, 13386, 13386, 
          13386, 13386, 17110, 17110, 17110, 17110, 17110, 17110, 17110, 
          19470, 19470, 19470, 19470, 19470, 19470, 19470, 21060, 21060, 
          21060, 21060, 21060, 21060, 21060, 22089, 22089}, {
         "", "Israel", 31., 35., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
           1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 4, 4, 4, 4, 4, 4, 4, 11, 11, 11, 14, 
          36, 37, 37, 53, 58, 68, 79, 89, 132, 161, 224, 241, 338, 403, 427, 
          477, 585, 770, 801, 1011, 1183, 1341, 1627, 1855, 2195, 2563, 2818, 
          3126, 3456, 3754, 4049, 4507, 5215, 5611, 6003, 6435, 6731, 7200, 
          7746, 8233, 8561, 9156, 9593, 9749, 10064, 10465, 10637, 10873, 
          11229, 11376, 11430, 11843, 12083, 12232, 12521, 12587, 12855, 
          12942, 13253, 13435, 13504, 13724, 13915, 14090, 14153, 14307, 
          14457, 14570, 14679}, {
         "", "Italy", 43., 12., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 1, 3, 45, 
          46, 46, 83, 149, 160, 276, 414, 523, 589, 622, 724, 724, 1045, 1045,
           1439, 1966, 2335, 2749, 2941, 4025, 4440, 4440, 6072, 7024, 7024, 
          8326, 9362, 10361, 10950, 12384, 13030, 14620, 15729, 16847, 18278, 
          19758, 20996, 21815, 22837, 24392, 26491, 28470, 30455, 32534, 
          34211, 35435, 37130, 38092, 40164, 42727, 44927, 47055, 48877, 
          51600, 54543, 57576, 60498, 63120, 64928, 66624, 68941, 71252, 
          75945, 78249, 79914, 81654, 82879, 85231, 93245, 96276, 99023, 
          103031, 105186, 106587, 109039, 112541, 115288, 120205, 122810, 
          125176, 127326, 129401, 132282, 134560, 136720, 138840, 140479, 
          141981, 144658, 147101, 150604}, {
         "", "Jamaica", 18.1096, -77.2975, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 7, 8, 8, 8, 10, 12,
           13, 13, 13, 19, 19, 21, 21, 25, 25, 27, 27, 27, 27, 28, 28, 28, 28,
           29, 29, 29, 29, 31, 33, 38, 38, 56, 57, 58, 62, 62, 90, 90, 100, 
          113, 118, 121, 121, 127, 131, 145, 171, 181, 191, 200, 211, 238, 
          267, 279, 284}, {
         "", "Japan", 36., 138., 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 4, 9, 9, 9, 9, 12, 12, 12, 13, 18, 18, 22, 22, 22, 22, 
          22, 22, 22, 22, 32, 32, 32, 43, 43, 43, 46, 76, 76, 76, 101, 118, 
          118, 118, 118, 118, 144, 144, 144, 150, 191, 232, 235, 235, 285, 
          310, 359, 372, 404, 424, 424, 424, 472, 472, 514, 514, 514, 575, 
          592, 622, 632, 685, 762, 762, 784, 799, 853, 901, 935, 1069, 1159, 
          1159, 1239, 1356, 1494, 1530, 1656, 1809, 1899, 1899, 2368, 2460, 
          2975, 3205, 3981, 4156, 4496, 4496, 4918, 5146, 5906, 8127, 8293, 
          8531, 8920, 9868, 10338, 10338, 11153, 11564, 11564, 11564, 12672, 
          13005, 13244, 13413, 13612, 13810, 13973, 14096}, {
         "", "Jordan", 31.24, 36.51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 18, 18, 18, 26, 30, 36, 45, 58, 74, 110, 126, 
          138, 150, 161, 170, 177, 201, 215, 235, 250, 259, 265, 269, 276, 
          282, 297, 315, 318, 326, 332, 337, 342, 348, 356, 362, 364, 367, 
          367, 370, 375, 377, 381, 385, 387, 389, 390, 390, 392, 393, 401, 
          404, 408, 413, 417, 446, 457, 461, 470, 471, 479, 586, 586, 497}, {
         "", "Kazakhstan", 48.0196, 66.9237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 16, 20, 21, 24, 26, 27, 29, 36, 42, 
          46, 51, 54, 60, 64, 81, 99, 138, 203, 240, 277, 347, 377, 400, 447, 
          489, 515, 560, 604, 646, 682, 720, 774, 819, 866, 922, 985, 1084, 
          1173, 1279, 1408, 1518, 1631, 1776, 1941, 2074, 2223, 2408, 2531, 
          2707, 2980, 3256, 3469, 3598, 3734, 3843, 4096, 4214, 4352, 4515, 
          4613, 4768, 4900}, {
         "", "Kenya", -0.0236, 37.9062, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 3, 4, 4, 4, 4, 4, 7, 9, 12, 22,
           24, 25, 40, 41, 53, 53, 53, 60, 67, 69, 74, 74, 89, 94, 98, 106, 
          114, 124, 129, 144, 150, 152, 167, 173, 182, 190, 197, 202, 207, 
          239, 251, 259, 281, 284, 284, 301, 313, 336, 358, 366, 375, 380, 
          380, 383, 402, 405, 408, 421}, {
         "", "Korea, South", 36., 128., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 3, 3, 3, 7, 7, 7, 9, 9, 10, 12, 12, 16, 16, 16, 18, 
          18, 22, 22, 22, 22, 27, 30, 30, 30, 41, 41, 135, 135, 118, 118, 247,
           288, 333, 510, 510, 510, 1137, 1407, 1540, 1540, 1540, 1540, 2909, 
          2909, 3507, 3730, 4144, 4528, 4811, 5033, 5228, 5408, 5567, 5828, 
          6021, 6325, 6463, 6598, 6694, 6776, 6973, 7117, 7243, 7368, 7447, 
          7534, 7616, 7757, 7829, 7937, 8042, 8114, 8213, 8277, 8501, 8635, 
          8717, 8764, 8854, 8922, 9059, 9072, 9123, 9183, 9217, 9283, 9333, 
          9419, 9484, 9568, 9610, 9632, 9670, 9695, 9762, 9821, 9851, 9888, 
          9904, 9938, 10066, 10135, 10162, 10194, 10213, 10226, 10275, 10295, 
          10340, 10363}, {
         "", "Kuwait", 29.5, 47.75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 5, 5, 5, 5, 9, 9, 15, 18, 
          18, 27, 27, 27, 39, 43, 49, 57, 64, 67, 72, 73, 80, 81, 82, 93, 99, 
          103, 105, 111, 111, 123, 133, 142, 150, 176, 206, 225, 258, 280, 
          305, 367, 412, 443, 498, 613, 656, 806, 1012, 1176, 1389, 1539, 
          1602, 1703, 1776, 1947, 2032, 2219, 2381, 2466, 2622, 2729, 2907, 
          3101, 3263, 3451, 3640, 3843, 4093, 4339, 4681, 4885, 5205, 5515, 
          5747, 6117, 6621, 7306, 7946, 8698}, {
         "", "Kyrgyzstan", 41.2044, 74.7661, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 5, 6, 9, 9, 33, 33, 33,
           35, 35, 44, 54, 67, 71, 78, 91, 114, 130, 133, 201, 216, 254, 302, 
          345, 345, 370, 395, 416, 437, 462, 504, 527, 564, 575, 600, 614, 
          637, 650, 658, 675, 688, 709, 726, 735, 745, 783, 804, 827, 898, 
          910, 923, 939, 957, 980, 992, 1015, 1043, 1066}, {
         "", "Latvia", 56.8796, 24.6032, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 31, 1, 1, 1, 16, 16, 16, 
          16, 16, 16, 16, 16, 16, 44, 57, 88, 88, 88, 88, 133, 133, 133, 267, 
          267, 267, 267, 267, 348, 348, 348, 348, 348, 348, 348, 464, 464, 
          464, 464, 464, 464, 627, 627, 627, 662, 662, 662, 662, 694, 694, 
          694, 712, 712, 712, 712, 741, 741, 741}, {
         "", "Lebanon", 33.8547, 35.8623, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 
          4, 4, 4, 8, 8, 8, 20, 23, 27, 30, 30, 35, 37, 43, 46, 50, 54, 54, 
          60, 62, 62, 67, 76, 77, 80, 80, 80, 85, 86, 86, 99, 102, 103, 108, 
          113, 140, 140, 143, 145, 145, 145, 150, 150, 192, 197, 200, 200, 
          206, 206, 220, 223, 234, 234, 234, 234, 236, 236, 246, 247, 247, 
          251, 251, 251, 663, 663, 667, 688, 688, 689, 692, 699}, {
         "", "Liberia", 6.4281, -9.4295, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 4, 4, 4, 4, 7, 7, 7, 7, 7, 20, 20, 25, 25, 25, 25, 45, 45, 
          45, 45, 48, 58, 58, 58, 75, 79, 79, 79, 79, 85, 85, 101, 105, 108, 
          116, 120, 123, 125, 128, 131, 136, 136, 139, 141, 144, 144, 144}, {
         "", "Libya", 26.3351, 17.228331, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 8, 8, 8,
           8, 9, 9, 9, 9, 11, 11, 11, 11, 15, 15, 15, 15, 18, 18, 18, 18, 18, 
          18, 18, 18, 22, 22, 23, 23, 24, 24, 24, 24, 24, 28, 28, 28, 28, 28, 
          28, 35, 35, 35, 35, 35, 38, 39, 39, 40, 40, 40, 41}, {
         "", "Liechtenstein", 47.14, 9.55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 55, 55, 55, 
          55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 
          55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 
          55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55}, {
         "", "Lithuania", 55.1694, 23.8813, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8,
           54, 54, 97, 101, 101, 138, 178, 210, 228, 242, 242, 298, 357, 399, 
          430, 460, 467, 474, 536, 563, 589, 594, 632, 635, 638, 678, 718, 
          739, 765, 828, 828, 833, 850, 908, 934, 965, 988, 997, 997, 1025, 
          1049, 1049, 1111, 1135, 1138, 1138, 1165, 1184, 1193}, {
         "", "Luxembourg", 49.8153, 6.1296, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 6, 6, 6, 6, 6, 40, 40, 40, 40, 80, 80, 80, 500, 500, 
          500, 500, 500, 500, 500, 500, 500, 500, 500, 500, 526, 552, 579, 
          601, 627, 637, 670, 711, 728, 3007, 3088, 3104, 3123, 3123, 3134, 
          3213, 3213, 3318, 3379, 3405, 3412, 3452, 3505, 3526, 3550, 3586, 
          3602, 3610, 3629, 3665, 3682, 3699, 3702, 3715, 3718, 3728, 3741, 
          3748, 3758, 3767, 3781, 3783, 3791, 3803}, {
         "", "Madagascar", -18.7669, 46.8691, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 7, 11, 
          11, 11, 11, 20, 21, 23, 29, 33, 33, 35, 39, 41, 44, 52, 58, 61, 62, 
          71, 75, 82, 90, 92, 94, 97, 98, 99, 101, 101, 101, 101, 101, 101, 
          101, 101, 107, 108, 112, 114, 114, 119, 119, 131, 131, 135, 138, 
          142, 147, 147, 151, 154}, {
         "", "Malaysia", 2.5, 112.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 1, 1, 3, 3, 3, 3, 7, 7, 7, 13, 15, 15, 15, 15, 15, 18, 
          18, 18, 18, 18, 18, 18, 18, 22, 22, 22, 22, 23, 24, 24, 24, 26, 26, 
          26, 35, 42, 42, 49, 60, 75, 87, 114, 139, 139, 183, 199, 215, 259, 
          320, 388, 479, 537, 645, 767, 827, 915, 1005, 1241, 1321, 1487, 
          1608, 1830, 1995, 2108, 2276, 2478, 2647, 2766, 2967, 3102, 3197, 
          3295, 3349, 3452, 3542, 3663, 3762, 3862, 3957, 4032, 4087, 4171, 
          4210, 4326, 4413, 4484, 4567, 4702, 4776, 4864, 4929, 5025, 5113, 
          5223, 5281, 5351, 5439, 5512, 5571, 5615, 5646, 5706, 5796, 5859, 
          5912, 5945, 5979, 6041, 6083, 6169}, {
         "", "Maldives", 3.2028, 73.2207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 5, 8, 8, 9, 9, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 14, 14, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
          16, 17, 17, 17, 17, 17, 17, 17, 18, 18, 18, 20, 20, 20, 20, 29, 29, 
          29, 29, 40, 45, 49, 58, 58, 58, 91, 91, 91, 109, 128, 144, 155, 197,
           197, 197}, {
         "", "Mali", 17.570692, -3.996166000000001, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 9, 
          12, 16, 22, 22, 22, 22, 26, 34, 34, 34, 34, 41, 42, 56, 57, 73, 77, 
          87, 91, 112, 113, 122, 129, 135, 196, 206, 213, 223, 228, 261, 271, 
          285, 298, 351, 377, 398, 412, 436, 455, 479, 494, 512, 529, 543, 
          558, 560, 574, 597, 604, 617, 632, 652}, {
         "", "Malta", 35.9375, 14.3754, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 5, 5, 5, 16, 16, 
          16, 16, 44, 44, 44, 44, 82, 91, 99, 118, 126, 150, 165, 204, 223, 
          249, 282, 286, 303, 339, 351, 383, 379, 392, 399, 403, 407, 413, 
          419, 427, 433, 434, 434, 436, 443, 458, 450, 454, 456, 460, 465, 
          468, 469, 473, 476, 485, 485, 491, 501}, {
         "", "Mauritania", 21.0079, 10.9408, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 
          15, 15, 15, 15, 15}, {
         "", "Mauritius", -20.2, 57.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 8, 19, 23, 23,
           28, 42, 42, 51, 65, 81, 108, 180, 208, 224, 243, 261, 266, 285, 
          295, 299, 302, 303, 306, 310, 312, 314, 315, 316, 319, 320, 320, 
          320, 320, 320, 322, 322, 322, 322, 322, 322, 322, 322, 322, 322, 
          322, 322, 322, 322, 322, 322, 322, 322}, {
         "", "Mexico", 23.6345, -102.5528, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 35, 35, 35, 35, 633, 633, 633, 
          633, 633, 633, 633, 633, 633, 1772, 1843, 1964, 2125, 2125, 2125, 
          2125, 2627, 2627, 2627, 2627, 2627, 2627, 7149, 8354, 9086, 11423, 
          11423, 11423, 12377, 12377, 13447, 13447, 16810, 17781, 17781, 
          20314, 21824, 21824, 23100, 25935, 26990, 28475, 30451, 31848, 
          33329, 35388, 37325, 38419, 40152, 42191, 44424, 46979, 49452, 
          51708, 53834, 56041}, {
         "", "Moldova", 47.4116, 28.3699, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 15, 18, 23, 23, 26, 29, 30, 37, 40,
           40, 50, 56, 75, 94, 107, 134, 171, 235, 276, 391, 457, 457, 505, 
          560, 661, 755, 825, 895, 925, 975, 1114, 1182, 1272, 1334, 1382, 
          1423, 1544, 1658, 1747, 1826, 1925, 1958, 1980, 2069, 2176, 2228, 
          2228, 2344, 2344, 2425, 2508, 2953, 2953, 3369, 3452, 3713, 3802, 
          3884, 3884, 4123}, {
         "", "Monaco", 43.7333, 7.4167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 3, 3, 3, 4, 4, 4, 5, 5, 
          5, 6, 6, 6, 12, 12, 20, 22, 22, 23, 26, 26, 35, 41, 42, 42, 42, 50, 
          58, 64, 73, 78, 78, 78, 81, 82, 82, 82, 82, 82, 85, 85, 87, 87, 87, 
          87, 87, 87, 87, 90, 90, 90, 90, 90, 90, 90, 90, 90}, {
         "", "Mongolia", 46.8625, 103.8467, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 4, 4, 4,
           4, 4, 4, 4, 5, 5, 5, 5, 5, 7, 7, 8, 8, 9, 9, 9, 9, 10, 10, 10, 10, 
          10, 10, 10, 12, 13, 13, 13, 13, 14, 14, 14, 15, 15, 15, 20, 20, 21, 
          24, 26, 26, 26, 28, 30, 32, 33, 37, 43, 43}, {
         "", "Montenegro", 42.5, 19.3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 4, 4, 4, 4, 5,
           5, 5, 46, 55, 55, 55, 55, 55, 88, 101, 116, 123, 123, 153, 153, 
          189, 199, 203, 214, 233, 245, 249, 253, 253, 261, 265, 267, 274, 
          290, 294, 298, 307, 309, 311, 311, 311, 311, 312, 312, 314, 314, 
          314, 315, 315, 315, 315, 315}, {
         "", "Morocco", 31.7917, -7.0926, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 
          1, 1, 3, 3, 3, 6, 7, 8, 11, 11, 13, 15, 24, 29, 31, 57, 66, 76, 81, 
          93, 97, 109, 122, 146, 177, 203, 217, 229, 249, 281, 314, 327, 350, 
          393, 417, 456, 486, 537, 593, 695, 778, 928, 984, 1083, 1256, 1438, 
          1653, 1838, 2017, 2179, 2324, 2461, 2554, 2811, 2991, 3131, 3310, 
          3400, 3487, 3660, 3758, 3901, 4098, 4280, 4377, 4638, 4703, 4774, 
          4881, 4978, 5195}, {
         "", "Mozambique", -18.6657, 35.5296, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 
          1, 2, 2, 2, 2, 2, 2, 2, 2, 4, 8, 8, 8, 8, 9, 12, 12, 12, 12, 12, 12,
           12, 12, 18, 19, 19, 19, 21, 24, 27, 34, 34, 34, 34, 34, 35, 42, 43,
           44, 44, 44, 48, 48, 48, 48, 51, 71, 71, 71, 82}, {
         "", "Namibia", -22.9576, 18.4904, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 4, 4, 6, 6, 6, 6, 6, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 9, 9, 10, 11, 11, 11, 11, 12, 13, 13, 13, 13, 13, 14, 
          14, 14, 14, 14, 14, 14, 14, 14}, {
         "", "Nepal", 28.1667, 84.25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 2, 2, 2, 4, 4, 4, 7, 10, 11, 12, 16, 16, 16, 16, 16, 
          16, 16, 16, 16, 16, 22, 22, 31, 31, 31, 33, 33, 35, 35, 36, 36, 36, 
          36, 37, 45, 49, 70, 70, 87, 112, 155, 183, 187}, {
         "Aruba", "Netherlands", 12.5186, -70.0358, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 
          14, 14, 20, 27, 29, 32, 32, 32, 39, 39, 43, 44, 49, 49, 51, 68, 68, 
          69, 69, 73, 73, 73, 73, 79, 81, 81, 81, 81, 82, 89, 89, 89, 89, 89, 
          89, 89, 91, 93, 93, 93, 93, 93, 93, 95, 95, 95, 95, 95, 95, 95, 97, 
          98}, {"Curacao", "Netherlands", 12.1696, -68.99, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 3, 3, 3, 5,
           5, 5, 7, 7, 7, 7, 7, 8, 8, 10, 10, 10, 10, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 13, 13, 13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14}, {"Sint Maarten", "Netherlands", 18.0425, -63.0548, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 6,
           6, 6, 1, 1, 1, 1, 1, 3, 5, 5, 5, 5, 5, 12, 12, 12, 12, 12, 12, 22, 
          22, 22, 22, 33, 33, 33, 33, 33, 44, 44, 44, 44, 44, 44, 44, 44, 46, 
          46, 46, 46, 46, 46, 46, 54, 54, 54, 54, 54, 54, 59, 59, 59, 59, 59, 
          60, 60}, {
         "", "Netherlands", 52.1326, 5.2913, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0}, {
         "", "New Zealand", -40.9006, 174.886, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 12, 22, 27, 37, 50, 56, 63, 74, 83, 92, 103, 
          127, 156, 176, 241, 282, 317, 373, 422, 471, 546, 628, 728, 770, 
          816, 867, 912, 974, 1006, 1036, 1095, 1118, 1142, 1180, 1214, 1229, 
          1241, 1252, 1263, 1266, 1276, 1302, 1316, 1332, 1347, 1368, 1371, 
          1386, 1398, 1402, 1411, 1421, 1428, 1433, 1433, 1433, 1447, 1452, 
          1455, 1455, 1456, 1456, 1461, 1462, 1474, 1481}, {
         "", "Nicaragua", 12.8654, -85.2072, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 4, 4, 4, 4, 4, 4, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 
          7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 199, 199, 199, 
          199, 199, 199, 199, 370, 370, 370}, {
         "", "Niger", 17.6078, 8.0817, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 26, 26, 28, 40, 
          41, 41, 75, 75, 90, 90, 90, 110, 113, 117, 117, 127, 193, 256, 289, 
          325, 350, 385, 403, 435, 452, 478, 507, 518, 534, 543, 561, 586, 
          600, 617, 624, 637, 648, 658, 677, 684, 689, 698, 714, 734, 738, 
          753, 764, 775, 783, 786, 796, 796, 803}, {
         "", "Nigeria", 9.082, 8.6753, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 2, 2, 2, 2, 2, 3, 3, 3, 8, 8, 9, 20, 25, 25, 33, 35, 44, 44, 
          51, 58, 70, 85, 91, 99, 128, 152, 159, 166, 170, 188, 188, 197, 197,
           208, 222, 239, 255, 255, 307, 319, 351, 351, 400, 417, 481, 534, 
          601, 679, 745, 778, 902, 959, 1070, 1180, 1320, 1472, 1594, 1644, 
          1734, 1840, 1907, 2007, 2174, 2263, 2311, 2385, 2501, 2592}, {
         "", "North Macedonia", 41.6086, 21.7453, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 12, 12, 17, 17, 20, 20, 
          23, 30, 30, 35, 37, 41, 41, 41, 44, 86, 98, 121, 139, 164, 179, 200,
           224, 272, 301, 337, 374, 500, 553, 589, 627, 738, 807, 852, 945, 
          992, 1013, 1057, 1079, 1099, 1112, 1136, 1200, 1205, 1229, 1235, 
          1251, 1267, 1293, 1301, 1351, 1367, 1378, 1387, 1411, 1422, 1439, 
          1453, 1470, 1486}, {
         "", "Norway", 60.472, 8.4689, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 6, 6, 6, 6, 7, 7, 12, 13, 13, 32, 32, 32, 32, 32, 32, 
          32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 
          32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 
          32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 7727, 7727, 7727, 7727, 
          7727, 7727, 7727}, {
         "", "Oman", 21., 57., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 9, 9, 9, 9, 9, 9, 9, 9, 12, 12, 12, 
          12, 17, 17, 17, 17, 23, 23, 23, 23, 29, 34, 34, 57, 57, 61, 61, 61, 
          67, 72, 109, 109, 109, 109, 124, 130, 131, 176, 176, 176, 233, 238, 
          238, 238, 307, 325, 329, 333, 364, 364, 364, 495, 495, 750, 750, 
          816, 858, 888, 980, 1025, 1068, 1117, 1250, 1250, 1289, 1303, 1350, 
          1436, 1465, 1496, 1574, 1661, 1821, 1821, 1848, 1933, 1933, 2067, 
          2177, 2177}, {
         "", "Pakistan", 30.3753, 69.3451, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2,
           13, 13, 13, 5, 5, 18, 21, 21, 23, 29, 29, 76, 76, 94, 125, 126, 
          131, 211, 259, 429, 467, 572, 727, 762, 1028, 1095, 1378, 1446, 
          1645, 1765, 1832, 1868, 1970, 2073, 2156, 2527, 2755, 2866, 2936, 
          3029, 3233, 3425, 4315, 4715, 4817, 5114, 5635, 5801, 6464, 6464, 
          7530, 7809, 8063, 8555, 8812, 8899, 9695, 10880, 10880, 11341, 
          11922, 12489, 13101, 14155, 15201, 16653, 17198, 17482, 18314, 
          19142, 20231}, {
         "", "Panama", 8.538, -80.7821, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 2, 2, 2, 4, 4, 9, 9, 9, 10, 13, 13, 13, 14, 16, 
          16, 16, 17, 23, 29, 61, 72, 75, 98, 122, 140, 165, 204, 231, 271, 
          319, 338, 338, 455, 455, 527, 576, 622, 641, 641, 641, 823, 859, 
          886, 886, 4501, 4687, 4687, 6021, 6067, 6080, 6080, 6080, 6081, 
          6081, 6194, 6194, 6245, 6275, 6279, 6279, 6279, 6379, 7379, 7379}, {
         "", "Papua New Guinea", -6.315, 143.9555, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 8, 8}, {
         "", "Paraguay", -23.4425, -58.4438, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 6, 12, 12, 12, 15, 
          15, 18, 18, 18, 22, 22, 22, 23, 30, 30, 35, 41, 46, 53, 62, 67, 78, 
          85, 85, 93, 102, 102, 113, 115, 119, 126, 130, 135, 142, 148, 152, 
          155, 165, 170, 173, 182, 184, 193, 198, 202, 219, 230, 242, 256, 
          264, 298, 307, 344, 382, 392, 402}, {
         "", "Peru", -9.19, -75.0152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 14, 16, 16, 16, 53, 394, 394, 537, 537, 914, 989, 
          997, 1301, 1333, 1438, 1569, 1739, 1798, 2642, 2869, 3108, 6120, 
          6541, 6684, 6811, 6968, 6982, 7027, 7422, 7496, 7797, 8088, 8425, 
          9179, 10037, 10405, 11129, 12434, 13550, 14427, 15413, 17527, 18388,
           19012, 20246, 21349, 22406, 23324, 24324, 25151, 27147, 28272, 
          28621, 30306, 36524, 41968, 43587, 44848, 47915, 49795, 50949, 
          52906, 56169, 59442}, {
         "", "Philippines", 13., 122., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 5, 5, 8, 
          8, 13, 17, 17, 20, 26, 28, 31, 35, 42, 42, 49, 50, 51, 52, 57, 64, 
          73, 84, 96, 124, 140, 157, 197, 242, 295, 353, 435, 487, 516, 572, 
          613, 654, 693, 722, 762, 792, 862, 932, 975, 1023, 1043, 1084, 1124,
           1214, 1315, 1408, 1506, 1618, 1734, 1842, 1924, 1999, 2106, 2251, 
          2337, 2460, 2561, 2635, 2729, 2843, 2932, 3000, 3092, 3177, 3249, 
          3323, 3412, 3506, 3598}, {
         "", "Poland", 51.9194, 19.1451, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 13, 
          13, 1, 1, 1, 1, 1, 1, 7, 7, 7, 7, 7, 7, 7, 47, 56, 56, 116, 134, 
          162, 191, 222, 284, 318, 375, 439, 487, 618, 668, 774, 866, 981, 
          1040, 1133, 1297, 1513, 1740, 1944, 2126, 2265, 2466, 2655, 3025, 
          3236, 3491, 3762, 3945, 4095, 4280, 4655, 4862, 5184, 5437, 5698, 
          5816, 6131, 6410, 6696, 6918, 7175, 7451, 7628, 7903, 8183, 8452, 
          8731, 8977, 9194, 9276, 10020, 10330, 10560}, {
         "", "Portugal", 39.3999, -8.2245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 3, 3, 3,
           3, 5, 5, 5, 5, 22, 22, 43, 43, 43, 43, 43, 43, 43, 68, 68, 75, 75, 
          140, 184, 196, 205, 233, 266, 277, 277, 347, 383, 493, 519, 610, 
          610, 610, 917, 1143, 1201, 1228, 1277, 1329, 1357, 1389, 1470, 1519,
           1647, 1671, 1689, 1712, 1743, 2076, 2258, 2422, 2499, 2549, 2549, 
          3013, 3182, 3198, 3328, 3822, 4636, 6430, 6431, 6452, 6452, 7590, 
          7705, 17549, 17822, 18096, 18349, 18637}, {
         "", "Qatar", 25.3548, 51.1839, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4,
           10, 27, 33, 33, 41, 41, 43, 43, 45, 48, 51, 62, 71, 72, 93, 109, 
          123, 131, 150, 178, 206, 227, 247, 275, 334, 373, 406, 415, 464, 
          510, 518, 555, 614, 689, 750, 809, 929, 1012, 1066, 1134, 1243, 
          1372, 1436, 1534, 1664, 1810, 1924, 2070, 2286, 2370, 2449, 2753, 
          2840, 3019, 3143, 3356, 3546, 3788, 4370, 4899, 5634, 6600, 7288, 
          7893, 8513, 9170, 10363, 11844, 13283, 15399}, {
         "", "Romania", 45.9432, 24.9668, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 3, 3, 3, 3, 6, 6, 7, 9, 9, 9, 16, 19,
           25, 25, 52, 64, 64, 79, 86, 94, 115, 139, 206, 209, 220, 252, 267, 
          283, 329, 374, 406, 460, 528, 647, 729, 758, 852, 914, 1051, 1217, 
          1357, 1508, 1730, 1892, 2017, 2153, 2406, 2478, 2817, 2890, 3054, 
          3141, 3404, 3569, 4017, 4328, 4547, 4869, 5269, 5454, 5788, 6144, 
          6423, 6912, 7051, 7245, 7685, 7961, 9053, 9370, 9574, 9890, 9930, 
          10166, 10356, 10581, 10777, 11187, 11399, 11630, 11874, 12162, 
          12629}, {
         "", "Russia", 60., 90., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 8, 8, 8, 8, 8, 9, 9, 12, 
          16, 16, 22, 29, 38, 45, 49, 64, 66, 121, 190, 235, 281, 333, 355, 
          406, 494, 580, 698, 795, 1045, 1291, 1470, 1694, 1986, 2304, 2590, 
          3057, 3291, 3446, 3873, 4420, 4891, 5568, 6250, 6767, 7346, 8456, 
          10286, 11619, 13220, 15013, 16639, 18095, 19865, 21327, 23803, 
          26608, 31916, 34306, 39801, 43512, 48003, 53530, 58226, 63166, 
          67373, 70209, 76130, 85392, 92681, 99825, 107936, 113299, 118798, 
          131129, 142208, 150993}, {
         "", "Rwanda", -1.9403, 29.8739, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7,
           18, 25, 42, 49, 54, 60, 65, 69, 76, 76, 84, 84, 87, 87, 88, 92, 93,
           95, 98, 104, 109, 120, 124, 128, 129, 130, 133, 136, 140, 140, 150,
           153, 164, 168, 177, 178, 197, 203, 209, 216, 217, 222, 227, 237, 
          238, 244, 245, 245}, {
         "", "Saint Kitts and Nevis", 17.357822, -62.782998, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 2,
           2, 4, 4, 6, 8, 8, 8, 8, 12, 12, 12, 13, 14, 14, 14, 14, 14, 14, 14,
           14, 14, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15}, {
         "", "Saint Lucia", 13.9094, -60.9789, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 4, 4, 11, 11, 11, 11, 11, 11, 13, 13, 15, 15, 15, 15, 15, 
          15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 17, 17, 17, 17, 17, 17, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18}, {
         "", "Saint Vincent and the Grenadines", 12.9843, -61.2872, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 3, 3, 
          5, 5, 5, 8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 12, 12, 12, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14}, {
         "", "San Marino", 43.9424, 12.4578, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 6, 6, 13, 13, 13, 21, 21, 27, 35, 35, 
          40, 40, 49, 50, 53, 53, 53, 53, 53, 55, 57, 60, 60, 61, 62, 62, 63, 
          64, 64, 64, 64, 64, 69, 78, 82, 83, 86, 86, 92, 97, 106, 114, 126, 
          126, 130, 161, 161, 172, 189, 198, 201, 203, 211, 220, 235, 254, 
          266, 266, 270, 275, 294, 322}, {
         "", "Saudi Arabia", 24., 45., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 6, 6, 6, 
          8, 16, 16, 16, 28, 29, 33, 35, 37, 66, 115, 165, 264, 328, 351, 420,
           488, 551, 615, 631, 666, 685, 720, 761, 805, 889, 931, 990, 1049, 
          1329, 1398, 1490, 1640, 1812, 1925, 2049, 2215, 2357, 2531, 2784, 
          2953, 3163, 3555, 3765, 4134, 4476, 5431, 6783, 7798, 9120, 10144, 
          11457, 12737, 15257, 17622, 19051, 21869, 23666, 25722, 28748, 
          31634, 33478, 36040, 39003, 41236, 43520, 45668, 48450, 51022, 
          54553}, {
         "", "Senegal", 14.4974, -14.4524, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2,
           2, 2, 5, 5, 5, 8, 9, 9, 11, 18, 27, 27, 40, 45, 55, 66, 72, 82, 92,
           105, 113, 123, 137, 152, 171, 178, 183, 190, 194, 198, 211, 220, 
          235, 242, 253, 257, 262, 276, 283, 284, 296, 315, 334, 356, 368, 
          372, 415, 470, 493, 562, 611, 643, 650, 715, 742, 782, 842, 890, 
          949, 973, 1076, 1133, 1186, 1251, 1311, 1416, 1456, 1515, 1565, 
          1586, 1686}, {
         "", "Serbia", 44.0165, 21.0059, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 1, 1, 15, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 534, 637, 753, 870, 977, 1025, 1067, 1094, 
          1152, 1182, 1209, 1260, 1292, 1343, 1343, 1426, 1551, 1574, 1723, 
          1971, 2160, 2453, 2732, 2732, 3290, 3600, 3824, 4084, 4301, 4479, 
          4713, 4799, 4904, 5067, 5370, 5541, 5699, 5857, 5920, 6067, 6277, 
          6438}, {"", "Seychelles", -4.6796, 55.492, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 11,
           11, 11, 11, 11, 11, 11, 11, 11, 11, 11}, {
         "", "Singapore", 1.2833, 103.8333, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 2, 2, 2, 9, 15, 15, 17, 18, 18, 24, 29, 34, 34, 
          37, 37, 51, 51, 53, 62, 62, 62, 72, 72, 78, 78, 78, 78, 78, 78, 78, 
          78, 78, 96, 96, 97, 105, 105, 109, 114, 114, 114, 124, 140, 144, 
          144, 156, 160, 172, 183, 198, 212, 228, 240, 245, 266, 282, 297, 
          320, 344, 377, 406, 460, 492, 528, 560, 586, 611, 652, 683, 708, 
          740, 768, 801, 839, 896, 924, 956, 1002, 1060, 1095, 1128, 1188, 
          1244, 1268, 1347, 1408, 1457, 1519, 1634, 1712, 2040, 2296, 2721, 
          3225, 3851, 4809, 5973, 7248, 8342, 9340, 9835, 10365, 11207, 12117,
           12995, 13882, 14876, 15738, 16444, 17276, 18294}, {
         "", "Slovakia", 48.669, 19.699, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 7, 7, 7, 7, 2, 2, 2, 2, 7, 3, 3, 5, 10, 10, 10, 8, 13, 16, 
          23, 23, 23, 23, 107, 113, 151, 167, 175, 213, 229, 251, 258, 284, 
          288, 355, 386, 394, 403, 423, 484, 524, 558, 608, 619, 643, 741, 
          762, 806, 905, 919, 941, 959, 983, 1060, 1112, 1131, 1151, 1163, 
          1185, 1192, 1231, 1245, 1256, 1280, 1301, 1307, 1322, 1327, 1332}, {
         "", "Slovenia", 46.1512, 14.9955, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 10, 10, 10, 10, 10, 10, 10, 10, 70, 70, 79, 79, 
          102, 102, 120, 128, 137, 148, 150, 152, 152, 165, 174, 174, 190, 
          192, 193, 197, 205, 211, 211, 219, 221, 221, 223, 230, 233, 233, 
          239, 241, 241, 244, 246, 247, 252, 255, 256, 256, 259, 260, 267, 
          270, 272, 273, 1335, 1338, 1340, 1340, 1340, 1340, 1340, 1346, 1346,
           1354, 1356}, {
         "", "Somalia", 5.1521, 46.1996, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 2, 2, 2, 2, 2, 2, 2, 3, 4, 4, 4, 8, 8, 8, 10, 10, 19, 20, 31, 
          31, 34, 44, 61, 75, 87, 106, 106, 110, 118, 121, 126, 130, 135, 135,
           148, 152, 163, 178, 188, 204, 204, 204, 204, 235, 253, 265, 310}, {
         "", "South Africa", -30.5595, 22.9375, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 4, 12, 12, 31, 31, 31, 31, 31, 50, 50, 95, 95, 
          95, 95, 95, 95, 95, 410, 410, 410, 410, 410, 410, 903, 903, 903, 
          903, 1055, 1055, 1055, 1473, 1473, 1473, 1473, 1473, 2073, 2073, 
          2073, 2382, 2549, 2549, 2746, 2746, 3153, 3153, 3153, 3983, 4173, 
          4357, 4357, 4745, 5676, 6083, 6478, 7006, 7298, 7960, 8950, 8950, 
          10104, 10104, 11100, 11917, 12741, 13451, 14370}, {
         "", "Spain", 40., -4., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 30, 30, 32, 32, 183, 183, 193, 517, 517, 530, 
          1028, 1081, 1107, 1588, 2125, 2575, 2575, 3794, 5367, 7015, 9357, 
          12285, 14709, 16780, 19259, 22647, 26743, 30513, 34219, 38080, 
          40437, 43208, 48021, 52165, 55668, 59109, 62391, 64727, 67504, 
          70853, 74797, 74797, 74797, 77357, 80587, 82514, 85915, 89250, 
          92355, 95708, 98372, 100875, 102548, 108947, 112050, 112050, 117248,
           118902, 121343, 123486, 126002, 128511, 131148, 133952, 136166, 
          137139, 138980, 140823, 143374, 144783, 146446, 146446, 150376, 
          150376, 150376, 150376, 150376, 150376, 150376, 150376, 150376, 
          150376, 150376}, {
         "", "Sri Lanka", 7., 81., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 
          1, 3, 3, 2, 3, 7, 7, 9, 11, 15, 17, 21, 21, 24, 27, 33, 38, 42, 44, 
          49, 54, 54, 56, 56, 61, 63, 68, 77, 86, 96, 98, 102, 105, 107, 109, 
          118, 120, 126, 134, 136, 154, 162, 172, 184, 194, 213, 215, 232, 
          240, 260, 321, 343, 366, 382, 445, 477, 520, 538, 559, 569, 584, 
          604, 620, 660, 674, 695, 712, 732, 745}, {
         "", "Sudan", 12.8628, 30.2176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 4, 4, 4, 4, 4, 6, 6, 8, 8, 12, 14, 14, 19, 20, 21, 31, 32, 39,
           46, 52, 52, 61, 70, 80, 92, 102, 119, 149, 162, 173, 198, 198, 205,
           222, 222, 247, 286, 286, 309, 372, 424, 458, 503, 503, 749, 749}, {
         "", "Suriname", 3.9193, -56.0278, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 4, 
          4, 4, 4, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 8, 8, 8, 8,
           9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 
          9, 9, 9, 9}, {
         "", "Sweden", 63., 16., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 16, 16, 
          16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 103, 103, 205, 205, 205,
           205, 205, 205, 205, 381, 381, 381, 381, 381, 381, 550, 550, 550, 
          550, 550, 550, 550, 550, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
          1005, 1005, 1005, 4074, 4074, 4074, 4971, 4971, 4971, 4971, 4971, 
          4971, 4971, 4971, 4971, 4971, 4971, 4971, 4971, 4971, 4971, 4971, 
          4971, 4971, 4971, 4971, 4971, 4971}, {
         "", "Switzerland", 46.8182, 8.2275, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 
          15, 15, 15, 15, 131, 131, 131, 131, 131, 1530, 1530, 1595, 1823, 
          1823, 2967, 4013, 4846, 6415, 6415, 8056, 8704, 9800, 10600, 11100, 
          12100, 12700, 13700, 13700, 15400, 15900, 16400, 17100, 17800, 
          18600, 19400, 19900, 20600, 21000, 21300, 21800, 22200, 22600, 
          22600, 23400, 23900, 24200, 24500, 25200, 25400, 25700, 25900, 
          26100, 26400, 26600, 26800, 26800, 27100, 27100, 27100, 27400, 
          27500, 27600, 27700, 27800, 27900, 27900, 28000, 28100, 28200, 
          28200, 28300, 28300}, {
         "", "Syria", 34.8021, 38.9968, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 3, 4, 4, 4, 
          5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 11, 14, 19, 21, 21, 21, 
          27, 27, 27, 27, 27, 27, 27, 29, 29, 29, 29, 29, 29, 29, 36, 36, 36, 
          36, 36, 36, 36, 37, 37, 41, 41, 41, 43, 43}, {
         "", "Taiwan*", 23.7, 121., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 5, 5, 5, 5,
           6, 9, 9, 12, 12, 12, 12, 12, 12, 13, 15, 17, 17, 20, 20, 20, 20, 
          20, 22, 22, 26, 26, 28, 28, 28, 29, 29, 29, 29, 30, 30, 39, 39, 39, 
          45, 50, 50, 50, 57, 57, 61, 67, 91, 99, 109, 109, 124, 124, 155, 
          166, 178, 189, 203, 217, 236, 253, 264, 275, 281, 290, 307, 311, 
          322, 324, 324, 332, 334, 334, 339, 347, 355, 361, 366, 368, 372, 
          375, 383, 387, 389, 395, 398, 398, 398, 398, 408, 411, 414, 415, 
          416, 419, 420}, {
         "", "Tanzania", -6.369, 34.8888, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 3, 3, 3, 3, 5, 5, 5, 5,
           5, 5, 7, 7, 11, 11, 11, 11, 11, 11, 11, 11, 11, 48, 48, 48, 48, 48,
           167, 167, 167, 167, 167, 167, 167, 167, 167, 183, 183, 183, 183, 
          183, 183, 183, 183, 183, 183, 183, 183, 183, 183, 183, 183, 183, 
          183, 183, 183, 183}, {
         "", "Thailand", 15., 101., 0, 0, 0, 0, 2, 2, 5, 5, 5, 5, 5, 5, 5, 5, 
          5, 5, 5, 10, 10, 10, 10, 10, 12, 12, 12, 14, 15, 15, 15, 15, 17, 17,
           21, 21, 22, 22, 22, 28, 28, 28, 31, 31, 31, 31, 31, 31, 31, 31, 33,
           34, 34, 35, 35, 35, 35, 41, 42, 42, 42, 42, 44, 44, 52, 70, 88, 97,
           97, 97, 229, 342, 505, 505, 612, 674, 793, 793, 888, 888, 940, 
          1013, 1135, 1218, 1288, 1405, 1497, 1593, 1689, 1787, 1928, 1999, 
          2108, 2352, 2430, 2547, 2547, 2594, 2609, 2652, 2665, 2684, 2719, 
          2732, 2739, 2740, 2747, 2761, 2772, 2784, 2787, 2794, 2796, 2798, 
          2844, 2850, 2854, 2855, 2856, 2857, 2857, 2888, 2897, 2910, 2916, 
          2921, 2928, 2929, 2931, 2945}, {
         "", "Timor-Leste", -8.8742, 125.7275, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 6, 6, 16, 
          16, 16, 16, 20, 20, 20, 21, 21, 21, 21, 21, 21, 21, 21, 24, 24, 24, 
          24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24}, {
         "", "Togo", 8.6195, 0.8248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 10, 10, 17, 17, 17, 20, 23, 23, 23, 
          24, 25, 25, 29, 29, 32, 35, 45, 48, 49, 52, 53, 56, 56, 59, 59, 62, 
          62, 62, 63, 64, 65, 66, 66, 67, 74, 74, 77, 85, 85, 87, 89, 89, 92, 
          96, 96, 96, 99, 104, 106, 107, 110, 118, 121, 133, 141, 161, 177, 
          183, 197}, {
         "", "Trinidad and Tobago", 10.6918, -61.2225, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 12, 16, 16, 17, 19, 20, 20, 21, 21, 22, 28, 37, 48, 
          48, 53, 54, 59, 59, 71, 72, 83, 88, 93, 99, 103, 103, 103, 103, 104,
           107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 108, 108, 
          108, 108, 108, 108, 108, 108}, {
         "", "Tunisia", 34., 9., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 2, 2, 2, 2, 2, 3, 3, 5, 5, 5, 5, 5, 5, 25, 25, 25, 25, 43, 
          43, 43, 43, 43, 43, 43, 43, 43, 148, 148, 190, 190, 194, 207, 216, 
          279, 279, 294, 305, 316, 323, 328, 406, 482, 591, 600, 638, 660, 
          700, 727, 740, 759, 770, 802, 807, 816, 819, 826, 862, 883, 903, 
          914, 917, 919, 929, 929, 938}, {
         "", "Turkey", 38.9637, 35.2433, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 26, 26, 42, 70, 105, 162, 243, 333, 415, 484, 786,
           1042, 1326, 1582, 1846, 2142, 2423, 2965, 3446, 3957, 4799, 5674, 
          7089, 8631, 10453, 11976, 13430, 14918, 16477, 18491, 21737, 25582, 
          29140, 33791, 38809, 44040, 48886, 53808, 58259, 63151, 68166, 
          73285, 78202, 82984, 86396, 89480, 92691, 95780, 98889, 101715, 
          104030, 106133, 108137, 109962, 111577, 112895, 113987, 114990, 
          116111, 117602, 118694, 120015, 121507, 122793, 124369}, {
         "", "Uganda", 1., 32., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7,
           8, 12, 20, 20, 22, 28, 38, 38, 45, 46, 46, 46, 46, 47, 52, 52, 52, 
          52, 52, 52, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 63, 63, 63, 63, 
          63, 63, 65, 66, 68, 68, 68, 69, 69, 69, 69}, {
         "", "Ukraine", 48.3794, 31.1656, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 1, 1, 1, 1, 1, 1, 5, 5, 6, 8, 10, 13, 19, 22, 25, 28, 28, 28, 
          35, 45, 61, 79, 89, 97, 119, 143, 186, 246, 275, 347, 359, 367, 424,
           504, 782, 782, 840, 864, 992, 1103, 1238, 1413, 1498, 1548, 1619, 
          1875, 2097, 2396, 2706, 2909, 3060, 3288, 3373, 3716, 4143, 4473, 
          4906, 5116, 5276, 5632, 5955, 6227, 6585, 6929, 7108, 7234, 7575, 
          7995, 8439}, {
         "", "United Arab Emirates", 24., 54., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 3, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 7, 7, 7, 12, 17, 17, 17, 17, 
          23, 23, 23, 26, 31, 31, 38, 38, 38, 45, 52, 52, 52, 52, 58, 61, 61, 
          61, 96, 108, 125, 144, 167, 186, 239, 268, 418, 588, 680, 852, 933, 
          1034, 1095, 1188, 1188, 1286, 1360, 1443, 1546, 1637, 1760, 1887, 
          1978, 2090, 2181, 2329, 2429, 2543, 2664, 2763, 2966, 3153, 3359, 
          3572, 3837, 4295, 4804, 5381, 6012, 6523, 6930, 7328, 7931, 8512, 
          9577, 10791, 11809, 12755, 13798, 14495, 15056, 15657, 15982, 16371,
           16685}, {
         "Bermuda", "United Kingdom", 32.3078, -64.7505, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 10, 10, 11, 14, 
          14, 14, 17, 17, 23, 25, 25, 25, 29, 30, 30, 33, 33, 35, 35, 35, 37, 
          37, 39, 39, 39, 39, 39, 44, 44, 48, 48, 48, 51, 51, 54, 54, 59, 61, 
          61, 64, 64, 66, 66, 66, 66, 66, 73, 73, 77, 78, 80, 80, 81, 81, 81, 
          89, 91, 91, 92}, {
         "Cayman Islands", "United Kingdom", 19.3133, -81.2546, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 1, 1, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 8, 8,
           8, 8, 10, 10, 10, 10, 10, 10, 14, 30, 30, 35, 41, 41, 41, 47, 50, 
          54, 54, 55, 55, 55, 55, 55, 55, 55, 61, 61, 61, 61, 63, 67, 67}, {
         "Channel Islands", "United Kingdom", 49.3723, -2.3644, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          13, 13, 27, 27, 34, 38, 40, 40, 48, 48, 48, 48, 69, 73, 73, 73, 73, 
          73, 256, 285, 295, 295, 332, 332, 352, 352, 386, 386, 406, 406, 406,
           406, 406, 406, 430, 447, 447, 447, 452, 455, 456, 456, 457, 458, 
          458, 475, 479, 492, 508, 508, 515, 517, 517, 512, 512, 512}, {
         "Gibraltar", "United Kingdom", 36.1408, -5.3536, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1,
           1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 5, 5, 13, 14, 14, 14, 34, 34, 34, 46,
           46, 52, 52, 52, 60, 60, 60, 69, 84, 84, 84, 93, 104, 104, 105, 111,
           120, 120, 120, 127, 129, 131, 131, 131, 131, 131, 131, 131, 131, 
          132, 132, 133, 133, 136, 141, 142, 142, 143, 143, 144, 144, 144, 
          144, 145, 145, 145, 145, 145, 146, 147, 147, 147, 147, 147, 147, 
          147}, {"Isle of Man", "United Kingdom", 54.2361, -4.5481, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 55, 73, 82, 92, 103, 112, 112, 131, 141, 151, 154, 169,
           180, 193, 200, 209, 212, 221, 230, 243, 247, 248, 252, 258, 260, 
          271, 271, 271, 271, 271, 271, 271, 271, 271, 271, 271, 272, 274, 
          285, 285, 285, 285, 296, 300, 302, 303, 303, 303, 303, 305, 306, 
          306, 306}, {
         "Montserrat", "United Kingdom", 16.7425, -62.1874, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 10, 10, 10,
           10, 10, 10, 10, 10, 10, 10, 10, 10, 10}, {
         "", "United Kingdom", 55.3781, -3.4360000000000004`, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 8, 8, 8,
           8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 20, 52, 65, 65, 65, 65, 65, 65, 135, 135, 135, 
          135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 
          135, 344, 344, 344, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0}, {
         "", "Uruguay", -32.5228, -55.7658, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 62, 68, 86, 93, 104, 123,
           150, 192, 206, 214, 224, 231, 248, 260, 272, 286, 294, 298, 298, 
          313, 324, 337, 354, 369, 370, 375, 386, 394, 412, 417, 435, 440, 
          442, 447, 468, 486, 492, 506, 513, 517, 523, 532, 545, 547, 553, 
          558, 564, 569, 579, 588, 594, 603, 616, 618, 629, 638, 650, 654}, {
         "", "US", 37.0902, -95.7129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5, 6, 6,
           6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 12, 12, 12, 12, 17, 17, 
          105, 121, 147, 176, 178, 178, 348, 361, 681, 869, 1072, 2665, 5644, 
          7024, 8474, 9001, 9707, 14652, 17448, 19581, 21763, 23559, 25410, 
          28790, 31270, 32988, 43482, 47763, 52096, 54703, 58545, 64840, 
          70337, 72329, 75204, 77366, 80203, 99079, 100372, 106988, 111424, 
          115936, 120720, 153947, 164015, 175382, 180152, 187180, 189791, 
          189910, 195036, 198993, 212534, 216169, 232733, 230287, 243430, 
          246414, 250747, 268376, 272265, 283178, 289392, 294312, 298418, 
          350135, 361239, 366736, 379157, 384902, 391508, 399991}, {
         "", "Uzbekistan", 41.3775, 64.5853, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 5, 7, 7, 7, 12, 25, 25, 25, 30, 30, 
          30, 30, 38, 42, 42, 66, 85, 99, 107, 129, 156, 194, 225, 261, 357, 
          450, 561, 621, 707, 789, 892, 992, 1096, 1133, 1212, 1271, 1319, 
          1405, 1501, 1577, 1656, 1775, 1846, 1881, 1988, 2010, 2076, 2136, 
          2158, 2213, 2247, 2314, 2338, 2372, 2407, 2492, 2532, 2565, 2607, 
          2636, 2668, 2694}, {
         "", "Venezuela", 6.4238, -66.5897, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 15, 15, 15, 15, 15, 31, 39, 39, 39, 39, 41, 43, 52, 52, 
          52, 65, 65, 65, 84, 84, 93, 93, 110, 110, 111, 111, 111, 113, 117, 
          117, 117, 122, 126, 132, 132, 137, 142, 142, 142, 142, 148, 148, 
          158, 158, 158, 176, 185, 190, 190, 193, 205, 220, 220, 220, 229, 
          241, 241, 253, 253, 262, 262, 262, 262, 262, 302, 302, 302, 302}, {
         "", "Vietnam", 16., 108., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 14, 14, 14, 14, 16, 
          16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
          16, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 17, 20, 20, 21, 25, 55, 
          58, 63, 75, 85, 90, 90, 95, 123, 126, 128, 144, 144, 144, 146, 169, 
          171, 177, 198, 201, 202, 214, 216, 223, 224, 220, 225, 225, 225, 
          222, 222, 219, 219, 219, 219, 219, 232, 232, 233, 241, 241, 241, 
          249, 252, 252, 260, 260, 260, 260, 263, 263, 263, 266, 267, 267, 
          267, 272, 272, 278, 278}, {
         "", "Zambia", -15.4167, 28.2833, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 5, 7, 7, 24, 
          25, 28, 30, 30, 30, 30, 30, 30, 33, 33, 35, 35, 35, 37, 37, 37, 42, 
          42, 42, 54, 55, 74, 75, 78, 78, 92, 101, 103, 111, 112, 117, 117, 
          117, 124, 124, 124, 183, 188, 192, 192, 197, 302, 336, 336, 336, 
          336, 336, 779, 779}, {
         "", "Zimbabwe", -20., 30., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 5, 5, 5, 5, 5, 5, 5, 5, 
          5, 5, 5, 9, 9, 9, 9, 9, 12, 13, 13, 13, 17, 18, 18, 18, 18, 18, 18, 
          25, 25, 25, 25, 28}, {
         "", "West Bank and Gaza", 31.9522, 35.2332, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 17, 17, 17, 17, 17, 17, 17, 17, 18, 18, 18, 18, 18, 
          18, 21, 21, 25, 24, 42, 44, 44, 45, 57, 58, 58, 62, 63, 63, 69, 69, 
          71, 71, 71, 71, 74, 81, 83, 83, 83, 71, 71, 76, 76, 76, 77, 102, 
          127, 174, 176, 228, 228, 263, 301, 308, 310, 310, 315, 329, 335, 
          337, 346, 346, 346, 346, 348, 357, 357, 365, 365, 368}, {
         "", "Laos", 19.85627, 102.495496, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 2, 2, 2, 2, 2, 2, 4, 4, 4, 7, 7, 7, 7, 7, 8, 8, 9,
           9, 9, 9, 10, 9, 9, 13, 13, 13, 13, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 16, 16}, {
         "", "Kosovo", 42.602636, 20.902977, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 6, 10, 10, 10, 16, 23, 23, 
          24, 30, 30, 52, 58, 58, 58, 66, 66, 79, 84, 93, 102, 123, 128, 138, 
          159, 162, 165, 166, 201, 232, 249, 271, 271, 336, 381, 403, 490, 
          490, 562, 562, 622, 653, 655, 671, 671, 690, 690, 690, 691, 691, 
          769, 769, 772, 772, 782, 785, 791, 791, 794, 801}, {
         "", "Burma", 21.9162, 95.956, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2,
           2, 2, 2, 2, 2, 5, 5, 7, 7, 7, 7, 9, 9, 10, 10, 16, 16, 27, 27, 31, 
          37, 43, 49, 49, 50, 62, 67, 68, 72, 74, 76, 79, 84, 89, 96, 97, 101,
           104, 108, 108, 116, 120, 122, 123, 124, 126, 126}, {
         "Anguilla", "United Kingdom", 18.2206, -63.0686, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3}, {
         "British Virgin Islands", "United Kingdom", 18.4207, -64.64, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7}, {
         "Turks and Caicos Islands", "United Kingdom", 
          21.69400000000001, -71.7979, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 
          6, 6, 6, 6, 8, 8, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10}, {
         "", "MS Zaandam", 0., 0., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0}, {"", "Botswana", -22.3285, 24.6849, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 
          5, 8, 8, 8, 8, 8, 8, 9, 9, 12, 12, 12, 17, 17, 17, 17, 17, 17, 17, 
          17, 17, 19, 19, 19, 19, 19, 20, 20, 20}, {
         "", "Burundi", -3.3731, 29.9189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 7, 
          7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 15, 20, 20, 20, 20, 20, 
          20, 20, 20, 20, 20, 20}, {
         "", "Sierra Leone", 8.460555000000001, -11.779889, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 6, 6, 6, 10, 10, 10, 
          10, 10, 12, 12, 21, 21, 21, 29, 37, 43, 54, 54, 54, 58, 67, 72, 72, 
          97, 97, 97, 106, 141, 148, 167, 205, 205, 230, 241, 241, 293, 297, 
          297, 361}, {
         "Bonaire, Sint Eustatius and Saba", "Netherlands", 12.1784, -68.2385,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6}, {
         "", "Malawi", -13.254307999999998`, 34.301525, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 
          5, 7, 7, 9, 9, 9, 9, 9, 9, 14, 14, 14, 14, 24, 24, 24, 24, 24, 24, 
          27, 27, 27, 27, 27, 28, 28, 33, 33, 37, 37, 37}, {
         "Falkland Islands (Malvinas)", "United Kingdom", -51.7963, -59.5236, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 
          3, 3, 11, 11, 11, 11, 11, 11, 11, 11, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13}, {
         "Saint Pierre and Miquelon", "France", 46.8852, -56.3159, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {
         "", "South Sudan", 6.877000000000002, 31.307, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 3, 4, 4, 4, 4, 4, 4, 
          4, 6, 6, 6, 6, 6, 6, 6}, {
         "", "Western Sahara", 24.2155, -12.8858, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 5, 5, 5, 5, 5, 5, 
          5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6}, {
         "", "Sao Tome and Principe", 0.18636, 6.613081, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 68, 68, 68}, {
         "", "Yemen", 15.552727, 48.516388, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 5, 5, 5, 11, 11, 
          10, 10, 10, 10, 11}, {
         "", "Comoros", -11.6455, 43.3333, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 8, 8, 18, 18, 
          21, 21, 21, 24, 24}, {
         "", "Tajikistan", 38.861034, 71.276093, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 641, 470, 
          470, 1089, 1223, 1301, 1395, 1417, 1575, 1674}, {
         "", "Lesotho", -29.609988, 28.233608, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1}, {
         "", "World", "", "", 28, 30, 36, 39, 52, 61, 107, 126, 143, 222, 284,
           472, 623, 852, 1124, 1487, 2011, 2616, 3244, 3946, 4683, 5150, 
          6295, 8058, 9395, 10865, 12583, 14352, 16121, 18177, 18890, 22886, 
          23394, 25227, 27905, 30384, 33277, 36711, 39782, 42716, 45602, 
          48228, 51170, 53796, 55865, 58358, 60694, 62494, 64404, 67003, 
          68324, 70251, 72622, 76032, 78086, 80838, 83310, 84973, 87418, 
          91690, 97897, 98349, 107998, 113784, 122147, 130912, 139412, 148832,
           164316, 177784, 192948, 210019, 225564, 245902, 259773, 276284, 
          299804, 328453, 353739, 375854, 401870, 421472, 448422, 473730, 
          510266, 541342, 567515, 591469, 623057, 645058, 679905, 710046, 
          738980, 789585, 817405, 845985, 873677, 906955, 948425, 1013886, 
          1052415, 1093137, 1125236, 1162724, 1198832, 1245413, 1284741, 
          1322050, 1375624, 1408980, 1456209, 1493414, 1548547, 1587893, 
          1637067, 1693197, 1733963, 1786875, 1838995, 1897466, 1948739, 
          2056984, 2112862, 2168563, 2231738, 2286956, 2350088, 
          2415960}}, $CellContext`deathsGlobal = {{
         "Province/State", "Country/Region", "Lat", "Long", "1/22/20", 
          "1/23/20", "1/24/20", "1/25/20", "1/26/20", "1/27/20", "1/28/20", 
          "1/29/20", "1/30/20", "1/31/20", "2/1/20", "2/2/20", "2/3/20", 
          "2/4/20", "2/5/20", "2/6/20", "2/7/20", "2/8/20", "2/9/20", 
          "2/10/20", "2/11/20", "2/12/20", "2/13/20", "2/14/20", "2/15/20", 
          "2/16/20", "2/17/20", "2/18/20", "2/19/20", "2/20/20", "2/21/20", 
          "2/22/20", "2/23/20", "2/24/20", "2/25/20", "2/26/20", "2/27/20", 
          "2/28/20", "2/29/20", "3/1/20", "3/2/20", "3/3/20", "3/4/20", 
          "3/5/20", "3/6/20", "3/7/20", "3/8/20", "3/9/20", "3/10/20", 
          "3/11/20", "3/12/20", "3/13/20", "3/14/20", "3/15/20", "3/16/20", 
          "3/17/20", "3/18/20", "3/19/20", "3/20/20", "3/21/20", "3/22/20", 
          "3/23/20", "3/24/20", "3/25/20", "3/26/20", "3/27/20", "3/28/20", 
          "3/29/20", "3/30/20", "3/31/20", "4/1/20", "4/2/20", "4/3/20", 
          "4/4/20", "4/5/20", "4/6/20", "4/7/20", "4/8/20", "4/9/20", 
          "4/10/20", "4/11/20", "4/12/20", "4/13/20", "4/14/20", "4/15/20", 
          "4/16/20", "4/17/20", "4/18/20", "4/19/20", "4/20/20", "4/21/20", 
          "4/22/20", "4/23/20", "4/24/20", "4/25/20", "4/26/20", "4/27/20", 
          "4/28/20", "4/29/20", "4/30/20", "5/1/20", "5/2/20", "5/3/20", 
          "5/4/20", "5/5/20", "5/6/20", "5/7/20", "5/8/20", "5/9/20", 
          "5/10/20", "5/11/20", "5/12/20", "5/13/20", "5/14/20", "5/15/20", 
          "5/16/20", "5/17/20", "5/18/20", "5/19/20", "5/20/20", "5/21/20", 
          "5/22/20", "5/23/20", "5/24/20", "5/25/20", "5/26/20", "5/27/20", 
          "5/28/20"}, {
         "", "Afghanistan", 33., 65., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 1, 1, 1, 2, 4, 4, 4, 4, 4, 4, 4, 6, 6, 7, 7, 11, 14, 14, 15, 
          15, 18, 18, 21, 23, 25, 30, 30, 30, 33, 36, 36, 40, 42, 43, 47, 50, 
          57, 58, 60, 64, 68, 72, 85, 90, 95, 104, 106, 109, 115, 120, 122, 
          127, 132, 136, 153, 168, 169, 173, 178, 187, 193, 205, 216, 218, 
          219, 220, 227, 235}, {
         "", "Albania", 41.1533, 20.1683, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 2, 
          2, 2, 2, 2, 4, 5, 5, 6, 8, 10, 10, 11, 15, 15, 16, 17, 20, 20, 21, 
          22, 22, 23, 23, 23, 23, 23, 24, 25, 26, 26, 26, 26, 26, 26, 27, 27, 
          27, 27, 28, 28, 30, 30, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 
          31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 32, 32, 33, 33, 
          33}, {"", "Algeria", 28.0339, 1.6596, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 3, 4, 4, 
          4, 7, 9, 11, 15, 17, 17, 19, 21, 25, 26, 29, 31, 35, 44, 58, 86, 
          105, 130, 152, 173, 193, 205, 235, 256, 275, 293, 313, 326, 336, 
          348, 364, 367, 375, 384, 392, 402, 407, 415, 419, 425, 432, 437, 
          444, 450, 453, 459, 463, 465, 470, 476, 483, 488, 494, 502, 507, 
          515, 522, 529, 536, 542, 548, 555, 561, 568, 575, 582, 592, 600, 
          609, 617, 623, 630}, {
         "", "Andorra", 42.5063, 1.5218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 3, 3, 3, 6, 8, 12, 14, 15, 16, 17, 18, 21, 22, 
          23, 25, 26, 26, 29, 29, 31, 33, 33, 35, 35, 36, 37, 37, 37, 37, 40, 
          40, 40, 40, 41, 42, 42, 43, 44, 45, 45, 46, 46, 47, 47, 48, 48, 48, 
          48, 49, 49, 49, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 
          51}, {"", "Angola", -11.2027, 17.8739, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 
          4, 4, 4, 4, 4, 4}, {
         "", "Antigua and Barbuda", 17.0608, -61.7964, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3}, {
         "", "Argentina", -38.4161, -63.6167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2,
           2, 3, 3, 4, 4, 4, 6, 8, 9, 13, 18, 19, 23, 27, 28, 36, 39, 43, 44, 
          48, 56, 63, 72, 82, 83, 90, 97, 102, 111, 115, 123, 129, 132, 136, 
          147, 152, 165, 176, 185, 192, 197, 207, 214, 218, 225, 237, 246, 
          260, 264, 273, 282, 293, 300, 305, 314, 319, 329, 353, 356, 363, 
          373, 382, 393, 403, 416, 433, 445, 452, 467, 484, 500, 508}, {
         "", "Armenia", 40.0691, 45.0382, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 3, 3, 3, 4, 7, 7, 7, 7, 8, 8, 9, 10, 
          12, 13, 13, 14, 16, 17, 18, 19, 20, 20, 22, 24, 24, 24, 27, 28, 28, 
          29, 30, 30, 32, 33, 33, 35, 39, 40, 40, 42, 43, 44, 45, 46, 47, 48, 
          49, 52, 55, 60, 61, 64, 67, 70, 74, 77, 81, 87, 91, 98, 113}, {
         "Australian Capital Territory", "Australia", -35.4735, 149.0124, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3}, {
         "New South Wales", "Australia", -33.8688, 151.2093, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 4, 5, 5, 6, 6, 6, 6, 7, 7, 7, 7, 8, 8, 8, 8, 9, 10, 12,
           12, 16, 18, 21, 21, 21, 22, 23, 24, 25, 25, 25, 25, 26, 26, 26, 26,
           26, 26, 31, 33, 33, 34, 34, 39, 40, 41, 41, 42, 42, 43, 44, 44, 44,
           44, 44, 44, 44, 45, 45, 45, 45, 45, 46, 46, 47, 47, 48, 48, 48, 48,
           48, 48, 48, 48}, {
         "Northern Territory", "Australia", -12.4634, 130.8456, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "Queensland", "Australia", -28.0167, 153.4, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 7, 7, 7}, {
         "South Australia", "Australia", -34.9285, 138.6007, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 2, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4}, {
         "Tasmania", "Australia", -41.4545, 145.9707, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2,
           2, 3, 3, 4, 4, 5, 5, 6, 6, 6, 7, 7, 7, 7, 7, 7, 8, 9, 10, 11, 11, 
          11, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13}, {
         "Victoria", "Australia", -37.8136, 144.9631, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 4, 4, 4, 4, 5, 7, 8, 8, 
          10, 11, 12, 12, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          16, 16, 16, 17, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
          18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 
          19, 19}, {
         "Western Australia", "Australia", -31.9505, 115.8605, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 3, 4, 4, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
           9, 9, 9, 9, 9, 9, 9, 9, 9, 9}, {
         "", "Austria", 47.5162, 14.5501, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 3, 3, 4, 
          6, 6, 8, 16, 21, 28, 30, 49, 58, 68, 86, 108, 128, 146, 158, 168, 
          186, 204, 220, 243, 273, 295, 319, 337, 350, 368, 384, 393, 410, 
          431, 443, 452, 470, 491, 510, 522, 530, 536, 542, 549, 569, 580, 
          584, 589, 596, 598, 600, 606, 608, 609, 614, 615, 618, 620, 623, 
          624, 626, 628, 629, 629, 629, 632, 633, 633, 635, 639, 640, 641, 
          643, 645, 668}, {
         "", "Azerbaijan", 40.1431, 47.5769, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 2, 3, 3, 4, 4, 4, 5, 5, 5, 5, 5, 7, 7, 8, 8, 9,
           10, 11, 11, 12, 13, 13, 15, 15, 18, 19, 19, 20, 20, 20, 21, 21, 21,
           22, 22, 23, 24, 25, 25, 25, 26, 26, 28, 28, 28, 31, 32, 32, 33, 35,
           35, 36, 36, 39, 40, 41, 43, 44, 46, 49, 49, 51, 52, 54, 56}, {
         "", "Bahamas", 25.0343, -77.3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 4, 4, 5, 6, 7, 8, 
          8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11}, {
         "", "Bahrain", 26.0275, 50.55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1,
           1, 1, 2, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 6, 
          6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 8, 8, 8, 8, 9, 10, 10, 12, 12, 12, 12, 12, 12, 12, 12, 
          13, 14, 14, 14, 15, 15}, {
         "", "Bangladesh", 23.685, 90.3563, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 2, 2, 3, 4, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 8, 9, 12, 17, 20,
           21, 27, 30, 34, 39, 46, 50, 60, 75, 84, 91, 101, 110, 120, 127, 
          131, 140, 145, 152, 155, 163, 168, 170, 175, 177, 182, 183, 186, 
          199, 206, 214, 228, 239, 250, 269, 283, 298, 314, 328, 349, 370, 
          386, 408, 432, 452, 480, 501, 522, 544, 559}, {
         "", "Barbados", 13.1939, -59.5432, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 3, 3, 3,
           4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 7, 7, 7, 
          7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
           7, 7, 7, 7}, {
         "", "Belarus", 53.7098, 27.9534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 4, 4, 5, 8, 13, 13, 13, 
          16, 19, 23, 26, 29, 33, 36, 40, 42, 45, 47, 51, 55, 58, 60, 63, 67, 
          72, 75, 79, 84, 89, 93, 97, 99, 103, 107, 112, 116, 121, 126, 131, 
          135, 142, 146, 151, 156, 160, 165, 171, 175, 179, 185, 190, 194, 
          199, 204, 208, 214, 219}, {
         "", "Belgium", 50.8333, 4., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 4, 4, 5, 10, 14, 21,
           37, 67, 75, 88, 122, 178, 220, 289, 353, 431, 513, 705, 828, 1011, 
          1143, 1283, 1447, 1632, 2035, 2240, 2523, 3019, 3346, 3600, 3903, 
          4157, 4440, 4857, 5163, 5453, 5683, 5828, 5998, 6262, 6490, 6679, 
          6917, 7094, 7207, 7331, 7501, 7594, 7703, 7765, 7844, 7924, 8016, 
          8339, 8415, 8521, 8581, 8656, 8707, 8761, 8843, 8903, 8959, 9005, 
          9052, 9080, 9108, 9150, 9186, 9212, 9237, 9280, 9312, 9334, 9364, 
          9388}, {"", "Benin", 9.3077, 2.3158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3,
           3, 3, 3, 3, 3}, {
         "", "Bhutan", 27.5142, 90.4336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0}, {
         "", "Bolivia", -16.2902, -63.5887, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 4, 6, 7, 8, 9, 10, 10, 11, 14, 
          15, 18, 19, 20, 24, 27, 28, 28, 29, 31, 31, 32, 33, 34, 37, 43, 44, 
          46, 50, 53, 55, 59, 62, 66, 71, 76, 82, 86, 91, 102, 106, 114, 118, 
          122, 128, 142, 152, 164, 165, 169, 174, 189, 199, 215, 230, 240, 
          250, 261, 274, 280, 293}, {
         "", "Bosnia and Herzegovina", 43.9159, 17.6791, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 3, 3, 3, 4, 5, 6, 10, 13, 13, 16, 17, 
          21, 23, 29, 33, 34, 35, 36, 37, 39, 39, 40, 41, 43, 46, 47, 48, 49, 
          51, 53, 54, 55, 57, 59, 60, 63, 65, 69, 70, 72, 77, 78, 79, 86, 90, 
          98, 102, 107, 113, 117, 120, 122, 128, 129, 133, 133, 134, 136, 140,
           141, 141, 144, 146, 149, 151, 153}, {
         "", "Brazil", -14.235, -51.9253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 
          6, 11, 15, 25, 34, 46, 59, 77, 92, 111, 136, 159, 201, 240, 324, 
          359, 445, 486, 564, 686, 819, 950, 1057, 1124, 1223, 1328, 1532, 
          1736, 1924, 2141, 2354, 2462, 2587, 2741, 2906, 3331, 3704, 4057, 
          4286, 4603, 5083, 5513, 6006, 6412, 6761, 7051, 7367, 7938, 8588, 
          9190, 10017, 10656, 11123, 11653, 12461, 13240, 13999, 14962, 15662,
           16118, 16853, 17983, 18859, 20047, 21048, 22013, 22666, 23473, 
          24512, 25598, 26754}, {
         "", "Brunei", 4.5353, 114.7277, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 2, 2}, {
         "", "Bulgaria", 42.7339, 25.4858, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2, 2,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 8, 8, 8, 10, 10, 14, 17, 20, 22, 23, 
          24, 24, 25, 28, 29, 32, 35, 36, 38, 41, 41, 42, 43, 45, 49, 52, 54, 
          55, 56, 58, 58, 64, 66, 68, 72, 73, 78, 80, 84, 84, 86, 90, 91, 93, 
          95, 96, 99, 102, 105, 108, 110, 112, 116, 120, 125, 126, 130, 130, 
          130, 133, 134}, {
         "", "Burkina Faso", 12.2383, -1.5616, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 1, 1, 2, 4, 4, 4, 4, 7, 9, 11, 12, 12, 14, 16, 16, 16, 16, 17,
           18, 19, 23, 24, 24, 27, 27, 27, 30, 32, 32, 35, 36, 36, 38, 38, 39,
           41, 41, 41, 42, 42, 42, 43, 43, 44, 44, 45, 46, 48, 48, 48, 48, 48,
           49, 50, 51, 51, 51, 51, 51, 51, 51, 51, 52, 52, 52, 52, 52, 52, 52,
           53, 53}, {
         "", "Cabo Verde", 16.5388, -23.0418, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 4, 4, 4}, {
         "", "Cambodia", 11.55, 104.9167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0}, {
         "", "Cameroon", 3.8480000000000003`, 11.5021, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 6, 6, 6, 6, 7, 8, 9, 9, 
          9, 9, 10, 10, 12, 12, 12, 12, 14, 17, 22, 22, 22, 42, 42, 43, 43, 
          43, 43, 53, 56, 58, 58, 61, 61, 61, 64, 64, 64, 64, 108, 108, 108, 
          108, 114, 125, 125, 136, 139, 140, 140, 140, 140, 140, 146, 156, 
          159, 159, 165, 165, 175, 175, 175}, {
         "Alberta", "Canada", 53.9333, -116.5765, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 3, 8, 9, 13, 13, 18, 20, 
          23, 24, 26, 29, 32, 40, 40, 46, 48, 48, 48, 50, 51, 51, 59, 61, 66, 
          68, 72, 73, 73, 75, 80, 87, 90, 92, 94, 95, 104, 106, 112, 114, 115,
           116, 117, 117, 118, 120, 121, 125, 126, 127, 128, 128, 128, 132, 
          134, 135, 135, 138, 139, 141, 143}, {
         "British Columbia", "Canada", 49.2827, -123.1207, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 1, 1, 4, 4, 7, 7, 8, 10, 10, 13, 13, 13, 14, 14, 17, 17, 19, 24, 
          24, 31, 31, 38, 38, 38, 39, 43, 48, 50, 58, 58, 69, 69, 72, 75, 77, 
          78, 81, 82, 87, 90, 94, 98, 100, 100, 104, 106, 109, 111, 112, 114, 
          114, 117, 121, 124, 126, 127, 129, 129, 130, 132, 132, 135, 140, 
          141, 141, 143, 146, 149, 152, 155, 157, 157, 161, 161, 162, 164}, {
         "Grand Princess", "Canada", 37.6489, -122.6655, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0}, {
         "Manitoba", "Canada", 53.7609, -98.8139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 3,
           3, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
           7, 7, 7, 7, 7, 7}, {
         "New Brunswick", "Canada", 46.5653, -66.4619, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0}, {
         "Newfoundland and Labrador", "Canada", 53.1355, -57.6604, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3}, {
         "Nova Scotia", "Canada", 44.681999999999995`, -63.7443, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 3, 3, 3, 3, 4, 7, 9, 9, 10, 12, 16, 
          16, 22, 24, 24, 27, 28, 28, 29, 31, 37, 38, 41, 41, 44, 46, 47, 47, 
          48, 48, 51, 51, 55, 55, 55, 55, 56, 57, 58, 58, 58, 58, 58, 59, 59, 
          59}, {"Ontario", "Canada", 51.2538, -85.3232, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 2, 3, 5, 6, 7, 8, 13, 18, 18, 21, 31, 33, 37, 53, 
          67, 94, 119, 150, 153, 153, 200, 222, 253, 274, 291, 334, 385, 490, 
          524, 564, 591, 624, 694, 762, 806, 862, 916, 960, 1023, 1072, 1153, 
          1205, 1265, 1292, 1326, 1446, 1505, 1560, 1607, 1665, 1726, 1751, 
          1788, 1852, 1883, 1915, 1939, 1976, 1999, 2019, 2032, 2079, 2106, 
          2129, 2157, 2181, 2210, 2235, 2264, 2292}, {
         "Prince Edward Island", "Canada", 46.5107, -63.4168, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "Quebec", "Canada", 52.9399, -73.5491, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 1, 1, 5, 4, 4, 4, 6, 8, 18, 22, 22, 22, 31, 33, 36, 61, 61, 
          75, 121, 150, 175, 216, 241, 289, 328, 360, 435, 487, 630, 688, 688,
           820, 939, 1044, 1134, 1243, 1340, 1446, 1516, 1600, 1683, 1762, 
          1859, 2022, 2136, 2206, 2281, 2399, 2511, 2632, 2726, 2787, 2929, 
          3014, 3132, 3221, 3352, 3402, 3484, 3563, 3597, 3648, 3719, 3801, 
          3866, 3941, 3985, 4070, 4140, 4229, 4303}, {
         "Saskatchewan", "Canada", 52.9399, -106.4509, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5,
           6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 
          7, 7, 7, 7, 7, 8, 10, 10}, {
         "", "Central African Republic", 6.6111, 20.9394, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 1, 1}, {
         "", "Chad", 15.4542, 18.7322, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 5, 5, 10, 10,
           10, 17, 17, 27, 28, 31, 31, 31, 40, 42, 46, 48, 50, 53, 53, 56, 57,
           58, 58, 60, 60, 61, 62, 64, 65}, {
         "", "Chile", -35.6751, -71.543, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 2, 2, 3, 4, 5, 6, 7, 8, 12, 16, 18, 22, 27, 34, 37, 43, 
          48, 57, 65, 73, 80, 82, 92, 94, 105, 116, 126, 133, 139, 147, 160, 
          168, 174, 181, 189, 198, 207, 216, 227, 234, 247, 260, 270, 275, 
          281, 285, 294, 304, 312, 323, 335, 346, 368, 394, 421, 450, 478, 
          509, 544, 589, 630, 673, 718, 761, 806, 841, 890}, {
         "Anhui", "China(Others)", 31.8257, 117.2264, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 4, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6}, {
         "Beijing", "China(Others)", 40.1824, 116.4142, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 5, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 9, 9, 
          9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
           9, 9, 9, 9, 9, 9, 9, 9}, {
         "Chongqing", "China(Others)", 30.0572, 107.874, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 4, 5, 5, 5, 5, 5, 5, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6}, {
         "Fujian", "China(Others)", 26.0789, 117.9874, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1}, {
         "Gansu", "China(Others)", 37.8099, 101.0583, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2}, {
         "Guangdong", "China(Others)", 23.3417, 113.4244, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 4, 4, 5, 
          5, 5, 5, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8, 8}, {
         "Guangxi", "China(Others)", 23.8298, 108.7881, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2}, {
         "Guizhou", "China(Others)", 26.8154, 106.8748, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2}, {
         "Hainan", "China(Others)", 19.1959, 109.7453, 0, 0, 0, 0, 0, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6}, {
         "Hebei", "China(Others)", 39.549, 116.1306, 0, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 3, 3, 3, 3, 3, 4, 4, 5, 5,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6}, {
         "Heilongjiang", "China(Others)", 47.861999999999995`, 127.7615, 0, 0,
           1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 3, 3, 5, 6, 7, 8, 8, 9, 11, 
          11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13}, {
         "Henan", "China(Others)", 33.882, 113.61399999999999`, 0, 0, 0, 0, 1,
           1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 4, 6, 6, 7, 8, 10, 11, 13, 13, 
          16, 19, 19, 19, 19, 19, 19, 19, 19, 19, 20, 20, 21, 22, 22, 22, 22, 
          22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 
          22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 
          22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 
          22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 
          22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 
          22}, {" ", "Hong Kong", 22.3, 114.2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4}, {
         "Hubei", "China(Hubei)", 30.9756, 112.2707, 17, 17, 24, 40, 52, 76, 
          125, 125, 162, 204, 249, 350, 414, 479, 549, 618, 699, 780, 871, 
          974, 1068, 1068, 1310, 1457, 1596, 1696, 1789, 1921, 2029, 2144, 
          2144, 2346, 2346, 2495, 2563, 2615, 2641, 2682, 2727, 2761, 2803, 
          2835, 2871, 2902, 2931, 2959, 2986, 3008, 3024, 3046, 3056, 3062, 
          3075, 3085, 3099, 3111, 3122, 3130, 3133, 3139, 3153, 3153, 3160, 
          3163, 3169, 3174, 3177, 3182, 3186, 3187, 3193, 3199, 3203, 3207, 
          3210, 3212, 3212, 3213, 3215, 3216, 3219, 3219, 3221, 3221, 3222, 
          3222, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 
          4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 
          4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 
          4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512, 4512}, {
         "Hunan", "China(Others)", 27.6104, 111.7088, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 3, 3, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4}, {
         "Inner Mongolia", "China(Others)", 44.0935, 113.9448, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {
         "Jiangsu", "China(Others)", 32.9711, 119.455, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0}, {
         "Jiangxi", "China(Others)", 27.614, 115.7221, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1}, {
         "Jilin", "China(Others)", 43.6661, 126.1923, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2}, {
         "Liaoning", "China(Others)", 41.2956, 122.6085, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2}, {
         "Macau", "China(Others)", 22.1667, 113.55, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0}, {
         "Ningxia", "China(Others)", 37.2692, 106.1655, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0}, {
         "Qinghai", "China(Others)", 35.7452, 95.9956, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0}, {
         "Shaanxi", "China(Others)", 35.1917, 108.8701, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 
          2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3}, {
         "Shandong", "China(Others)", 36.3427, 118.1498, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2, 2, 2, 3, 3, 4,
           4, 4, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 
          7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
           7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 
          7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
           7, 7, 7, 7, 7, 7, 7, 7}, {
         "Shanghai", "China(Others)", 31.201999999999998`, 121.4491, 0, 0, 0, 
          0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 6,
           6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 
          7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
           7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7}, {
         "Shanxi", "China(Others)", 37.5777, 112.2922, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0}, {
         "Sichuan", "China(Others)", 30.6171, 102.7103, 0, 0, 0, 0, 0, 0, 0, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3}, {
         "Tianjin", "China(Others)", 39.3054, 117.323, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3}, {
         "Tibet", "China(Others)", 31.6927, 88.0924, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0}, {
         "Xinjiang", "China(Others)", 41.1129, 85.2401, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3}, {
         "Yunnan", "China(Others)", 24.974, 101.48700000000001`, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2}, {
         "Zhejiang", "China(Others)", 29.1832, 120.0934, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1}, {
         "", "Colombia", 4.5709, -74.2973, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 2, 3, 3, 4, 6, 6, 6, 10, 12, 16, 17, 19, 25, 32, 35, 46, 
          50, 54, 69, 80, 100, 109, 112, 127, 131, 144, 153, 153, 179, 189, 
          196, 206, 215, 225, 233, 244, 253, 269, 278, 293, 314, 324, 340, 
          358, 378, 397, 407, 428, 445, 463, 479, 493, 509, 525, 546, 562, 
          574, 592, 613, 630, 652, 682, 705, 727, 750, 776, 803, 833}, {
         "", "Congo (Brazzaville)", -4.0383, 21.7587, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 5, 5,
           5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 8, 
          8, 9, 9, 9, 9, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 15, 15, 15, 
          15, 15, 15, 15, 16, 16, 16, 16, 16, 16, 19, 19}, {
         "", "Congo (Kinshasa)", -4.0383, 21.7587, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 3, 3, 6, 6, 8, 8, 9, 13, 13, 18, 18, 
          18, 18, 18, 18, 20, 20, 20, 20, 20, 21, 22, 23, 25, 25, 25, 25, 25, 
          25, 25, 28, 28, 28, 30, 30, 31, 32, 33, 33, 34, 34, 35, 36, 39, 39, 
          41, 41, 44, 50, 50, 50, 61, 61, 61, 61, 61, 61, 63, 63, 63, 67, 68, 
          68, 69}, {
         "", "Costa Rica", 9.7489, -83.7534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3,
           3, 3, 3, 3, 3, 4, 4, 4, 4, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 8, 8, 9, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10}, {
         "", "Cote d'Ivoire", 7.54, -5.5471, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 3,
           3, 4, 5, 6, 6, 6, 6, 6, 8, 9, 9, 13, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 15, 15, 17, 17, 18, 18, 20, 20, 21, 21, 21, 21, 24, 24, 24, 
          25, 27, 28, 28, 29, 29, 29, 30, 30, 30, 30, 31, 32}, {
         "", "Croatia", 45.1, 15.2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 1, 1, 1, 3, 3, 5, 6, 6, 6, 6, 7, 8, 12, 15, 16, 18, 19, 20, 
          21, 21, 23, 25, 31, 33, 35, 36, 39, 47, 47, 48, 48, 50, 51, 54, 55, 
          59, 63, 67, 69, 75, 77, 79, 80, 83, 85, 86, 86, 87, 90, 91, 91, 94, 
          94, 95, 95, 95, 95, 96, 96, 97, 99, 99, 99, 100, 101, 101, 102}, {
         "", "Diamond Princess", 0., 0., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 3, 3, 3,
           4, 4, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 
          7, 7, 8, 8, 8, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11, 
          11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13}, {
         "", "Cuba", 22., -80., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 1, 1, 1, 2, 2, 3, 3, 4, 6, 6, 6, 6, 6, 8, 9, 11, 12, 15, 15, 16, 
          18, 21, 21, 24, 27, 31, 32, 34, 36, 38, 40, 43, 49, 51, 54, 56, 58, 
          58, 61, 64, 66, 67, 69, 69, 69, 73, 74, 74, 77, 77, 78, 79, 79, 79, 
          79, 79, 79, 79, 79, 80, 81, 81, 82, 82, 82, 82, 82}, {
         "", "Cyprus", 35.1264, 33.4299, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 3, 3, 3, 5, 5, 5, 7, 8, 9, 10, 11, 11, 9, 9, 9, 9, 
          10, 10, 10, 11, 12, 12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 14, 14, 
          14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 16, 16, 16, 
          17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17}, {
         "", "Czechia", 49.8175, 15.472999999999999`, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 6, 9, 9, 11, 16, 23, 31, 39, 44, 53, 
          59, 67, 78, 88, 99, 112, 119, 129, 138, 143, 161, 166, 169, 173, 
          181, 186, 194, 201, 208, 210, 214, 218, 220, 223, 227, 227, 236, 
          240, 245, 248, 252, 257, 262, 270, 273, 276, 280, 282, 283, 290, 
          293, 295, 296, 298, 297, 302, 304, 306, 312, 314, 315, 317, 317, 
          317, 319}, {
         "Faroe Islands", "Denmark", 61.8926, -6.9118, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0}, {
         "Greenland", "Denmark", 71.7069, -42.6043, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0}, {
         "", "Denmark", 56.2639, 9.5018, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 3, 4, 4, 
          6, 9, 13, 13, 24, 32, 34, 41, 52, 65, 72, 77, 90, 104, 123, 139, 
          161, 179, 187, 203, 218, 237, 247, 260, 273, 285, 299, 309, 321, 
          336, 346, 355, 364, 370, 384, 394, 403, 418, 422, 427, 434, 443, 
          452, 460, 475, 484, 493, 503, 506, 514, 522, 526, 529, 533, 527, 
          533, 537, 537, 543, 547, 548, 551, 554, 561, 561, 561, 562, 563, 
          563, 565, 568}, {
         "", "Djibouti", 11.8251, 42.5903, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 7, 7, 9, 10, 10, 10, 
          10, 14, 14, 18, 20}, {
         "", "Dominican Republic", 18.7357, -70.1627, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 1, 1, 2, 2, 2, 3, 3, 6, 10, 10, 20, 28, 39, 42, 51, 57, 60, 
          68, 68, 82, 86, 98, 108, 118, 126, 135, 173, 177, 183, 189, 196, 
          200, 217, 226, 235, 245, 260, 265, 267, 273, 278, 282, 286, 293, 
          301, 313, 326, 333, 346, 354, 362, 373, 380, 385, 388, 393, 402, 
          409, 422, 424, 428, 428, 434, 441, 446, 448, 456, 458, 458, 460, 
          468, 474, 485}, {
         "", "Ecuador", -1.8312, -78.1834, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2,
           3, 5, 7, 14, 18, 27, 28, 34, 36, 48, 58, 60, 75, 93, 120, 145, 172,
           180, 191, 191, 242, 272, 297, 315, 333, 355, 369, 388, 403, 421, 
          456, 474, 507, 520, 537, 560, 576, 576, 576, 663, 871, 883, 900, 
          1063, 1371, 1564, 1569, 1569, 1618, 1654, 1704, 1717, 2127, 2145, 
          2327, 2334, 2338, 2594, 2688, 2736, 2799, 2839, 2888, 2939, 3056, 
          3096, 3108, 3203, 3203, 3275, 3313}, {
         "", "Egypt", 26., 30., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 2, 2, 4, 6, 6, 8, 10, 
          14, 19, 20, 21, 24, 30, 36, 40, 41, 46, 52, 58, 66, 71, 78, 85, 94, 
          103, 118, 135, 146, 159, 164, 178, 183, 196, 205, 224, 239, 250, 
          264, 276, 287, 294, 307, 317, 337, 359, 380, 392, 406, 415, 429, 
          436, 452, 469, 482, 503, 514, 525, 533, 544, 556, 571, 592, 612, 
          630, 645, 659, 680, 696, 707, 735, 764, 783, 797, 816, 845}, {
         "", "El Salvador", 13.7942, -88.8965, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5,
           6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 9, 10, 
          10, 11, 11, 13, 14, 15, 15, 16, 17, 17, 18, 20, 20, 23, 25, 26, 30, 
          30, 30, 31, 33, 33, 33, 35, 35, 36, 39, 39}, {
         "", "Equatorial Guinea", 1.5, 10., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 3, 3, 4, 4, 4, 4, 4, 4, 4, 6, 7, 7, 7, 7, 7, 7, 7, 10, 11, 11,
           11, 12, 12, 12, 12}, {
         "", "Eritrea", 15.1794, 39.7823, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0}, {
         "", "Estonia", 58.5953, 25.0136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 3, 3, 4, 5, 11, 12, 13, 15, 19, 21, 
          24, 24, 24, 24, 25, 28, 31, 35, 36, 38, 38, 40, 40, 43, 44, 45, 46, 
          46, 49, 50, 50, 50, 52, 52, 53, 55, 55, 55, 55, 56, 56, 60, 60, 61, 
          61, 61, 62, 63, 63, 63, 64, 64, 64, 64, 64, 64, 64, 65, 65, 66, 
          66}, {"", "Eswatini", -26.5225, 31.4659, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2}, {
         "", "Ethiopia", 9.145, 40.4897, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5,
           6, 6, 7}, {
         "", "Fiji", -17.7134, 178.065, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0}, {
         "", "Finland", 64., 26., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
           1, 1, 1, 3, 5, 7, 9, 11, 13, 17, 17, 19, 20, 25, 28, 27, 34, 40, 
          42, 48, 49, 56, 59, 64, 72, 75, 82, 90, 94, 98, 141, 149, 172, 177, 
          186, 190, 193, 199, 206, 211, 218, 220, 230, 240, 246, 252, 255, 
          260, 265, 267, 271, 275, 284, 287, 293, 297, 298, 300, 301, 304, 
          306, 306, 306, 307, 308, 312, 313, 313}, {
         "French Guiana", "France", 3.9339, -53.1258, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1}, {
         "French Polynesia", "France", -17.6797, 149.4068, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "Guadeloupe", "France", 16.25, -61.5833, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 4, 4, 4, 6, 6, 7, 7, 7, 7, 7,
           8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 12, 12, 12, 12, 12, 12, 12, 
          12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
          13, 13, 13, 13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 14}, {
         "Mayotte", "France", -12.8275, 45.1662, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2, 2, 
          2, 2, 2, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 6, 6, 9, 9, 10, 10, 11, 11, 11, 12, 14, 16, 16, 18, 18, 18, 
          18, 19, 19, 19, 19, 20, 20, 20, 20, 21}, {
         "New Caledonia", "France", -20.9043, 165.618, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0}, {
         "Reunion", "France", -21.1351, 55.2471, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 1, 1, 1}, {
         "Saint Barthelemy", "France", 17.9, -62.8333, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0}, {
         "St Martin", "France", 18.0708, -63.0501, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3}, {
         "Martinique", "France", 14.6415, -61.0242, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 3, 4, 4, 
          4, 6, 6, 6, 6, 6, 6, 6, 8, 8, 8, 8, 12, 12, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14}, {
         "", "France", 46.2276, 2.2137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          2, 2, 2, 2, 2, 3, 4, 4, 6, 9, 11, 19, 19, 33, 48, 48, 79, 91, 91, 
          148, 148, 148, 243, 450, 562, 674, 860, 1100, 1331, 1696, 1995, 
          2314, 2606, 3024, 3523, 4403, 5387, 6507, 7560, 8078, 8911, 10328, 
          10869, 12210, 13197, 13832, 14393, 14967, 15712, 17148, 17901, 
          18661, 19303, 19694, 20240, 20765, 21309, 21825, 22214, 22583, 
          22825, 23262, 23629, 24056, 24345, 24563, 24729, 24864, 25168, 
          25498, 25772, 25949, 26192, 26271, 26341, 26604, 26951, 27032, 
          27381, 27485, 27483, 28062, 28193, 27976, 28084, 28167, 28241, 
          28284, 28317, 28407, 28480, 28546, 28611}, {
         "", "Gabon", -0.8037, 11.6094, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5,
           6, 6, 6, 8, 8, 8, 8, 9, 9, 9, 10, 10, 11, 11, 11, 12, 12, 12, 12, 
          12, 12, 14, 14, 14, 14}, {
         "", "Gambia", 13.4432, -15.3101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1}, {
         "", "Georgia", 42.3154, 43.3569, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 6, 6, 6, 6, 6, 7, 8, 
          9, 9, 9, 9, 9, 10, 10, 10, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 
          12, 12, 12, 12, 12, 12, 12, 12}, {
         "", "Germany", 51., 9., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 7, 9, 11, 17, 24, 28, 44, 
          67, 84, 94, 123, 157, 206, 267, 342, 433, 533, 645, 775, 920, 1107, 
          1275, 1444, 1584, 1810, 2016, 2349, 2607, 2767, 2736, 3022, 3194, 
          3294, 3804, 4052, 4352, 4459, 4586, 4862, 5033, 5279, 5575, 5760, 
          5877, 5976, 6126, 6314, 6467, 6623, 6736, 6812, 6866, 6993, 6993, 
          7275, 7392, 7510, 7549, 7569, 7661, 7738, 7861, 7884, 7897, 7938, 
          7962, 8003, 8081, 8144, 8203, 8228, 8261, 8283, 8309, 8372, 8428, 
          8470}, {"", "Ghana", 7.9465, -1.0232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 2, 2, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6,
           6, 6, 8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 10, 10, 11, 11, 16, 
          16, 17, 17, 18, 18, 18, 18, 18, 18, 18, 22, 22, 22, 22, 24, 24, 28, 
          29, 29, 29, 31, 31, 31, 31, 31, 32, 32, 34, 34, 34}, {
         "", "Greece", 39.0742, 21.8243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 3, 4, 4, 5, 5, 
          6, 6, 13, 15, 17, 20, 22, 26, 28, 32, 38, 43, 49, 50, 53, 63, 68, 
          73, 79, 81, 83, 87, 92, 93, 98, 99, 101, 102, 105, 108, 110, 113, 
          116, 121, 121, 125, 130, 130, 134, 136, 138, 139, 140, 140, 143, 
          144, 146, 146, 147, 148, 150, 151, 151, 151, 152, 155, 156, 160, 
          162, 163, 165, 165, 166, 168, 169, 171, 171, 172, 173, 173, 175}, {
         "", "Guatemala", 15.7835, -90.2308, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 3, 3, 3, 3,
           3, 3, 5, 5, 5, 5, 5, 7, 7, 7, 7, 7, 8, 11, 11, 13, 15, 15, 15, 16, 
          16, 16, 17, 17, 19, 19, 21, 23, 24, 24, 26, 26, 27, 29, 29, 30, 33, 
          33, 35, 43, 45, 48, 51, 55, 58, 59, 63, 68, 80}, {
         "", "Guinea", 9.9456, -9.6966, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 1, 3, 3, 5, 5, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7,
           9, 10, 11, 11, 11, 11, 11, 11, 11, 14, 15, 15, 16, 16, 16, 18, 18, 
          18, 19, 20, 20, 20, 20, 20, 22}, {
         "", "Guyana", 5., -58.75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 4, 4, 4, 4, 4, 5, 6, 6, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 9, 9, 9, 9, 9, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 11, 11, 11, 11}, {
         "", "Haiti", 18.9712, -72.2852, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2,
           2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 5, 5, 6, 6, 6, 6, 6, 8, 8, 8, 
          9, 11, 12, 12, 12, 12, 12, 15, 16, 16, 18, 20, 20, 20, 20, 21, 21, 
          22, 25, 25, 26, 26, 27, 33, 34, 34}, {
         "", "Holy See", 41.9029, 12.4534, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0}, {
         "", "Honduras", 15.2, -86.2419, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 3, 7, 7, 10, 14, 15, 15, 22, 22, 22, 
          22, 23, 23, 24, 25, 25, 26, 31, 35, 41, 46, 46, 46, 46, 46, 47, 55, 
          59, 59, 61, 64, 66, 71, 75, 76, 82, 83, 93, 99, 105, 107, 108, 108, 
          116, 121, 123, 133, 134, 138, 142, 146, 147, 147, 156, 167, 167, 
          180, 182, 188, 194, 196}, {
         "", "Hungary", 47.1625, 19.5033, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 3, 4, 6, 7, 9, 10, 10, 10, 11, 13, 15, 16, 20, 21, 26, 32, 34, 
          38, 47, 58, 66, 77, 85, 99, 109, 122, 134, 142, 156, 172, 189, 199, 
          213, 225, 239, 262, 262, 272, 280, 291, 300, 312, 323, 335, 340, 
          351, 363, 373, 383, 392, 405, 413, 421, 425, 430, 436, 442, 448, 
          451, 462, 467, 470, 473, 476, 482, 486, 491, 499, 505, 509}, {
         "", "Iceland", 64.9631, -19.0208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 1, 1,
           1, 0, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 4, 4, 4, 4, 6, 6, 6, 6, 
          7, 8, 8, 8, 8, 8, 8, 9, 9, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10}, {
         "", "India", 21., 78., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 2, 2, 3, 3, 4, 5, 4, 
          7, 10, 10, 12, 20, 20, 24, 27, 32, 35, 58, 72, 72, 86, 99, 136, 150,
           178, 226, 246, 288, 331, 358, 393, 405, 448, 486, 521, 559, 592, 
          645, 681, 721, 780, 825, 881, 939, 1008, 1079, 1154, 1223, 1323, 
          1391, 1566, 1693, 1785, 1889, 1985, 2101, 2212, 2294, 2415, 2551, 
          2649, 2753, 2871, 3025, 3156, 3302, 3434, 3584, 3726, 3868, 4024, 
          4172, 4344, 4534, 4711}, {
         "", "Indonesia", -0.7893, 113.9213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 4, 5, 5, 5, 5, 
          19, 25, 32, 38, 48, 49, 55, 58, 78, 87, 102, 114, 122, 136, 157, 
          170, 181, 191, 198, 209, 221, 240, 280, 306, 327, 373, 399, 459, 
          469, 496, 520, 535, 582, 590, 616, 635, 647, 689, 720, 743, 765, 
          773, 784, 792, 800, 831, 845, 864, 872, 895, 930, 943, 959, 973, 
          991, 1007, 1028, 1043, 1076, 1089, 1148, 1191, 1221, 1242, 1278, 
          1326, 1351, 1372, 1391, 1418, 1473, 1496}, {
         "", "Iran", 32., 53., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 4, 5, 8, 12, 16, 19, 26, 
          34, 43, 54, 66, 77, 92, 107, 124, 145, 194, 237, 291, 354, 429, 514,
           611, 724, 853, 988, 1135, 1284, 1433, 1556, 1685, 1812, 1934, 2077,
           2234, 2378, 2517, 2640, 2757, 2898, 3036, 3160, 3294, 3452, 3603, 
          3739, 3872, 3993, 4110, 4232, 4357, 4474, 4585, 4683, 4777, 4869, 
          4958, 5031, 5118, 5209, 5297, 5391, 5481, 5574, 5650, 5710, 5806, 
          5877, 5957, 6028, 6091, 6156, 6203, 6277, 6340, 6418, 6486, 6541, 
          6589, 6640, 6685, 6733, 6783, 6854, 6902, 6937, 6988, 7057, 7119, 
          7183, 7249, 7300, 7359, 7417, 7451, 7508, 7564, 7627}, {
         "", "Iraq", 33., 44., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 2, 2, 3, 4, 6, 6, 7, 7, 8, 9, 10, 10, 10, 11, 12, 13, 
          17, 17, 20, 23, 27, 29, 36, 40, 42, 42, 46, 50, 52, 54, 54, 56, 61, 
          64, 65, 69, 69, 70, 72, 76, 78, 78, 79, 80, 81, 82, 82, 82, 83, 83, 
          83, 86, 86, 87, 88, 90, 92, 93, 94, 95, 97, 98, 102, 102, 102, 104, 
          107, 109, 110, 112, 115, 115, 117, 121, 123, 127, 131, 134, 140, 
          147, 152, 160, 163, 169, 175, 179}, {
         "", "Ireland", 53.1424, -7.6921, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2, 2, 
          3, 3, 3, 4, 6, 7, 9, 19, 22, 36, 46, 54, 71, 85, 98, 120, 137, 158, 
          174, 210, 235, 263, 287, 320, 334, 365, 406, 444, 486, 530, 571, 
          610, 687, 730, 769, 794, 1014, 1063, 1087, 1102, 1159, 1190, 1232, 
          1265, 1286, 1303, 1319, 1339, 1375, 1403, 1429, 1446, 1458, 1467, 
          1488, 1497, 1506, 1518, 1533, 1543, 1547, 1561, 1571, 1583, 1592, 
          1604, 1608, 1606, 1615, 1631, 1639}, {
         "", "Israel", 31., 35., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
          1, 1, 3, 5, 8, 12, 12, 15, 16, 20, 26, 36, 40, 44, 49, 57, 65, 73, 
          86, 95, 101, 103, 116, 123, 130, 142, 151, 164, 172, 177, 184, 189, 
          192, 194, 199, 201, 204, 210, 215, 222, 225, 229, 232, 235, 238, 
          239, 240, 245, 247, 252, 258, 260, 264, 265, 266, 268, 272, 276, 
          278, 279, 279, 279, 279, 279, 281, 281, 281, 284}, {
         "", "Italy", 43., 12., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 3, 7, 10, 12, 17,
           21, 29, 34, 52, 79, 107, 148, 197, 233, 366, 463, 631, 827, 1016, 
          1266, 1441, 1809, 2158, 2503, 2978, 3405, 4032, 4825, 5476, 6077, 
          6820, 7503, 8215, 9134, 10023, 10779, 11591, 12428, 13155, 13915, 
          14681, 15362, 15887, 16523, 17127, 17669, 18279, 18849, 19468, 
          19899, 20465, 21067, 21645, 22170, 22745, 23227, 23660, 24114, 
          24648, 25085, 25549, 25969, 26384, 26644, 26977, 27359, 27682, 
          27967, 28236, 28710, 28884, 29079, 29315, 29684, 29958, 30201, 
          30395, 30560, 30739, 30911, 31106, 31368, 31610, 31763, 31908, 
          32007, 32169, 32330, 32486, 32616, 32735, 32785, 32877, 32955, 
          33072, 33142}, {
         "", "Jamaica", 18.1096, -77.2975, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3, 3, 3, 3, 4, 4, 
          4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 6, 6, 6, 7, 7, 7, 7, 7, 7, 8, 8, 8,
           9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 
          9, 9, 9, 9}, {
         "", "Japan", 36., 138., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 4, 4,
           5, 6, 6, 6, 6, 6, 6, 6, 6, 10, 10, 15, 16, 19, 22, 22, 27, 29, 29, 
          29, 33, 35, 41, 42, 43, 45, 47, 49, 52, 54, 54, 56, 57, 62, 63, 77, 
          77, 85, 92, 93, 94, 99, 99, 108, 123, 143, 146, 178, 190, 222, 236, 
          236, 263, 281, 328, 345, 360, 372, 385, 394, 413, 430, 455, 474, 
          487, 536, 556, 556, 577, 590, 607, 624, 633, 657, 678, 697, 713, 
          725, 744, 749, 768, 768, 777, 796, 808, 820, 830, 846, 858, 881}, {
         "", "Jordan", 31.24, 36.51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 3, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 7, 7, 7, 
          7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 9, 9, 9,
           9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 
          9, 9}, {"", "Kazakhstan", 48.0196, 66.9237, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 3, 3, 6, 5, 6, 6,
           6, 7, 8, 10, 10, 10, 12, 14, 16, 17, 17, 17, 17, 19, 19, 19, 20, 
          25, 25, 25, 25, 25, 25, 25, 25, 25, 27, 29, 29, 30, 30, 31, 31, 31, 
          32, 32, 32, 32, 34, 34, 34, 35, 35, 35, 35, 35, 35, 35, 35, 37, 37, 
          37}, {"", "Kenya", -0.0236, 37.9062, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 3, 4, 4, 4, 6, 6, 6,
           7, 7, 7, 8, 9, 9, 10, 11, 11, 12, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 15, 17, 21, 22, 24, 24, 24, 26, 29, 29, 30, 32, 33, 36, 40, 
          42, 45, 50, 50, 50, 50, 50, 50, 50, 50, 51, 52, 52, 55, 58}, {
         "", "Korea, South", 36., 128., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 6, 8, 10, 
          12, 13, 13, 16, 17, 28, 28, 35, 35, 42, 44, 50, 53, 54, 60, 66, 66, 
          72, 75, 75, 81, 84, 91, 94, 102, 111, 111, 120, 126, 131, 139, 144, 
          152, 158, 162, 165, 169, 174, 177, 183, 186, 192, 200, 204, 208, 
          211, 214, 217, 222, 225, 229, 230, 232, 234, 236, 237, 238, 240, 
          240, 242, 243, 244, 246, 247, 248, 250, 250, 252, 254, 255, 256, 
          256, 256, 256, 256, 258, 259, 260, 260, 262, 262, 263, 263, 263, 
          264, 264, 266, 266, 267, 269, 269, 269, 269}, {
         "", "Kuwait", 29.5, 47.75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           2, 3, 3, 3, 5, 6, 7, 9, 11, 13, 14, 15, 19, 20, 22, 23, 24, 26, 30,
           33, 38, 40, 40, 42, 44, 47, 49, 58, 65, 75, 82, 88, 96, 107, 112, 
          118, 121, 124, 129, 138, 148, 156, 165, 172, 175, 185}, {
         "", "Kyrgyzstan", 41.2044, 74.7661, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 4, 4, 4, 4,
           5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
          8, 10, 10, 11, 12, 12, 12, 12, 12, 12, 12, 12, 12, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 16, 16, 16, 16}, {
         "", "Latvia", 56.8796, 24.6032, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 3, 3,
           3, 5, 5, 5, 5, 5, 5, 5, 5, 5, 9, 11, 11, 12, 12, 12, 13, 13, 15, 
          15, 16, 16, 16, 16, 17, 17, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 
          19, 19, 21, 21, 22, 22, 22, 22, 22, 22, 23, 24}, {
         "", "Lebanon", 33.8547, 35.8623, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 3, 3, 3, 3, 3, 3, 
          4, 4, 4, 4, 4, 4, 6, 6, 8, 8, 10, 11, 12, 14, 16, 17, 17, 18, 19, 
          19, 19, 19, 20, 20, 20, 20, 21, 21, 21, 21, 21, 21, 21, 21, 22, 22, 
          22, 24, 24, 24, 24, 24, 24, 24, 25, 25, 25, 25, 25, 25, 26, 26, 26, 
          26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 
          26}, {"", "Liberia", 6.4281, -9.4295, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 3, 4,
           4, 5, 5, 5, 6, 6, 6, 6, 7, 7, 8, 8, 8, 8, 8, 8, 11, 12, 12, 16, 16,
           16, 18, 18, 18, 18, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
           21, 22, 23, 23, 23, 24, 26, 26, 26, 26, 27, 27}, {
         "", "Liechtenstein", 47.14, 9.55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1}, {
         "", "Lithuania", 55.1694, 23.8813, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 2, 4, 4, 5, 7, 7, 7, 8, 8, 9, 9, 11, 13, 15, 15, 
          15, 16, 22, 23, 23, 24, 29, 30, 32, 33, 33, 35, 37, 38, 38, 40, 40, 
          41, 41, 41, 44, 45, 45, 45, 46, 46, 46, 46, 48, 49, 49, 49, 50, 50, 
          50, 54, 54, 54, 55, 56, 59, 60, 60, 61, 61, 63, 63, 63, 65, 66, 
          68}, {"", "Luxembourg", 49.8153, 6.1296, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 2, 4, 4, 8, 8, 8, 8, 8, 9, 15, 18, 21, 22, 23, 29, 30, 31, 31,
           36, 41, 44, 46, 52, 54, 62, 66, 69, 67, 69, 69, 72, 72, 73, 75, 78,
           80, 83, 85, 85, 88, 88, 89, 89, 90, 92, 92, 96, 96, 96, 98, 100, 
          100, 101, 101, 101, 102, 103, 103, 104, 104, 107, 107, 109, 109, 
          109, 109, 109, 110, 110, 110, 110, 110}, {
         "", "Madagascar", -18.7669, 46.8691, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2}, {
         "", "Malaysia", 2.5, 112.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 3,
           4, 10, 14, 16, 20, 23, 26, 27, 35, 37, 43, 45, 50, 53, 57, 61, 62, 
          63, 65, 67, 70, 73, 76, 77, 82, 83, 84, 86, 88, 89, 89, 92, 93, 95, 
          96, 98, 98, 99, 100, 100, 102, 103, 103, 105, 105, 106, 107, 107, 
          107, 108, 108, 109, 109, 111, 112, 112, 113, 113, 113, 114, 114, 
          114, 115, 115, 115, 115, 115, 115, 115}, {
         "", "Maldives", 3.2028, 73.2207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          1, 1, 2, 2, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           5, 5, 5}, {
         "", "Malta", 35.9375, 14.3754, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 7, 7}, {
         "", "Mauritania", 21.0079, 10.9408, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 3, 4, 4, 4, 4, 4, 5, 6, 6, 6,
           9, 13, 16, 19}, {
         "", "Mauritius", -20.2, 57.5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 2, 2, 2, 2, 2, 2, 2, 3, 3, 5, 6, 7, 7, 7, 7, 7, 7, 7, 7, 9, 9,
           9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10}, {
         "", "Mexico", 23.6345, -102.5528, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           1, 2, 2, 3, 4, 5, 6, 8, 12, 16, 20, 28, 29, 37, 50, 60, 79, 94, 
          125, 141, 174, 194, 233, 273, 296, 332, 406, 449, 486, 546, 650, 
          686, 712, 857, 970, 1069, 1221, 1305, 1351, 1434, 1569, 1732, 1859, 
          1972, 2061, 2154, 2271, 2507, 2704, 2961, 3160, 3353, 3465, 3573, 
          3926, 4220, 4477, 4767, 5045, 5177, 5332, 5666, 6090, 6510, 6989, 
          7179, 7394, 7633, 8134, 8597, 9044}, {
         "", "Moldova", 47.4116, 28.3699, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 4, 5, 6, 8, 12, 15, 19, 22, 27, 
          29, 29, 30, 31, 35, 40, 46, 54, 56, 57, 67, 70, 72, 75, 80, 84, 94, 
          96, 102, 103, 111, 116, 122, 124, 125, 132, 136, 143, 145, 150, 161,
           169, 175, 182, 185, 194, 202, 207, 211, 217, 221, 228, 233, 237, 
          242, 250, 261, 267, 274, 282}, {
         "", "Monaco", 43.7333, 7.4167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 4}, {
         "", "Mongolia", 46.8625, 103.8467, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0}, {
         "", "Montenegro", 42.5, 19.3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           3, 3, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 6, 6, 7, 7, 7, 7, 7, 7, 8, 8, 
          8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
           9, 9}, {
         "", "Morocco", 31.7917, -7.0926, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 2, 2, 
          2, 3, 3, 4, 4, 5, 6, 11, 23, 25, 26, 33, 36, 39, 44, 48, 59, 70, 80,
           90, 93, 97, 107, 111, 118, 126, 126, 127, 130, 135, 137, 141, 143, 
          145, 149, 155, 158, 159, 161, 162, 165, 168, 170, 171, 173, 174, 
          179, 181, 183, 183, 186, 186, 188, 188, 188, 188, 190, 190, 192, 
          192, 192, 193, 194, 196, 197, 198, 199, 200, 202, 202, 202}, {
         "", "Namibia", -22.9576, 18.4904, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0}, {
         "", "Nepal", 28.1667, 84.25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 3, 3, 3, 3, 4, 4,
           4, 5}, {
         "Aruba", "Netherlands", 12.5186, -70.0358, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3}, {
         "Curacao", "Netherlands", 12.1696, -68.99, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1}, {
         "Sint Maarten", "Netherlands", 18.0425, -63.0548, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 4,
           4, 6, 6, 6, 6, 8, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 11, 12, 12, 
          12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 15, 15, 15, 
          15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
          15}, {"", "Netherlands", 52.1326, 5.2913, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 3, 4, 5, 5, 10, 12, 
          20, 24, 43, 58, 76, 106, 136, 179, 213, 276, 356, 434, 546, 639, 
          771, 864, 1039, 1173, 1339, 1487, 1651, 1766, 1867, 2101, 2248, 
          2396, 2511, 2643, 2737, 2823, 2945, 3134, 3315, 3459, 3601, 3684, 
          3751, 3916, 4054, 4177, 4289, 4409, 4475, 4518, 4566, 4711, 4795, 
          4893, 4987, 5056, 5082, 5168, 5204, 5288, 5359, 5422, 5440, 5456, 
          5510, 5562, 5590, 5643, 5670, 5680, 5694, 5715, 5748, 5775, 5788, 
          5811, 5822, 5830, 5856, 5871, 5903}, {
         "", "New Zealand", -40.9006, 174.886, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 2, 4, 4, 5, 9, 9, 9, 11, 11, 12, 12, 13, 14, 17, 18, 18, 19, 19,
           19, 19, 19, 20, 20, 20, 20, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21,
           21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 22, 22}, {
         "", "Nicaragua", 12.8654, -85.2072, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 5, 5, 5, 5, 5, 5, 5, 5, 5, 8, 8, 8, 8, 8, 8, 8, 17, 17, 17, 17, 
          17, 17, 17, 35, 35, 35}, {
         "", "Niger", 17.6078, 8.0817, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 3, 3, 5, 5, 5, 8, 10, 10, 11, 11, 11, 
          11, 11, 12, 12, 14, 14, 14, 18, 19, 20, 20, 20, 22, 24, 24, 27, 29, 
          29, 31, 32, 32, 33, 35, 36, 37, 38, 38, 42, 44, 45, 46, 46, 47, 49, 
          50, 51, 51, 54, 55, 55, 58, 60, 60, 61, 61, 62, 63, 63, 64}, {
         "", "Nigeria", 9.082, 8.6753, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 4, 4, 5, 5, 6, 6, 7, 7, 
          10, 10, 10, 11, 12, 13, 17, 19, 21, 22, 22, 28, 31, 32, 35, 40, 40, 
          44, 51, 58, 68, 85, 87, 93, 98, 103, 107, 117, 128, 143, 150, 158, 
          164, 167, 171, 176, 182, 191, 192, 200, 211, 221, 221, 226, 233, 
          249, 254, 259}, {
         "", "North Macedonia", 41.6086, 21.7453, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 1, 2, 2, 3, 3, 3, 4, 6, 7, 9, 11, 11, 12, 17, 18, 
          23, 26, 29, 30, 32, 34, 34, 38, 44, 45, 46, 49, 49, 51, 54, 55, 56, 
          56, 57, 59, 61, 65, 71, 73, 77, 81, 82, 84, 85, 86, 88, 89, 90, 91, 
          91, 91, 92, 95, 95, 97, 98, 101, 104, 106, 110, 111, 112, 113, 113, 
          113, 116, 119, 121}, {
         "", "Norway", 60.472, 8.4689, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 6, 7, 
          7, 7, 7, 10, 12, 14, 14, 19, 23, 25, 32, 39, 44, 50, 59, 62, 71, 76,
           89, 101, 108, 113, 119, 128, 134, 139, 150, 152, 161, 164, 165, 
          181, 182, 187, 194, 199, 201, 201, 205, 206, 207, 210, 210, 211, 
          211, 214, 215, 216, 217, 218, 219, 219, 224, 228, 229, 232, 232, 
          232, 232, 233, 233, 234, 235, 235, 235, 235, 235, 235, 235, 236}, {
         "", "Oman", 21., 57., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 2, 3, 3, 3, 4, 4, 
          4, 4, 4, 6, 6, 7, 7, 8, 8, 9, 10, 10, 10, 10, 10, 10, 11, 11, 12, 
          12, 12, 13, 13, 15, 16, 17, 17, 17, 17, 17, 18, 20, 21, 22, 25, 27, 
          30, 31, 34, 36, 37, 37, 37, 39, 40}, {
         "", "Pakistan", 30.3753, 69.3451, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           2, 3, 3, 5, 6, 7, 8, 9, 11, 12, 14, 21, 26, 27, 34, 40, 41, 47, 53,
           57, 61, 65, 66, 86, 91, 93, 96, 111, 128, 135, 143, 168, 176, 201, 
          212, 237, 253, 269, 281, 292, 312, 343, 385, 417, 440, 457, 476, 
          514, 564, 585, 599, 636, 659, 706, 737, 761, 770, 834, 834, 873, 
          903, 939, 985, 1017, 1067, 1101, 1133, 1167, 1197, 1225, 1260}, {
         "", "Panama", 8.538, -80.7821, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 3, 6, 6, 8, 8, 9, 14, 17, 24, 30, 30, 32, 37, 41, 46, 54, 55,
           59, 63, 66, 74, 79, 87, 94, 95, 103, 109, 116, 120, 126, 136, 141, 
          146, 154, 159, 165, 167, 167, 178, 188, 192, 197, 197, 200, 210, 
          218, 225, 231, 237, 244, 249, 252, 256, 260, 266, 269, 275, 279, 
          281, 287, 291, 295, 299, 306, 310, 313, 315, 320}, {
         "", "Papua New Guinea", -6.315, 143.9555, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0}, {
         "", "Paraguay", -23.4425, -58.4438, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 5, 5, 5, 5,
           6, 6, 6, 6, 7, 8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10,
           10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11, 11,
           11, 11, 11, 11, 11, 11, 11, 11, 11, 11}, {
         "", "Peru", -9.19, -75.0152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          3, 5, 5, 5, 7, 9, 9, 11, 16, 18, 24, 30, 38, 55, 61, 73, 83, 92, 
          107, 121, 138, 169, 181, 193, 216, 230, 254, 274, 300, 348, 400, 
          445, 484, 530, 572, 634, 700, 728, 782, 854, 943, 1051, 1124, 1200, 
          1286, 1344, 1444, 1533, 1627, 1714, 1814, 1889, 1961, 2057, 2169, 
          2267, 2392, 2523, 2648, 2789, 2914, 3024, 3148, 3244, 3373, 3456, 
          3629, 3788, 3983, 4099}, {
         "", "Philippines", 13., 122., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 5, 8, 11, 12, 12, 19, 
          17, 18, 19, 25, 33, 35, 38, 45, 54, 68, 71, 78, 88, 96, 107, 136, 
          144, 152, 163, 177, 182, 203, 221, 247, 297, 315, 335, 349, 362, 
          387, 397, 409, 428, 437, 446, 462, 477, 494, 501, 511, 530, 558, 
          568, 579, 603, 607, 623, 637, 658, 685, 696, 704, 719, 726, 751, 
          772, 790, 806, 817, 824, 831, 837, 842, 846, 857, 863, 868, 873, 
          886, 904, 921}, {
         "", "Poland", 51.9194, 19.1451, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 3, 3, 4, 5, 5, 
          5, 5, 5, 7, 8, 10, 14, 16, 16, 18, 22, 31, 33, 43, 57, 71, 79, 94, 
          107, 129, 159, 174, 181, 208, 232, 245, 263, 286, 314, 332, 347, 
          360, 380, 401, 426, 454, 494, 524, 535, 562, 596, 624, 644, 651, 
          664, 678, 698, 716, 733, 755, 776, 785, 800, 811, 839, 861, 883, 
          907, 915, 925, 936, 948, 962, 972, 982, 993, 996, 1007, 1024, 1028, 
          1038}, {"", "Portugal", 39.3999, -8.2245, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 1, 2, 3, 6, 12, 14, 23, 33, 43, 60, 76, 100, 119, 140, 160, 187,
           209, 246, 266, 295, 311, 345, 380, 409, 435, 470, 504, 535, 567, 
          599, 629, 657, 687, 714, 735, 762, 785, 820, 854, 880, 903, 928, 
          948, 973, 989, 1007, 1023, 1043, 1063, 1074, 1089, 1105, 1114, 1126,
           1135, 1144, 1163, 1175, 1184, 1190, 1203, 1218, 1231, 1247, 1263, 
          1277, 1289, 1302, 1316, 1330, 1342, 1356, 1369}, {
         "", "Qatar", 25.3548, 51.1839, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 3, 3, 3, 4, 4, 6, 6, 6, 6, 
          6, 7, 7, 7, 7, 7, 7, 8, 8, 9, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10,
           12, 12, 12, 12, 12, 12, 12, 12, 13, 14, 14, 14, 14, 14, 14, 15, 15,
           15, 15, 16, 17, 19, 21, 23, 26, 28, 30, 33}, {
         "", "Romania", 45.9432, 24.9668, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 3, 7, 11, 17, 23, 26, 37, 43, 65, 82, 92, 115, 133, 146, 
          151, 176, 197, 220, 248, 270, 291, 316, 331, 351, 372, 392, 411, 
          421, 451, 478, 498, 524, 545, 567, 601, 619, 641, 663, 693, 717, 
          744, 771, 790, 818, 841, 864, 888, 923, 939, 961, 982, 1002, 1036, 
          1053, 1070, 1094, 1107, 1120, 1137, 1147, 1156, 1166, 1176, 1185, 
          1205, 1216, 1227, 1235}, {
         "", "Russia", 60., 90., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 3, 3, 4, 4, 8, 9, 17, 24, 30, 34, 43, 45, 47, 58, 63, 76, 
          94, 106, 130, 148, 170, 198, 232, 273, 313, 361, 405, 456, 513, 555,
           615, 681, 747, 794, 867, 972, 1073, 1169, 1222, 1280, 1356, 1451, 
          1537, 1625, 1723, 1827, 1915, 2009, 2116, 2212, 2305, 2418, 2537, 
          2631, 2722, 2837, 2972, 3099, 3249, 3388, 3541, 3633, 3807, 3968, 
          4142}, {"", "Rwanda", -1.9403, 29.8739, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0}, {
         "", "Saint Lucia", 13.9094, -60.9789, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0}, {
         "", "Saint Vincent and the Grenadines", 12.9843, -61.2872, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "", "San Marino", 43.9424, 12.4578, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 2, 2, 3, 5, 5, 5, 7, 7, 
          11, 11, 14, 20, 20, 20, 21, 21, 21, 21, 22, 22, 25, 26, 26, 30, 30, 
          32, 32, 32, 34, 34, 34, 34, 35, 35, 35, 36, 36, 38, 39, 39, 39, 39, 
          40, 40, 40, 40, 40, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 
          41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 42, 42, 
          42, 42, 42, 42}, {
         "", "Saudi Arabia", 24., 45., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 1, 2, 3, 3, 4, 8, 8, 10, 16, 21, 25, 29, 34, 38, 41, 41,
           44, 47, 52, 59, 65, 73, 79, 83, 87, 92, 97, 103, 109, 114, 121, 
          127, 136, 139, 144, 152, 157, 162, 169, 176, 184, 191, 200, 209, 
          219, 229, 239, 246, 255, 264, 273, 283, 292, 302, 312, 320, 329, 
          339, 351, 364, 379, 390, 399, 411, 425, 441}, {
         "", "Senegal", 14.4974, -14.4524, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 5, 5, 6, 6, 7, 7, 9, 9, 9, 9, 9, 9, 9,
           9, 10, 11, 12, 13, 13, 17, 19, 19, 19, 21, 23, 25, 25, 25, 26, 30, 
          30, 33, 33, 34, 35, 35, 36, 38, 39}, {
         "", "Serbia", 44.0165, 21.0059, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 1, 1, 2, 3, 3, 4, 1, 1, 10, 13, 16, 16, 28, 31, 39, 44, 51, 58, 
          61, 65, 66, 71, 74, 80, 85, 94, 99, 103, 110, 117, 122, 125, 130, 
          134, 139, 144, 151, 156, 162, 168, 173, 179, 179, 189, 193, 197, 
          200, 203, 206, 209, 215, 215, 218, 220, 222, 224, 225, 228, 230, 
          231, 234, 235, 237, 237, 238, 238, 239, 239, 240, 241}, {
         "", "Seychelles", -4.6796, 55.492, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0}, {
         "", "Singapore", 1.2833, 103.8333, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 4, 5, 6, 6, 6, 6, 6, 6,
           7, 8, 8, 9, 10, 10, 10, 11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 14,
           14, 14, 15, 16, 17, 18, 18, 18, 20, 20, 20, 20, 20, 21, 21, 21, 21,
           21, 22, 22, 22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23}, {
         "", "Slovakia", 48.669, 19.699, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
          1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 6, 8, 9, 11, 12, 13, 14, 14, 15, 17, 17, 18, 18, 20, 
          22, 23, 23, 24, 24, 25, 25, 25, 26, 26, 26, 26, 26, 27, 27, 27, 27, 
          28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28}, {
         "", "Slovenia", 46.1512, 14.9955, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1,
           1, 1, 1, 2, 3, 4, 5, 6, 9, 9, 11, 11, 15, 15, 17, 20, 22, 28, 30, 
          36, 40, 43, 45, 50, 53, 55, 56, 61, 61, 66, 70, 74, 77, 77, 79, 79, 
          80, 81, 82, 83, 86, 89, 91, 92, 94, 96, 97, 98, 99, 99, 100, 101, 
          102, 102, 102, 103, 103, 103, 103, 104, 104, 104, 105, 106, 106, 
          106, 107, 107, 108, 108, 108}, {
         "", "Somalia", 5.1521, 46.1996, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1,
           1, 1, 2, 2, 5, 5, 6, 7, 7, 8, 8, 8, 16, 16, 18, 23, 26, 28, 28, 28,
           28, 31, 32, 35, 38, 39, 44, 44, 48, 51, 52, 52, 52, 53, 53, 55, 56,
           57, 59, 61, 61, 61, 61, 61, 66, 67, 67, 72}, {
         "", "South Africa", -30.5595, 22.9375, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 3, 5, 5, 5, 9, 9, 11, 12, 13,
           18, 18, 24, 25, 25, 27, 27, 34, 48, 50, 52, 54, 58, 58, 65, 75, 79,
           86, 87, 90, 93, 103, 103, 116, 123, 131, 138, 148, 153, 161, 178, 
          186, 194, 206, 206, 219, 238, 247, 261, 264, 286, 312, 339, 369, 
          397, 407, 429, 481, 524, 552, 577}, {
         "", "Spain", 40., -4., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 2, 3, 5, 10, 17, 28, 35, 54, 55, 133, 195, 289, 342, 
          533, 623, 830, 1043, 1375, 1772, 2311, 2808, 3647, 4365, 5138, 5982,
           6803, 7716, 8464, 9387, 10348, 11198, 11947, 12641, 13341, 14045, 
          14792, 15447, 16081, 16606, 17209, 17756, 18056, 18708, 19315, 
          20002, 20043, 20453, 20852, 21282, 21717, 22157, 22524, 22902, 
          23190, 23521, 23822, 24275, 24543, 24543, 25100, 25264, 25428, 
          25613, 25857, 26070, 26299, 26478, 26621, 26744, 26920, 27104, 
          27321, 27459, 27563, 27563, 27709, 27778, 27888, 27940, 28628, 
          28678, 28752, 26834, 27117, 27117, 27119}, {
         "", "Sri Lanka", 7., 81., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 2, 3, 4, 4, 5, 5, 5, 6, 7, 7, 7, 7, 7,
           7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 
          9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 
          10, 10}, {
         "", "Sudan", 12.8628, 30.2176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 4, 5, 5, 5, 6, 10, 10, 12, 12, 13, 16, 16, 17, 21, 22, 25, 28,
           31, 36, 41, 41, 41, 45, 49, 52, 59, 64, 70, 74, 80, 90, 90, 91, 97,
           97, 105, 111, 111, 121, 137, 146, 165, 170, 170, 195, 195}, {
         "", "Suriname", 3.9193, -56.0278, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1}, {
         "", "Sweden", 63., 16., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 3, 6, 7, 10, 11, 16, 
          20, 21, 25, 36, 62, 77, 105, 105, 110, 146, 180, 239, 308, 358, 373,
           401, 477, 591, 687, 793, 870, 887, 899, 919, 1033, 1203, 1333, 
          1400, 1511, 1540, 1580, 1765, 1937, 2021, 2152, 2192, 2194, 2274, 
          2355, 2462, 2586, 2653, 2669, 2679, 2769, 2854, 2941, 3040, 3175, 
          3220, 3225, 3256, 3313, 3460, 3529, 3646, 3674, 3679, 3698, 3743, 
          3831, 3871, 3925, 3992, 3998, 4029, 4125, 4220, 4266}, {
         "", "Switzerland", 46.8182, 8.2275, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 3, 4, 4, 11, 13, 14, 14, 
          27, 28, 41, 54, 75, 98, 120, 122, 153, 191, 231, 264, 300, 359, 433,
           488, 536, 591, 666, 715, 765, 821, 895, 948, 1002, 1036, 1106, 
          1138, 1174, 1239, 1281, 1327, 1368, 1393, 1429, 1478, 1509, 1549, 
          1589, 1599, 1610, 1665, 1699, 1716, 1737, 1754, 1762, 1762, 1784, 
          1795, 1805, 1810, 1823, 1830, 1833, 1845, 1867, 1870, 1872, 1878, 
          1879, 1881, 1886, 1891, 1892, 1898, 1903, 1905, 1906, 1913, 1915, 
          1917, 1919}, {
         "", "Taiwan*", 23.7, 121., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6,
           6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
           7}, {"", "Tanzania", -6.369, 34.8888, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 3, 3, 3, 3, 3, 4, 4, 5, 5, 7, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 16, 16, 16, 16, 16, 16, 16, 16, 16, 21, 21, 21, 21, 21, 21, 21, 
          21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21}, {
         "", "Thailand", 15., 101., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 4, 4, 4, 5, 6, 7, 9, 10, 12, 15, 19, 20, 23, 26, 27, 30, 
          32, 33, 35, 38, 40, 41, 43, 46, 47, 47, 47, 47, 48, 49, 50, 51, 51, 
          51, 52, 54, 54, 54, 54, 54, 54, 54, 54, 55, 55, 55, 56, 56, 56, 56, 
          56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 57, 57, 57, 57}, {
         "", "Togo", 8.6195, 0.8248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 9, 9, 9, 9, 9,
           9, 9, 9, 10, 10, 11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 12, 
          12, 12, 12, 13, 13, 13, 13}, {
         "", "Trinidad and Tobago", 10.6918, -61.2225, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 3, 3, 3, 3, 5, 5, 6, 6, 7, 
          8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8,
           8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
          8, 8, 8, 8, 8, 8, 8, 8}, {
         "", "Tunisia", 34., 9., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          3, 3, 4, 5, 6, 6, 8, 8, 8, 10, 12, 14, 18, 18, 22, 22, 23, 24, 25, 
          25, 28, 31, 34, 34, 35, 37, 37, 37, 38, 38, 38, 38, 38, 38, 38, 38, 
          39, 40, 40, 41, 41, 42, 42, 43, 43, 43, 44, 45, 45, 45, 45, 45, 45, 
          45, 45, 45, 45, 46, 47, 47, 47, 47, 48, 48, 48, 48, 48, 48}, {
         "", "Turkey", 38.9637, 35.2433, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 
          3, 4, 9, 30, 37, 44, 59, 75, 92, 108, 131, 168, 214, 277, 356, 425, 
          501, 574, 649, 725, 812, 908, 1006, 1101, 1198, 1296, 1403, 1518, 
          1643, 1769, 1890, 2017, 2140, 2259, 2376, 2491, 2600, 2706, 2805, 
          2900, 2992, 3081, 3174, 3258, 3336, 3397, 3461, 3520, 3584, 3641, 
          3689, 3739, 3786, 3841, 3894, 3952, 4007, 4055, 4096, 4140, 4171, 
          4199, 4222, 4249, 4276, 4308, 4340, 4369, 4397, 4431, 4461}, {
         "", "Uganda", 1., 32., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0}, {"", "Ukraine", 48.3794, 31.1656, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 
          2, 2, 2, 3, 3, 3, 3, 3, 5, 5, 5, 9, 10, 13, 17, 20, 22, 27, 32, 37, 
          38, 45, 52, 57, 69, 73, 83, 93, 98, 108, 116, 125, 133, 141, 151, 
          161, 174, 187, 201, 201, 209, 220, 239, 250, 261, 272, 279, 288, 
          303, 316, 327, 340, 361, 376, 391, 408, 425, 439, 456, 476, 497, 
          514, 535, 548, 564, 579, 588, 605, 617, 623, 644, 658, 669}, {
         "", "United Arab Emirates", 24., 54., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 5, 6, 8, 8, 9, 10, 10, 11, 
          12, 12, 14, 16, 20, 22, 25, 28, 33, 35, 37, 37, 41, 43, 46, 52, 56, 
          64, 71, 76, 82, 89, 98, 105, 111, 119, 126, 137, 146, 157, 165, 174,
           185, 198, 201, 203, 206, 208, 210, 214, 220, 224, 227, 233, 237, 
          241, 244, 245, 248, 253, 255, 258}, {
         "Bermuda", "United Kingdom", 32.3078, -64.7505, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           2, 2, 3, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 
          6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9,
           9, 9, 9, 9, 9, 9, 9, 9}, {
         "Cayman Islands", "United Kingdom", 19.3133, -81.2546, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {
         "Channel Islands", "United Kingdom", 49.3723, -2.3644, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 3, 3, 3, 
          4, 5, 6, 7, 7, 8, 8, 9, 9, 9, 9, 13, 15, 19, 20, 21, 21, 24, 24, 28,
           29, 34, 35, 35, 35, 36, 38, 40, 41, 41, 41, 41, 40, 40, 40, 41, 41,
           41, 41, 42, 43, 43, 43, 43, 43, 43, 44, 45, 45, 45, 45, 45, 45, 45,
           45, 45}, {
         "Gibraltar", "United Kingdom", 36.1408, -5.3536, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "Isle of Man", "United Kingdom", 54.2361, -4.5481, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 4, 4, 4, 6, 6, 9, 9, 15, 16, 18, 18, 
          18, 20, 21, 21, 21, 22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 
          23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24}, {
         "Montserrat", "United Kingdom", 16.7425, -62.1874, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1}, {
         "", "United Kingdom", 55.3781, -3.4360000000000004`, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 3, 7, 7, 
          9, 10, 28, 43, 65, 81, 115, 158, 194, 250, 285, 359, 508, 694, 877, 
          1161, 1455, 1669, 2043, 2425, 3095, 3747, 4461, 5221, 5865, 6433, 
          7471, 8505, 9608, 10760, 11599, 12285, 13029, 14073, 14915, 15944, 
          16879, 17994, 18492, 19051, 20223, 21060, 21787, 22792, 23635, 
          24055, 24393, 25302, 26097, 26771, 27510, 28131, 28446, 28734, 
          29427, 30076, 30615, 31241, 31587, 31855, 32065, 32692, 33186, 
          33614, 33998, 34466, 34636, 34796, 35341, 35704, 36042, 36393, 
          36675, 36793, 36914, 37048, 37460, 37837}, {
         "", "Uruguay", -32.5228, -55.7658, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 4, 4, 5, 6, 6, 7, 7, 7,
           7, 7, 7, 8, 8, 9, 9, 9, 9, 10, 10, 12, 12, 12, 12, 14, 15, 15, 15, 
          15, 17, 17, 17, 17, 17, 17, 17, 17, 18, 18, 19, 19, 19, 19, 19, 19, 
          19, 20, 20, 20, 20, 20, 20, 22, 22, 22, 22, 22, 22}, {
         "", "US", 37.0902, -95.7129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 6, 7, 11, 12, 14, 17, 21, 22, 28, 36, 42, 50, 60, 74, 
          100, 134, 165, 259, 350, 442, 587, 786, 1011, 1320, 1726, 2269, 
          2744, 3420, 4196, 5367, 6511, 7938, 9260, 10870, 12375, 13894, 
          16191, 18270, 20288, 22357, 24366, 26086, 27870, 30262, 32760, 
          34844, 37428, 39775, 40945, 42686, 45086, 47412, 49724, 51493, 
          53755, 54881, 56219, 58355, 60967, 62996, 64943, 66369, 67682, 
          68922, 71064, 73455, 75662, 77180, 78795, 79526, 80682, 82356, 
          84119, 85898, 87530, 88754, 89562, 90347, 91921, 93439, 94702, 
          95978, 97086, 97719, 98219, 98912, 100417, 101616}, {
         "", "Uzbekistan", 41.3775, 64.5853, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3,
           3, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 6, 7, 7, 8, 8, 8, 8, 8, 9, 9, 9, 
          9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 12, 13, 
          13, 13, 13, 13, 13, 13, 13, 14, 14, 14}, {
         "", "Venezuela", 6.4238, -66.5897, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 3, 3, 3, 5, 7, 7, 7, 7, 7, 9, 9,
           9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 16, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 
          10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11}, {
         "", "Vietnam", 16., 108., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0}, {"", "Zambia", -15.4167, 28.2833, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 
          1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 4, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 
          7, 7, 7, 7, 7, 7}, {
         "", "Zimbabwe", -20., 30., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 3, 3, 3, 3, 3,
           3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
          4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
           4}, {"Diamond Princess", "Canada", 0., 0., 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1}, {
         "", "Dominica", 15.415, -61.371, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0}, {
         "", "Grenada", 12.1165, -61.678999999999995`, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0}, {
         "", "Mozambique", -18.665695, 35.529562, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 1, 2}, {
         "", "Syria", 34.802075, 38.996815000000005`, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           4, 4, 4, 4, 4, 4, 4}, {
         "", "Timor-Leste", -8.874217, 125.727539, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0}, {
         "", "Belize", 13.1939, -59.5432, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2}, {
         "", "Laos", 19.856270000000002`, 102.495496, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0}, {
         "", "Libya", 26.3351, 17.228331, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 4, 5}, {
         "", "West Bank and Gaza", 31.9522, 35.2332, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 3, 3, 3, 3, 3, 3}, {
         "", "Guinea-Bissau", 11.8037, -15.1804, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 6, 6, 6, 6, 
          6, 6, 7, 7, 7, 8}, {
         "", "Mali", 17.570692, -3.9961660000000006`, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 3, 3, 3, 3, 5, 5,
           5, 7, 7, 7, 7, 9, 10, 13, 13, 13, 13, 13, 14, 14, 14, 17, 21, 21, 
          21, 23, 23, 24, 25, 26, 26, 26, 27, 29, 32, 32, 32, 35, 37, 38, 39, 
          40, 44, 46, 46, 48, 52, 52, 53, 55, 60, 62, 63, 65, 67, 70, 70, 
          72}, {"", "Saint Kitts and Nevis", 17.357822, -62.782998, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "Northwest Territories", "Canada", 64.8255, -124.8457, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "Yukon", "Canada", 64.2823, -135., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0}, {
         "", "Kosovo", 42.602636, 20.902977, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 4, 5, 5,
           7, 7, 7, 7, 8, 8, 11, 12, 12, 12, 15, 18, 18, 19, 19, 20, 21, 22, 
          22, 22, 22, 22, 22, 22, 26, 26, 26, 27, 27, 28, 28, 28, 29, 29, 29, 
          29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 30, 30, 30, 30}, {
         "", "Burma", 21.9162, 95.956, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 3, 3,
           4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 
          6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
           6, 6}, {
         "Anguilla", "United Kingdom", 18.2206, -63.0686, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "British Virgin Islands", "United Kingdom", 18.4207, -64.64, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {
         "Turks and Caicos Islands", "United Kingdom", 
          21.694000000000003`, -71.7979, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1}, {
         "", "MS Zaandam", 0., 0., 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
           2}, {"", "Botswana", -22.3285, 24.6849, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1, 1, 1, 1}, {
         "", "Burundi", -3.3731, 29.9189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
           1, 1, 1}, {
         "", "Sierra Leone", 8.460555000000001, -11.779889, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 4, 
          4, 4, 4, 7, 7, 8, 8, 9, 11, 14, 16, 17, 18, 18, 19, 19, 26, 26, 27, 
          29, 32, 33, 33, 34, 35, 38, 39, 40, 42, 44, 45, 45}, {
         "Bonaire, Sint Eustatius and Saba", "Netherlands", 12.1784, -68.2385,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "", "Malawi", -13.254307999999998`, 34.301525, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 
          3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
           3, 3, 3, 4, 4, 4, 4, 4}, {
         "Falkland Islands (Malvinas)", "United Kingdom", -51.7963, -59.5236, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "Saint Pierre and Miquelon", "France", 46.8852, -56.3159, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
         "", "South Sudan", 6.877000000000001, 31.307, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 
          4, 6, 8, 8, 8, 8, 10, 10}, {
         "", "Western Sahara", 24.2155, -12.8858, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 1}, {
         "", "Sao Tome and Principe", 0.18636, 6.613081, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 1, 1, 1, 3, 3, 3, 4, 5, 5, 5, 5, 5, 6, 7, 7, 7, 7, 7, 8, 8,
           8, 8, 8, 8, 11, 12, 12, 12}, {
         "", "Yemen", 15.552726999999999`, 48.516388, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 2, 2, 2, 2, 2, 4, 5, 5, 7, 7, 8, 9, 10, 12, 12, 15, 18, 20, 20, 
          28, 30, 33, 33, 39, 42, 44, 49, 53, 57}, {
         "", "Comoros", -11.6455, 43.3333, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 2, 2}, {
         "", "Tajikistan", 38.861034000000004`, 71.276093, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 2, 2, 3, 5, 8, 12, 12, 20, 20, 21, 21, 23, 29, 33, 
          36, 39, 41, 41, 41, 44, 44, 44, 46, 46, 47, 47, 47}, {
         "", "Lesotho", -29.609988, 28.233608, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
           0, 0, 0, 0, 0}, {
         "", "World", "", "", 17, 18, 26, 42, 56, 82, 131, 133, 171, 213, 259,
           362, 426, 492, 564, 634, 719, 806, 906, 1013, 1113, 1118, 1371, 
          1523, 1666, 1770, 1868, 2007, 2122, 2247, 2251, 2458, 2469, 2629, 
          2708, 2770, 2814, 2872, 2941, 2996, 3085, 3160, 3254, 3347, 3459, 
          3558, 3801, 3987, 4263, 4614, 4912, 5409, 5832, 6473, 7151, 7957, 
          8824, 9947, 11423, 13125, 14826, 16759, 19017, 21789, 24788, 28292, 
          31811, 35323, 39443, 44238, 49685, 55834, 61826, 67996, 73077, 
          78767, 86662, 93354, 100915, 108137, 114170, 119853, 125561, 132439,
           140685, 147963, 156821, 163236, 167772, 173124, 180236, 186912, 
          193665, 199997, 206187, 209900, 214444, 220801, 227665, 233360, 
          238619, 243813, 247470, 251537, 257239, 263855, 269567, 274898, 
          279311, 282709, 286330, 291942, 297197, 302418, 307666, 311781, 
          315185, 318481, 323285, 328115, 332924, 338233, 342213, 345058, 
          346231, 350452, 355628, 360308}}, $CellContext`multislope[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`br, 
          Blank[]]] := ReplaceAll[
         Apply[Which, 
          Flatten[
           
           Table[{Part[$CellContext`br, $CellContext`k] <= $CellContext`x <= 
             Part[$CellContext`br, $CellContext`k + 1], 
             Part[
              $CellContext`slopes[$CellContext`data, $CellContext`br], \
$CellContext`k]}, {$CellContext`k, 1, Length[$CellContext`br] - 
             1}]]], {$CellContext`x -> $CellContext`t}], $CellContext`slopes[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`br, 
          Blank[]]] := Module[{$CellContext`a, $CellContext`b}, 
         Table[
          ReplaceAll[$CellContext`a, 
           FindFit[
            $CellContext`zip[
             Range[
              Part[$CellContext`br, $CellContext`k], 
              Part[$CellContext`br, $CellContext`k + 1]], 
             Take[$CellContext`data, {
               Part[$CellContext`br, $CellContext`k], 
               
               Part[$CellContext`br, $CellContext`k + 
                1]}]], $CellContext`a $CellContext`x + $CellContext`b, \
{$CellContext`a, $CellContext`b}, $CellContext`x]], {$CellContext`k, 1, 
           Length[$CellContext`br] - 1}]], $CellContext`zip[
         Pattern[$CellContext`A, 
          Blank[List]], 
         Pattern[$CellContext`B, 
          Blank[List]]] := Partition[
         Riffle[$CellContext`A, $CellContext`B], 2], 
       Attributes[Derivative] = {NHoldAll, ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input",
 CellChangeTimes->{{3.7997432487041297`*^9, 
  3.7997432490559273`*^9}},ExpressionUUID->"94b8c4f7-88b8-4ff5-80ab-\
571cdf9b0ed5"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Future of the Epidemic", "Subchapter",
 CellChangeTimes->{
  3.798185007573067*^9, {3.7981850458716373`*^9, 3.7981851305000806`*^9}, {
   3.798185289774167*^9, 3.7981854075661488`*^9}, 3.798185924746383*^9, 
   3.798186030492631*^9, {3.7982601821904235`*^9, 3.798260201196514*^9}, {
   3.798683802639268*^9, 3.7986838728538713`*^9}, {3.7986936636330338`*^9, 
   3.798693700094287*^9}, {3.798847766361415*^9, 3.798847781472574*^9}, {
   3.7989487405386004`*^9, 3.7989487939301558`*^9}, {3.7989493952231035`*^9, 
   3.7989494112319517`*^9}, {3.799012923369156*^9, 3.799012934089102*^9}},
 FontColor->RGBColor[
  0.5, 0, 0.5],ExpressionUUID->"24023a69-4f1c-491e-af4f-b3422fd7cf40"],

Cell[TextData[{
 "Epidemic curve if  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "t"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "6356229c-0eb4-4a18-a6e1-a4c436e00f73"],
 " is not changed by humans and let the nature go its course (if no new \
measures are taken from t=0)."
}], "Text",
 CellChangeTimes->{{3.7990129416525416`*^9, 3.799013048713222*^9}, {
  3.799013154581736*^9, 
  3.7990132978384237`*^9}},ExpressionUUID->"11bc3d3c-947a-40ae-8bd0-\
9f74a67685fc"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`sol$$ = {{$CellContext`Rt -> 
    InterpolatingFunction[{{1., 400.}}, {
      5, 7, 1, {105}, {4}, 0, 0, 0, 0, Automatic, {}, {}, 
       False}, CompressedData["
1:eJwBWQOm/CFib1JlAgAAAAEAAABpAAAAAAAAAAAA8D+yNBv3LZnxP2VpNu5b
MvM/F55R5YnL9D+I1jDGqmMCQAXeuJmQYQpAwXKgNrsvEUB/dmQgri4VQD16
KAqhLRlAxPfrPOJ5JUBossP081wuQIe2TdYCoDNA2ZM5sosROEAscSWOFIM8
QD+nCLVOekBA4GWA9VMJQ0CCJPg1WZhFQCPjb3ZeJ0hAxaHntmO2SkBmYF/3
aEVNQAcf1zdu1E9A1G4nvLkxUUBL7zE2qihSQMNvPLCaH1NAaCpEtrTnU0AO
5Uu8zq9UQLSfU8Lod1VAWlpbyAJAVkAAFWPOHAhXQKbPatQ20FdATIpy2lCY
WEDyRHrgamBZQJj/geaEKFpAPrqJ7J7wWkDkdJHyuLhbQCgkHtvHV1xAbdOq
w9b2XECygjes5ZVdQPYxxJT0NF5AO+FQfQPUXkB/kN1lEnNfQOIfNacQCWBA
hHd7G5hYYEAnz8GPH6hgQMkmCASn92BAa35OeC5HYUAO1pTstZZhQLAt22A9
5mFAUoUh1cQ1YkD13GdJTIViQJc0rr3T1GJAOYz0MVskY0Dc4zqm4nNjQH47
gRpqw2NAIJPHjvESZEDD6g0DeWJkQGVCVHcAsmRAB5qa64cBZUCq8eBfD1Fl
QExJJ9SWoGVA7qBtSB7wZUCR+LO8pT9mQJQOc39inGZAmCQyQh/5ZkCbOvEE
3FVnQJ9QsMeYsmdAomZvilUPaECmfC5NEmxoQKmS7Q/PyGhABnbw/ig8aUBj
WfPtgq9pQL889tzcImpAHCD5yzaWakB5A/y6kAlrQNbm/qnqfGtAM8oBmUTw
a0CQrQSInmNsQJq7DST5/mxApckWwFOabUCw1x9crjVuQLvlKPgI0W5AxfMx
lGNsb0DogB0Y3wNwQO4HImaMUXBA844mtDmfcEBlUcJ3+vVwQNcTXju7THFA
SNb5/nujcUC6mJXCPPpxQCxbMYb9UHJAnh3NSb6nckAQ4GgNf/5yQIGiBNE/
VXNA82SglACsc0BlJzxYwQJ0QN1wfrX/iHRAVrrAEj4PdUDOAwNwfJV1QEdN
Rc26G3ZAv5aHKvmhdkA34MmHNyh3QLApDOV1rndAzEz6DoRSeEBmJn0HQql4
QAAAAAAAAHlAp3Z7sA==
      "], {
      Developer`PackedArrayForm, {0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 
       24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 58,
        60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86, 88, 90, 92, 
       94, 96, 98, 100, 102, 104, 106, 108, 110, 112, 114, 116, 118, 120, 122,
        124, 126, 128, 130, 132, 134, 136, 138, 140, 142, 144, 146, 148, 150, 
       152, 154, 156, 158, 160, 162, 164, 166, 168, 170, 172, 174, 176, 178, 
       180, 182, 184, 186, 188, 190, 192, 194, 196, 198, 200, 202, 204, 206, 
       208, 210}, CompressedData["
1:eJwNynk81AkfwPFxrJJdVzFDzpSbJPf1VUp6kJSsiDGkVLRC63qmbYwpjchI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       "]}, {Automatic}], $CellContext`s -> 
    InterpolatingFunction[{{1., 400.}}, {
      5, 7, 1, {105}, {4}, 0, 0, 0, 0, Automatic, {}, {}, 
       False}, CompressedData["
1:eJwBWQOm/CFib1JlAgAAAAEAAABpAAAAAAAAAAAA8D+yNBv3LZnxP2VpNu5b
MvM/F55R5YnL9D+I1jDGqmMCQAXeuJmQYQpAwXKgNrsvEUB/dmQgri4VQD16
KAqhLRlAxPfrPOJ5JUBossP081wuQIe2TdYCoDNA2ZM5sosROEAscSWOFIM8
QD+nCLVOekBA4GWA9VMJQ0CCJPg1WZhFQCPjb3ZeJ0hAxaHntmO2SkBmYF/3
aEVNQAcf1zdu1E9A1G4nvLkxUUBL7zE2qihSQMNvPLCaH1NAaCpEtrTnU0AO
5Uu8zq9UQLSfU8Lod1VAWlpbyAJAVkAAFWPOHAhXQKbPatQ20FdATIpy2lCY
WEDyRHrgamBZQJj/geaEKFpAPrqJ7J7wWkDkdJHyuLhbQCgkHtvHV1xAbdOq
w9b2XECygjes5ZVdQPYxxJT0NF5AO+FQfQPUXkB/kN1lEnNfQOIfNacQCWBA
hHd7G5hYYEAnz8GPH6hgQMkmCASn92BAa35OeC5HYUAO1pTstZZhQLAt22A9
5mFAUoUh1cQ1YkD13GdJTIViQJc0rr3T1GJAOYz0MVskY0Dc4zqm4nNjQH47
gRpqw2NAIJPHjvESZEDD6g0DeWJkQGVCVHcAsmRAB5qa64cBZUCq8eBfD1Fl
QExJJ9SWoGVA7qBtSB7wZUCR+LO8pT9mQJQOc39inGZAmCQyQh/5ZkCbOvEE
3FVnQJ9QsMeYsmdAomZvilUPaECmfC5NEmxoQKmS7Q/PyGhABnbw/ig8aUBj
WfPtgq9pQL889tzcImpAHCD5yzaWakB5A/y6kAlrQNbm/qnqfGtAM8oBmUTw
a0CQrQSInmNsQJq7DST5/mxApckWwFOabUCw1x9crjVuQLvlKPgI0W5AxfMx
lGNsb0DogB0Y3wNwQO4HImaMUXBA844mtDmfcEBlUcJ3+vVwQNcTXju7THFA
SNb5/nujcUC6mJXCPPpxQCxbMYb9UHJAnh3NSb6nckAQ4GgNf/5yQIGiBNE/
VXNA82SglACsc0BlJzxYwQJ0QN1wfrX/iHRAVrrAEj4PdUDOAwNwfJV1QEdN
Rc26G3ZAv5aHKvmhdkA34MmHNyh3QLApDOV1rndAzEz6DoRSeEBmJn0HQql4
QAAAAAAAAHlAp3Z7sA==
      "], {
      Developer`PackedArrayForm, {0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 
       24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 58,
        60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86, 88, 90, 92, 
       94, 96, 98, 100, 102, 104, 106, 108, 110, 112, 114, 116, 118, 120, 122,
        124, 126, 128, 130, 132, 134, 136, 138, 140, 142, 144, 146, 148, 150, 
       152, 154, 156, 158, 160, 162, 164, 166, 168, 170, 172, 174, 176, 178, 
       180, 182, 184, 186, 188, 190, 192, 194, 196, 198, 200, 202, 204, 206, 
       208, 210}, CompressedData["
1:eJwNynk81AkfwPEhaiIqytW6y7GDxrF2i3w36RBCpn2048yRSjl7hGcwoS2S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       "]}, {Automatic}], $CellContext`i -> 
    InterpolatingFunction[{{1., 400.}}, {
      5, 7, 1, {105}, {4}, 0, 0, 0, 0, Automatic, {}, {}, 
       False}, CompressedData["
1:eJwBWQOm/CFib1JlAgAAAAEAAABpAAAAAAAAAAAA8D+yNBv3LZnxP2VpNu5b
MvM/F55R5YnL9D+I1jDGqmMCQAXeuJmQYQpAwXKgNrsvEUB/dmQgri4VQD16
KAqhLRlAxPfrPOJ5JUBossP081wuQIe2TdYCoDNA2ZM5sosROEAscSWOFIM8
QD+nCLVOekBA4GWA9VMJQ0CCJPg1WZhFQCPjb3ZeJ0hAxaHntmO2SkBmYF/3
aEVNQAcf1zdu1E9A1G4nvLkxUUBL7zE2qihSQMNvPLCaH1NAaCpEtrTnU0AO
5Uu8zq9UQLSfU8Lod1VAWlpbyAJAVkAAFWPOHAhXQKbPatQ20FdATIpy2lCY
WEDyRHrgamBZQJj/geaEKFpAPrqJ7J7wWkDkdJHyuLhbQCgkHtvHV1xAbdOq
w9b2XECygjes5ZVdQPYxxJT0NF5AO+FQfQPUXkB/kN1lEnNfQOIfNacQCWBA
hHd7G5hYYEAnz8GPH6hgQMkmCASn92BAa35OeC5HYUAO1pTstZZhQLAt22A9
5mFAUoUh1cQ1YkD13GdJTIViQJc0rr3T1GJAOYz0MVskY0Dc4zqm4nNjQH47
gRpqw2NAIJPHjvESZEDD6g0DeWJkQGVCVHcAsmRAB5qa64cBZUCq8eBfD1Fl
QExJJ9SWoGVA7qBtSB7wZUCR+LO8pT9mQJQOc39inGZAmCQyQh/5ZkCbOvEE
3FVnQJ9QsMeYsmdAomZvilUPaECmfC5NEmxoQKmS7Q/PyGhABnbw/ig8aUBj
WfPtgq9pQL889tzcImpAHCD5yzaWakB5A/y6kAlrQNbm/qnqfGtAM8oBmUTw
a0CQrQSInmNsQJq7DST5/mxApckWwFOabUCw1x9crjVuQLvlKPgI0W5AxfMx
lGNsb0DogB0Y3wNwQO4HImaMUXBA844mtDmfcEBlUcJ3+vVwQNcTXju7THFA
SNb5/nujcUC6mJXCPPpxQCxbMYb9UHJAnh3NSb6nckAQ4GgNf/5yQIGiBNE/
VXNA82SglACsc0BlJzxYwQJ0QN1wfrX/iHRAVrrAEj4PdUDOAwNwfJV1QEdN
Rc26G3ZAv5aHKvmhdkA34MmHNyh3QLApDOV1rndAzEz6DoRSeEBmJn0HQql4
QAAAAAAAAHlAp3Z7sA==
      "], {
      Developer`PackedArrayForm, {0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 
       24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 58,
        60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86, 88, 90, 92, 
       94, 96, 98, 100, 102, 104, 106, 108, 110, 112, 114, 116, 118, 120, 122,
        124, 126, 128, 130, 132, 134, 136, 138, 140, 142, 144, 146, 148, 150, 
       152, 154, 156, 158, 160, 162, 164, 166, 168, 170, 172, 174, 176, 178, 
       180, 182, 184, 186, 188, 190, 192, 194, 196, 198, 200, 202, 204, 206, 
       208, 210}, CompressedData["
1:eJwNwwk8FPgeAHDreKhGjuTIMDzJJkdKVMzPGMaVjNusc4YhS/KQV4+tjah1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       "]}, {Automatic}], $CellContext`r -> 
    InterpolatingFunction[{{1., 400.}}, {
      5, 7, 1, {105}, {4}, 0, 0, 0, 0, Automatic, {}, {}, 
       False}, CompressedData["
1:eJwBWQOm/CFib1JlAgAAAAEAAABpAAAAAAAAAAAA8D+yNBv3LZnxP2VpNu5b
MvM/F55R5YnL9D+I1jDGqmMCQAXeuJmQYQpAwXKgNrsvEUB/dmQgri4VQD16
KAqhLRlAxPfrPOJ5JUBossP081wuQIe2TdYCoDNA2ZM5sosROEAscSWOFIM8
QD+nCLVOekBA4GWA9VMJQ0CCJPg1WZhFQCPjb3ZeJ0hAxaHntmO2SkBmYF/3
aEVNQAcf1zdu1E9A1G4nvLkxUUBL7zE2qihSQMNvPLCaH1NAaCpEtrTnU0AO
5Uu8zq9UQLSfU8Lod1VAWlpbyAJAVkAAFWPOHAhXQKbPatQ20FdATIpy2lCY
WEDyRHrgamBZQJj/geaEKFpAPrqJ7J7wWkDkdJHyuLhbQCgkHtvHV1xAbdOq
w9b2XECygjes5ZVdQPYxxJT0NF5AO+FQfQPUXkB/kN1lEnNfQOIfNacQCWBA
hHd7G5hYYEAnz8GPH6hgQMkmCASn92BAa35OeC5HYUAO1pTstZZhQLAt22A9
5mFAUoUh1cQ1YkD13GdJTIViQJc0rr3T1GJAOYz0MVskY0Dc4zqm4nNjQH47
gRpqw2NAIJPHjvESZEDD6g0DeWJkQGVCVHcAsmRAB5qa64cBZUCq8eBfD1Fl
QExJJ9SWoGVA7qBtSB7wZUCR+LO8pT9mQJQOc39inGZAmCQyQh/5ZkCbOvEE
3FVnQJ9QsMeYsmdAomZvilUPaECmfC5NEmxoQKmS7Q/PyGhABnbw/ig8aUBj
WfPtgq9pQL889tzcImpAHCD5yzaWakB5A/y6kAlrQNbm/qnqfGtAM8oBmUTw
a0CQrQSInmNsQJq7DST5/mxApckWwFOabUCw1x9crjVuQLvlKPgI0W5AxfMx
lGNsb0DogB0Y3wNwQO4HImaMUXBA844mtDmfcEBlUcJ3+vVwQNcTXju7THFA
SNb5/nujcUC6mJXCPPpxQCxbMYb9UHJAnh3NSb6nckAQ4GgNf/5yQIGiBNE/
VXNA82SglACsc0BlJzxYwQJ0QN1wfrX/iHRAVrrAEj4PdUDOAwNwfJV1QEdN
Rc26G3ZAv5aHKvmhdkA34MmHNyh3QLApDOV1rndAzEz6DoRSeEBmJn0HQql4
QAAAAAAAAHlAp3Z7sA==
      "], {
      Developer`PackedArrayForm, {0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 
       24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 58,
        60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86, 88, 90, 92, 
       94, 96, 98, 100, 102, 104, 106, 108, 110, 112, 114, 116, 118, 120, 122,
        124, 126, 128, 130, 132, 134, 136, 138, 140, 142, 144, 146, 148, 150, 
       152, 154, 156, 158, 160, 162, 164, 166, 168, 170, 172, 174, 176, 178, 
       180, 182, 184, 186, 188, 190, 192, 194, 196, 198, 200, 202, 204, 206, 
       208, 210}, CompressedData["
1:eJwNx3kg1IkCB3DXtGO9FpOI4jEkR2VfT1hN83VEjlrrjhCKTGkmt3GN871C
YdkcOcsumxqETtc+OcpNa1e7i3HMzM+xtcrk7u0fnz8+Gv4spwBxMTGxkb/1
1bf8eO6tMcpMhK5h+1fp9ZE1GXKKJkgKoCcEnlilS1SZk97TTDCZaY+k86t0
7epl188umMC657+9Hcmr9EypBq22la8Q1JYmpfhijb7jZOQCufgYjmuGvB7d
vUHXcsjq/8v9OPTY8gdHozfp+V+VXs/TAyg4/OjD0hY98UUx9Ua6GSbaMqO0
Ij/RW37geQ4xrUCU1pUv3ZVE4buVMr10eyiSDuXnpZJxj6tU15fnCNbdHRP8
wi/gm2T6OMrNDW/G8Nl9pV0wFO/xq7XyAvvmsXeGw0owUm2gW4z5wdDBfdSl
QRVifG6yL/0i9NbbAs5rasL50vPuiKNMMJ5Xl+J7HZwyeXnK8lYYrh1pVx9r
NABPydm1woMNvmL51A0fQ9yXcemdOpeI7Wp9bRMNU6gcHTudopqGrv7OqKKn
ZmA+l1xXPpSBOzW+VbWeVii/uL5SychGKtNEwafUFhl37vEP9OXCwkr9rs29
r1FHOtd6kJQP5dv+5NUGR9ScutLf1VyEuQcvKeRAF7DvM3TEpcpAzbr/i3mY
O/xO16U0iSrQvFiUqT/jibxDO4PjuioxZKWvHtrsA1eNTFX+RhVY3rxdB5P9
sLlTNuDPihpUyhadIE2ex9pgeklrRy1oIy3xb8MDUTKu6HTY6CHKumftLS0Y
KE9Rm6WONiLcm/CjWgbjMj/2VmzLY8ToBbioh7AgyJnqqLB5BpfXhk060iEY
a5wP/x+5BXdbf9HS8w8Fp3NFJNhuA7ePnC/bHobx5iqNju9+gr97NHNELQKS
TUY0w5MdkEox4G2zI6Eg1iThuKsTbtv7fIb7omCempxqsdaFhmXSsieFjcmu
Dv/Bjz2oFCUb1FjFwP3bYab3zl7E5Hrv3PKLxcDKh5ci434U6K4NzvjHodjq
bZBTxCBUov7BDz8Rj6zN3CEWbwjzujqjlyUToDJvsWf+ixH8cLOhy6okAT7y
MVKl5qOoVg21dJbjYPL2CzIp+jW2evlabWc5sLvikpZX9zOK3zvTMjgczLVz
BZ3EGK5uHclOieNAmWjSUqP+imU7GaGuCweLo6G2hmfG8UThTO1tMgdXArRW
HqW/gSbN62x4cQJMmUGVV5/8hh/DJBhcSgKmR//osZv6HdLlj7tSmfE4Jkt5
6iA+gQztEKpbQxy+ttXPqVGZhMHm3kMZs7GwO1lLGds9BVrhcU4iKRZx+2QV
pwqnkChqZoUrx8C5oHvGVJmH8OCN6WhNNmxkNxlFVTzEx9PbeBtRkEzR7TUy
mIbGglRFx0AkvuGqtKzXTsNpZver9rIIfCgxvzOrOwPHtKSJ7ZBweGy1NUmW
zOBnp9kwXZsw5Owu8IiQnsWpzILoaK1QDEfsz/ZnzSKEwwp+Qg5Bebdwzmdu
FjoX+of/ZLCAG0yqlNMcHnUKs91ngmE6MC090DQHy2vBFLvES+gwin0AeT7+
3SuzQLcIQk6QL3fyAh9PqZ/o7bqBUPMhaEfr+RC7ZPxbkdEFdNfPN3eK+Phe
EOEtHeQPN2r/BsVIAItu1savzb4g03IbbZMFaCHtk2AHeENzaOukdqcAwmS3
5dsdHjBO8jNr+CTAQU9D/mK6G1I+qqXPHhHiukyZuPRDZyxkhQfmnxNCdPHJ
23oDR7z6I5KS+x8hFCy1lxVEp3E1JHTuerUQI7lqVmwlO1D2LzWpdAkhb2PO
VWu0RpmFsWXhtBBxAoe83suWOJtt+0a0LsTepBmT14Vm4FEZ2z2yBEYiXFrH
vWjw0o6Uy9EgoP/PazN2xibQKKE9a/2SwLSS8t70e4a4ZHfswMPjBEKCnr63
qPgXPDN/kmq1IVDy+ctbY/KHwVoasNN1IiDHyUkX3NGFFLtx6EtPAnrWQxFr
4/txTS6rjuxH4OOWhwm1jAoJxryAyyBw0+iB0WV5VdSzeQPMqwT2uC45qHAV
kZMvP/IwgkBqnte3O+rlsWg2YjrAJhDcfb7fsUAGe0Z4ByTiCWjY7+r8LpWE
rbo1dhKHwJm/pikfusTwbF24EJZEoLRuNblXZ51urf07yyKFQMNEu3qu/Xu6
iqj/gWQqgcE9adnWV97RX7EXj1T/fW5naKz86gL9/6GlHdE=
       "]}, {Automatic}]}}, $CellContext`contentR$$ = {
   InterpolatingFunction[{{1., 400.}}, {
    5, 7, 1, {105}, {4}, 0, 0, 0, 0, Automatic, {}, {}, 
     False}, CompressedData["
1:eJwBWQOm/CFib1JlAgAAAAEAAABpAAAAAAAAAAAA8D+yNBv3LZnxP2VpNu5b
MvM/F55R5YnL9D+I1jDGqmMCQAXeuJmQYQpAwXKgNrsvEUB/dmQgri4VQD16
KAqhLRlAxPfrPOJ5JUBossP081wuQIe2TdYCoDNA2ZM5sosROEAscSWOFIM8
QD+nCLVOekBA4GWA9VMJQ0CCJPg1WZhFQCPjb3ZeJ0hAxaHntmO2SkBmYF/3
aEVNQAcf1zdu1E9A1G4nvLkxUUBL7zE2qihSQMNvPLCaH1NAaCpEtrTnU0AO
5Uu8zq9UQLSfU8Lod1VAWlpbyAJAVkAAFWPOHAhXQKbPatQ20FdATIpy2lCY
WEDyRHrgamBZQJj/geaEKFpAPrqJ7J7wWkDkdJHyuLhbQCgkHtvHV1xAbdOq
w9b2XECygjes5ZVdQPYxxJT0NF5AO+FQfQPUXkB/kN1lEnNfQOIfNacQCWBA
hHd7G5hYYEAnz8GPH6hgQMkmCASn92BAa35OeC5HYUAO1pTstZZhQLAt22A9
5mFAUoUh1cQ1YkD13GdJTIViQJc0rr3T1GJAOYz0MVskY0Dc4zqm4nNjQH47
gRpqw2NAIJPHjvESZEDD6g0DeWJkQGVCVHcAsmRAB5qa64cBZUCq8eBfD1Fl
QExJJ9SWoGVA7qBtSB7wZUCR+LO8pT9mQJQOc39inGZAmCQyQh/5ZkCbOvEE
3FVnQJ9QsMeYsmdAomZvilUPaECmfC5NEmxoQKmS7Q/PyGhABnbw/ig8aUBj
WfPtgq9pQL889tzcImpAHCD5yzaWakB5A/y6kAlrQNbm/qnqfGtAM8oBmUTw
a0CQrQSInmNsQJq7DST5/mxApckWwFOabUCw1x9crjVuQLvlKPgI0W5AxfMx
lGNsb0DogB0Y3wNwQO4HImaMUXBA844mtDmfcEBlUcJ3+vVwQNcTXju7THFA
SNb5/nujcUC6mJXCPPpxQCxbMYb9UHJAnh3NSb6nckAQ4GgNf/5yQIGiBNE/
VXNA82SglACsc0BlJzxYwQJ0QN1wfrX/iHRAVrrAEj4PdUDOAwNwfJV1QEdN
Rc26G3ZAv5aHKvmhdkA34MmHNyh3QLApDOV1rndAzEz6DoRSeEBmJn0HQql4
QAAAAAAAAHlAp3Z7sA==
    "], {Developer`PackedArrayForm, {0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 
     22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 
     58, 60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86, 88, 90, 92, 
     94, 96, 98, 100, 102, 104, 106, 108, 110, 112, 114, 116, 118, 120, 122, 
     124, 126, 128, 130, 132, 134, 136, 138, 140, 142, 144, 146, 148, 150, 
     152, 154, 156, 158, 160, 162, 164, 166, 168, 170, 172, 174, 176, 178, 
     180, 182, 184, 186, 188, 190, 192, 194, 196, 198, 200, 202, 204, 206, 
     208, 210}, CompressedData["
1:eJwNynk81AkfwPFxrJJdVzFDzpSbJPf1VUp6kJSsiDGkVLRC63qmbYwpjchI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     "]}, {Automatic}][$CellContext`t]}, $CellContext`contents$$ = {
   InterpolatingFunction[{{1., 400.}}, {
    5, 7, 1, {105}, {4}, 0, 0, 0, 0, Automatic, {}, {}, 
     False}, CompressedData["
1:eJwBWQOm/CFib1JlAgAAAAEAAABpAAAAAAAAAAAA8D+yNBv3LZnxP2VpNu5b
MvM/F55R5YnL9D+I1jDGqmMCQAXeuJmQYQpAwXKgNrsvEUB/dmQgri4VQD16
KAqhLRlAxPfrPOJ5JUBossP081wuQIe2TdYCoDNA2ZM5sosROEAscSWOFIM8
QD+nCLVOekBA4GWA9VMJQ0CCJPg1WZhFQCPjb3ZeJ0hAxaHntmO2SkBmYF/3
aEVNQAcf1zdu1E9A1G4nvLkxUUBL7zE2qihSQMNvPLCaH1NAaCpEtrTnU0AO
5Uu8zq9UQLSfU8Lod1VAWlpbyAJAVkAAFWPOHAhXQKbPatQ20FdATIpy2lCY
WEDyRHrgamBZQJj/geaEKFpAPrqJ7J7wWkDkdJHyuLhbQCgkHtvHV1xAbdOq
w9b2XECygjes5ZVdQPYxxJT0NF5AO+FQfQPUXkB/kN1lEnNfQOIfNacQCWBA
hHd7G5hYYEAnz8GPH6hgQMkmCASn92BAa35OeC5HYUAO1pTstZZhQLAt22A9
5mFAUoUh1cQ1YkD13GdJTIViQJc0rr3T1GJAOYz0MVskY0Dc4zqm4nNjQH47
gRpqw2NAIJPHjvESZEDD6g0DeWJkQGVCVHcAsmRAB5qa64cBZUCq8eBfD1Fl
QExJJ9SWoGVA7qBtSB7wZUCR+LO8pT9mQJQOc39inGZAmCQyQh/5ZkCbOvEE
3FVnQJ9QsMeYsmdAomZvilUPaECmfC5NEmxoQKmS7Q/PyGhABnbw/ig8aUBj
WfPtgq9pQL889tzcImpAHCD5yzaWakB5A/y6kAlrQNbm/qnqfGtAM8oBmUTw
a0CQrQSInmNsQJq7DST5/mxApckWwFOabUCw1x9crjVuQLvlKPgI0W5AxfMx
lGNsb0DogB0Y3wNwQO4HImaMUXBA844mtDmfcEBlUcJ3+vVwQNcTXju7THFA
SNb5/nujcUC6mJXCPPpxQCxbMYb9UHJAnh3NSb6nckAQ4GgNf/5yQIGiBNE/
VXNA82SglACsc0BlJzxYwQJ0QN1wfrX/iHRAVrrAEj4PdUDOAwNwfJV1QEdN
Rc26G3ZAv5aHKvmhdkA34MmHNyh3QLApDOV1rndAzEz6DoRSeEBmJn0HQql4
QAAAAAAAAHlAp3Z7sA==
    "], {Developer`PackedArrayForm, {0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 
     22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 
     58, 60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86, 88, 90, 92, 
     94, 96, 98, 100, 102, 104, 106, 108, 110, 112, 114, 116, 118, 120, 122, 
     124, 126, 128, 130, 132, 134, 136, 138, 140, 142, 144, 146, 148, 150, 
     152, 154, 156, 158, 160, 162, 164, 166, 168, 170, 172, 174, 176, 178, 
     180, 182, 184, 186, 188, 190, 192, 194, 196, 198, 200, 202, 204, 206, 
     208, 210}, CompressedData["
1:eJwNynk81AkfwPEhaiIqytW6y7GDxrF2i3w36RBCpn2048yRSjl7hGcwoS2S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     "]}, {Automatic}][$CellContext`t]}, $CellContext`contenti$$ = {
   InterpolatingFunction[{{1., 400.}}, {
    5, 7, 1, {105}, {4}, 0, 0, 0, 0, Automatic, {}, {}, 
     False}, CompressedData["
1:eJwBWQOm/CFib1JlAgAAAAEAAABpAAAAAAAAAAAA8D+yNBv3LZnxP2VpNu5b
MvM/F55R5YnL9D+I1jDGqmMCQAXeuJmQYQpAwXKgNrsvEUB/dmQgri4VQD16
KAqhLRlAxPfrPOJ5JUBossP081wuQIe2TdYCoDNA2ZM5sosROEAscSWOFIM8
QD+nCLVOekBA4GWA9VMJQ0CCJPg1WZhFQCPjb3ZeJ0hAxaHntmO2SkBmYF/3
aEVNQAcf1zdu1E9A1G4nvLkxUUBL7zE2qihSQMNvPLCaH1NAaCpEtrTnU0AO
5Uu8zq9UQLSfU8Lod1VAWlpbyAJAVkAAFWPOHAhXQKbPatQ20FdATIpy2lCY
WEDyRHrgamBZQJj/geaEKFpAPrqJ7J7wWkDkdJHyuLhbQCgkHtvHV1xAbdOq
w9b2XECygjes5ZVdQPYxxJT0NF5AO+FQfQPUXkB/kN1lEnNfQOIfNacQCWBA
hHd7G5hYYEAnz8GPH6hgQMkmCASn92BAa35OeC5HYUAO1pTstZZhQLAt22A9
5mFAUoUh1cQ1YkD13GdJTIViQJc0rr3T1GJAOYz0MVskY0Dc4zqm4nNjQH47
gRpqw2NAIJPHjvESZEDD6g0DeWJkQGVCVHcAsmRAB5qa64cBZUCq8eBfD1Fl
QExJJ9SWoGVA7qBtSB7wZUCR+LO8pT9mQJQOc39inGZAmCQyQh/5ZkCbOvEE
3FVnQJ9QsMeYsmdAomZvilUPaECmfC5NEmxoQKmS7Q/PyGhABnbw/ig8aUBj
WfPtgq9pQL889tzcImpAHCD5yzaWakB5A/y6kAlrQNbm/qnqfGtAM8oBmUTw
a0CQrQSInmNsQJq7DST5/mxApckWwFOabUCw1x9crjVuQLvlKPgI0W5AxfMx
lGNsb0DogB0Y3wNwQO4HImaMUXBA844mtDmfcEBlUcJ3+vVwQNcTXju7THFA
SNb5/nujcUC6mJXCPPpxQCxbMYb9UHJAnh3NSb6nckAQ4GgNf/5yQIGiBNE/
VXNA82SglACsc0BlJzxYwQJ0QN1wfrX/iHRAVrrAEj4PdUDOAwNwfJV1QEdN
Rc26G3ZAv5aHKvmhdkA34MmHNyh3QLApDOV1rndAzEz6DoRSeEBmJn0HQql4
QAAAAAAAAHlAp3Z7sA==
    "], {Developer`PackedArrayForm, {0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 
     22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 
     58, 60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86, 88, 90, 92, 
     94, 96, 98, 100, 102, 104, 106, 108, 110, 112, 114, 116, 118, 120, 122, 
     124, 126, 128, 130, 132, 134, 136, 138, 140, 142, 144, 146, 148, 150, 
     152, 154, 156, 158, 160, 162, 164, 166, 168, 170, 172, 174, 176, 178, 
     180, 182, 184, 186, 188, 190, 192, 194, 196, 198, 200, 202, 204, 206, 
     208, 210}, CompressedData["
1:eJwNwwk8FPgeAHDreKhGjuTIMDzJJkdKVMzPGMaVjNusc4YhS/KQV4+tjah1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     "]}, {Automatic}][$CellContext`t]}, $CellContext`contentr$$ = {
   InterpolatingFunction[{{1., 400.}}, {
    5, 7, 1, {105}, {4}, 0, 0, 0, 0, Automatic, {}, {}, 
     False}, CompressedData["
1:eJwBWQOm/CFib1JlAgAAAAEAAABpAAAAAAAAAAAA8D+yNBv3LZnxP2VpNu5b
MvM/F55R5YnL9D+I1jDGqmMCQAXeuJmQYQpAwXKgNrsvEUB/dmQgri4VQD16
KAqhLRlAxPfrPOJ5JUBossP081wuQIe2TdYCoDNA2ZM5sosROEAscSWOFIM8
QD+nCLVOekBA4GWA9VMJQ0CCJPg1WZhFQCPjb3ZeJ0hAxaHntmO2SkBmYF/3
aEVNQAcf1zdu1E9A1G4nvLkxUUBL7zE2qihSQMNvPLCaH1NAaCpEtrTnU0AO
5Uu8zq9UQLSfU8Lod1VAWlpbyAJAVkAAFWPOHAhXQKbPatQ20FdATIpy2lCY
WEDyRHrgamBZQJj/geaEKFpAPrqJ7J7wWkDkdJHyuLhbQCgkHtvHV1xAbdOq
w9b2XECygjes5ZVdQPYxxJT0NF5AO+FQfQPUXkB/kN1lEnNfQOIfNacQCWBA
hHd7G5hYYEAnz8GPH6hgQMkmCASn92BAa35OeC5HYUAO1pTstZZhQLAt22A9
5mFAUoUh1cQ1YkD13GdJTIViQJc0rr3T1GJAOYz0MVskY0Dc4zqm4nNjQH47
gRpqw2NAIJPHjvESZEDD6g0DeWJkQGVCVHcAsmRAB5qa64cBZUCq8eBfD1Fl
QExJJ9SWoGVA7qBtSB7wZUCR+LO8pT9mQJQOc39inGZAmCQyQh/5ZkCbOvEE
3FVnQJ9QsMeYsmdAomZvilUPaECmfC5NEmxoQKmS7Q/PyGhABnbw/ig8aUBj
WfPtgq9pQL889tzcImpAHCD5yzaWakB5A/y6kAlrQNbm/qnqfGtAM8oBmUTw
a0CQrQSInmNsQJq7DST5/mxApckWwFOabUCw1x9crjVuQLvlKPgI0W5AxfMx
lGNsb0DogB0Y3wNwQO4HImaMUXBA844mtDmfcEBlUcJ3+vVwQNcTXju7THFA
SNb5/nujcUC6mJXCPPpxQCxbMYb9UHJAnh3NSb6nckAQ4GgNf/5yQIGiBNE/
VXNA82SglACsc0BlJzxYwQJ0QN1wfrX/iHRAVrrAEj4PdUDOAwNwfJV1QEdN
Rc26G3ZAv5aHKvmhdkA34MmHNyh3QLApDOV1rndAzEz6DoRSeEBmJn0HQql4
QAAAAAAAAHlAp3Z7sA==
    "], {Developer`PackedArrayForm, {0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 
     22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 
     58, 60, 62, 64, 66, 68, 70, 72, 74, 76, 78, 80, 82, 84, 86, 88, 90, 92, 
     94, 96, 98, 100, 102, 104, 106, 108, 110, 112, 114, 116, 118, 120, 122, 
     124, 126, 128, 130, 132, 134, 136, 138, 140, 142, 144, 146, 148, 150, 
     152, 154, 156, 158, 160, 162, 164, 166, 168, 170, 172, 174, 176, 178, 
     180, 182, 184, 186, 188, 190, 192, 194, 196, 198, 200, 202, 204, 206, 
     208, 210}, CompressedData["
1:eJwNx3kg1IkCB3DXtGO9FpOI4jEkR2VfT1hN83VEjlrrjhCKTGkmt3GN871C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     "]}, {Automatic}][$CellContext`t]}, $CellContext`content1$$ = 
  1, $CellContext`myrange$$ = Automatic}, 
  TagBox[
   StyleBox[
    DynamicModuleBox[{$CellContext`ionly$$ = False, $CellContext`n$$ = 
     400, $CellContext`Rt0$$ = 2, $CellContext`showi$$ = 
     True, $CellContext`showr$$ = True, $CellContext`showR$$ = 
     True, $CellContext`shows$$ = True, Typeset`show$$ = True, 
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
     Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
     "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
        Hold[$CellContext`ionly$$], False, 
        Style["active cases(i)  of the\n world (by numbers) ", Smaller]}, {
       True, False}}, {{
        Hold[$CellContext`showR$$], True, 
        "Show \!\(\*SubscriptBox[\(R\), \(t\)]\) "}, {True, False}}, {{
        Hold[$CellContext`shows$$], True, "Show s (ratio)"}, {True, False}}, {{
        Hold[$CellContext`showi$$], True, "Show i (ratio)"}, {True, False}}, {{
        Hold[$CellContext`showr$$], True, "Show r (ratio)"}, {True, False}}, {{
        Hold[$CellContext`Rt0$$], 2, "\!\(\*SubscriptBox[\(R\), \(0\)]\)"}, 
       0.5, 5, 0.01}, {{
        Hold[$CellContext`n$$], 400, "Duration"}, 100, 4000, 1}}, 
     Typeset`size$$ = {1214., {273., 281.}}, Typeset`update$$ = 0, 
     Typeset`initDone$$, Typeset`skipInitDone$$ = 
     True, $CellContext`ionly$419922$$ = False, $CellContext`showR$419923$$ = 
     False, $CellContext`shows$419924$$ = False, $CellContext`showi$419925$$ =
      False, $CellContext`showr$419926$$ = False, $CellContext`Rt0$419927$$ = 
     0, $CellContext`n$419928$$ = 0}, 
     DynamicBox[Manipulate`ManipulateBoxes[
      1, StandardForm, 
       "Variables" :> {$CellContext`ionly$$ = False, $CellContext`n$$ = 
         400, $CellContext`Rt0$$ = 2, $CellContext`showi$$ = 
         True, $CellContext`showr$$ = True, $CellContext`showR$$ = 
         True, $CellContext`shows$$ = True}, "ControllerVariables" :> {
         Hold[$CellContext`ionly$$, $CellContext`ionly$419922$$, False], 
         Hold[$CellContext`showR$$, $CellContext`showR$419923$$, False], 
         Hold[$CellContext`shows$$, $CellContext`shows$419924$$, False], 
         Hold[$CellContext`showi$$, $CellContext`showi$419925$$, False], 
         Hold[$CellContext`showr$$, $CellContext`showr$419926$$, False], 
         Hold[$CellContext`Rt0$$, $CellContext`Rt0$419927$$, 0], 
         Hold[$CellContext`n$$, $CellContext`n$419928$$, 0]}, 
       "OtherVariables" :> {
        Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
         Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
         Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
         Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
       Quiet[$CellContext`sol$$ = 
          NDSolve[{
            Derivative[
              1][$CellContext`Rt][$CellContext`t] == $CellContext`Rt0$$ 
              Derivative[1][$CellContext`s][$CellContext`t], 
             Derivative[
              1][$CellContext`s][$CellContext`t] == (-$CellContext`\[Gamma]) \
$CellContext`Rt[$CellContext`t] $CellContext`i[$CellContext`t], 
             Derivative[
              1][$CellContext`i][$CellContext`t] == $CellContext`\[Gamma] \
($CellContext`Rt[$CellContext`t] - 1) $CellContext`i[$CellContext`t], 
             Derivative[
              1][$CellContext`r][$CellContext`t] == $CellContext`\[Gamma] \
$CellContext`i[$CellContext`t], $CellContext`Rt[
              0] == $CellContext`Rt0$$, $CellContext`s[
              0] == ($CellContext`population - \
$CellContext`caseLatest)/$CellContext`population, $CellContext`i[
              0] == ($CellContext`caseLatest - \
$CellContext`recLatest)/$CellContext`population, $CellContext`r[
              0] == $CellContext`recLatest/$CellContext`population}, \
{$CellContext`Rt, $CellContext`s, $CellContext`i, $CellContext`r}, \
{$CellContext`t, 1, $CellContext`n$$}]; $CellContext`contentR$$ = If[
            And[$CellContext`showR$$, 
             Not[$CellContext`ionly$$]], 
            Evaluate[
             ReplaceAll[
              $CellContext`Rt[$CellContext`t], $CellContext`sol$$]]]; \
$CellContext`contents$$ = If[
            And[$CellContext`shows$$, 
             Not[$CellContext`ionly$$]], 
            Evaluate[
             ReplaceAll[
              $CellContext`s[$CellContext`t], $CellContext`sol$$]]]; \
$CellContext`contenti$$ = If[
            And[$CellContext`showi$$, 
             Not[$CellContext`ionly$$]], 
            Evaluate[
             ReplaceAll[
              $CellContext`i[$CellContext`t], $CellContext`sol$$]], 
            If[$CellContext`ionly$$, $CellContext`population Evaluate[
               ReplaceAll[
                $CellContext`i[$CellContext`t], $CellContext`sol$$]]]]; \
$CellContext`contentr$$ = If[
            And[$CellContext`showr$$, 
             Not[$CellContext`ionly$$]], 
            Evaluate[
             ReplaceAll[
              $CellContext`r[$CellContext`t], $CellContext`sol$$]]]; \
$CellContext`content1$$ = If[
            Not[$CellContext`ionly$$], 1]; $CellContext`myrange$$ = 
          If[$CellContext`ionly$$, All, Automatic]; 
         Plot[{$CellContext`content1$$, 
            
            Tooltip[$CellContext`contentR$$, 
             "\!\(\*SubscriptBox[\(R\), \(t\)]\)"], 
            Tooltip[$CellContext`contentr$$, "recover&deaths"], 
            Tooltip[$CellContext`contents$$, "susceptible"], 
            Tooltip[$CellContext`contenti$$, "infected"]}, {$CellContext`t, 
            0, $CellContext`n$$}, 
           PlotStyle -> {Dashed, Line, Line, Line, Line, Line}, 
           PlotLegends -> {
            "y=1", "\!\(\*SubscriptBox[\(R\), \(t\)]\)", 
             "r(recovered&deaths)", "s(susceptible)", 
             "i(infected=Active Cases)"}, ImageSize -> 600, 
           PlotRange -> $CellContext`myrange$$]], 
       "Specifications" :> {{{$CellContext`ionly$$, False, 
           Style["active cases(i)  of the\n world (by numbers) ", Smaller]}, {
          True, False}, ControlType -> RadioButton}, 
         Delimiter, {{$CellContext`showR$$, True, 
           "Show \!\(\*SubscriptBox[\(R\), \(t\)]\) "}, {
          True, False}}, {{$CellContext`shows$$, True, "Show s (ratio)"}, {
          True, False}}, {{$CellContext`showi$$, True, "Show i (ratio)"}, {
          True, False}}, {{$CellContext`showr$$, True, "Show r (ratio)"}, {
          True, False}}, {{$CellContext`Rt0$$, 2, 
           "\!\(\*SubscriptBox[\(R\), \(0\)]\)"}, 0.5, 5, 0.01, Appearance -> 
          "Labeled"}, {{$CellContext`n$$, 400, "Duration"}, 100, 4000, 1, 
          Appearance -> "Labeled"}}, 
       "Options" :> {
        FrameLabel -> 
         "The change of s,i,r with respect to \!\(\*SubscriptBox[\(R\), \(\(0\
\)\(\\ \)\)]\)"}, "DefaultOptions" :> {}],
      ImageSizeCache->{1286., {489., 498.}},
      SingleEvaluation->True],
     Deinitialization:>None,
     DynamicModuleValues:>{},
     SynchronousInitialization->True,
     UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
     UnsavedVariables:>{Typeset`initDone$$},
     UntrackedVariables:>{Typeset`size$$}], "Manipulate",
    Deployed->True,
    StripOnInput->False],
   Manipulate`InterpretManipulate[1]],
  DynamicModuleValues:>{},
  Initialization:>{
   Attributes[Derivative] = {NHoldAll, ReadProtected}, $CellContext`\[Gamma] = 
    0.05, $CellContext`population = 7594270356, $CellContext`caseLatest = 
    5930000, $CellContext`recLatest = 2603000}]], "Output",
 CellChangeTimes->{
  3.797582257686447*^9, 3.797582289706462*^9, 3.7975825187780666`*^9, {
   3.7975825720057564`*^9, 3.797582613449051*^9}, 3.7975826966946783`*^9, 
   3.7975828064217367`*^9, 3.797582842414966*^9, 3.79758339840992*^9, {
   3.7975834412154846`*^9, 3.7975834529670043`*^9}, 3.797585310461714*^9, 
   3.797585365905772*^9, 3.7975854033186464`*^9, 3.797585707106966*^9, 
   3.7975885369966974`*^9, 3.7975885788767443`*^9, 3.797589726090763*^9, 
   3.797591887550518*^9, 3.797591952480903*^9, 3.797595057665908*^9, 
   3.797623821617879*^9, 3.797623990813651*^9, 3.79763814940287*^9, 
   3.797664724757573*^9, 3.7976662304360013`*^9, {3.7976662711177063`*^9, 
   3.797666324200286*^9}, 3.7976692169061155`*^9, {3.7976721173685017`*^9, 
   3.79767214380937*^9}, 3.7976738116292386`*^9, 3.7976745538710403`*^9, {
   3.7976748530106697`*^9, 3.797674894929655*^9}, 3.7976757998812103`*^9, 
   3.7976758308904467`*^9, {3.7976758731112585`*^9, 3.797675879848399*^9}, 
   3.797678848281452*^9, {3.7976790722311563`*^9, 3.7976790788253784`*^9}, 
   3.7976795442892904`*^9, 3.797679910164136*^9, 3.797680812396296*^9, 
   3.7976811550965242`*^9, 3.7977203706696377`*^9, 3.79772041147871*^9, 
   3.797720626984581*^9, 3.7977212296038413`*^9, 3.79772146076472*^9, 
   3.7977219198555236`*^9, 3.7977222058648243`*^9, 3.797722943585429*^9, 
   3.797752157632897*^9, 3.797757146403581*^9, 3.7977606077198343`*^9, 
   3.797762891867572*^9, 3.797764983811241*^9, {3.7978090905564823`*^9, 
   3.797809110640179*^9}, 3.7978129972433443`*^9, 3.7978166386780777`*^9, 
   3.797944190225077*^9, {3.797962616979498*^9, 3.797962641063652*^9}, 
   3.7980264233094463`*^9, 3.798026798419877*^9, 3.7981539046017685`*^9, 
   3.7981705791203966`*^9, 3.7985446878438187`*^9, 3.798544729086935*^9, 
   3.798544759452362*^9, {3.798545424248801*^9, 3.798545448801098*^9}, 
   3.798589865838696*^9, 3.798589908752215*^9, 3.798598431716279*^9, 
   3.798873048582162*^9, {3.79887309967614*^9, 3.7988731403231106`*^9}, {
   3.7988765221390057`*^9, 3.798876545128859*^9}, 3.798926467865577*^9, {
   3.7989469368960533`*^9, 3.79894694613241*^9}, {3.7989470900134735`*^9, 
   3.7989471906385956`*^9}, {3.7989472795340004`*^9, 3.798947322496559*^9}, {
   3.798947357459399*^9, 3.7989474165664387`*^9}, {3.7989474499469423`*^9, 
   3.7989474776560707`*^9}, {3.7989480104571557`*^9, 3.798948027418494*^9}, 
   3.7989480606264114`*^9, 3.7989480912800655`*^9, 3.7990115960008793`*^9, {
   3.7990117275893955`*^9, 3.799011745750249*^9}, {3.799011778841558*^9, 
   3.799011819303501*^9}, 3.799012476578348*^9, 3.79901253678528*^9, 
   3.7990125717745824`*^9, {3.7990127143767433`*^9, 3.799012735129174*^9}, {
   3.7990127871149178`*^9, 3.799012819843933*^9}, 3.799012862715494*^9, 
   3.7997375587734776`*^9, 3.799744307749284*^9, 
   3.799744441531624*^9},ExpressionUUID->"c58c830d-8e1f-41c1-b706-\
d089df316f24"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"When", " ", 
    SubscriptBox["R", "0"]}], "\[GreaterEqual]", "1.1"}], ",", " ", 
  RowBox[{
   RowBox[{
   "The", " ", "maximum", "  ", "ratio", " ", "of", " ", "infected", "  ", 
    "is", " ", "roughly", " ", 
    FormBox[
     RowBox[{"M", "(", 
      SubscriptBox["R", "0"], ")"}],
     TraditionalForm]}], 
   StyleBox["=",
    FontSize->16,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], 
   StyleBox[" ",
    FontSize->16,
    FontWeight->"Bold",
    FontSlant->"Italic",
    FontColor->GrayLevel[0]], 
   RowBox[{
    StyleBox["1",
     FontSize->16,
     FontWeight->"Bold",
     FontSlant->"Italic",
     FontColor->GrayLevel[0]], 
    StyleBox["-",
     FontSize->16,
     FontWeight->"Bold",
     FontSlant->"Italic",
     FontColor->GrayLevel[0]], 
    StyleBox[" ",
     FontSize->16,
     FontWeight->"Bold",
     FontSlant->"Italic",
     FontColor->GrayLevel[0]], 
    RowBox[{
     FormBox[
      RowBox[{
       FractionBox["1", 
        SubscriptBox["R", "0"]], 
       RowBox[{"(", 
        RowBox[{"1", "+", "log"}]}]}],
      TraditionalForm], 
     FormBox[
      RowBox[{
       SubscriptBox["R", "0"], ")"}],
      TraditionalForm], 
     StyleBox[" ",
      FontSize->16,
      FontWeight->"Bold",
      FontColor->GrayLevel[0.5]], "\[IndentingNewLine]"}]}]}]}]], "Text",
 CellChangeTimes->{{3.798949416865714*^9, 3.798949427552621*^9}, {
  3.79894946076863*^9, 3.798949519528041*^9}, {3.7990130709211807`*^9, 
  3.7990131314185004`*^9}},ExpressionUUID->"797bf369-1589-4235-b760-\
92ba2f88252c"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r$$ = 2.0000000000000004`, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], 2, " \!\(\*SubscriptBox[\(R\), \(0\)]\) "}, 
      1.1, 10, 0.01}}, Typeset`size$$ = {55., {0., 13.}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`r$8365$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`r$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$8365$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Round[1 - (1 + Log[$CellContext`r$$])/$CellContext`r$$, 0.001], 
      "Specifications" :> {{{$CellContext`r$$, 2, 
          " \!\(\*SubscriptBox[\(R\), \(0\)]\) "}, 1.1, 10, 0.01, Appearance -> 
         "Labeled"}}, 
      "Options" :> {FrameLabel -> "Maximum ratio of the active patients"}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{501., {91., 100.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.7988743613719482`*^9, 3.798874381797378*^9}, {
   3.7988744253709674`*^9, 3.7988744379975977`*^9}, 3.798874479447447*^9, 
   3.7988745149865465`*^9, 3.7988745454512815`*^9, 3.798874587552791*^9, 
   3.7988746223775043`*^9, 3.798926469475153*^9, 3.798947090529248*^9, 
   3.798949158358478*^9, 
   3.798949356162428*^9},ExpressionUUID->"02f3e116-c44f-428b-a23c-\
94b25ca9a524"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"0.153", "*", "7700000000"}]], "Input",
 CellChangeTimes->{{3.7997438891551504`*^9, 
  3.7997439236843643`*^9}},ExpressionUUID->"eef4e9a7-4466-4484-87dd-\
0ec9781d7117"],

Cell[BoxData["1.1781`*^9"], "Output",
 CellChangeTimes->{
  3.7997439301816397`*^9},ExpressionUUID->"19fba9bb-ba89-42da-a094-\
00b1dae3391f"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1920, 1108},
WindowMargins->{{-9, Automatic}, {Automatic, -9}},
Magnification:>1.5 Inherited,
FrontEndVersion->"11.1 for Microsoft Windows (64-bit) (2017\:5e744\:670821\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 898, 18, 134, "Title", "ExpressionUUID" -> \
"af0d4e62-0e95-4f41-b2e2-91be1d85ae91"],
Cell[CellGroupData[{
Cell[1503, 44, 469, 8, 91, "Subchapter", "ExpressionUUID" -> \
"9391ece4-d432-4a0b-abf1-6fc7b23bf64d"],
Cell[1975, 54, 6975, 238, 530, "Text", "ExpressionUUID" -> \
"4c9772bc-7d8d-4d26-9339-6625ad816e95"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8987, 297, 419, 7, 91, "Subchapter", "ExpressionUUID" -> \
"2bc2a310-0ae3-40b6-8b40-6a558cba48ad"],
Cell[9409, 306, 28292, 1001, 1077, "Text", "ExpressionUUID" -> \
"3cb465ba-4a22-4c77-a728-8d99dfe41b85"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37738, 1312, 698, 10, 91, "Subchapter", "ExpressionUUID" -> \
"633085e4-1eab-49dd-8852-eb6f03b28a00"],
Cell[38439, 1324, 8417, 291, 220, "Text", "ExpressionUUID" -> \
"8573334d-b783-4d15-92f8-47fd139f927e"],
Cell[46859, 1617, 6821, 122, 568, "Text", "ExpressionUUID" -> \
"73f4bc40-7adf-4647-a516-ca76452375ac"],
Cell[CellGroupData[{
Cell[53705, 1743, 559, 13, 28, "Input", "ExpressionUUID" -> \
"866815ff-2754-4509-a154-aba350d5cea9",
 CellOpen->False,
 CellID->546921783],
Cell[54267, 1758, 1069, 30, 48, "Output", "ExpressionUUID" -> \
"887376e4-575b-4128-9eab-bddbbf1247e2"]
}, Open  ]],
Cell[55351, 1791, 4456, 74, 445, "Text", "ExpressionUUID" -> \
"24cf3fcf-e732-44e9-bda1-60a3ce4156d7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59844, 1870, 695, 15, 91, "Subchapter", "ExpressionUUID" -> \
"f957571d-5e2e-4be7-b10b-a2e10462e056"],
Cell[60542, 1887, 867, 14, 103, "Text", "ExpressionUUID" -> \
"bcdd8fa9-1d5a-4492-ac69-ff9a815a86d3"],
Cell[61412, 1903, 522203, 7166, 728, InheritFromParent, "ExpressionUUID" -> \
"94b8c4f7-88b8-4ff5-80ab-571cdf9b0ed5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[583652, 9074, 684, 10, 91, "Subchapter", "ExpressionUUID" -> \
"24023a69-4f1c-491e-af4f-b3422fd7cf40"],
Cell[584339, 9086, 499, 13, 46, "Text", "ExpressionUUID" -> \
"11bc3d3c-947a-40ae-8bd0-9f74a67685fc"],
Cell[584841, 9101, 44206, 746, 1012, "Output", "ExpressionUUID" -> \
"c58c830d-8e1f-41c1-b706-d089df316f24"],
Cell[629050, 9849, 1577, 57, 104, "Text", "ExpressionUUID" -> \
"797bf369-1589-4235-b760-92ba2f88252c"],
Cell[630630, 9908, 2207, 43, 216, "Output", "ExpressionUUID" -> \
"02f3e116-c44f-428b-a23c-94b25ca9a524"],
Cell[CellGroupData[{
Cell[632862, 9955, 192, 4, 46, "Input", "ExpressionUUID" -> \
"eef4e9a7-4466-4484-87dd-0ec9781d7117"],
Cell[633057, 9961, 141, 3, 46, "Output", "ExpressionUUID" -> \
"19fba9bb-ba89-42da-a094-00b1dae3391f"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

